"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const imperative_1 = require("@brightside/imperative");
/**
 * Class to handle DB2 ODBC Driver errors
 * @export
 * @class DB2Error
 */
class DB2Error {
    /**
     * Prettify the error message
     * @param {any} original The original error catched
     */
    static process(original) {
        const details = {
            Error: original.message.trim(),
            SQLCODE: original.sqlcode,
            SQLSTATE: original.state,
        };
        const error = {
            msg: `DB2 ODBC Driver Error: ${original.error}\n`,
            additionalDetails: imperative_1.TextUtils.prettyJson(details, undefined, false),
        };
        throw new imperative_1.ImperativeError(error);
    }
}
exports.DB2Error = DB2Error;
//# sourceMappingURL=DB2Error.js.map