export interface IResourceParms {
    /**
     * The name of the resource
     */
    name: string;
    /**
     * Criteria by which to filter the records
     *
     * Examples:
     *    "TRANID=TRAN"
     *    "PROGRAM=PRG*"
     *    "NAME=C* AND PROGRAM=D*"
     */
    criteria?: string;
    /**
     * Parameter by which to refine the records
     *
     * Example:
     *    "CSDGROUP(GRP1)"
     *    "CSDGROUP(D*)"
     */
    parameter?: string;
    /**
     * The name of the CICS region of the program
     */
    regionName: string;
    /**
     * CICS Plex of the program
     */
    cicsPlex?: string;
}
