"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const Procedure_definition_1 = require("./procedure/Procedure.definition");
const index_1 = require("../../index");
exports.Call = {
    name: "call",
    type: "group",
    summary: "Call a stored procedure",
    description: "Call a Db2 stored procedure",
    children: [
        Procedure_definition_1.ProcedureDefinition,
    ],
    passOn: [
        {
            property: "options",
            value: index_1.DB2Session.DB2_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = exports.Call;
//# sourceMappingURL=Call.definition.js.map