import { IHandlerParameters, AbstractSession, IProfile } from "@brightside/imperative";
import { IDB2Parameter, DB2BaseHandler } from "../../../index";
/**
 * Command handler for calling a DB2 stored procedure
 * @export
 * @class ProcedureHandler
 * @implements {ICommandHandler}
 */
export default class ProcedureHandler extends DB2BaseHandler {
    /**
     * Parse the passed values and create an array of OUTPUT parameters
     * @param {any[]} parameters Values of parameters
     * @returns {IDB2Parameter[]}
     */
    static parseParameters(parameters: any[]): IDB2Parameter[];
    processWithDB2Session(params: IHandlerParameters, session: AbstractSession, profile?: IProfile): Promise<void>;
}
