# Zowe Third Party Library Usage

* [Imperative CLI Framework](#Imperative-CLI-Framework-dependency-attributions)
* [Zowe API Mediation Layer](#Zowe-API-Mediation-Layer-dependency-attributions)
* [Zowe Application Framework](#Zowe-Application-Framework-dependency-attributions)
* [Zowe CLI](#Zowe-CLI-dependency-attributions)
* [Zowe CLI Plug-in for IBM CICS](#Zowe-CLI-Plug-in-for-IBM-CICS-dependency-attributions)
* [Zowe CLI Plug-in for IBM Db2 Database](#Zowe-CLI-Plug-in-for-IBM-Db2-Database-dependency-attributions)
* [Zowe Desktop Data Sets UI Plugin](#Zowe-Desktop-Data-Sets-UI-Plugin-dependency-attributions)
* [Zowe Desktop Database Browser Plug-in](#Zowe-Desktop-Database-Browser-Plug-in-dependency-attributions)
* [Zowe Desktop Eclipse Orion-based React Editor](#Zowe-Desktop-Eclipse-Orion-based-React-Editor-dependency-attributions)
* [Zowe Desktop File Transfer Plug-in](#Zowe-Desktop-File-Transfer-Plug-in-dependency-attributions)
* [Zowe Desktop JES UI Plugin](#Zowe-Desktop-JES-UI-Plugin-dependency-attributions)
* [Zowe Desktop Sample Angular Application](#Zowe-Desktop-Sample-Angular-Application-dependency-attributions)
* [Zowe Desktop Sample React Application](#Zowe-Desktop-Sample-React-Application-dependency-attributions)
* [Zowe Desktop TN3270 Emulator Plug-in](#Zowe-Desktop-TN3270-Emulator-Plug-in-dependency-attributions)
* [Zowe Desktop VT Emulator Plugin-in](#Zowe-Desktop-VT-Emulator-Plugin-in-dependency-attributions)
* [Zowe Desktop Web Plug-in Server](#Zowe-Desktop-Web-Plug-in-Server-dependency-attributions)
* [Zowe Desktop z/OS Unix Files UI Plugin](#Zowe-Desktop-z/OS-Unix-Files-UI-Plugin-dependency-attributions)
* [Zowe Explorer Common REST Server](#Zowe-Explorer-Common-REST-Server-dependency-attributions)
* [Zowe Explorer Data Sets REST Server](#Zowe-Explorer-Data-Sets-REST-Server-dependency-attributions)
* [Zowe Explorer Jobs REST Server](#Zowe-Explorer-Jobs-REST-Server-dependency-attributions)
* [Zowe ZSS Authentication Handler](#Zowe-ZSS-Authentication-Handler-dependency-attributions)

### Imperative CLI Framework Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Imperative CLI Framework | @types/yargs |  v8.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [@types/yargs](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Imperative CLI Framework | JSONStream |  v1.3.5 | (MIT OR Apache-2.0) | [JSONStream](https://www.github.com/dominictarr/JSONStream.git) |
| Imperative CLI Framework | abbrev |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [abbrev](https://www.github.com/isaacs/abbrev-js) |
| Imperative CLI Framework | agent-base |  v4.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [agent-base](https://www.github.com/TooTallNate/node-agent-base.git) |
| Imperative CLI Framework | agentkeepalive |  v3.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [agentkeepalive](https://www.github.com/node-modules/agentkeepalive.git) |
| Imperative CLI Framework | ajv |  v6.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv](https://www.github.com/epoberezkin/ajv.git) |
| Imperative CLI Framework | ansi-align |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ansi-align](https://www.github.com/nexdrew/ansi-align.git) |
| Imperative CLI Framework | ansi-regex |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Imperative CLI Framework | ansi-regex |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Imperative CLI Framework | ansi-styles |  v3.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-styles](https://www.github.com/chalk/ansi-styles.git) |
| Imperative CLI Framework | ansicolors |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [ansicolors](https://www.github.com/thlorenz/ansicolors.git) |
| Imperative CLI Framework | ansistyles |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [ansistyles](https://www.github.com/thlorenz/ansistyles.git) |
| Imperative CLI Framework | aproba |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Imperative CLI Framework | aproba |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Imperative CLI Framework | archy |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [archy](https://www.github.com/substack/node-archy.git) |
| Imperative CLI Framework | are-we-there-yet |  v1.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [are-we-there-yet](https://www.github.com/iarna/are-we-there-yet.git) |
| Imperative CLI Framework | argparse |  v1.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [argparse](https://www.github.com/nodeca/argparse.git) |
| Imperative CLI Framework | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Imperative CLI Framework | asn1 |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [asn1](https://www.github.com/joyent/node-asn1.git) |
| Imperative CLI Framework | assert-plus |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assert-plus](https://www.github.com/mcavage/node-assert-plus.git) |
| Imperative CLI Framework | asynckit |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [asynckit](https://www.github.com/alexindigo/asynckit.git) |
| Imperative CLI Framework | aws-sign2 |  v0.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [aws-sign2](https://www.github.com/mikeal/aws-sign) |
| Imperative CLI Framework | aws4 |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [aws4](https://www.github.com/mhart/aws4.git) |
| Imperative CLI Framework | balanced-match |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Imperative CLI Framework | bcrypt-pbkdf |  v1.0.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [bcrypt-pbkdf](https://www.github.com/joyent/node-bcrypt-pbkdf.git) |
| Imperative CLI Framework | bin-links |  v1.1.2 | Artistic-2.0 | [bin-links](https://www.github.com/npm/bin-links.git) |
| Imperative CLI Framework | block-stream |  v0.0.9 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [block-stream](https://www.github.com/isaacs/block-stream.git) |
| Imperative CLI Framework | bluebird |  v3.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |
| Imperative CLI Framework | boxen |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [boxen](https://www.github.com/sindresorhus/boxen.git) |
| Imperative CLI Framework | brace-expansion |  v1.1.11 | [MIT](http://opensource.org/licenses/mit-license) | [brace-expansion](https://www.github.com/juliangruber/brace-expansion.git) |
| Imperative CLI Framework | buffer-from |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-from](https://www.github.com/LinusU/buffer-from.git) |
| Imperative CLI Framework | builtin-modules |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [builtin-modules](https://www.github.com/sindresorhus/builtin-modules.git) |
| Imperative CLI Framework | builtins |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [builtins](https://www.github.com/juliangruber/builtins.git) |
| Imperative CLI Framework | byline |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [byline](https://www.github.com/jahewson/node-byline) |
| Imperative CLI Framework | byte-size |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [byte-size](https://www.github.com/75lb/byte-size.git) |
| Imperative CLI Framework | cacache |  v11.3.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cacache](https://www.github.com/zkat/cacache) |
| Imperative CLI Framework | call-limit |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [call-limit](https://www.github.com/iarna/call-limit) |
| Imperative CLI Framework | camelcase |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Imperative CLI Framework | capture-stack-trace |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [capture-stack-trace](https://www.github.com/floatdrop/capture-stack-trace.git) |
| Imperative CLI Framework | caseless |  v0.12.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [caseless](https://www.github.com/mikeal/caseless) |
| Imperative CLI Framework | chalk |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Imperative CLI Framework | chalk |  v2.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Imperative CLI Framework | chownr |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [chownr](https://www.github.com/isaacs/chownr.git) |
| Imperative CLI Framework | ci-info |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [ci-info](https://www.github.com/watson/ci-info.git) |
| Imperative CLI Framework | ci-info |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ci-info](https://www.github.com/watson/ci-info.git) |
| Imperative CLI Framework | cidr-regex |  v2.0.10 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [cidr-regex](https://www.github.com/silverwind/cidr-regex.git) |
| Imperative CLI Framework | circular-json |  v0.5.9 | [MIT](http://opensource.org/licenses/mit-license) | [circular-json](https://www.github.com/WebReflection/circular-json.git) |
| Imperative CLI Framework | cli-boxes |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cli-boxes](https://www.github.com/sindresorhus/cli-boxes.git) |
| Imperative CLI Framework | cli-columns |  v3.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [cli-columns](https://www.github.com/shannonmoeller/cli-columns.git) |
| Imperative CLI Framework | cli-table3 |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [cli-table3](https://www.github.com/cli-table/cli-table3.git) |
| Imperative CLI Framework | cliui |  v3.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Imperative CLI Framework | cliui |  v4.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Imperative CLI Framework | clone |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [clone](https://www.github.com/pvorb/node-clone.git) |
| Imperative CLI Framework | cmd-shim |  v2.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [cmd-shim](https://www.github.com/ForbesLindesay/cmd-shim.git) |
| Imperative CLI Framework | code-point-at |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [code-point-at](https://www.github.com/sindresorhus/code-point-at.git) |
| Imperative CLI Framework | color-convert |  v1.9.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-convert](https://www.github.com/Qix-/color-convert.git) |
| Imperative CLI Framework | color-name |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-name](https://www.github.com/dfcreative/color-name.git) |
| Imperative CLI Framework | colors |  v1.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [colors](https://www.github.com/Marak/colors.js.git) |
| Imperative CLI Framework | columnify |  v1.5.4 | [MIT](http://opensource.org/licenses/mit-license) | [columnify](https://www.github.com/timoxley/columnify.git) |
| Imperative CLI Framework | combined-stream |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [combined-stream](https://www.github.com/felixge/node-combined-stream.git) |
| Imperative CLI Framework | concat-map |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [concat-map](https://www.github.com/substack/node-concat-map.git) |
| Imperative CLI Framework | concat-stream |  v1.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [concat-stream](https://www.github.com/maxogden/concat-stream.git) |
| Imperative CLI Framework | config-chain |  v1.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [config-chain](https://www.github.com/dominictarr/config-chain.git) |
| Imperative CLI Framework | configstore |  v3.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [configstore](https://www.github.com/yeoman/configstore.git) |
| Imperative CLI Framework | console-control-strings |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [console-control-strings](https://www.github.com/iarna/console-control-strings) |
| Imperative CLI Framework | copy-concurrently |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [copy-concurrently](https://www.github.com/npm/copy-concurrently.git) |
| Imperative CLI Framework | core-util-is |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [core-util-is](https://www.github.com/isaacs/core-util-is) |
| Imperative CLI Framework | create-error-class |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [create-error-class](https://www.github.com/floatdrop/create-error-class.git) |
| Imperative CLI Framework | cross-spawn |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cross-spawn](https://www.github.com/IndigoUnited/node-cross-spawn.git) |
| Imperative CLI Framework | crypto-random-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [crypto-random-string](https://www.github.com/sindresorhus/crypto-random-string.git) |
| Imperative CLI Framework | cyclist |  v0.2.2 | MIT* | [cyclist](https://www.github.com/mafintosh/cyclist) |
| Imperative CLI Framework | dashdash |  v1.14.1 | [MIT](http://opensource.org/licenses/mit-license) | [dashdash](https://www.github.com/trentm/node-dashdash.git) |
| Imperative CLI Framework | dataobject-parser |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [dataobject-parser](https://www.github.com/Gigzolo/dataobject-parser.git) |
| Imperative CLI Framework | date-format |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [date-format](https://www.github.com/nomiddlename/date-format.git) |
| Imperative CLI Framework | debug |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Imperative CLI Framework | debug |  v3.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Imperative CLI Framework | debuglog |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [debuglog](https://www.github.com/sam-github/node-debuglog.git) |
| Imperative CLI Framework | decamelize |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decamelize](https://www.github.com/sindresorhus/decamelize.git) |
| Imperative CLI Framework | decode-uri-component |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decode-uri-component](https://www.github.com/SamVerschueren/decode-uri-component.git) |
| Imperative CLI Framework | deep-extend |  v0.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [deep-extend](https://www.github.com/unclechu/node-deep-extend.git) |
| Imperative CLI Framework | deepmerge |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [deepmerge](https://www.github.com/KyleAMathews/deepmerge.git) |
| Imperative CLI Framework | defaults |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [defaults](https://www.github.com/tmpvar/defaults.git) |
| Imperative CLI Framework | delayed-stream |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delayed-stream](https://www.github.com/felixge/node-delayed-stream.git) |
| Imperative CLI Framework | delegates |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delegates](https://www.github.com/visionmedia/node-delegates.git) |
| Imperative CLI Framework | detect-indent |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-indent](https://www.github.com/sindresorhus/detect-indent.git) |
| Imperative CLI Framework | detect-newline |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-newline](https://www.github.com/sindresorhus/detect-newline.git) |
| Imperative CLI Framework | dezalgo |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [dezalgo](https://www.github.com/npm/dezalgo) |
| Imperative CLI Framework | dot-prop |  v4.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [dot-prop](https://www.github.com/sindresorhus/dot-prop.git) |
| Imperative CLI Framework | dotenv |  v5.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [dotenv](https://www.github.com/motdotla/dotenv.git) |
| Imperative CLI Framework | duplexer3 |  v0.1.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [duplexer3](https://www.github.com/floatdrop/duplexer3.git) |
| Imperative CLI Framework | duplexify |  v3.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [duplexify](https://www.github.com/mafintosh/duplexify) |
| Imperative CLI Framework | ecc-jsbn |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [ecc-jsbn](https://www.github.com/quartzjer/ecc-jsbn.git) |
| Imperative CLI Framework | editor |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [editor](https://www.github.com/substack/node-editor.git) |
| Imperative CLI Framework | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Imperative CLI Framework | end-of-stream |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [end-of-stream](https://www.github.com/mafintosh/end-of-stream.git) |
| Imperative CLI Framework | err-code |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [err-code](https://www.github.com/IndigoUnited/js-err-code.git) |
| Imperative CLI Framework | errno |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [errno](https://www.github.com/rvagg/node-errno.git) |
| Imperative CLI Framework | error-ex |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [error-ex](https://www.github.com/qix-/node-error-ex.git) |
| Imperative CLI Framework | es6-promise |  v4.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [es6-promise](https://www.github.com/stefanpenner/es6-promise.git) |
| Imperative CLI Framework | es6-promisify |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [es6-promisify](https://www.github.com/digitaldesignlabs/es6-promisify.git) |
| Imperative CLI Framework | escape-string-regexp |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [escape-string-regexp](https://www.github.com/sindresorhus/escape-string-regexp.git) |
| Imperative CLI Framework | esprima |  v4.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Imperative CLI Framework | execa |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [execa](https://www.github.com/sindresorhus/execa.git) |
| Imperative CLI Framework | extend |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend](https://www.github.com/justmoon/node-extend.git) |
| Imperative CLI Framework | extsprintf |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Imperative CLI Framework | extsprintf |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Imperative CLI Framework | fast-deep-equal |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fast-deep-equal](https://www.github.com/epoberezkin/fast-deep-equal.git) |
| Imperative CLI Framework | fast-json-stable-stringify |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fast-json-stable-stringify](https://www.github.com/epoberezkin/fast-json-stable-stringify.git) |
| Imperative CLI Framework | figgy-pudding |  v3.5.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [figgy-pudding](https://www.github.com/zkat/figgy-pudding) |
| Imperative CLI Framework | find-npm-prefix |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [find-npm-prefix](https://www.github.com/npm/find-npm-prefix.git) |
| Imperative CLI Framework | find-up |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Imperative CLI Framework | find-up |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Imperative CLI Framework | flush-write-stream |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [flush-write-stream](https://www.github.com/mafintosh/flush-write-stream.git) |
| Imperative CLI Framework | forever-agent |  v0.6.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [forever-agent](https://www.github.com/mikeal/forever-agent) |
| Imperative CLI Framework | form-data |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [form-data](https://www.github.com/form-data/form-data.git) |
| Imperative CLI Framework | from2 |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Imperative CLI Framework | from2 |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Imperative CLI Framework | fs-minipass |  v1.2.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-minipass](https://www.github.com/npm/fs-minipass.git) |
| Imperative CLI Framework | fs-vacuum |  v1.2.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-vacuum](https://www.github.com/npm/fs-vacuum.git) |
| Imperative CLI Framework | fs-write-stream-atomic |  v1.0.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-write-stream-atomic](https://www.github.com/npm/fs-write-stream-atomic) |
| Imperative CLI Framework | fs.realpath |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs.realpath](https://www.github.com/isaacs/fs.realpath.git) |
| Imperative CLI Framework | fstream |  v1.0.11 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fstream](https://www.github.com/npm/fstream.git) |
| Imperative CLI Framework | gauge |  v2.7.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [gauge](https://www.github.com/iarna/gauge) |
| Imperative CLI Framework | genfun |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [genfun](https://www.github.com/zkat/genfun) |
| Imperative CLI Framework | gentle-fs |  v2.0.1 | Artistic-2.0 | [gentle-fs](https://www.github.com/npm/gentle-fs.git) |
| Imperative CLI Framework | get-caller-file |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [get-caller-file](https://www.github.com/stefanpenner/get-caller-file.git) |
| Imperative CLI Framework | get-stream |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Imperative CLI Framework | get-stream |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Imperative CLI Framework | getpass |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [getpass](https://www.github.com/arekinath/node-getpass.git) |
| Imperative CLI Framework | glob |  v7.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Imperative CLI Framework | glob |  v7.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Imperative CLI Framework | global-dirs |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [global-dirs](https://www.github.com/sindresorhus/global-dirs.git) |
| Imperative CLI Framework | got |  v6.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [got](https://www.github.com/sindresorhus/got.git) |
| Imperative CLI Framework | graceful-fs |  v4.1.15 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [graceful-fs](https://www.github.com/isaacs/node-graceful-fs) |
| Imperative CLI Framework | har-schema |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [har-schema](https://www.github.com/ahmadnassri/har-schema.git) |
| Imperative CLI Framework | har-validator |  v5.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [har-validator](https://www.github.com/ahmadnassri/node-har-validator.git) |
| Imperative CLI Framework | has-flag |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Imperative CLI Framework | has-flag |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Imperative CLI Framework | has-unicode |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [has-unicode](https://www.github.com/iarna/has-unicode) |
| Imperative CLI Framework | hosted-git-info |  v2.7.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [hosted-git-info](https://www.github.com/npm/hosted-git-info.git) |
| Imperative CLI Framework | http-cache-semantics |  v3.8.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [http-cache-semantics](https://www.github.com/pornel/http-cache-semantics.git) |
| Imperative CLI Framework | http-proxy-agent |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-proxy-agent](https://www.github.com/TooTallNate/node-http-proxy-agent.git) |
| Imperative CLI Framework | http-signature |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-signature](https://www.github.com/joyent/node-http-signature.git) |
| Imperative CLI Framework | https-proxy-agent |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [https-proxy-agent](https://www.github.com/TooTallNate/node-https-proxy-agent.git) |
| Imperative CLI Framework | humanize-ms |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [humanize-ms](https://www.github.com/node-modules/humanize-ms) |
| Imperative CLI Framework | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Imperative CLI Framework | iferr |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Imperative CLI Framework | iferr |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Imperative CLI Framework | ignore-walk |  v3.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ignore-walk](https://www.github.com/isaacs/ignore-walk.git) |
| Imperative CLI Framework | import-lazy |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-lazy](https://www.github.com/sindresorhus/import-lazy.git) |
| Imperative CLI Framework | imurmurhash |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [imurmurhash](https://www.github.com/jensyt/imurmurhash-js) |
| Imperative CLI Framework | inflight |  v1.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inflight](https://www.github.com/npm/inflight.git) |
| Imperative CLI Framework | inherits |  v2.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Imperative CLI Framework | ini |  v1.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ini](https://www.github.com/isaacs/ini.git) |
| Imperative CLI Framework | init-package-json |  v1.10.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [init-package-json](https://www.github.com/npm/init-package-json.git) |
| Imperative CLI Framework | invert-kv |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [invert-kv](https://www.github.com/sindresorhus/invert-kv.git) |
| Imperative CLI Framework | ip |  v1.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [ip](https://www.github.com/indutny/node-ip.git) |
| Imperative CLI Framework | ip-regex |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [ip-regex](https://www.github.com/sindresorhus/ip-regex.git) |
| Imperative CLI Framework | is-arrayish |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-arrayish](https://www.github.com/qix-/node-is-arrayish.git) |
| Imperative CLI Framework | is-builtin-module |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-builtin-module](https://www.github.com/sindresorhus/is-builtin-module.git) |
| Imperative CLI Framework | is-ci |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-ci](https://www.github.com/watson/is-ci.git) |
| Imperative CLI Framework | is-cidr |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [is-cidr](https://www.github.com/silverwind/is-cidr.git) |
| Imperative CLI Framework | is-fullwidth-code-point |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Imperative CLI Framework | is-fullwidth-code-point |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Imperative CLI Framework | is-installed-globally |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-installed-globally](https://www.github.com/sindresorhus/is-installed-globally.git) |
| Imperative CLI Framework | is-npm |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-npm](https://www.github.com/sindresorhus/is-npm.git) |
| Imperative CLI Framework | is-obj |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-obj](https://www.github.com/sindresorhus/is-obj.git) |
| Imperative CLI Framework | is-path-inside |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-inside](https://www.github.com/sindresorhus/is-path-inside.git) |
| Imperative CLI Framework | is-redirect |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-redirect](https://www.github.com/sindresorhus/is-redirect.git) |
| Imperative CLI Framework | is-retry-allowed |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-retry-allowed](https://www.github.com/floatdrop/is-retry-allowed.git) |
| Imperative CLI Framework | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Imperative CLI Framework | is-typedarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-typedarray](https://www.github.com/hughsk/is-typedarray.git) |
| Imperative CLI Framework | isarray |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Imperative CLI Framework | isarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Imperative CLI Framework | isexe |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [isexe](https://www.github.com/isaacs/isexe.git) |
| Imperative CLI Framework | isstream |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [isstream](https://www.github.com/rvagg/isstream.git) |
| Imperative CLI Framework | js-yaml |  v3.9.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-yaml](https://www.github.com/nodeca/js-yaml.git) |
| Imperative CLI Framework | jsbn |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsbn](https://www.github.com/andyperlitch/jsbn.git) |
| Imperative CLI Framework | json-parse-better-errors |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [json-parse-better-errors](https://www.github.com/zkat/json-parse-better-errors) |
| Imperative CLI Framework | json-schema |  v0.2.3 | BSD* | [json-schema](https://www.github.com/kriszyp/json-schema) |
| Imperative CLI Framework | json-schema-traverse |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-schema-traverse](https://www.github.com/epoberezkin/json-schema-traverse.git) |
| Imperative CLI Framework | json-stringify-safe |  v5.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [json-stringify-safe](https://www.github.com/isaacs/json-stringify-safe) |
| Imperative CLI Framework | jsonfile |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsonfile](https://www.github.com/jprichardson/node-jsonfile.git) |
| Imperative CLI Framework | jsonparse |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsonparse](https://www.github.com/creationix/jsonparse.git) |
| Imperative CLI Framework | jsonschema |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsonschema](https://www.github.com/tdegrunt/jsonschema.git) |
| Imperative CLI Framework | jsprim |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsprim](https://www.github.com/joyent/node-jsprim.git) |
| Imperative CLI Framework | latest-version |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [latest-version](https://www.github.com/sindresorhus/latest-version.git) |
| Imperative CLI Framework | lazy-property |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lazy-property](https://www.github.com/mikolalysenko/lazy-property.git) |
| Imperative CLI Framework | lcid |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lcid](https://www.github.com/sindresorhus/lcid.git) |
| Imperative CLI Framework | levenshtein |  v1.0.5 | Public Domain | [levenshtein](https://www.github.com/gf3/Levenshtein.git) |
| Imperative CLI Framework | libcipm |  v3.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [libcipm](https://www.github.com/zkat/cipm) |
| Imperative CLI Framework | libnpm |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpm](https://www.github.com/npm/libnpm) |
| Imperative CLI Framework | libnpmaccess |  v3.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmaccess](https://www.github.com/npm/libnpmaccess.git) |
| Imperative CLI Framework | libnpmconfig |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmconfig](https://www.github.com/npm/libnpmconfig.git) |
| Imperative CLI Framework | libnpmhook |  v5.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmhook](https://www.github.com/npm/libnpmhook) |
| Imperative CLI Framework | libnpmorg |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmorg](https://www.github.com/npm/libnpmorg.git) |
| Imperative CLI Framework | libnpmpublish |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmpublish](https://www.github.com/npm/libnpmpublish.git) |
| Imperative CLI Framework | libnpmsearch |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmsearch](https://www.github.com/npm/libnpmsearch.git) |
| Imperative CLI Framework | libnpmteam |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmteam](https://www.github.com/npm/libnpmteam.git) |
| Imperative CLI Framework | libnpx |  v10.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpx](https://www.github.com/zkat/npx) |
| Imperative CLI Framework | load-json-file |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [load-json-file](https://www.github.com/sindresorhus/load-json-file.git) |
| Imperative CLI Framework | locate-path |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Imperative CLI Framework | locate-path |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Imperative CLI Framework | lock-verify |  v2.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lock-verify](https://www.github.com/iarna/lock-verify.git) |
| Imperative CLI Framework | lockfile |  v1.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lockfile](https://www.github.com/npm/lockfile.git) |
| Imperative CLI Framework | lodash._baseuniq |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._baseuniq](https://www.github.com/lodash/lodash.git) |
| Imperative CLI Framework | lodash._createset |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._createset](https://www.github.com/lodash/lodash.git) |
| Imperative CLI Framework | lodash._root |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._root](https://www.github.com/lodash/lodash.git) |
| Imperative CLI Framework | lodash.clonedeep |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.clonedeep](https://www.github.com/lodash/lodash.git) |
| Imperative CLI Framework | lodash.union |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.union](https://www.github.com/lodash/lodash.git) |
| Imperative CLI Framework | lodash.uniq |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.uniq](https://www.github.com/lodash/lodash.git) |
| Imperative CLI Framework | lodash.without |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.without](https://www.github.com/lodash/lodash.git) |
| Imperative CLI Framework | log4js |  v3.0.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [log4js](https://www.github.com/log4js-node/log4js-node.git) |
| Imperative CLI Framework | lowercase-keys |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lowercase-keys](https://www.github.com/sindresorhus/lowercase-keys.git) |
| Imperative CLI Framework | lru-cache |  v4.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Imperative CLI Framework | lru-cache |  v5.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Imperative CLI Framework | make-dir |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [make-dir](https://www.github.com/sindresorhus/make-dir.git) |
| Imperative CLI Framework | make-fetch-happen |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [make-fetch-happen](https://www.github.com/zkat/make-fetch-happen) |
| Imperative CLI Framework | meant |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [meant](https://www.github.com/watilde/meant.git) |
| Imperative CLI Framework | mem |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [mem](https://www.github.com/sindresorhus/mem.git) |
| Imperative CLI Framework | mime-db |  v1.37.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime-db](https://www.github.com/jshttp/mime-db.git) |
| Imperative CLI Framework | mime-types |  v2.1.21 | [MIT](http://opensource.org/licenses/mit-license) | [mime-types](https://www.github.com/jshttp/mime-types.git) |
| Imperative CLI Framework | mimic-fn |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [mimic-fn](https://www.github.com/sindresorhus/mimic-fn.git) |
| Imperative CLI Framework | minimatch |  v3.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Imperative CLI Framework | minimist |  v0.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Imperative CLI Framework | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Imperative CLI Framework | minipass |  v2.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minipass](https://www.github.com/isaacs/minipass.git) |
| Imperative CLI Framework | minizlib |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [minizlib](https://www.github.com/isaacs/minizlib.git) |
| Imperative CLI Framework | mississippi |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [mississippi](https://www.github.com/maxogden/mississippi.git) |
| Imperative CLI Framework | mkdirp |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [mkdirp](https://www.github.com/substack/node-mkdirp.git) |
| Imperative CLI Framework | moment |  v2.20.1 | [MIT](http://opensource.org/licenses/mit-license) | [moment](https://www.github.com/moment/moment.git) |
| Imperative CLI Framework | move-concurrently |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [move-concurrently](https://www.github.com/npm/move-concurrently.git) |
| Imperative CLI Framework | ms |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Imperative CLI Framework | ms |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Imperative CLI Framework | mustache |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [mustache](https://www.github.com/janl/mustache.js.git) |
| Imperative CLI Framework | mute-stream |  v0.0.8 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [mute-stream](https://www.github.com/isaacs/mute-stream) |
| Imperative CLI Framework | node-fetch-npm |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch-npm](https://www.github.com/npm/node-fetch-npm.git) |
| Imperative CLI Framework | node-gyp |  v3.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-gyp](https://www.github.com/nodejs/node-gyp.git) |
| Imperative CLI Framework | nopt |  v3.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [nopt](https://www.github.com/npm/nopt.git) |
| Imperative CLI Framework | nopt |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [nopt](https://www.github.com/npm/nopt.git) |
| Imperative CLI Framework | normalize-package-data |  v2.4.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [normalize-package-data](https://www.github.com/npm/normalize-package-data.git) |
| Imperative CLI Framework | npm |  v6.7.0 | Artistic-2.0 | [npm](https://www.github.com/npm/cli) |
| Imperative CLI Framework | npm-audit-report |  v1.3.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-audit-report](https://www.github.com/npm/npm-audit-report.git) |
| Imperative CLI Framework | npm-bundled |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-bundled](https://www.github.com/npm/npm-bundled.git) |
| Imperative CLI Framework | npm-cache-filename |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-cache-filename](https://www.github.com/npm/npm-cache-filename) |
| Imperative CLI Framework | npm-install-checks |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [npm-install-checks](https://www.github.com/npm/npm-install-checks.git) |
| Imperative CLI Framework | npm-lifecycle |  v2.1.0 | Artistic-2.0 | [npm-lifecycle](https://www.github.com/npm/lifecycle.git) |
| Imperative CLI Framework | npm-logical-tree |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-logical-tree](https://www.github.com/npm/logical-tree) |
| Imperative CLI Framework | npm-package-arg |  v6.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-package-arg](https://www.github.com/npm/npm-package-arg) |
| Imperative CLI Framework | npm-packlist |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-packlist](https://www.github.com/npm/npm-packlist.git) |
| Imperative CLI Framework | npm-pick-manifest |  v2.2.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-pick-manifest](https://www.github.com/zkat/npm-pick-manifest) |
| Imperative CLI Framework | npm-profile |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-profile](https://www.github.com/npm/npm-profile.git) |
| Imperative CLI Framework | npm-registry-fetch |  v3.9.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-registry-fetch](https://www.github.com/npm/registry-fetch) |
| Imperative CLI Framework | npm-run-path |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [npm-run-path](https://www.github.com/sindresorhus/npm-run-path.git) |
| Imperative CLI Framework | npm-user-validate |  v1.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [npm-user-validate](https://www.github.com/npm/npm-user-validate.git) |
| Imperative CLI Framework | npmlog |  v4.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npmlog](https://www.github.com/npm/npmlog.git) |
| Imperative CLI Framework | number-is-nan |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [number-is-nan](https://www.github.com/sindresorhus/number-is-nan.git) |
| Imperative CLI Framework | oauth-sign |  v0.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [oauth-sign](https://www.github.com/mikeal/oauth-sign) |
| Imperative CLI Framework | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Imperative CLI Framework | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Imperative CLI Framework | opener |  v1.5.1 | (WTFPL OR MIT) | [opener](https://www.github.com/domenic/opener.git) |
| Imperative CLI Framework | os-homedir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-homedir](https://www.github.com/sindresorhus/os-homedir.git) |
| Imperative CLI Framework | os-locale |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-locale](https://www.github.com/sindresorhus/os-locale.git) |
| Imperative CLI Framework | os-tmpdir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-tmpdir](https://www.github.com/sindresorhus/os-tmpdir.git) |
| Imperative CLI Framework | osenv |  v0.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [osenv](https://www.github.com/npm/osenv) |
| Imperative CLI Framework | p-finally |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-finally](https://www.github.com/sindresorhus/p-finally.git) |
| Imperative CLI Framework | p-limit |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Imperative CLI Framework | p-limit |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Imperative CLI Framework | p-locate |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Imperative CLI Framework | p-locate |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Imperative CLI Framework | p-try |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Imperative CLI Framework | p-try |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Imperative CLI Framework | package-json |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [package-json](https://www.github.com/sindresorhus/package-json.git) |
| Imperative CLI Framework | pacote |  v9.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [pacote](https://www.github.com/zkat/pacote) |
| Imperative CLI Framework | parallel-transform |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [parallel-transform](https://www.github.com/mafintosh/parallel-transform) |
| Imperative CLI Framework | parse-json |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse-json](https://www.github.com/sindresorhus/parse-json.git) |
| Imperative CLI Framework | path-exists |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Imperative CLI Framework | path-is-absolute |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-is-absolute](https://www.github.com/sindresorhus/path-is-absolute.git) |
| Imperative CLI Framework | path-is-inside |  v1.0.2 | (WTFPL OR MIT) | [path-is-inside](https://www.github.com/domenic/path-is-inside.git) |
| Imperative CLI Framework | path-key |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-key](https://www.github.com/sindresorhus/path-key.git) |
| Imperative CLI Framework | path-type |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Imperative CLI Framework | performance-now |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [performance-now](https://www.github.com/braveg1rl/performance-now.git) |
| Imperative CLI Framework | pify |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Imperative CLI Framework | pify |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Imperative CLI Framework | prepend-http |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [prepend-http](https://www.github.com/sindresorhus/prepend-http.git) |
| Imperative CLI Framework | prettyjson |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [prettyjson](https://www.github.com/rafeca/prettyjson.git) |
| Imperative CLI Framework | process-nextick-args |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [process-nextick-args](https://www.github.com/calvinmetcalf/process-nextick-args.git) |
| Imperative CLI Framework | progress |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [progress](https://www.github.com/visionmedia/node-progress) |
| Imperative CLI Framework | promise-inflight |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promise-inflight](https://www.github.com/iarna/promise-inflight.git) |
| Imperative CLI Framework | promise-retry |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise-retry](https://www.github.com/IndigoUnited/node-promise-retry.git) |
| Imperative CLI Framework | promzard |  v0.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promzard](https://www.github.com/isaacs/promzard) |
| Imperative CLI Framework | proto-list |  v1.2.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [proto-list](https://www.github.com/isaacs/proto-list) |
| Imperative CLI Framework | protoduck |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [protoduck](https://www.github.com/zkat/protoduck.git) |
| Imperative CLI Framework | prr |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [prr](https://www.github.com/rvagg/prr.git) |
| Imperative CLI Framework | pseudomap |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [pseudomap](https://www.github.com/isaacs/pseudomap.git) |
| Imperative CLI Framework | psl |  v1.1.31 | [MIT](http://opensource.org/licenses/mit-license) | [psl](https://www.github.com/wrangr/psl.git) |
| Imperative CLI Framework | pump |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Imperative CLI Framework | pump |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Imperative CLI Framework | pumpify |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [pumpify](https://www.github.com/mafintosh/pumpify) |
| Imperative CLI Framework | punycode |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Imperative CLI Framework | punycode |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Imperative CLI Framework | qrcode-terminal |  v0.12.0 | Apache* | [qrcode-terminal](https://www.github.com/gtanner/qrcode-terminal) |
| Imperative CLI Framework | qs |  v6.5.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [qs](https://www.github.com/ljharb/qs.git) |
| Imperative CLI Framework | query-string |  v6.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Imperative CLI Framework | qw |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [qw](https://www.github.com/iarna/node-qw.git) |
| Imperative CLI Framework | rc |  v1.2.8 | (BSD-2-Clause OR MIT OR Apache-2.0) | [rc](https://www.github.com/dominictarr/rc.git) |
| Imperative CLI Framework | read |  v1.0.7 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read](https://www.github.com/isaacs/read.git) |
| Imperative CLI Framework | read-cmd-shim |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-cmd-shim](https://www.github.com/npm/read-cmd-shim.git) |
| Imperative CLI Framework | read-installed |  v4.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-installed](https://www.github.com/isaacs/read-installed) |
| Imperative CLI Framework | read-package-json |  v2.0.13 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-package-json](https://www.github.com/npm/read-package-json.git) |
| Imperative CLI Framework | read-package-tree |  v5.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-package-tree](https://www.github.com/npm/read-package-tree) |
| Imperative CLI Framework | read-pkg |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg](https://www.github.com/sindresorhus/read-pkg.git) |
| Imperative CLI Framework | read-pkg-up |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg-up](https://www.github.com/sindresorhus/read-pkg-up.git) |
| Imperative CLI Framework | readable-stream |  v1.1.14 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/isaacs/readable-stream) |
| Imperative CLI Framework | readable-stream |  v2.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Imperative CLI Framework | readable-stream |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Imperative CLI Framework | readdir-scoped-modules |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [readdir-scoped-modules](https://www.github.com/npm/readdir-scoped-modules) |
| Imperative CLI Framework | registry-auth-token |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [registry-auth-token](https://www.github.com/rexxars/registry-auth-token.git) |
| Imperative CLI Framework | registry-url |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [registry-url](https://www.github.com/sindresorhus/registry-url.git) |
| Imperative CLI Framework | request |  v2.88.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [request](https://www.github.com/request/request.git) |
| Imperative CLI Framework | require-directory |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [require-directory](https://www.github.com/troygoode/node-require-directory.git) |
| Imperative CLI Framework | require-main-filename |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [require-main-filename](https://www.github.com/yargs/require-main-filename.git) |
| Imperative CLI Framework | resolve-from |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-from](https://www.github.com/sindresorhus/resolve-from.git) |
| Imperative CLI Framework | retry |  v0.10.1 | [MIT](http://opensource.org/licenses/mit-license) | [retry](https://www.github.com/tim-kos/node-retry.git) |
| Imperative CLI Framework | retry |  v0.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [retry](https://www.github.com/tim-kos/node-retry.git) |
| Imperative CLI Framework | rfdc |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [rfdc](https://www.github.com/davidmarkclements/rfdc.git) |
| Imperative CLI Framework | rimraf |  v2.6.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Imperative CLI Framework | rimraf |  v2.6.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Imperative CLI Framework | run-queue |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [run-queue](https://www.github.com/iarna/run-queue.git) |
| Imperative CLI Framework | safe-buffer |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safe-buffer](https://www.github.com/feross/safe-buffer.git) |
| Imperative CLI Framework | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Imperative CLI Framework | semver |  v5.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Imperative CLI Framework | semver |  v5.5.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Imperative CLI Framework | semver |  v5.6.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Imperative CLI Framework | semver-diff |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [semver-diff](https://www.github.com/sindresorhus/semver-diff.git) |
| Imperative CLI Framework | set-blocking |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [set-blocking](https://www.github.com/yargs/set-blocking.git) |
| Imperative CLI Framework | sha |  v2.0.1 | (BSD-2-Clause OR MIT) | [sha](https://www.github.com/ForbesLindesay/sha.git) |
| Imperative CLI Framework | shebang-command |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-command](https://www.github.com/kevva/shebang-command.git) |
| Imperative CLI Framework | shebang-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-regex](https://www.github.com/sindresorhus/shebang-regex.git) |
| Imperative CLI Framework | signal-exit |  v3.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [signal-exit](https://www.github.com/tapjs/signal-exit.git) |
| Imperative CLI Framework | slash |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [slash](https://www.github.com/sindresorhus/slash.git) |
| Imperative CLI Framework | slide |  v1.1.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [slide](https://www.github.com/isaacs/slide-flow-control.git) |
| Imperative CLI Framework | smart-buffer |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [smart-buffer](https://www.github.com/JoshGlazebrook/smart-buffer.git) |
| Imperative CLI Framework | socks |  v2.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [socks](https://www.github.com/JoshGlazebrook/socks.git) |
| Imperative CLI Framework | socks-proxy-agent |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [socks-proxy-agent](https://www.github.com/TooTallNate/node-socks-proxy-agent.git) |
| Imperative CLI Framework | sorted-object |  v2.0.1 | (WTFPL OR MIT) | [sorted-object](https://www.github.com/domenic/sorted-object.git) |
| Imperative CLI Framework | sorted-union-stream |  v2.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [sorted-union-stream](https://www.github.com/mafintosh/sorted-union-stream.git) |
| Imperative CLI Framework | spdx-correct |  v3.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [spdx-correct](https://www.github.com/jslicense/spdx-correct.js.git) |
| Imperative CLI Framework | spdx-exceptions |  v2.2.0 | CC-BY-3.0 | [spdx-exceptions](https://www.github.com/kemitchell/spdx-exceptions.json.git) |
| Imperative CLI Framework | spdx-expression-parse |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [spdx-expression-parse](https://www.github.com/jslicense/spdx-expression-parse.js.git) |
| Imperative CLI Framework | spdx-license-ids |  v3.0.3 | CC0-1.0 | [spdx-license-ids](https://www.github.com/shinnn/spdx-license-ids.git) |
| Imperative CLI Framework | sprintf-js |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [sprintf-js](https://www.github.com/alexei/sprintf.js.git) |
| Imperative CLI Framework | sshpk |  v1.16.1 | [MIT](http://opensource.org/licenses/mit-license) | [sshpk](https://www.github.com/joyent/node-sshpk.git) |
| Imperative CLI Framework | ssri |  v6.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ssri](https://www.github.com/zkat/ssri) |
| Imperative CLI Framework | stack-trace |  v0.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [stack-trace](https://www.github.com/felixge/node-stack-trace.git) |
| Imperative CLI Framework | stream-each |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [stream-each](https://www.github.com/mafintosh/stream-each.git) |
| Imperative CLI Framework | stream-iterate |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-iterate](https://www.github.com/mafintosh/stream-iterate.git) |
| Imperative CLI Framework | stream-shift |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-shift](https://www.github.com/mafintosh/stream-shift.git) |
| Imperative CLI Framework | streamroller |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [streamroller](https://www.github.com/nomiddlename/streamroller.git) |
| Imperative CLI Framework | strict-uri-encode |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Imperative CLI Framework | string-width |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Imperative CLI Framework | string-width |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Imperative CLI Framework | string_decoder |  v0.10.31 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/rvagg/string_decoder.git) |
| Imperative CLI Framework | string_decoder |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Imperative CLI Framework | string_decoder |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Imperative CLI Framework | stringify-package |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [stringify-package](https://www.github.com/npm/stringify-package.git) |
| Imperative CLI Framework | strip-ansi |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Imperative CLI Framework | strip-ansi |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Imperative CLI Framework | strip-bom |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-bom](https://www.github.com/sindresorhus/strip-bom.git) |
| Imperative CLI Framework | strip-eof |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-eof](https://www.github.com/sindresorhus/strip-eof.git) |
| Imperative CLI Framework | strip-json-comments |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-json-comments](https://www.github.com/sindresorhus/strip-json-comments.git) |
| Imperative CLI Framework | supports-color |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Imperative CLI Framework | supports-color |  v5.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Imperative CLI Framework | tar |  v2.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [tar](https://www.github.com/isaacs/node-tar.git) |
| Imperative CLI Framework | tar |  v4.4.8 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [tar](https://www.github.com/npm/node-tar.git) |
| Imperative CLI Framework | term-size |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [term-size](https://www.github.com/sindresorhus/term-size.git) |
| Imperative CLI Framework | text-table |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [text-table](https://www.github.com/substack/text-table.git) |
| Imperative CLI Framework | through |  v2.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [through](https://www.github.com/dominictarr/through.git) |
| Imperative CLI Framework | through2 |  v2.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [through2](https://www.github.com/rvagg/through2.git) |
| Imperative CLI Framework | timed-out |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [timed-out](https://www.github.com/floatdrop/timed-out.git) |
| Imperative CLI Framework | tiny-relative-date |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [tiny-relative-date](https://www.github.com/wildlyinaccurate/relative-date.git) |
| Imperative CLI Framework | tough-cookie |  v2.4.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Imperative CLI Framework | tunnel-agent |  v0.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tunnel-agent](https://www.github.com/mikeal/tunnel-agent) |
| Imperative CLI Framework | tweetnacl |  v0.14.5 | Unlicense | [tweetnacl](https://www.github.com/dchest/tweetnacl-js.git) |
| Imperative CLI Framework | typedarray |  v0.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [typedarray](https://www.github.com/substack/typedarray.git) |
| Imperative CLI Framework | uid-number |  v0.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [uid-number](https://www.github.com/isaacs/uid-number.git) |
| Imperative CLI Framework | umask |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [umask](https://www.github.com/smikes/umask.git) |
| Imperative CLI Framework | unique-filename |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-filename](https://www.github.com/iarna/unique-filename.git) |
| Imperative CLI Framework | unique-slug |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-slug](https://www.github.com/iarna/unique-slug.git) |
| Imperative CLI Framework | unique-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unique-string](https://www.github.com/sindresorhus/unique-string.git) |
| Imperative CLI Framework | unpipe |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unpipe](https://www.github.com/stream-utils/unpipe.git) |
| Imperative CLI Framework | unzip-response |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [unzip-response](https://www.github.com/sindresorhus/unzip-response.git) |
| Imperative CLI Framework | update-notifier |  v2.5.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [update-notifier](https://www.github.com/yeoman/update-notifier.git) |
| Imperative CLI Framework | uri-js |  v4.2.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uri-js](https://www.github.com/garycourt/uri-js) |
| Imperative CLI Framework | url-parse-lax |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [url-parse-lax](https://www.github.com/sindresorhus/url-parse-lax.git) |
| Imperative CLI Framework | util-deprecate |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [util-deprecate](https://www.github.com/TooTallNate/util-deprecate.git) |
| Imperative CLI Framework | util-extend |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [util-extend](https://www.github.com/isaacs/util-extend) |
| Imperative CLI Framework | uuid |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [uuid](https://www.github.com/kelektiv/node-uuid.git) |
| Imperative CLI Framework | validate-npm-package-license |  v3.0.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [validate-npm-package-license](https://www.github.com/kemitchell/validate-npm-package-license.js.git) |
| Imperative CLI Framework | validate-npm-package-name |  v3.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [validate-npm-package-name](https://www.github.com/npm/validate-npm-package-name) |
| Imperative CLI Framework | verror |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [verror](https://www.github.com/davepacheco/node-verror.git) |
| Imperative CLI Framework | wcwidth |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [wcwidth](https://www.github.com/timoxley/wcwidth.git) |
| Imperative CLI Framework | which |  v1.3.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which](https://www.github.com/isaacs/node-which.git) |
| Imperative CLI Framework | which-module |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which-module](https://www.github.com/nexdrew/which-module.git) |
| Imperative CLI Framework | wide-align |  v1.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wide-align](https://www.github.com/iarna/wide-align) |
| Imperative CLI Framework | widest-line |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [widest-line](https://www.github.com/sindresorhus/widest-line.git) |
| Imperative CLI Framework | worker-farm |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [worker-farm](https://www.github.com/rvagg/node-worker-farm.git) |
| Imperative CLI Framework | wrap-ansi |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [wrap-ansi](https://www.github.com/chalk/wrap-ansi.git) |
| Imperative CLI Framework | wrap-ansi |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [wrap-ansi](https://www.github.com/chalk/wrap-ansi.git) |
| Imperative CLI Framework | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Imperative CLI Framework | write-file-atomic |  v2.4.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [write-file-atomic](https://www.github.com/iarna/write-file-atomic.git) |
| Imperative CLI Framework | xdg-basedir |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [xdg-basedir](https://www.github.com/sindresorhus/xdg-basedir.git) |
| Imperative CLI Framework | xtend |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [xtend](https://www.github.com/Raynos/xtend.git) |
| Imperative CLI Framework | y18n |  v3.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Imperative CLI Framework | y18n |  v4.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Imperative CLI Framework | yallist |  v2.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Imperative CLI Framework | yallist |  v3.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Imperative CLI Framework | yamljs |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [yamljs](https://www.github.com/jeremyfa/yaml.js.git) |
| Imperative CLI Framework | yargs |  v11.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Imperative CLI Framework | yargs |  v8.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Imperative CLI Framework | yargs-parser |  v7.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Imperative CLI Framework | yargs-parser |  v9.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |

### Zowe API Mediation Layer Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe API Mediation Layer | HdrHistogram |  v2.1.10 | Public Domain, per Creative Commons CC0, [Simplified BSD](http://opensource.org/licenses/bsd-license) | HdrHistogram |
| Zowe API Mediation Layer | LatencyUtils |  v2.0.3 | Public Domain, per Creative Commons CC0 | LatencyUtils |
| Zowe API Mediation Layer | accessors-smart |  v1.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | accessors-smart |
| Zowe API Mediation Layer | annotations |  v2.0.0 | GNU Lesser Public License | annotations |
| Zowe API Mediation Layer | annotations |  v2.0.1 | GNU Lesser Public License | annotations |
| Zowe API Mediation Layer | antlr |  v2.7.7 | [BSD](http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29) | antlr |
| Zowe API Mediation Layer | aopalliance |  v1.0 | Public Domain | aopalliance |
| Zowe API Mediation Layer | aopalliance-repackaged |  v2.5.0-b42 | CDDL + GPLv2 with classpath exception | aopalliance-repackaged |
| Zowe API Mediation Layer | archaius-core |  v0.7.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | archaius-core |
| Zowe API Mediation Layer | archaius-core |  v0.7.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | archaius-core |
| Zowe API Mediation Layer | asm |  v5.0.4 | [BSD](http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29) | asm |
| Zowe API Mediation Layer | asm-all-repackaged |  v2.2.0-b10 | CDDL + GPLv2 with classpath exception | asm-all-repackaged |
| Zowe API Mediation Layer | aspectjweaver |  v1.8.13 | Eclipse Public License - v 1.0 | aspectjweaver |
| Zowe API Mediation Layer | attoparser |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | attoparser |
| Zowe API Mediation Layer | aws-java-sdk-autoscaling |  v1.11.277 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | aws-java-sdk-autoscaling |
| Zowe API Mediation Layer | aws-java-sdk-core |  v1.11.277 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | aws-java-sdk-core |
| Zowe API Mediation Layer | aws-java-sdk-ec2 |  v1.11.277 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | aws-java-sdk-ec2 |
| Zowe API Mediation Layer | aws-java-sdk-route53 |  v1.11.277 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | aws-java-sdk-route53 |
| Zowe API Mediation Layer | aws-java-sdk-sts |  v1.11.277 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | aws-java-sdk-sts |
| Zowe API Mediation Layer | bcpkix-jdk15on |  v1.55 | Bouncy Castle Licence | bcpkix-jdk15on |
| Zowe API Mediation Layer | bcpkix-jdk15on |  v1.56 | Bouncy Castle Licence | bcpkix-jdk15on |
| Zowe API Mediation Layer | bcprov-jdk15on |  v1.55 | Bouncy Castle Licence | bcprov-jdk15on |
| Zowe API Mediation Layer | bcprov-jdk15on |  v1.56 | Bouncy Castle Licence | bcprov-jdk15on |
| Zowe API Mediation Layer | bootstrap |  v4.1.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | bootstrap |
| Zowe API Mediation Layer | byte-buddy |  v1.6.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe API Mediation Layer | byte-buddy |  v1.7.11 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe API Mediation Layer | byte-buddy |  v1.7.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe API Mediation Layer | cglib |  v2.2.0-b10 | CDDL + GPLv2 with classpath exception | cglib |
| Zowe API Mediation Layer | classmate |  v1.3.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | classmate |
| Zowe API Mediation Layer | classmate |  v1.3.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | classmate |
| Zowe API Mediation Layer | commons-beanutils |  v1.9.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-beanutils |
| Zowe API Mediation Layer | commons-codec |  v1.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-codec |
| Zowe API Mediation Layer | commons-codec |  v1.11 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-codec |
| Zowe API Mediation Layer | commons-codec |  v1.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-codec |
| Zowe API Mediation Layer | commons-collections |  v3.2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-collections |
| Zowe API Mediation Layer | commons-configuration |  v1.8 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-configuration |
| Zowe API Mediation Layer | commons-digester |  v1.8.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-digester |
| Zowe API Mediation Layer | commons-io |  v2.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-io |
| Zowe API Mediation Layer | commons-jxpath |  v1.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-jxpath |
| Zowe API Mediation Layer | commons-lang |  v2.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-lang |
| Zowe API Mediation Layer | commons-lang3 |  v3.2.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-lang3 |
| Zowe API Mediation Layer | commons-lang3 |  v3.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-lang3 |
| Zowe API Mediation Layer | commons-logging |  v1.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-logging |
| Zowe API Mediation Layer | commons-math |  v2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-math |
| Zowe API Mediation Layer | commons-validator |  v1.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-validator |
| Zowe API Mediation Layer | compactmap |  v1.2.1 | LGPL 3.0 license | compactmap |
| Zowe API Mediation Layer | dexx-collections |  v0.2 | [MIT](http://opensource.org/licenses/mit-license) | dexx-collections |
| Zowe API Mediation Layer | eureka-client |  v1.8.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | eureka-client |
| Zowe API Mediation Layer | eureka-client |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | eureka-client |
| Zowe API Mediation Layer | eureka-core |  v1.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | eureka-core |
| Zowe API Mediation Layer | eureka-core |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | eureka-core |
| Zowe API Mediation Layer | freemarker |  v2.3.28 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | freemarker |
| Zowe API Mediation Layer | gson |  v2.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | gson |
| Zowe API Mediation Layer | gson |  v2.8.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | gson |
| Zowe API Mediation Layer | gson |  v2.8.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | gson |
| Zowe API Mediation Layer | guava |  v19.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | guava |
| Zowe API Mediation Layer | guava |  v20.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | guava |
| Zowe API Mediation Layer | guice |  v4.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | guice |
| Zowe API Mediation Layer | hibernate-validator |  v5.3.5.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hibernate-validator |
| Zowe API Mediation Layer | hibernate-validator |  v5.3.6.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hibernate-validator |
| Zowe API Mediation Layer | hibernate-validator |  v6.0.11.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hibernate-validator |
| Zowe API Mediation Layer | hk2-api |  v2.2.0-b10 | CDDL + GPLv2 with classpath exception | hk2-api |
| Zowe API Mediation Layer | hk2-api |  v2.5.0-b42 | CDDL + GPLv2 with classpath exception | hk2-api |
| Zowe API Mediation Layer | hk2-locator |  v2.2.0-b10 | CDDL + GPLv2 with classpath exception | hk2-locator |
| Zowe API Mediation Layer | hk2-locator |  v2.5.0-b42 | CDDL + GPLv2 with classpath exception | hk2-locator |
| Zowe API Mediation Layer | hk2-utils |  v2.2.0-b10 | CDDL + GPLv2 with classpath exception | hk2-utils |
| Zowe API Mediation Layer | hk2-utils |  v2.5.0-b42 | CDDL + GPLv2 with classpath exception | hk2-utils |
| Zowe API Mediation Layer | httpclient |  v4.5.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpclient |
| Zowe API Mediation Layer | httpclient |  v4.5.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpclient |
| Zowe API Mediation Layer | httpcore |  v4.4.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpcore |
| Zowe API Mediation Layer | httpcore |  v4.4.8 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpcore |
| Zowe API Mediation Layer | hystrix-core |  v1.4.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hystrix-core |
| Zowe API Mediation Layer | hystrix-core |  v1.5.12 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hystrix-core |
| Zowe API Mediation Layer | hystrix-javanica |  v1.5.12 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hystrix-javanica |
| Zowe API Mediation Layer | hystrix-metrics-event-stream |  v1.5.12 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hystrix-metrics-event-stream |
| Zowe API Mediation Layer | hystrix-serialization |  v1.5.12 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hystrix-serialization |
| Zowe API Mediation Layer | ion-java |  v1.0.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ion-java |
| Zowe API Mediation Layer | jackson-annotations |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-annotations |
| Zowe API Mediation Layer | jackson-annotations |  v2.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-annotations |
| Zowe API Mediation Layer | jackson-annotations |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-annotations |
| Zowe API Mediation Layer | jackson-core |  v2.8.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-core |
| Zowe API Mediation Layer | jackson-core |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-core |
| Zowe API Mediation Layer | jackson-core |  v2.9.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-core |
| Zowe API Mediation Layer | jackson-databind |  v2.8.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-databind |
| Zowe API Mediation Layer | jackson-databind |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-databind |
| Zowe API Mediation Layer | jackson-dataformat-cbor |  v2.6.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-dataformat-cbor |
| Zowe API Mediation Layer | jackson-dataformat-cbor |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-dataformat-cbor |
| Zowe API Mediation Layer | jackson-dataformat-xml |  v2.4.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-dataformat-xml |
| Zowe API Mediation Layer | jackson-dataformat-xml |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-dataformat-xml |
| Zowe API Mediation Layer | jackson-dataformat-yaml |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-dataformat-yaml |
| Zowe API Mediation Layer | jackson-dataformat-yaml |  v2.9.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-dataformat-yaml |
| Zowe API Mediation Layer | jackson-datatype-jdk8 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jdk8 |
| Zowe API Mediation Layer | jackson-datatype-joda |  v2.4.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-joda |
| Zowe API Mediation Layer | jackson-datatype-jsr310 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jsr310 |
| Zowe API Mediation Layer | jackson-jaxrs-base |  v2.4.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-jaxrs-base |
| Zowe API Mediation Layer | jackson-jaxrs-json-provider |  v2.4.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-jaxrs-json-provider |
| Zowe API Mediation Layer | jackson-module-afterburner |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-afterburner |
| Zowe API Mediation Layer | jackson-module-jaxb-annotations |  v2.4.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-jaxb-annotations |
| Zowe API Mediation Layer | jackson-module-jaxb-annotations |  v2.8.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-jaxb-annotations |
| Zowe API Mediation Layer | jackson-module-jaxb-annotations |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-jaxb-annotations |
| Zowe API Mediation Layer | jackson-module-parameter-names |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-parameter-names |
| Zowe API Mediation Layer | javassist |  v3.18.2-GA | MPL 1.1, LGPL 2.1, [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | javassist |
| Zowe API Mediation Layer | javassist |  v3.21.0-GA | MPL 1.1, LGPL 2.1, [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | javassist |
| Zowe API Mediation Layer | javassist |  v3.22.0-CR2 | MPL 1.1, LGPL 2.1, [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | javassist |
| Zowe API Mediation Layer | javax.annotation-api |  v1.2 | CDDL + GPLv2 with classpath exception | javax.annotation-api |
| Zowe API Mediation Layer | javax.annotation-api |  v1.3.2 | CDDL + GPLv2 with classpath exception | javax.annotation-api |
| Zowe API Mediation Layer | javax.inject |  v1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | javax.inject |
| Zowe API Mediation Layer | javax.inject |  v2.2.0-b10 | CDDL + GPLv2 with classpath exception | javax.inject |
| Zowe API Mediation Layer | javax.inject |  v2.5.0-b42 | CDDL + GPLv2 with classpath exception | javax.inject |
| Zowe API Mediation Layer | javax.servlet-api |  v3.1.0 | CDDL + GPLv2 with classpath exception | javax.servlet-api |
| Zowe API Mediation Layer | javax.ws.rs-api |  v2.0 | CDDL 1.1, GPL2 w/ CPE | javax.ws.rs-api |
| Zowe API Mediation Layer | javax.ws.rs-api |  v2.1 | CDDL 1.1, GPL2 w/ CPE | javax.ws.rs-api |
| Zowe API Mediation Layer | jboss-logging |  v3.3.0.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jboss-logging |
| Zowe API Mediation Layer | jboss-logging |  v3.3.1.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jboss-logging |
| Zowe API Mediation Layer | jboss-logging |  v3.3.2.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jboss-logging |
| Zowe API Mediation Layer | jcl-over-slf4j |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | jcl-over-slf4j |
| Zowe API Mediation Layer | jersey-apache-client4 |  v1.19.1 | CDDL 1.1, GPL2 w/ CPE | jersey-apache-client4 |
| Zowe API Mediation Layer | jersey-client |  v1.19.1 | CDDL 1.1, GPL2 w/ CPE | jersey-client |
| Zowe API Mediation Layer | jersey-client |  v2.1 | CDDL+GPL License | jersey-client |
| Zowe API Mediation Layer | jersey-client |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-client |
| Zowe API Mediation Layer | jersey-common |  v2.1 | CDDL+GPL License | jersey-common |
| Zowe API Mediation Layer | jersey-common |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-common |
| Zowe API Mediation Layer | jersey-container-servlet-core |  v2.1 | CDDL+GPL License | jersey-container-servlet-core |
| Zowe API Mediation Layer | jersey-container-servlet-core |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-container-servlet-core |
| Zowe API Mediation Layer | jersey-core |  v1.19.1 | CDDL 1.1, GPL2 w/ CPE | jersey-core |
| Zowe API Mediation Layer | jersey-entity-filtering |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-entity-filtering |
| Zowe API Mediation Layer | jersey-hk2 |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-hk2 |
| Zowe API Mediation Layer | jersey-media-jaxb |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-media-jaxb |
| Zowe API Mediation Layer | jersey-media-json-jackson |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-media-json-jackson |
| Zowe API Mediation Layer | jersey-media-multipart |  v2.1 | CDDL+GPL License | jersey-media-multipart |
| Zowe API Mediation Layer | jersey-server |  v1.19.1 | CDDL 1.1, GPL2 w/ CPE | jersey-server |
| Zowe API Mediation Layer | jersey-server |  v2.1 | CDDL+GPL License | jersey-server |
| Zowe API Mediation Layer | jersey-server |  v2.26 | CDDL 1.1, GPL2 w/ CPE | jersey-server |
| Zowe API Mediation Layer | jersey-servlet |  v1.19.1 | CDDL 1.1, GPL2 w/ CPE | jersey-servlet |
| Zowe API Mediation Layer | jettison |  v1.3.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jettison |
| Zowe API Mediation Layer | jetty-client |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | jetty-client |
| Zowe API Mediation Layer | jetty-http |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | jetty-http |
| Zowe API Mediation Layer | jetty-io |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | jetty-io |
| Zowe API Mediation Layer | jetty-util |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | jetty-util |
| Zowe API Mediation Layer | jetty-xml |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | jetty-xml |
| Zowe API Mediation Layer | jjwt |  v0.9.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jjwt |
| Zowe API Mediation Layer | jmespath-java |  v1.11.277 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jmespath-java |
| Zowe API Mediation Layer | joda-time |  v2.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | joda-time |
| Zowe API Mediation Layer | joda-time |  v2.8.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | joda-time |
| Zowe API Mediation Layer | joda-time |  v2.9.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | joda-time |
| Zowe API Mediation Layer | jquery |  v3.3.1-1 | [MIT](http://opensource.org/licenses/mit-license) | jquery |
| Zowe API Mediation Layer | json |  v20180813 | The JSON License | json |
| Zowe API Mediation Layer | json-path |  v2.4.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | json-path |
| Zowe API Mediation Layer | json-smart |  v2.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | json-smart |
| Zowe API Mediation Layer | jsr305 |  v3.0.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jsr305 |
| Zowe API Mediation Layer | jsr311-api |  v1.1.1 | CDDL License | jsr311-api |
| Zowe API Mediation Layer | jul-to-slf4j |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | jul-to-slf4j |
| Zowe API Mediation Layer | log4j-api |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-api |
| Zowe API Mediation Layer | log4j-over-slf4j |  v1.7.25 | Apache Software Licenses | log4j-over-slf4j |
| Zowe API Mediation Layer | log4j-to-slf4j |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-to-slf4j |
| Zowe API Mediation Layer | logback-classic |  v1.1.11 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-classic |
| Zowe API Mediation Layer | logback-classic |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-classic |
| Zowe API Mediation Layer | logback-core |  v1.1.11 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-core |
| Zowe API Mediation Layer | logback-core |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-core |
| Zowe API Mediation Layer | mapstruct |  v1.1.0.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | mapstruct |
| Zowe API Mediation Layer | mapstruct |  v1.2.0.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | mapstruct |
| Zowe API Mediation Layer | micrometer-core |  v1.0.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | micrometer-core |
| Zowe API Mediation Layer | mimepull |  v1.8 | CDDL 1.1, GPL2 w/ CPE | mimepull |
| Zowe API Mediation Layer | netflix-commons-util |  v0.1.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netflix-commons-util |
| Zowe API Mediation Layer | netflix-commons-util |  v0.3.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netflix-commons-util |
| Zowe API Mediation Layer | netflix-eventbus |  v0.3.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netflix-eventbus |
| Zowe API Mediation Layer | netflix-infix |  v0.3.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netflix-infix |
| Zowe API Mediation Layer | netflix-statistics |  v0.1.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netflix-statistics |
| Zowe API Mediation Layer | netty-buffer |  v4.0.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-buffer |
| Zowe API Mediation Layer | netty-buffer |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-buffer |
| Zowe API Mediation Layer | netty-codec |  v4.0.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-codec |
| Zowe API Mediation Layer | netty-codec |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-codec |
| Zowe API Mediation Layer | netty-codec-http |  v4.0.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-codec-http |
| Zowe API Mediation Layer | netty-codec-http |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-codec-http |
| Zowe API Mediation Layer | netty-codec-socks |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-codec-socks |
| Zowe API Mediation Layer | netty-common |  v4.0.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-common |
| Zowe API Mediation Layer | netty-common |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-common |
| Zowe API Mediation Layer | netty-handler |  v4.0.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-handler |
| Zowe API Mediation Layer | netty-handler |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-handler |
| Zowe API Mediation Layer | netty-handler-proxy |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-handler-proxy |
| Zowe API Mediation Layer | netty-resolver |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-resolver |
| Zowe API Mediation Layer | netty-transport |  v4.0.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-transport |
| Zowe API Mediation Layer | netty-transport |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-transport |
| Zowe API Mediation Layer | netty-transport-native-epoll |  v4.0.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-transport-native-epoll |
| Zowe API Mediation Layer | netty-transport-native-epoll |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-transport-native-epoll |
| Zowe API Mediation Layer | netty-transport-native-unix-common |  v4.1.27.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | netty-transport-native-unix-common |
| Zowe API Mediation Layer | nio-multipart-parser |  v1.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | nio-multipart-parser |
| Zowe API Mediation Layer | nio-stream-storage |  v1.1.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | nio-stream-storage |
| Zowe API Mediation Layer | osgi-resource-locator |  v1.0.1 | CDDL + GPLv2 with classpath exception | osgi-resource-locator |
| Zowe API Mediation Layer | oss-parent |  v7 | unknown | oss-parent |
| Zowe API Mediation Layer | popper.js |  v1.14.3 | [MIT](http://opensource.org/licenses/mit-license) | popper.js |
| Zowe API Mediation Layer | reactive-streams |  v1.0.2 | CC0 | reactive-streams |
| Zowe API Mediation Layer | reactor-core |  v3.1.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | reactor-core |
| Zowe API Mediation Layer | reactor-netty |  v0.7.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | reactor-netty |
| Zowe API Mediation Layer | reflections |  v0.9.10 | WTFPL, The New BSD License | reflections |
| Zowe API Mediation Layer | reflections |  v0.9.11 | WTFPL, The New BSD License | reflections |
| Zowe API Mediation Layer | ribbon |  v2.2.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon |
| Zowe API Mediation Layer | ribbon |  v2.2.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon |
| Zowe API Mediation Layer | ribbon-core |  v2.2.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-core |
| Zowe API Mediation Layer | ribbon-core |  v2.2.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-core |
| Zowe API Mediation Layer | ribbon-eureka |  v2.2.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-eureka |
| Zowe API Mediation Layer | ribbon-eureka |  v2.2.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-eureka |
| Zowe API Mediation Layer | ribbon-httpclient |  v2.2.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-httpclient |
| Zowe API Mediation Layer | ribbon-httpclient |  v2.2.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-httpclient |
| Zowe API Mediation Layer | ribbon-loadbalancer |  v2.2.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-loadbalancer |
| Zowe API Mediation Layer | ribbon-loadbalancer |  v2.2.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-loadbalancer |
| Zowe API Mediation Layer | ribbon-transport |  v2.2.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-transport |
| Zowe API Mediation Layer | ribbon-transport |  v2.2.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | ribbon-transport |
| Zowe API Mediation Layer | rxjava |  v1.2.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rxjava |
| Zowe API Mediation Layer | rxjava |  v1.3.8 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rxjava |
| Zowe API Mediation Layer | rxjava-reactive-streams |  v1.2.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rxjava-reactive-streams |
| Zowe API Mediation Layer | rxnetty |  v0.4.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rxnetty |
| Zowe API Mediation Layer | rxnetty-contexts |  v0.4.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rxnetty-contexts |
| Zowe API Mediation Layer | rxnetty-servo |  v0.4.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rxnetty-servo |
| Zowe API Mediation Layer | servlet-api |  v2.5 | unknown | servlet-api |
| Zowe API Mediation Layer | servo-core |  v0.10.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | servo-core |
| Zowe API Mediation Layer | servo-core |  v0.12.21 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | servo-core |
| Zowe API Mediation Layer | servo-internal |  v0.10.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | servo-internal |
| Zowe API Mediation Layer | slf4j-api |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | slf4j-api |
| Zowe API Mediation Layer | snakeyaml |  v1.17 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | snakeyaml |
| Zowe API Mediation Layer | snakeyaml |  v1.19 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | snakeyaml |
| Zowe API Mediation Layer | snakeyaml |  v1.23 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | snakeyaml |
| Zowe API Mediation Layer | spring-aop |  v4.3.13.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe API Mediation Layer | spring-aop |  v4.3.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe API Mediation Layer | spring-aop |  v4.3.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe API Mediation Layer | spring-aop |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe API Mediation Layer | spring-aop |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe API Mediation Layer | spring-beans |  v4.3.13.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe API Mediation Layer | spring-beans |  v4.3.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe API Mediation Layer | spring-beans |  v4.3.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe API Mediation Layer | spring-beans |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe API Mediation Layer | spring-beans |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe API Mediation Layer | spring-boot |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot |
| Zowe API Mediation Layer | spring-boot |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot |
| Zowe API Mediation Layer | spring-boot-actuator |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator |
| Zowe API Mediation Layer | spring-boot-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator |
| Zowe API Mediation Layer | spring-boot-actuator-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator-autoconfigure |
| Zowe API Mediation Layer | spring-boot-autoconfigure |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-autoconfigure |
| Zowe API Mediation Layer | spring-boot-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-autoconfigure |
| Zowe API Mediation Layer | spring-boot-configuration-processor |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-configuration-processor |
| Zowe API Mediation Layer | spring-boot-starter |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter |
| Zowe API Mediation Layer | spring-boot-starter |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter |
| Zowe API Mediation Layer | spring-boot-starter-actuator |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-actuator |
| Zowe API Mediation Layer | spring-boot-starter-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-actuator |
| Zowe API Mediation Layer | spring-boot-starter-aop |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-aop |
| Zowe API Mediation Layer | spring-boot-starter-freemarker |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-freemarker |
| Zowe API Mediation Layer | spring-boot-starter-json |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-json |
| Zowe API Mediation Layer | spring-boot-starter-logging |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-logging |
| Zowe API Mediation Layer | spring-boot-starter-logging |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-logging |
| Zowe API Mediation Layer | spring-boot-starter-reactor-netty |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-reactor-netty |
| Zowe API Mediation Layer | spring-boot-starter-security |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-security |
| Zowe API Mediation Layer | spring-boot-starter-thymeleaf |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-thymeleaf |
| Zowe API Mediation Layer | spring-boot-starter-tomcat |  v1.5.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-tomcat |
| Zowe API Mediation Layer | spring-boot-starter-tomcat |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-tomcat |
| Zowe API Mediation Layer | spring-boot-starter-tomcat |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-tomcat |
| Zowe API Mediation Layer | spring-boot-starter-web |  v1.5.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-web |
| Zowe API Mediation Layer | spring-boot-starter-web |  v1.5.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-web |
| Zowe API Mediation Layer | spring-boot-starter-web |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-web |
| Zowe API Mediation Layer | spring-boot-starter-webflux |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-webflux |
| Zowe API Mediation Layer | spring-boot-starter-websocket |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-websocket |
| Zowe API Mediation Layer | spring-cloud-commons |  v1.3.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-commons |
| Zowe API Mediation Layer | spring-cloud-commons |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-commons |
| Zowe API Mediation Layer | spring-cloud-context |  v1.3.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-context |
| Zowe API Mediation Layer | spring-cloud-context |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-context |
| Zowe API Mediation Layer | spring-cloud-netflix-archaius |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-archaius |
| Zowe API Mediation Layer | spring-cloud-netflix-core |  v1.4.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-core |
| Zowe API Mediation Layer | spring-cloud-netflix-core |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-core |
| Zowe API Mediation Layer | spring-cloud-netflix-eureka-client |  v1.4.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-eureka-client |
| Zowe API Mediation Layer | spring-cloud-netflix-eureka-client |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-eureka-client |
| Zowe API Mediation Layer | spring-cloud-netflix-eureka-server |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-eureka-server |
| Zowe API Mediation Layer | spring-cloud-netflix-ribbon |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-ribbon |
| Zowe API Mediation Layer | spring-cloud-netflix-zuul |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-netflix-zuul |
| Zowe API Mediation Layer | spring-cloud-starter |  v1.3.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter |
| Zowe API Mediation Layer | spring-cloud-starter |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter |
| Zowe API Mediation Layer | spring-cloud-starter-eureka |  v1.4.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-eureka |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-archaius |  v1.4.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-archaius |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-archaius |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-archaius |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-eureka-client |  v1.4.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-eureka-client |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-eureka-client |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-eureka-client |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-eureka-server |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-eureka-server |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-hystrix |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-hystrix |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-ribbon |  v1.4.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-ribbon |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-ribbon |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-ribbon |
| Zowe API Mediation Layer | spring-cloud-starter-netflix-zuul |  v2.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-cloud-starter-netflix-zuul |
| Zowe API Mediation Layer | spring-context |  v4.3.13.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe API Mediation Layer | spring-context |  v4.3.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe API Mediation Layer | spring-context |  v4.3.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe API Mediation Layer | spring-context |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe API Mediation Layer | spring-context |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe API Mediation Layer | spring-context-support |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context-support |
| Zowe API Mediation Layer | spring-core |  v4.3.13.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe API Mediation Layer | spring-core |  v4.3.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe API Mediation Layer | spring-core |  v4.3.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe API Mediation Layer | spring-core |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe API Mediation Layer | spring-core |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe API Mediation Layer | spring-expression |  v4.3.13.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe API Mediation Layer | spring-expression |  v4.3.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe API Mediation Layer | spring-expression |  v4.3.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe API Mediation Layer | spring-expression |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe API Mediation Layer | spring-expression |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe API Mediation Layer | spring-hateoas |  v0.23.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-hateoas |
| Zowe API Mediation Layer | spring-hateoas |  v0.25.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-hateoas |
| Zowe API Mediation Layer | spring-jcl |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-jcl |
| Zowe API Mediation Layer | spring-jcl |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-jcl |
| Zowe API Mediation Layer | spring-messaging |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-messaging |
| Zowe API Mediation Layer | spring-plugin-core |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-core |
| Zowe API Mediation Layer | spring-plugin-metadata |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-metadata |
| Zowe API Mediation Layer | spring-retry |  v1.2.2.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-retry |
| Zowe API Mediation Layer | spring-security-config |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-config |
| Zowe API Mediation Layer | spring-security-config |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-config |
| Zowe API Mediation Layer | spring-security-core |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-core |
| Zowe API Mediation Layer | spring-security-core |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-core |
| Zowe API Mediation Layer | spring-security-crypto |  v4.2.3.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-crypto |
| Zowe API Mediation Layer | spring-security-crypto |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-crypto |
| Zowe API Mediation Layer | spring-security-rsa |  v1.0.3.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-rsa |
| Zowe API Mediation Layer | spring-security-rsa |  v1.0.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-rsa |
| Zowe API Mediation Layer | spring-security-web |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-web |
| Zowe API Mediation Layer | spring-security-web |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-web |
| Zowe API Mediation Layer | spring-web |  v4.3.12.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe API Mediation Layer | spring-web |  v4.3.13.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe API Mediation Layer | spring-web |  v4.3.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe API Mediation Layer | spring-web |  v4.3.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe API Mediation Layer | spring-web |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe API Mediation Layer | spring-web |  v5.1.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe API Mediation Layer | spring-webflux |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webflux |
| Zowe API Mediation Layer | spring-webmvc |  v4.3.12.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe API Mediation Layer | spring-webmvc |  v4.3.13.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe API Mediation Layer | spring-webmvc |  v4.3.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe API Mediation Layer | spring-webmvc |  v4.3.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe API Mediation Layer | spring-webmvc |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe API Mediation Layer | spring-websocket |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-websocket |
| Zowe API Mediation Layer | springfox-core |  v2.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-core |
| Zowe API Mediation Layer | springfox-core |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-core |
| Zowe API Mediation Layer | springfox-schema |  v2.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-schema |
| Zowe API Mediation Layer | springfox-schema |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-schema |
| Zowe API Mediation Layer | springfox-spi |  v2.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spi |
| Zowe API Mediation Layer | springfox-spi |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spi |
| Zowe API Mediation Layer | springfox-spring-web |  v2.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spring-web |
| Zowe API Mediation Layer | springfox-spring-web |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spring-web |
| Zowe API Mediation Layer | springfox-swagger-common |  v2.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-common |
| Zowe API Mediation Layer | springfox-swagger-common |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-common |
| Zowe API Mediation Layer | springfox-swagger2 |  v2.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger2 |
| Zowe API Mediation Layer | springfox-swagger2 |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger2 |
| Zowe API Mediation Layer | stax-api |  v1.0-2 | unknown | stax-api |
| Zowe API Mediation Layer | stax-api |  v1.0.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | stax-api |
| Zowe API Mediation Layer | stax2-api |  v3.1.4 | [BSD](http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29) | stax2-api |
| Zowe API Mediation Layer | stringtemplate |  v3.2.1 | BSD licence | stringtemplate |
| Zowe API Mediation Layer | swagger-annotations |  v1.5.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-annotations |
| Zowe API Mediation Layer | swagger-annotations |  v1.5.13 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-annotations |
| Zowe API Mediation Layer | swagger-annotations |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-annotations |
| Zowe API Mediation Layer | swagger-annotations |  v1.5.21 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-annotations |
| Zowe API Mediation Layer | swagger-core |  v1.5.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-core |
| Zowe API Mediation Layer | swagger-core |  v1.5.21 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-core |
| Zowe API Mediation Layer | swagger-jaxrs |  v1.5.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-jaxrs |
| Zowe API Mediation Layer | swagger-jersey2-jaxrs |  v1.5.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-jersey2-jaxrs |
| Zowe API Mediation Layer | swagger-models |  v1.5.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-models |
| Zowe API Mediation Layer | swagger-models |  v1.5.13 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-models |
| Zowe API Mediation Layer | swagger-models |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-models |
| Zowe API Mediation Layer | swagger-models |  v1.5.21 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-models |
| Zowe API Mediation Layer | thymeleaf |  v3.0.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | thymeleaf |
| Zowe API Mediation Layer | thymeleaf-extras-java8time |  v3.0.1.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | thymeleaf-extras-java8time |
| Zowe API Mediation Layer | thymeleaf-spring5 |  v3.0.9.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | thymeleaf-spring5 |
| Zowe API Mediation Layer | tomcat-annotations-api |  v8.5.23 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-annotations-api |
| Zowe API Mediation Layer | tomcat-annotations-api |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-annotations-api |
| Zowe API Mediation Layer | tomcat-coyote |  v8.5.33 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-coyote |
| Zowe API Mediation Layer | tomcat-embed-core |  v8.5.23 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-core |
| Zowe API Mediation Layer | tomcat-embed-core |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-core |
| Zowe API Mediation Layer | tomcat-embed-core |  v8.5.33 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-core |
| Zowe API Mediation Layer | tomcat-embed-el |  v8.5.23 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-el |
| Zowe API Mediation Layer | tomcat-embed-el |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-el |
| Zowe API Mediation Layer | tomcat-embed-websocket |  v8.5.23 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-websocket |
| Zowe API Mediation Layer | tomcat-embed-websocket |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-websocket |
| Zowe API Mediation Layer | tomcat-jni |  v8.5.33 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-jni |
| Zowe API Mediation Layer | tomcat-juli |  v8.5.33 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-juli |
| Zowe API Mediation Layer | tomcat-servlet-api |  v8.5.33 | Apache License, Version 2.0 and Common Development And Distribution License (CDDL) Version 1.0 | tomcat-servlet-api |
| Zowe API Mediation Layer | tomcat-util |  v8.5.33 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-util |
| Zowe API Mediation Layer | unbescape |  v1.1.5.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | unbescape |
| Zowe API Mediation Layer | validation-api |  v1.1.0.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | validation-api |
| Zowe API Mediation Layer | validation-api |  v2.0.1.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | validation-api |
| Zowe API Mediation Layer | velocity-engine-core |  v2.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | velocity-engine-core |
| Zowe API Mediation Layer | websocket-api |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | websocket-api |
| Zowe API Mediation Layer | websocket-client |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | websocket-client |
| Zowe API Mediation Layer | websocket-common |  v9.4.11.v20180605 | Apache Software License - Version 2.0, Eclipse Public License - Version 1.0 | websocket-common |
| Zowe API Mediation Layer | woodstox-core |  v5.0.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | woodstox-core |
| Zowe API Mediation Layer | woodstox-core-asl |  v4.4.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | woodstox-core-asl |
| Zowe API Mediation Layer | xmlpull |  v1.1.3.1 | Public Domain | xmlpull |
| Zowe API Mediation Layer | xpp3_min |  v1.1.4c | Indiana University Extreme! Lab Software License, vesion 1.1.1, Public Domain | xpp3_min |
| Zowe API Mediation Layer | xstream |  v1.4.10 | BSD style | xstream |
| Zowe API Mediation Layer | zuul-core |  v1.3.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | zuul-core |
| Zowe API Mediation Layer | @babel/code-frame |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/code-frame](https://www.github.com/babel/babel/tree/master/packages/babel-code-frame) |
| Zowe API Mediation Layer | @babel/core |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/core](https://www.github.com/babel/babel/tree/master/packages/babel-core) |
| Zowe API Mediation Layer | @babel/core |  v7.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/core](https://www.github.com/babel/babel/tree/master/packages/babel-core) |
| Zowe API Mediation Layer | @babel/generator |  v7.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/generator](https://www.github.com/babel/babel/tree/master/packages/babel-generator) |
| Zowe API Mediation Layer | @babel/helper-annotate-as-pure |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-annotate-as-pure](https://www.github.com/babel/babel/tree/master/packages/babel-helper-annotate-as-pure) |
| Zowe API Mediation Layer | @babel/helper-builder-binary-assignment-operator-visitor |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-builder-binary-assignment-operator-visitor](https://www.github.com/babel/babel/tree/master/packages/babel-helper-builder-binary-assignment-operator-visitor) |
| Zowe API Mediation Layer | @babel/helper-builder-react-jsx |  v7.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-builder-react-jsx](https://www.github.com/babel/babel/tree/master/packages/babel-helper-builder-react-jsx) |
| Zowe API Mediation Layer | @babel/helper-call-delegate |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-call-delegate](https://www.github.com/babel/babel/tree/master/packages/babel-helper-call-delegate) |
| Zowe API Mediation Layer | @babel/helper-define-map |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-define-map](https://www.github.com/babel/babel/tree/master/packages/babel-helper-define-map) |
| Zowe API Mediation Layer | @babel/helper-explode-assignable-expression |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-explode-assignable-expression](https://www.github.com/babel/babel/tree/master/packages/babel-helper-explode-assignable-expression) |
| Zowe API Mediation Layer | @babel/helper-function-name |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-function-name](https://www.github.com/babel/babel/tree/master/packages/babel-helper-function-name) |
| Zowe API Mediation Layer | @babel/helper-get-function-arity |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-get-function-arity](https://www.github.com/babel/babel/tree/master/packages/babel-helper-get-function-arity) |
| Zowe API Mediation Layer | @babel/helper-hoist-variables |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-hoist-variables](https://www.github.com/babel/babel/tree/master/packages/babel-helper-hoist-variables) |
| Zowe API Mediation Layer | @babel/helper-member-expression-to-functions |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-member-expression-to-functions](https://www.github.com/babel/babel/tree/master/packages/babel-helper-member-expression-to-functions) |
| Zowe API Mediation Layer | @babel/helper-module-imports |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-module-imports](https://www.github.com/babel/babel/tree/master/packages/babel-helper-module-imports) |
| Zowe API Mediation Layer | @babel/helper-module-transforms |  v7.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-module-transforms](https://www.github.com/babel/babel/tree/master/packages/babel-helper-module-transforms) |
| Zowe API Mediation Layer | @babel/helper-optimise-call-expression |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-optimise-call-expression](https://www.github.com/babel/babel/tree/master/packages/babel-helper-optimise-call-expression) |
| Zowe API Mediation Layer | @babel/helper-plugin-utils |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-plugin-utils](https://www.github.com/babel/babel/tree/master/packages/babel-helper-plugin-utils) |
| Zowe API Mediation Layer | @babel/helper-regex |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-regex](https://www.github.com/babel/babel/tree/master/packages/babel-helper-regex) |
| Zowe API Mediation Layer | @babel/helper-remap-async-to-generator |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-remap-async-to-generator](https://www.github.com/babel/babel/tree/master/packages/babel-helper-remap-async-to-generator) |
| Zowe API Mediation Layer | @babel/helper-replace-supers |  v7.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-replace-supers](https://www.github.com/babel/babel/tree/master/packages/babel-helper-replace-supers) |
| Zowe API Mediation Layer | @babel/helper-simple-access |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-simple-access](https://www.github.com/babel/babel/tree/master/packages/babel-helper-simple-access) |
| Zowe API Mediation Layer | @babel/helper-split-export-declaration |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-split-export-declaration](https://www.github.com/babel/babel/tree/master/packages/babel-helper-split-export-declaration) |
| Zowe API Mediation Layer | @babel/helper-wrap-function |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helper-wrap-function](https://www.github.com/babel/babel/tree/master/packages/babel-helper-wrap-function) |
| Zowe API Mediation Layer | @babel/helpers |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/helpers](https://www.github.com/babel/babel/tree/master/packages/babel-helpers) |
| Zowe API Mediation Layer | @babel/highlight |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/highlight](https://www.github.com/babel/babel/tree/master/packages/babel-highlight) |
| Zowe API Mediation Layer | @babel/parser |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/parser](https://www.github.com/babel/babel/tree/master/packages/babel-parser) |
| Zowe API Mediation Layer | @babel/plugin-proposal-async-generator-functions |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-async-generator-functions](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-async-generator-functions) |
| Zowe API Mediation Layer | @babel/plugin-proposal-class-properties |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-class-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-class-properties) |
| Zowe API Mediation Layer | @babel/plugin-proposal-decorators |  v7.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-decorators](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-decorators) |
| Zowe API Mediation Layer | @babel/plugin-proposal-json-strings |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-json-strings](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-json-strings) |
| Zowe API Mediation Layer | @babel/plugin-proposal-object-rest-spread |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-object-rest-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-object-rest-spread) |
| Zowe API Mediation Layer | @babel/plugin-proposal-object-rest-spread |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-object-rest-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-object-rest-spread) |
| Zowe API Mediation Layer | @babel/plugin-proposal-optional-catch-binding |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-optional-catch-binding](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-optional-catch-binding) |
| Zowe API Mediation Layer | @babel/plugin-proposal-unicode-property-regex |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-proposal-unicode-property-regex](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-proposal-unicode-property-regex) |
| Zowe API Mediation Layer | @babel/plugin-syntax-async-generators |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-async-generators](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-async-generators) |
| Zowe API Mediation Layer | @babel/plugin-syntax-class-properties |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-class-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-class-properties) |
| Zowe API Mediation Layer | @babel/plugin-syntax-decorators |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-decorators](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-decorators) |
| Zowe API Mediation Layer | @babel/plugin-syntax-dynamic-import |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-dynamic-import](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-dynamic-import) |
| Zowe API Mediation Layer | @babel/plugin-syntax-flow |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-flow](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-flow) |
| Zowe API Mediation Layer | @babel/plugin-syntax-json-strings |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-json-strings](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-json-strings) |
| Zowe API Mediation Layer | @babel/plugin-syntax-jsx |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-jsx](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-jsx) |
| Zowe API Mediation Layer | @babel/plugin-syntax-object-rest-spread |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-object-rest-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-object-rest-spread) |
| Zowe API Mediation Layer | @babel/plugin-syntax-optional-catch-binding |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-optional-catch-binding](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-optional-catch-binding) |
| Zowe API Mediation Layer | @babel/plugin-syntax-typescript |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-syntax-typescript](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-typescript) |
| Zowe API Mediation Layer | @babel/plugin-transform-arrow-functions |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-arrow-functions](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-arrow-functions) |
| Zowe API Mediation Layer | @babel/plugin-transform-async-to-generator |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-async-to-generator](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-async-to-generator) |
| Zowe API Mediation Layer | @babel/plugin-transform-block-scoped-functions |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-block-scoped-functions](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-block-scoped-functions) |
| Zowe API Mediation Layer | @babel/plugin-transform-block-scoping |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-block-scoping](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-block-scoping) |
| Zowe API Mediation Layer | @babel/plugin-transform-classes |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-classes](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-classes) |
| Zowe API Mediation Layer | @babel/plugin-transform-classes |  v7.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-classes](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-classes) |
| Zowe API Mediation Layer | @babel/plugin-transform-computed-properties |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-computed-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-computed-properties) |
| Zowe API Mediation Layer | @babel/plugin-transform-destructuring |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-destructuring](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-destructuring) |
| Zowe API Mediation Layer | @babel/plugin-transform-destructuring |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-destructuring](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-destructuring) |
| Zowe API Mediation Layer | @babel/plugin-transform-dotall-regex |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-dotall-regex](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-dotall-regex.git) |
| Zowe API Mediation Layer | @babel/plugin-transform-duplicate-keys |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-duplicate-keys](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-duplicate-keys) |
| Zowe API Mediation Layer | @babel/plugin-transform-exponentiation-operator |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-exponentiation-operator](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-exponentiation-operator) |
| Zowe API Mediation Layer | @babel/plugin-transform-flow-strip-types |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-flow-strip-types](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-flow-strip-types) |
| Zowe API Mediation Layer | @babel/plugin-transform-for-of |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-for-of](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-for-of) |
| Zowe API Mediation Layer | @babel/plugin-transform-function-name |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-function-name](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-function-name) |
| Zowe API Mediation Layer | @babel/plugin-transform-literals |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-literals](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-literals) |
| Zowe API Mediation Layer | @babel/plugin-transform-modules-amd |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-modules-amd](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-modules-amd) |
| Zowe API Mediation Layer | @babel/plugin-transform-modules-commonjs |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-modules-commonjs](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-modules-commonjs) |
| Zowe API Mediation Layer | @babel/plugin-transform-modules-systemjs |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-modules-systemjs](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-modules-systemjs) |
| Zowe API Mediation Layer | @babel/plugin-transform-modules-umd |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-modules-umd](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-modules-umd) |
| Zowe API Mediation Layer | @babel/plugin-transform-named-capturing-groups-regex |  v7.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-named-capturing-groups-regex](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-named-capturing-groups-regex) |
| Zowe API Mediation Layer | @babel/plugin-transform-new-target |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-new-target](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-new-target) |
| Zowe API Mediation Layer | @babel/plugin-transform-object-super |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-object-super](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-object-super) |
| Zowe API Mediation Layer | @babel/plugin-transform-parameters |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-parameters](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-parameters) |
| Zowe API Mediation Layer | @babel/plugin-transform-react-constant-elements |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-react-constant-elements](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-constant-elements) |
| Zowe API Mediation Layer | @babel/plugin-transform-react-constant-elements |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-react-constant-elements](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-constant-elements) |
| Zowe API Mediation Layer | @babel/plugin-transform-react-display-name |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-react-display-name](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-display-name) |
| Zowe API Mediation Layer | @babel/plugin-transform-react-display-name |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-react-display-name](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-display-name) |
| Zowe API Mediation Layer | @babel/plugin-transform-react-jsx |  v7.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-react-jsx](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-jsx) |
| Zowe API Mediation Layer | @babel/plugin-transform-react-jsx-self |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-react-jsx-self](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-jsx-self) |
| Zowe API Mediation Layer | @babel/plugin-transform-react-jsx-source |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-react-jsx-source](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-jsx-source) |
| Zowe API Mediation Layer | @babel/plugin-transform-regenerator |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-regenerator](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-regenerator) |
| Zowe API Mediation Layer | @babel/plugin-transform-runtime |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-runtime) |
| Zowe API Mediation Layer | @babel/plugin-transform-shorthand-properties |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-shorthand-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-shorthand-properties) |
| Zowe API Mediation Layer | @babel/plugin-transform-spread |  v7.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-spread) |
| Zowe API Mediation Layer | @babel/plugin-transform-sticky-regex |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-sticky-regex](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-sticky-regex) |
| Zowe API Mediation Layer | @babel/plugin-transform-template-literals |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-template-literals](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-template-literals) |
| Zowe API Mediation Layer | @babel/plugin-transform-typeof-symbol |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-typeof-symbol](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-typeof-symbol) |
| Zowe API Mediation Layer | @babel/plugin-transform-typescript |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-typescript](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-typescript) |
| Zowe API Mediation Layer | @babel/plugin-transform-unicode-regex |  v7.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/plugin-transform-unicode-regex](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-unicode-regex) |
| Zowe API Mediation Layer | @babel/preset-env |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/preset-env](https://www.github.com/babel/babel/tree/master/packages/babel-preset-env) |
| Zowe API Mediation Layer | @babel/preset-env |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/preset-env](https://www.github.com/babel/babel/tree/master/packages/babel-preset-env) |
| Zowe API Mediation Layer | @babel/preset-react |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/preset-react](https://www.github.com/babel/babel/tree/master/packages/babel-preset-react) |
| Zowe API Mediation Layer | @babel/preset-typescript |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/preset-typescript](https://www.github.com/babel/babel/tree/master/packages/babel-preset-typescript) |
| Zowe API Mediation Layer | @babel/runtime |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe API Mediation Layer | @babel/runtime |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe API Mediation Layer | @babel/template |  v7.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/template](https://www.github.com/babel/babel/tree/master/packages/babel-template) |
| Zowe API Mediation Layer | @babel/traverse |  v7.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/traverse](https://www.github.com/babel/babel/tree/master/packages/babel-traverse) |
| Zowe API Mediation Layer | @babel/types |  v7.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/types](https://www.github.com/babel/babel/tree/master/packages/babel-types) |
| Zowe API Mediation Layer | @braintree/sanitize-url |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [@braintree/sanitize-url](https://www.github.com/braintree/sanitize-url.git) |
| Zowe API Mediation Layer | @csstools/convert-colors |  v1.4.0 | CC0-1.0 | [@csstools/convert-colors](https://www.github.com/jonathantneal/convert-colors.git) |
| Zowe API Mediation Layer | @emotion/babel-utils |  v0.6.10 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/babel-utils](https://www.github.com/emotion-js/emotion/tree/master/next-packages/babel-utils) |
| Zowe API Mediation Layer | @emotion/hash |  v0.6.6 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/hash](https://www.github.com/emotion-js/emotion/tree/master/next-packages/hash) |
| Zowe API Mediation Layer | @emotion/is-prop-valid |  v0.6.8 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/is-prop-valid](https://www.github.com/emotion-js/emotion/tree/master/next-packages/is-prop-valid) |
| Zowe API Mediation Layer | @emotion/memoize |  v0.6.6 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/memoize](https://www.github.com/emotion-js/emotion/tree/master/next-packages/memoize) |
| Zowe API Mediation Layer | @emotion/serialize |  v0.9.1 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/serialize](https://www.github.com/emotion-js/emotion/tree/master/next-packages/serialize) |
| Zowe API Mediation Layer | @emotion/stylis |  v0.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/stylis](https://www.github.com/emotion-js/emotion/tree/master/next-packages/stylis) |
| Zowe API Mediation Layer | @emotion/unitless |  v0.6.7 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/unitless](https://www.github.com/emotion-js/emotion/tree/master/next-packages/unitless) |
| Zowe API Mediation Layer | @emotion/utils |  v0.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [@emotion/utils](https://www.github.com/emotion-js/emotion/tree/master/next-packages/serialize) |
| Zowe API Mediation Layer | @kyleshockey/js-yaml |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [@kyleshockey/js-yaml](https://www.github.com/shockey/js-yaml.git) |
| Zowe API Mediation Layer | @kyleshockey/object-assign-deep |  v0.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [@kyleshockey/object-assign-deep](https://www.github.com/saikojosh/Object-Assign-Deep.git) |
| Zowe API Mediation Layer | @kyleshockey/xml |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [@kyleshockey/xml](https://www.github.com/shockey/node-xml) |
| Zowe API Mediation Layer | @mrmlnc/readdir-enhanced |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [@mrmlnc/readdir-enhanced](https://www.github.com/bigstickcarpet/readdir-enhanced.git) |
| Zowe API Mediation Layer | @nodelib/fs.stat |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [@nodelib/fs.stat](https://www.github.com/nodelib/nodelib/tree/master/packages/fs/fs.stat) |
| Zowe API Mediation Layer | @svgr/core |  v2.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [@svgr/core](https://www.github.com/smooth-code/svgr.git) |
| Zowe API Mediation Layer | @svgr/webpack |  v2.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [@svgr/webpack](https://www.github.com/smooth-code/svgr.git) |
| Zowe API Mediation Layer | @types/node |  v10.12.19 | [MIT](http://opensource.org/licenses/mit-license) | [@types/node](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Zowe API Mediation Layer | @types/q |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [@types/q](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Zowe API Mediation Layer | @types/react |  v16.4.6 | [MIT](http://opensource.org/licenses/mit-license) | [@types/react](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Zowe API Mediation Layer | @types/tapable |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [@types/tapable](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Zowe API Mediation Layer | @webassemblyjs/ast |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/ast](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/floating-point-hex-parser |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/floating-point-hex-parser](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/helper-api-error |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/helper-api-error](https://www.npmjs.com/package/@webassemblyjs/helper-api-error) |
| Zowe API Mediation Layer | @webassemblyjs/helper-buffer |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/helper-buffer](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/helper-code-frame |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/helper-code-frame](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/helper-fsm |  v1.7.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [@webassemblyjs/helper-fsm](https://www.npmjs.com/package/@webassemblyjs/helper-fsm) |
| Zowe API Mediation Layer | @webassemblyjs/helper-module-context |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/helper-module-context](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/helper-wasm-bytecode |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/helper-wasm-bytecode](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/helper-wasm-section |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/helper-wasm-section](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/ieee754 |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/ieee754](https://www.npmjs.com/package/@webassemblyjs/ieee754) |
| Zowe API Mediation Layer | @webassemblyjs/leb128 |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/leb128](https://www.npmjs.com/package/@webassemblyjs/leb128) |
| Zowe API Mediation Layer | @webassemblyjs/utf8 |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/utf8](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/wasm-edit |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/wasm-edit](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/wasm-gen |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/wasm-gen](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/wasm-opt |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/wasm-opt](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/wasm-parser |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/wasm-parser](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/wast-parser |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/wast-parser](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @webassemblyjs/wast-printer |  v1.7.6 | [MIT](http://opensource.org/licenses/mit-license) | [@webassemblyjs/wast-printer](https://www.github.com/xtuc/webassemblyjs.git) |
| Zowe API Mediation Layer | @xtuc/ieee754 |  v1.2.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [@xtuc/ieee754](https://www.github.com/feross/ieee754.git) |
| Zowe API Mediation Layer | @xtuc/long |  v4.2.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [@xtuc/long](https://www.github.com/dcodeIO/long.js.git) |
| Zowe API Mediation Layer | JSONStream |  v1.3.5 | (MIT OR Apache-2.0) | [JSONStream](https://www.github.com/dominictarr/JSONStream.git) |
| Zowe API Mediation Layer | abab |  v2.0.0 | SEE LICENSE IN LICENSE.md | [abab](https://www.github.com/jsdom/abab.git) |
| Zowe API Mediation Layer | abbrev |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [abbrev](https://www.github.com/isaacs/abbrev-js) |
| Zowe API Mediation Layer | accepts |  v1.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [accepts](https://www.github.com/jshttp/accepts.git) |
| Zowe API Mediation Layer | acorn |  v5.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [acorn](https://www.github.com/acornjs/acorn.git) |
| Zowe API Mediation Layer | acorn |  v6.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [acorn](https://www.github.com/acornjs/acorn.git) |
| Zowe API Mediation Layer | acorn-dynamic-import |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [acorn-dynamic-import](https://www.github.com/kesne/acorn-dynamic-import) |
| Zowe API Mediation Layer | acorn-globals |  v4.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [acorn-globals](https://www.github.com/ForbesLindesay/acorn-globals.git) |
| Zowe API Mediation Layer | acorn-jsx |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [acorn-jsx](https://www.github.com/RReverser/acorn-jsx) |
| Zowe API Mediation Layer | acorn-walk |  v6.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [acorn-walk](https://www.github.com/acornjs/acorn.git) |
| Zowe API Mediation Layer | address |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [address](https://www.github.com/node-modules/address.git) |
| Zowe API Mediation Layer | agent-base |  v4.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [agent-base](https://www.github.com/TooTallNate/node-agent-base.git) |
| Zowe API Mediation Layer | agentkeepalive |  v3.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [agentkeepalive](https://www.github.com/node-modules/agentkeepalive.git) |
| Zowe API Mediation Layer | ajv |  v6.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv](https://www.github.com/epoberezkin/ajv.git) |
| Zowe API Mediation Layer | ajv-errors |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [ajv-errors](https://www.github.com/epoberezkin/ajv-errors.git) |
| Zowe API Mediation Layer | ajv-keywords |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv-keywords](https://www.github.com/epoberezkin/ajv-keywords.git) |
| Zowe API Mediation Layer | alphanum-sort |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [alphanum-sort](https://www.github.com/TrySound/alphanum-sort.git) |
| Zowe API Mediation Layer | amator |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [amator](https://www.github.com/anvaka/amator) |
| Zowe API Mediation Layer | ansi-align |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ansi-align](https://www.github.com/nexdrew/ansi-align.git) |
| Zowe API Mediation Layer | ansi-colors |  v3.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-colors](https://www.github.com/doowb/ansi-colors.git) |
| Zowe API Mediation Layer | ansi-escapes |  v3.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-escapes](https://www.github.com/sindresorhus/ansi-escapes.git) |
| Zowe API Mediation Layer | ansi-html |  v0.0.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [ansi-html](https://www.github.com/Tjatse/ansi-html.git) |
| Zowe API Mediation Layer | ansi-regex |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe API Mediation Layer | ansi-regex |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe API Mediation Layer | ansi-regex |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe API Mediation Layer | ansi-styles |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-styles](https://www.github.com/chalk/ansi-styles.git) |
| Zowe API Mediation Layer | ansi-styles |  v3.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-styles](https://www.github.com/chalk/ansi-styles.git) |
| Zowe API Mediation Layer | ansicolors |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [ansicolors](https://www.github.com/thlorenz/ansicolors.git) |
| Zowe API Mediation Layer | ansistyles |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [ansistyles](https://www.github.com/thlorenz/ansistyles.git) |
| Zowe API Mediation Layer | anymatch |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [anymatch](https://www.github.com/micromatch/anymatch) |
| Zowe API Mediation Layer | append-transform |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [append-transform](https://www.github.com/jamestalmage/append-transform.git) |
| Zowe API Mediation Layer | aproba |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Zowe API Mediation Layer | aproba |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Zowe API Mediation Layer | archy |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [archy](https://www.github.com/substack/node-archy.git) |
| Zowe API Mediation Layer | are-we-there-yet |  v1.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [are-we-there-yet](https://www.github.com/iarna/are-we-there-yet.git) |
| Zowe API Mediation Layer | argparse |  v0.1.16 | [MIT](http://opensource.org/licenses/mit-license) | [argparse](https://www.github.com/nodeca/argparse.git) |
| Zowe API Mediation Layer | argparse |  v1.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [argparse](https://www.github.com/nodeca/argparse.git) |
| Zowe API Mediation Layer | aria-query |  v3.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [aria-query](https://www.github.com/A11yance/aria-query.git) |
| Zowe API Mediation Layer | arr-diff |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-diff](https://www.github.com/jonschlinkert/arr-diff.git) |
| Zowe API Mediation Layer | arr-diff |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-diff](https://www.github.com/jonschlinkert/arr-diff.git) |
| Zowe API Mediation Layer | arr-flatten |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-flatten](https://www.github.com/jonschlinkert/arr-flatten.git) |
| Zowe API Mediation Layer | arr-union |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-union](https://www.github.com/jonschlinkert/arr-union.git) |
| Zowe API Mediation Layer | array-equal |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [array-equal](https://www.github.com/component/array-equal.git) |
| Zowe API Mediation Layer | array-filter |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [array-filter](https://www.github.com/juliangruber/array-filter.git) |
| Zowe API Mediation Layer | array-flatten |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [array-flatten](https://www.github.com/blakeembrey/array-flatten.git) |
| Zowe API Mediation Layer | array-flatten |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-flatten](https://www.github.com/blakeembrey/array-flatten.git) |
| Zowe API Mediation Layer | array-includes |  v3.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [array-includes](https://www.github.com/ljharb/array-includes.git) |
| Zowe API Mediation Layer | array-map |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [array-map](https://www.github.com/substack/array-map.git) |
| Zowe API Mediation Layer | array-reduce |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [array-reduce](https://www.github.com/substack/array-reduce.git) |
| Zowe API Mediation Layer | array-union |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-union](https://www.github.com/sindresorhus/array-union.git) |
| Zowe API Mediation Layer | array-uniq |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [array-uniq](https://www.github.com/sindresorhus/array-uniq.git) |
| Zowe API Mediation Layer | array-unique |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [array-unique](https://www.github.com/jonschlinkert/array-unique.git) |
| Zowe API Mediation Layer | array-unique |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-unique](https://www.github.com/jonschlinkert/array-unique.git) |
| Zowe API Mediation Layer | arrify |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [arrify](https://www.github.com/sindresorhus/arrify.git) |
| Zowe API Mediation Layer | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Zowe API Mediation Layer | asn1 |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [asn1](https://www.github.com/joyent/node-asn1.git) |
| Zowe API Mediation Layer | asn1.js |  v4.10.1 | [MIT](http://opensource.org/licenses/mit-license) | [asn1.js](https://www.github.com/indutny/asn1.js) |
| Zowe API Mediation Layer | assert |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [assert](https://www.github.com/defunctzombie/commonjs-assert.git) |
| Zowe API Mediation Layer | assert-plus |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assert-plus](https://www.github.com/mcavage/node-assert-plus.git) |
| Zowe API Mediation Layer | assign-symbols |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assign-symbols](https://www.github.com/jonschlinkert/assign-symbols.git) |
| Zowe API Mediation Layer | ast-types-flow |  v0.0.7 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ast-types-flow](https://www.github.com/kyldvs/ast-types-flow.git) |
| Zowe API Mediation Layer | astral-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [astral-regex](https://www.github.com/kevva/astral-regex.git) |
| Zowe API Mediation Layer | async |  v1.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [async](https://www.github.com/caolan/async.git) |
| Zowe API Mediation Layer | async |  v2.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [async](https://www.github.com/caolan/async.git) |
| Zowe API Mediation Layer | async-each |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [async-each](https://www.github.com/paulmillr/async-each.git) |
| Zowe API Mediation Layer | async-limiter |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [async-limiter](https://www.github.com/strml/async-limiter.git) |
| Zowe API Mediation Layer | asynckit |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [asynckit](https://www.github.com/alexindigo/asynckit.git) |
| Zowe API Mediation Layer | atob |  v2.1.2 | (MIT OR Apache-2.0) | [atob](git://git.coolaj86.com/coolaj86/atob.js.git) |
| Zowe API Mediation Layer | autolinker |  v0.15.3 | MIT Licensed. http://www.opensource.org/licenses/mit-license.php | [autolinker](https://www.github.com/gregjacobs/Autolinker.js.git) |
| Zowe API Mediation Layer | autoprefixer |  v9.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [autoprefixer](https://www.github.com/postcss/autoprefixer.git) |
| Zowe API Mediation Layer | aws-sign2 |  v0.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [aws-sign2](https://www.github.com/mikeal/aws-sign) |
| Zowe API Mediation Layer | aws4 |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [aws4](https://www.github.com/mhart/aws4.git) |
| Zowe API Mediation Layer | axobject-query |  v2.0.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [axobject-query](https://www.github.com/A11yance/axobject-query.git) |
| Zowe API Mediation Layer | babel-code-frame |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-code-frame](https://www.github.com/babel/babel/tree/master/packages/babel-code-frame) |
| Zowe API Mediation Layer | babel-core |  v6.26.3 | [MIT](http://opensource.org/licenses/mit-license) | [babel-core](https://www.github.com/babel/babel/tree/master/packages/babel-core) |
| Zowe API Mediation Layer | babel-core |  v7.0.0-bridge.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-core](https://www.npmjs.com/package/babel-core) |
| Zowe API Mediation Layer | babel-eslint |  v9.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-eslint](https://www.github.com/babel/babel-eslint.git) |
| Zowe API Mediation Layer | babel-extract-comments |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-extract-comments](https://www.github.com/jonschlinkert/babel-extract-comments.git) |
| Zowe API Mediation Layer | babel-generator |  v6.26.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-generator](https://www.github.com/babel/babel/tree/master/packages/babel-generator) |
| Zowe API Mediation Layer | babel-helpers |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helpers](https://www.github.com/babel/babel/tree/master/packages/babel-helpers) |
| Zowe API Mediation Layer | babel-jest |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-jest](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | babel-loader |  v8.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [babel-loader](https://www.github.com/babel/babel-loader.git) |
| Zowe API Mediation Layer | babel-messages |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-messages](https://www.github.com/babel/babel/tree/master/packages/babel-messages) |
| Zowe API Mediation Layer | babel-plugin-dynamic-import-node |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-dynamic-import-node](https://www.github.com/airbnb/babel-plugin-dynamic-import-node.git) |
| Zowe API Mediation Layer | babel-plugin-emotion |  v9.2.11 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-emotion](https://www.github.com/emotion-js/emotion/tree/master/packages/babel-plugin-emotion) |
| Zowe API Mediation Layer | babel-plugin-istanbul |  v4.1.6 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [babel-plugin-istanbul](https://www.github.com/istanbuljs/babel-plugin-istanbul.git) |
| Zowe API Mediation Layer | babel-plugin-jest-hoist |  v23.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-jest-hoist](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | babel-plugin-macros |  v2.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-macros](https://www.github.com/kentcdodds/babel-plugin-macros.git) |
| Zowe API Mediation Layer | babel-plugin-macros |  v2.4.5 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-macros](https://www.github.com/kentcdodds/babel-plugin-macros.git) |
| Zowe API Mediation Layer | babel-plugin-named-asset-import |  v0.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-named-asset-import](https://www.github.com/facebookincubator/create-react-app.git) |
| Zowe API Mediation Layer | babel-plugin-syntax-jsx |  v6.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-jsx](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-jsx) |
| Zowe API Mediation Layer | babel-plugin-syntax-object-rest-spread |  v6.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-object-rest-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-object-rest-spread) |
| Zowe API Mediation Layer | babel-plugin-transform-object-rest-spread |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-object-rest-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-object-rest-spread) |
| Zowe API Mediation Layer | babel-plugin-transform-react-remove-prop-types |  v0.4.18 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-react-remove-prop-types](https://www.github.com/oliviertassinari/babel-plugin-transform-react-remove-prop-types.git) |
| Zowe API Mediation Layer | babel-preset-jest |  v23.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-preset-jest](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | babel-preset-react-app |  v6.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-preset-react-app](https://www.github.com/facebook/create-react-app.git) |
| Zowe API Mediation Layer | babel-register |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-register](https://www.github.com/babel/babel/tree/master/packages/babel-register) |
| Zowe API Mediation Layer | babel-runtime |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe API Mediation Layer | babel-template |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-template](https://www.github.com/babel/babel/tree/master/packages/babel-template) |
| Zowe API Mediation Layer | babel-traverse |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-traverse](https://www.github.com/babel/babel/tree/master/packages/babel-traverse) |
| Zowe API Mediation Layer | babel-types |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-types](https://www.github.com/babel/babel/tree/master/packages/babel-types) |
| Zowe API Mediation Layer | babylon |  v6.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [babylon](https://www.github.com/babel/babylon) |
| Zowe API Mediation Layer | balanced-match |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Zowe API Mediation Layer | base |  v0.11.2 | [MIT](http://opensource.org/licenses/mit-license) | [base](https://www.github.com/node-base/base.git) |
| Zowe API Mediation Layer | base64-js |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [base64-js](https://www.github.com/beatgammit/base64-js.git) |
| Zowe API Mediation Layer | batch |  v0.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [batch](https://www.github.com/visionmedia/batch.git) |
| Zowe API Mediation Layer | bcrypt-pbkdf |  v1.0.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [bcrypt-pbkdf](https://www.github.com/joyent/node-bcrypt-pbkdf.git) |
| Zowe API Mediation Layer | bezier-easing |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [bezier-easing](https://www.github.com/gre/bezier-easing.git) |
| Zowe API Mediation Layer | bfj |  v6.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [bfj](https://gitlab.com/philbooth/bfj.git) |
| Zowe API Mediation Layer | big.js |  v3.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe API Mediation Layer | big.js |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe API Mediation Layer | bin-links |  v1.1.2 | Artistic-2.0 | [bin-links](https://www.github.com/npm/bin-links.git) |
| Zowe API Mediation Layer | binary-extensions |  v1.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [binary-extensions](https://www.github.com/sindresorhus/binary-extensions.git) |
| Zowe API Mediation Layer | block-stream |  v0.0.9 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [block-stream](https://www.github.com/isaacs/block-stream.git) |
| Zowe API Mediation Layer | bluebird |  v3.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |
| Zowe API Mediation Layer | bn.js |  v4.11.8 | [MIT](http://opensource.org/licenses/mit-license) | [bn.js](https://www.github.com/indutny/bn.js) |
| Zowe API Mediation Layer | body-parser |  v1.18.3 | [MIT](http://opensource.org/licenses/mit-license) | [body-parser](https://www.github.com/expressjs/body-parser.git) |
| Zowe API Mediation Layer | bonjour |  v3.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [bonjour](https://www.github.com/watson/bonjour.git) |
| Zowe API Mediation Layer | boolbase |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [boolbase](https://www.github.com/fb55/boolbase) |
| Zowe API Mediation Layer | boxen |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [boxen](https://www.github.com/sindresorhus/boxen.git) |
| Zowe API Mediation Layer | brace-expansion |  v1.1.11 | [MIT](http://opensource.org/licenses/mit-license) | [brace-expansion](https://www.github.com/juliangruber/brace-expansion.git) |
| Zowe API Mediation Layer | braces |  v1.8.5 | [MIT](http://opensource.org/licenses/mit-license) | [braces](https://www.github.com/jonschlinkert/braces.git) |
| Zowe API Mediation Layer | braces |  v2.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [braces](https://www.github.com/micromatch/braces.git) |
| Zowe API Mediation Layer | brorand |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [brorand](https://www.github.com/indutny/brorand) |
| Zowe API Mediation Layer | browser-process-hrtime |  v0.1.3 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [browser-process-hrtime](https://www.github.com/kumavis/browser-process-hrtime.git) |
| Zowe API Mediation Layer | browser-resolve |  v1.11.3 | [MIT](http://opensource.org/licenses/mit-license) | [browser-resolve](https://www.github.com/shtylman/node-browser-resolve.git) |
| Zowe API Mediation Layer | browserify-aes |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-aes](https://www.github.com/crypto-browserify/browserify-aes.git) |
| Zowe API Mediation Layer | browserify-cipher |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-cipher](https://www.github.com/crypto-browserify/browserify-cipher.git) |
| Zowe API Mediation Layer | browserify-des |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-des](https://www.github.com/crypto-browserify/browserify-des.git) |
| Zowe API Mediation Layer | browserify-rsa |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-rsa](https://www.github.com/crypto-browserify/browserify-rsa.git) |
| Zowe API Mediation Layer | browserify-sign |  v4.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [browserify-sign](https://www.github.com/crypto-browserify/browserify-sign.git) |
| Zowe API Mediation Layer | browserify-zlib |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-zlib](https://www.github.com/devongovett/browserify-zlib.git) |
| Zowe API Mediation Layer | browserslist |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [browserslist](https://www.github.com/browserslist/browserslist.git) |
| Zowe API Mediation Layer | browserslist |  v4.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [browserslist](https://www.github.com/browserslist/browserslist.git) |
| Zowe API Mediation Layer | bser |  v2.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [bser](https://www.github.com/facebook/watchman) |
| Zowe API Mediation Layer | btoa |  v1.1.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [btoa](https://www.github.com/coolaj86/node-browser-compat.git) |
| Zowe API Mediation Layer | buffer |  v4.9.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer](https://www.github.com/feross/buffer.git) |
| Zowe API Mediation Layer | buffer |  v5.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer](https://www.github.com/feross/buffer.git) |
| Zowe API Mediation Layer | buffer-from |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-from](https://www.github.com/LinusU/buffer-from.git) |
| Zowe API Mediation Layer | buffer-indexof |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-indexof](https://www.github.com/soldair/node-buffer-indexof.git) |
| Zowe API Mediation Layer | buffer-xor |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-xor](https://www.github.com/crypto-browserify/buffer-xor.git) |
| Zowe API Mediation Layer | builtin-modules |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [builtin-modules](https://www.github.com/sindresorhus/builtin-modules.git) |
| Zowe API Mediation Layer | builtin-status-codes |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [builtin-status-codes](https://www.github.com/bendrucker/builtin-status-codes.git) |
| Zowe API Mediation Layer | builtins |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [builtins](https://www.github.com/juliangruber/builtins.git) |
| Zowe API Mediation Layer | byline |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [byline](https://www.github.com/jahewson/node-byline) |
| Zowe API Mediation Layer | byte-size |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [byte-size](https://www.github.com/75lb/byte-size.git) |
| Zowe API Mediation Layer | bytes |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [bytes](https://www.github.com/visionmedia/bytes.js.git) |
| Zowe API Mediation Layer | cacache |  v10.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cacache](https://www.github.com/zkat/cacache) |
| Zowe API Mediation Layer | cacache |  v11.3.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cacache](https://www.github.com/zkat/cacache) |
| Zowe API Mediation Layer | cache-base |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [cache-base](https://www.github.com/jonschlinkert/cache-base.git) |
| Zowe API Mediation Layer | call-limit |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [call-limit](https://www.github.com/iarna/call-limit) |
| Zowe API Mediation Layer | call-me-maybe |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [call-me-maybe](https://www.github.com/limulus/call-me-maybe.git) |
| Zowe API Mediation Layer | caller-callsite |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [caller-callsite](https://www.github.com/sindresorhus/caller-callsite.git) |
| Zowe API Mediation Layer | caller-path |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [caller-path](https://www.github.com/sindresorhus/caller-path.git) |
| Zowe API Mediation Layer | caller-path |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [caller-path](https://www.github.com/sindresorhus/caller-path.git) |
| Zowe API Mediation Layer | callsites |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [callsites](https://www.github.com/sindresorhus/callsites.git) |
| Zowe API Mediation Layer | callsites |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [callsites](https://www.github.com/sindresorhus/callsites.git) |
| Zowe API Mediation Layer | camel-case |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [camel-case](https://www.github.com/blakeembrey/camel-case.git) |
| Zowe API Mediation Layer | camelcase |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe API Mediation Layer | camelcase |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe API Mediation Layer | caniuse-api |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [caniuse-api](https://www.github.com/nyalab/caniuse-api.git) |
| Zowe API Mediation Layer | caniuse-lite |  v1.0.30000932 | CC-BY-4.0 | [caniuse-lite](https://www.github.com/ben-eb/caniuse-lite.git) |
| Zowe API Mediation Layer | capture-exit |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [capture-exit](https://www.github.com/stefanpenner/capture-exit.git) |
| Zowe API Mediation Layer | capture-stack-trace |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [capture-stack-trace](https://www.github.com/floatdrop/capture-stack-trace.git) |
| Zowe API Mediation Layer | case-sensitive-paths-webpack-plugin |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [case-sensitive-paths-webpack-plugin](https://www.github.com/Urthen/case-sensitive-paths-webpack-plugin.git) |
| Zowe API Mediation Layer | caseless |  v0.12.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [caseless](https://www.github.com/mikeal/caseless) |
| Zowe API Mediation Layer | chain-function |  v1.0.1 | UNKNOWN | [chain-function](https://www.npmjs.com/package/chain-function) |
| Zowe API Mediation Layer | chalk |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Zowe API Mediation Layer | chalk |  v2.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Zowe API Mediation Layer | chalk |  v2.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Zowe API Mediation Layer | change-emitter |  v0.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [change-emitter](https://www.github.com/acdlite/change-emitter.git) |
| Zowe API Mediation Layer | chardet |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [chardet](https://www.github.com/runk/node-chardet.git) |
| Zowe API Mediation Layer | check-types |  v7.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [check-types](https://gitlab.com/philbooth/check-types.js.git) |
| Zowe API Mediation Layer | chokidar |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [chokidar](https://www.github.com/paulmillr/chokidar.git) |
| Zowe API Mediation Layer | chownr |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [chownr](https://www.github.com/isaacs/chownr.git) |
| Zowe API Mediation Layer | chrome-trace-event |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [chrome-trace-event](https://www.github.com/samccone/chrome-trace-event) |
| Zowe API Mediation Layer | ci-info |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [ci-info](https://www.github.com/watson/ci-info.git) |
| Zowe API Mediation Layer | ci-info |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ci-info](https://www.github.com/watson/ci-info.git) |
| Zowe API Mediation Layer | cidr-regex |  v2.0.10 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [cidr-regex](https://www.github.com/silverwind/cidr-regex.git) |
| Zowe API Mediation Layer | cipher-base |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [cipher-base](https://www.github.com/crypto-browserify/cipher-base.git) |
| Zowe API Mediation Layer | circular-json |  v0.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [circular-json](https://www.github.com/WebReflection/circular-json.git) |
| Zowe API Mediation Layer | class-utils |  v0.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [class-utils](https://www.github.com/jonschlinkert/class-utils.git) |
| Zowe API Mediation Layer | classnames |  v2.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [classnames](https://www.github.com/JedWatson/classnames.git) |
| Zowe API Mediation Layer | clean-css |  v4.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [clean-css](https://www.github.com/jakubpawlowicz/clean-css.git) |
| Zowe API Mediation Layer | cli-boxes |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cli-boxes](https://www.github.com/sindresorhus/cli-boxes.git) |
| Zowe API Mediation Layer | cli-columns |  v3.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [cli-columns](https://www.github.com/shannonmoeller/cli-columns.git) |
| Zowe API Mediation Layer | cli-cursor |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cli-cursor](https://www.github.com/sindresorhus/cli-cursor.git) |
| Zowe API Mediation Layer | cli-table3 |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [cli-table3](https://www.github.com/cli-table/cli-table3.git) |
| Zowe API Mediation Layer | cli-width |  v2.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cli-width](https://www.github.com/knownasilya/cli-width.git) |
| Zowe API Mediation Layer | cliui |  v4.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Zowe API Mediation Layer | clone |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [clone](https://www.github.com/pvorb/node-clone.git) |
| Zowe API Mediation Layer | clone-deep |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [clone-deep](https://www.github.com/jonschlinkert/clone-deep.git) |
| Zowe API Mediation Layer | clone-deep |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [clone-deep](https://www.github.com/jonschlinkert/clone-deep.git) |
| Zowe API Mediation Layer | cmd-shim |  v2.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [cmd-shim](https://www.github.com/ForbesLindesay/cmd-shim.git) |
| Zowe API Mediation Layer | co |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [co](https://www.github.com/tj/co.git) |
| Zowe API Mediation Layer | coa |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [coa](https://www.github.com/veged/coa.git) |
| Zowe API Mediation Layer | code-point-at |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [code-point-at](https://www.github.com/sindresorhus/code-point-at.git) |
| Zowe API Mediation Layer | collection-visit |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [collection-visit](https://www.github.com/jonschlinkert/collection-visit.git) |
| Zowe API Mediation Layer | color |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [color](https://www.github.com/Qix-/color.git) |
| Zowe API Mediation Layer | color-convert |  v1.9.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-convert](https://www.github.com/Qix-/color-convert.git) |
| Zowe API Mediation Layer | color-name |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-name](https://www.github.com/dfcreative/color-name.git) |
| Zowe API Mediation Layer | color-name |  v1.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [color-name](https://www.github.com/colorjs/color-name.git) |
| Zowe API Mediation Layer | color-string |  v1.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-string](https://www.github.com/Qix-/color-string.git) |
| Zowe API Mediation Layer | colors |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [colors](https://www.github.com/Marak/colors.js.git) |
| Zowe API Mediation Layer | colors |  v1.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [colors](https://www.github.com/Marak/colors.js.git) |
| Zowe API Mediation Layer | columnify |  v1.5.4 | [MIT](http://opensource.org/licenses/mit-license) | [columnify](https://www.github.com/timoxley/columnify.git) |
| Zowe API Mediation Layer | combined-stream |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [combined-stream](https://www.github.com/felixge/node-combined-stream.git) |
| Zowe API Mediation Layer | commander |  v2.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [commander](https://www.github.com/tj/commander.js.git) |
| Zowe API Mediation Layer | commander |  v2.17.1 | [MIT](http://opensource.org/licenses/mit-license) | [commander](https://www.github.com/tj/commander.js.git) |
| Zowe API Mediation Layer | commander |  v2.19.0 | [MIT](http://opensource.org/licenses/mit-license) | [commander](https://www.github.com/tj/commander.js.git) |
| Zowe API Mediation Layer | common-tags |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [common-tags](https://www.github.com/declandewet/common-tags) |
| Zowe API Mediation Layer | commondir |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [commondir](https://www.github.com/substack/node-commondir.git) |
| Zowe API Mediation Layer | component-emitter |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [component-emitter](https://www.github.com/component/emitter.git) |
| Zowe API Mediation Layer | compressible |  v2.0.15 | [MIT](http://opensource.org/licenses/mit-license) | [compressible](https://www.github.com/jshttp/compressible.git) |
| Zowe API Mediation Layer | compression |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [compression](https://www.github.com/expressjs/compression.git) |
| Zowe API Mediation Layer | concat-map |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [concat-map](https://www.github.com/substack/node-concat-map.git) |
| Zowe API Mediation Layer | concat-stream |  v1.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [concat-stream](https://www.github.com/maxogden/concat-stream.git) |
| Zowe API Mediation Layer | config-chain |  v1.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [config-chain](https://www.github.com/dominictarr/config-chain.git) |
| Zowe API Mediation Layer | configstore |  v3.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [configstore](https://www.github.com/yeoman/configstore.git) |
| Zowe API Mediation Layer | confusing-browser-globals |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [confusing-browser-globals](https://www.github.com/facebook/create-react-app.git) |
| Zowe API Mediation Layer | connect-history-api-fallback |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [connect-history-api-fallback](https://www.github.com/bripkens/connect-history-api-fallback.git) |
| Zowe API Mediation Layer | console-browserify |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [console-browserify](https://www.github.com/Raynos/console-browserify.git) |
| Zowe API Mediation Layer | console-control-strings |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [console-control-strings](https://www.github.com/iarna/console-control-strings) |
| Zowe API Mediation Layer | constants-browserify |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [constants-browserify](https://www.github.com/juliangruber/constants-browserify.git) |
| Zowe API Mediation Layer | contains-path |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [contains-path](https://www.github.com/jonschlinkert/contains-path.git) |
| Zowe API Mediation Layer | content-disposition |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [content-disposition](https://www.github.com/jshttp/content-disposition.git) |
| Zowe API Mediation Layer | content-type |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [content-type](https://www.github.com/jshttp/content-type.git) |
| Zowe API Mediation Layer | convert-source-map |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [convert-source-map](https://www.github.com/thlorenz/convert-source-map.git) |
| Zowe API Mediation Layer | cookie |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [cookie](https://www.github.com/jshttp/cookie.git) |
| Zowe API Mediation Layer | cookie-signature |  v1.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [cookie-signature](https://www.github.com/visionmedia/node-cookie-signature.git) |
| Zowe API Mediation Layer | copy-concurrently |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [copy-concurrently](https://www.github.com/npm/copy-concurrently.git) |
| Zowe API Mediation Layer | copy-descriptor |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [copy-descriptor](https://www.github.com/jonschlinkert/copy-descriptor.git) |
| Zowe API Mediation Layer | core-js |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe API Mediation Layer | core-js |  v2.5.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe API Mediation Layer | core-js |  v2.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe API Mediation Layer | core-util-is |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [core-util-is](https://www.github.com/isaacs/core-util-is) |
| Zowe API Mediation Layer | cosmiconfig |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cosmiconfig](https://www.github.com/davidtheclark/cosmiconfig.git) |
| Zowe API Mediation Layer | cosmiconfig |  v5.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [cosmiconfig](https://www.github.com/davidtheclark/cosmiconfig.git) |
| Zowe API Mediation Layer | create-ecdh |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [create-ecdh](https://www.github.com/crypto-browserify/createECDH.git) |
| Zowe API Mediation Layer | create-emotion |  v9.2.12 | [MIT](http://opensource.org/licenses/mit-license) | [create-emotion](https://www.github.com/emotion-js/emotion/tree/master/packages/create-emotion) |
| Zowe API Mediation Layer | create-emotion-styled |  v9.2.8 | [MIT](http://opensource.org/licenses/mit-license) | [create-emotion-styled](https://www.github.com/emotion-js/emotion/tree/master/packages/create-emotion-styled) |
| Zowe API Mediation Layer | create-error-class |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [create-error-class](https://www.github.com/floatdrop/create-error-class.git) |
| Zowe API Mediation Layer | create-hash |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [create-hash](https://www.github.com/crypto-browserify/createHash.git) |
| Zowe API Mediation Layer | create-hmac |  v1.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [create-hmac](https://www.github.com/crypto-browserify/createHmac.git) |
| Zowe API Mediation Layer | create-react-class |  v15.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [create-react-class](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | create-react-context |  v0.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [create-react-context](https://www.github.com/thejameskyle/create-react-context) |
| Zowe API Mediation Layer | cross-fetch |  v0.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [cross-fetch](https://www.github.com/lquixada/cross-fetch.git) |
| Zowe API Mediation Layer | cross-spawn |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cross-spawn](https://www.github.com/IndigoUnited/node-cross-spawn.git) |
| Zowe API Mediation Layer | cross-spawn |  v6.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [cross-spawn](https://www.github.com/moxystudio/node-cross-spawn.git) |
| Zowe API Mediation Layer | crypto-browserify |  v3.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [crypto-browserify](https://www.github.com/crypto-browserify/crypto-browserify.git) |
| Zowe API Mediation Layer | crypto-random-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [crypto-random-string](https://www.github.com/sindresorhus/crypto-random-string.git) |
| Zowe API Mediation Layer | css-color-names |  v0.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [css-color-names](https://www.github.com/bahamas10/css-color-names.git) |
| Zowe API Mediation Layer | css-declaration-sorter |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [css-declaration-sorter](https://www.github.com/Siilwyn/css-declaration-sorter.git) |
| Zowe API Mediation Layer | css-loader |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [css-loader](https://www.github.com/webpack-contrib/css-loader.git) |
| Zowe API Mediation Layer | css-select |  v1.2.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [css-select](https://www.github.com/fb55/css-select.git) |
| Zowe API Mediation Layer | css-select |  v2.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [css-select](https://www.github.com/fb55/css-select.git) |
| Zowe API Mediation Layer | css-select-base-adapter |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [css-select-base-adapter](https://www.github.com/nrkn/css-select-base-adapter.git) |
| Zowe API Mediation Layer | css-selector-tokenizer |  v0.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [css-selector-tokenizer](https://www.github.com/css-modules/css-selector-tokenizer.git) |
| Zowe API Mediation Layer | css-tree |  v1.0.0-alpha.28 | [MIT](http://opensource.org/licenses/mit-license) | [css-tree](https://www.github.com/csstree/csstree.git) |
| Zowe API Mediation Layer | css-tree |  v1.0.0-alpha.29 | [MIT](http://opensource.org/licenses/mit-license) | [css-tree](https://www.github.com/csstree/csstree.git) |
| Zowe API Mediation Layer | css-unit-converter |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [css-unit-converter](https://www.github.com/andyjansson/css-unit-converter.git) |
| Zowe API Mediation Layer | css-url-regex |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [css-url-regex](https://www.github.com/johnotander/css-url-regex.git) |
| Zowe API Mediation Layer | css-what |  v2.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [css-what](https://www.github.com/fb55/css-what) |
| Zowe API Mediation Layer | css.escape |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [css.escape](https://www.github.com/mathiasbynens/CSS.escape.git) |
| Zowe API Mediation Layer | cssdb |  v3.2.1 | CC0-1.0 | [cssdb](https://www.github.com/csstools/cssdb.git) |
| Zowe API Mediation Layer | cssesc |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cssesc](https://www.github.com/mathiasbynens/cssesc.git) |
| Zowe API Mediation Layer | cssesc |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cssesc](https://www.github.com/mathiasbynens/cssesc.git) |
| Zowe API Mediation Layer | cssnano |  v4.1.8 | [MIT](http://opensource.org/licenses/mit-license) | [cssnano](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | cssnano-preset-default |  v4.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [cssnano-preset-default](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | cssnano-util-get-arguments |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cssnano-util-get-arguments](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | cssnano-util-get-match |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cssnano-util-get-match](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | cssnano-util-raw-cache |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [cssnano-util-raw-cache](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | cssnano-util-same-parent |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [cssnano-util-same-parent](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | csso |  v3.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [csso](https://www.github.com/css/csso.git) |
| Zowe API Mediation Layer | cssom |  v0.3.4 | [MIT](http://opensource.org/licenses/mit-license) | [cssom](https://www.github.com/NV/CSSOM.git) |
| Zowe API Mediation Layer | cssstyle |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [cssstyle](https://www.github.com/jsakas/CSSStyleDeclaration.git) |
| Zowe API Mediation Layer | csstype |  v2.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [csstype](https://www.github.com/frenic/csstype) |
| Zowe API Mediation Layer | cyclist |  v0.2.2 | MIT* | [cyclist](https://www.github.com/mafintosh/cyclist) |
| Zowe API Mediation Layer | d |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [d](https://www.github.com/medikoo/d.git) |
| Zowe API Mediation Layer | damerau-levenshtein |  v1.0.4 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [damerau-levenshtein](https://www.github.com/lzrski/node-damerau-levenshtein.git) |
| Zowe API Mediation Layer | dashdash |  v1.14.1 | [MIT](http://opensource.org/licenses/mit-license) | [dashdash](https://www.github.com/trentm/node-dashdash.git) |
| Zowe API Mediation Layer | data-urls |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [data-urls](https://www.github.com/jsdom/data-urls.git) |
| Zowe API Mediation Layer | date-now |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [date-now](https://www.github.com/Colingo/date-now.git) |
| Zowe API Mediation Layer | debug |  v2.6.9 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe API Mediation Layer | debug |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe API Mediation Layer | debug |  v3.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe API Mediation Layer | debug |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe API Mediation Layer | debuglog |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [debuglog](https://www.github.com/sam-github/node-debuglog.git) |
| Zowe API Mediation Layer | decamelize |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decamelize](https://www.github.com/sindresorhus/decamelize.git) |
| Zowe API Mediation Layer | decamelize |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [decamelize](https://www.github.com/sindresorhus/decamelize.git) |
| Zowe API Mediation Layer | decode-uri-component |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decode-uri-component](https://www.github.com/SamVerschueren/decode-uri-component.git) |
| Zowe API Mediation Layer | deep-diff |  v0.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [deep-diff](https://www.github.com/flitbit/diff.git) |
| Zowe API Mediation Layer | deep-equal |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [deep-equal](https://www.github.com/substack/node-deep-equal.git) |
| Zowe API Mediation Layer | deep-extend |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [deep-extend](https://www.github.com/unclechu/node-deep-extend.git) |
| Zowe API Mediation Layer | deep-extend |  v0.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [deep-extend](https://www.github.com/unclechu/node-deep-extend.git) |
| Zowe API Mediation Layer | deep-is |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [deep-is](https://www.github.com/thlorenz/deep-is.git) |
| Zowe API Mediation Layer | default-gateway |  v2.7.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [default-gateway](https://www.github.com/silverwind/default-gateway.git) |
| Zowe API Mediation Layer | default-require-extensions |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [default-require-extensions](https://www.github.com/jamestalmage/default-require-extensions.git) |
| Zowe API Mediation Layer | defaults |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [defaults](https://www.github.com/tmpvar/defaults.git) |
| Zowe API Mediation Layer | define-properties |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [define-properties](https://www.github.com/ljharb/define-properties.git) |
| Zowe API Mediation Layer | define-property |  v0.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [define-property](https://www.github.com/jonschlinkert/define-property.git) |
| Zowe API Mediation Layer | define-property |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [define-property](https://www.github.com/jonschlinkert/define-property.git) |
| Zowe API Mediation Layer | define-property |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [define-property](https://www.github.com/jonschlinkert/define-property.git) |
| Zowe API Mediation Layer | del |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [del](https://www.github.com/sindresorhus/del.git) |
| Zowe API Mediation Layer | delayed-stream |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delayed-stream](https://www.github.com/felixge/node-delayed-stream.git) |
| Zowe API Mediation Layer | delegates |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delegates](https://www.github.com/visionmedia/node-delegates.git) |
| Zowe API Mediation Layer | depd |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [depd](https://www.github.com/dougwilson/nodejs-depd.git) |
| Zowe API Mediation Layer | des.js |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [des.js](https://www.github.com/indutny/des.js.git) |
| Zowe API Mediation Layer | destroy |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [destroy](https://www.github.com/stream-utils/destroy.git) |
| Zowe API Mediation Layer | detect-indent |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-indent](https://www.github.com/sindresorhus/detect-indent.git) |
| Zowe API Mediation Layer | detect-indent |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-indent](https://www.github.com/sindresorhus/detect-indent.git) |
| Zowe API Mediation Layer | detect-libc |  v1.0.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [detect-libc](https://www.github.com/lovell/detect-libc) |
| Zowe API Mediation Layer | detect-newline |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-newline](https://www.github.com/sindresorhus/detect-newline.git) |
| Zowe API Mediation Layer | detect-node |  v2.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [detect-node](https://www.github.com/iliakan/detect-node) |
| Zowe API Mediation Layer | detect-port-alt |  v1.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [detect-port-alt](https://www.github.com/node-modules/detect-port.git) |
| Zowe API Mediation Layer | dezalgo |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [dezalgo](https://www.github.com/npm/dezalgo) |
| Zowe API Mediation Layer | diff |  v3.5.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [diff](https://www.github.com/kpdecker/jsdiff.git) |
| Zowe API Mediation Layer | diffie-hellman |  v5.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [diffie-hellman](https://www.github.com/crypto-browserify/diffie-hellman.git) |
| Zowe API Mediation Layer | dir-glob |  v2.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [dir-glob](https://www.github.com/kevva/dir-glob.git) |
| Zowe API Mediation Layer | dns-equal |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [dns-equal](https://www.github.com/watson/dns-equal.git) |
| Zowe API Mediation Layer | dns-packet |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [dns-packet](https://www.github.com/mafintosh/dns-packet) |
| Zowe API Mediation Layer | dns-txt |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [dns-txt](https://www.github.com/watson/dns-txt.git) |
| Zowe API Mediation Layer | doctrine |  v1.5.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [doctrine](https://www.github.com/eslint/doctrine.git) |
| Zowe API Mediation Layer | doctrine |  v2.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [doctrine](https://www.github.com/eslint/doctrine.git) |
| Zowe API Mediation Layer | dom-converter |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [dom-converter](https://www.github.com/AriaMinaei/dom-converter) |
| Zowe API Mediation Layer | dom-helpers |  v3.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [dom-helpers](https://www.github.com/jquense/dom-helpers.git) |
| Zowe API Mediation Layer | dom-serializer |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [dom-serializer](https://www.github.com/cheeriojs/dom-renderer.git) |
| Zowe API Mediation Layer | domain-browser |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [domain-browser](https://www.github.com/bevry/domain-browser.git) |
| Zowe API Mediation Layer | domelementtype |  v1.1.3 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domelementtype](https://www.github.com/FB55/domelementtype.git) |
| Zowe API Mediation Layer | domelementtype |  v1.3.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domelementtype](https://www.github.com/fb55/domelementtype.git) |
| Zowe API Mediation Layer | domexception |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [domexception](https://www.github.com/jsdom/domexception.git) |
| Zowe API Mediation Layer | domhandler |  v2.1.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domhandler](https://www.github.com/fb55/domhandler.git) |
| Zowe API Mediation Layer | dompurify |  v1.0.9 | MPL-2.0 OR Apache-2.0 | [dompurify](https://www.github.com/cure53/DOMPurify.git) |
| Zowe API Mediation Layer | domutils |  v1.1.6 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domutils](https://www.github.com/FB55/domutils.git) |
| Zowe API Mediation Layer | domutils |  v1.5.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domutils](https://www.github.com/FB55/domutils.git) |
| Zowe API Mediation Layer | domutils |  v1.7.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domutils](https://www.github.com/FB55/domutils.git) |
| Zowe API Mediation Layer | dot-prop |  v4.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [dot-prop](https://www.github.com/sindresorhus/dot-prop.git) |
| Zowe API Mediation Layer | dotenv |  v5.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [dotenv](https://www.github.com/motdotla/dotenv.git) |
| Zowe API Mediation Layer | dotenv |  v6.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [dotenv](https://www.github.com/motdotla/dotenv.git) |
| Zowe API Mediation Layer | dotenv-expand |  v4.2.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [dotenv-expand](https://www.npmjs.com/package/dotenv-expand) |
| Zowe API Mediation Layer | duplexer |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [duplexer](https://www.github.com/Raynos/duplexer.git) |
| Zowe API Mediation Layer | duplexer3 |  v0.1.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [duplexer3](https://www.github.com/floatdrop/duplexer3.git) |
| Zowe API Mediation Layer | duplexify |  v3.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [duplexify](https://www.github.com/mafintosh/duplexify) |
| Zowe API Mediation Layer | ecc-jsbn |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [ecc-jsbn](https://www.github.com/quartzjer/ecc-jsbn.git) |
| Zowe API Mediation Layer | editor |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [editor](https://www.github.com/substack/node-editor.git) |
| Zowe API Mediation Layer | ee-first |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ee-first](https://www.github.com/jonathanong/ee-first.git) |
| Zowe API Mediation Layer | electron-to-chromium |  v1.3.108 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [electron-to-chromium](https://www.github.com/kilian/electron-to-chromium/) |
| Zowe API Mediation Layer | elliptic |  v6.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [elliptic](https://www.github.com/indutny/elliptic) |
| Zowe API Mediation Layer | emitter-component |  v1.1.1 | UNKNOWN | [emitter-component](https://www.github.com/component/emitter.git) |
| Zowe API Mediation Layer | emoji-regex |  v6.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [emoji-regex](https://www.github.com/mathiasbynens/emoji-regex.git) |
| Zowe API Mediation Layer | emojis-list |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [emojis-list](https://www.github.com/kikobeats/emojis-list.git) |
| Zowe API Mediation Layer | emotion |  v9.2.12 | [MIT](http://opensource.org/licenses/mit-license) | [emotion](https://www.github.com/emotion-js/emotion/tree/master/packages/emotion) |
| Zowe API Mediation Layer | emotion-theming |  v9.2.9 | [MIT](http://opensource.org/licenses/mit-license) | [emotion-theming](https://www.github.com/emotion-js/emotion/tree/master/packages/emotion-theming) |
| Zowe API Mediation Layer | encode-3986 |  v1.0.0 | CC0-1.0 | [encode-3986](https://www.github.com/m59peacemaker/js-encode-3986) |
| Zowe API Mediation Layer | encodeurl |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [encodeurl](https://www.github.com/pillarjs/encodeurl.git) |
| Zowe API Mediation Layer | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Zowe API Mediation Layer | end-of-stream |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [end-of-stream](https://www.github.com/mafintosh/end-of-stream.git) |
| Zowe API Mediation Layer | enhanced-resolve |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [enhanced-resolve](https://www.github.com/webpack/enhanced-resolve.git) |
| Zowe API Mediation Layer | entities |  v1.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [entities](https://www.github.com/fb55/entities.git) |
| Zowe API Mediation Layer | err-code |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [err-code](https://www.github.com/IndigoUnited/js-err-code.git) |
| Zowe API Mediation Layer | errno |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [errno](https://www.github.com/rvagg/node-errno.git) |
| Zowe API Mediation Layer | error-ex |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [error-ex](https://www.github.com/qix-/node-error-ex.git) |
| Zowe API Mediation Layer | es-abstract |  v1.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [es-abstract](https://www.github.com/ljharb/es-abstract.git) |
| Zowe API Mediation Layer | es-to-primitive |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [es-to-primitive](https://www.github.com/ljharb/es-to-primitive.git) |
| Zowe API Mediation Layer | es5-ext |  v0.10.47 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [es5-ext](https://www.github.com/medikoo/es5-ext.git) |
| Zowe API Mediation Layer | es6-iterator |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [es6-iterator](https://www.github.com/medikoo/es6-iterator.git) |
| Zowe API Mediation Layer | es6-promise |  v4.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [es6-promise](https://www.github.com/stefanpenner/es6-promise.git) |
| Zowe API Mediation Layer | es6-promisify |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [es6-promisify](https://www.github.com/digitaldesignlabs/es6-promisify.git) |
| Zowe API Mediation Layer | es6-symbol |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [es6-symbol](https://www.github.com/medikoo/es6-symbol.git) |
| Zowe API Mediation Layer | es6-weak-map |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [es6-weak-map](https://www.github.com/medikoo/es6-weak-map.git) |
| Zowe API Mediation Layer | escape-html |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [escape-html](https://www.github.com/component/escape-html.git) |
| Zowe API Mediation Layer | escape-string-regexp |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [escape-string-regexp](https://www.github.com/sindresorhus/escape-string-regexp.git) |
| Zowe API Mediation Layer | escodegen |  v1.11.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [escodegen](https://www.github.com/estools/escodegen.git) |
| Zowe API Mediation Layer | eslint |  v5.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [eslint](https://www.github.com/eslint/eslint.git) |
| Zowe API Mediation Layer | eslint-config-airbnb |  v16.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-config-airbnb](https://www.github.com/airbnb/javascript) |
| Zowe API Mediation Layer | eslint-config-airbnb-base |  v12.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-config-airbnb-base](https://www.github.com/airbnb/javascript) |
| Zowe API Mediation Layer | eslint-config-react-app |  v3.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-config-react-app](https://www.github.com/facebook/create-react-app.git) |
| Zowe API Mediation Layer | eslint-import-resolver-node |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-import-resolver-node](https://www.github.com/benmosher/eslint-plugin-import) |
| Zowe API Mediation Layer | eslint-loader |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-loader](https://www.github.com/webpack-contrib/eslint-loader.git) |
| Zowe API Mediation Layer | eslint-module-utils |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-module-utils](https://www.github.com/benmosher/eslint-plugin-import.git) |
| Zowe API Mediation Layer | eslint-plugin-flowtype |  v2.50.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [eslint-plugin-flowtype](https://www.github.com/gajus/eslint-plugin-flowtype) |
| Zowe API Mediation Layer | eslint-plugin-import |  v2.14.0 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-plugin-import](https://www.github.com/benmosher/eslint-plugin-import) |
| Zowe API Mediation Layer | eslint-plugin-jsx-a11y |  v6.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-plugin-jsx-a11y](https://www.github.com/evcohen/eslint-plugin-jsx-a11y) |
| Zowe API Mediation Layer | eslint-plugin-react |  v7.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-plugin-react](https://www.github.com/yannickcr/eslint-plugin-react) |
| Zowe API Mediation Layer | eslint-restricted-globals |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-restricted-globals](https://www.github.com/doshisid/eslint-restricted-globals.git) |
| Zowe API Mediation Layer | eslint-scope |  v3.7.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [eslint-scope](https://www.github.com/eslint/eslint-scope.git) |
| Zowe API Mediation Layer | eslint-scope |  v4.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [eslint-scope](https://www.github.com/eslint/eslint-scope.git) |
| Zowe API Mediation Layer | eslint-utils |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [eslint-utils](https://www.github.com/mysticatea/eslint-utils.git) |
| Zowe API Mediation Layer | eslint-visitor-keys |  v1.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [eslint-visitor-keys](https://www.github.com/eslint/eslint-visitor-keys.git) |
| Zowe API Mediation Layer | espree |  v4.1.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [espree](https://www.github.com/eslint/espree.git) |
| Zowe API Mediation Layer | esprima |  v3.1.3 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Zowe API Mediation Layer | esprima |  v4.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Zowe API Mediation Layer | esquery |  v1.0.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [esquery](https://www.github.com/jrfeenst/esquery.git) |
| Zowe API Mediation Layer | esrecurse |  v4.2.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esrecurse](https://www.github.com/estools/esrecurse.git) |
| Zowe API Mediation Layer | estraverse |  v4.2.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [estraverse](https://www.github.com/estools/estraverse.git) |
| Zowe API Mediation Layer | esutils |  v2.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esutils](https://www.github.com/estools/esutils.git) |
| Zowe API Mediation Layer | etag |  v1.8.1 | [MIT](http://opensource.org/licenses/mit-license) | [etag](https://www.github.com/jshttp/etag.git) |
| Zowe API Mediation Layer | event-emitter |  v0.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [event-emitter](https://www.github.com/medikoo/event-emitter.git) |
| Zowe API Mediation Layer | eventemitter3 |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [eventemitter3](https://www.github.com/primus/eventemitter3.git) |
| Zowe API Mediation Layer | events |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [events](https://www.github.com/Gozala/events.git) |
| Zowe API Mediation Layer | eventsource |  v0.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [eventsource](https://www.github.com/aslakhellesoy/eventsource-node.git) |
| Zowe API Mediation Layer | evp_bytestokey |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [evp_bytestokey](https://www.github.com/crypto-browserify/EVP_BytesToKey.git) |
| Zowe API Mediation Layer | exception-formatter |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [exception-formatter](https://www.github.com/benbria/exception-formatter.git) |
| Zowe API Mediation Layer | exec-sh |  v0.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [exec-sh](https://www.github.com/tsertkov/exec-sh.git) |
| Zowe API Mediation Layer | execa |  v0.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [execa](https://www.github.com/sindresorhus/execa.git) |
| Zowe API Mediation Layer | execa |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [execa](https://www.github.com/sindresorhus/execa.git) |
| Zowe API Mediation Layer | execa |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [execa](https://www.github.com/sindresorhus/execa.git) |
| Zowe API Mediation Layer | exenv |  v1.2.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [exenv](https://www.github.com/JedWatson/exenv.git) |
| Zowe API Mediation Layer | exit |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [exit](https://www.github.com/cowboy/node-exit.git) |
| Zowe API Mediation Layer | expand-brackets |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [expand-brackets](https://www.github.com/jonschlinkert/expand-brackets.git) |
| Zowe API Mediation Layer | expand-brackets |  v2.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [expand-brackets](https://www.github.com/jonschlinkert/expand-brackets.git) |
| Zowe API Mediation Layer | expand-range |  v1.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [expand-range](https://www.github.com/jonschlinkert/expand-range.git) |
| Zowe API Mediation Layer | expand-tilde |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [expand-tilde](https://www.github.com/jonschlinkert/expand-tilde.git) |
| Zowe API Mediation Layer | expect |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [expect](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | express |  v4.16.4 | [MIT](http://opensource.org/licenses/mit-license) | [express](https://www.github.com/expressjs/express.git) |
| Zowe API Mediation Layer | extend |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend](https://www.github.com/justmoon/node-extend.git) |
| Zowe API Mediation Layer | extend-shallow |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [extend-shallow](https://www.github.com/jonschlinkert/extend-shallow.git) |
| Zowe API Mediation Layer | extend-shallow |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend-shallow](https://www.github.com/jonschlinkert/extend-shallow.git) |
| Zowe API Mediation Layer | external-editor |  v3.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [external-editor](https://www.github.com/mrkmg/node-external-editor.git) |
| Zowe API Mediation Layer | extglob |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [extglob](https://www.github.com/jonschlinkert/extglob.git) |
| Zowe API Mediation Layer | extglob |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [extglob](https://www.github.com/micromatch/extglob.git) |
| Zowe API Mediation Layer | extsprintf |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe API Mediation Layer | extsprintf |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe API Mediation Layer | fast-deep-equal |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fast-deep-equal](https://www.github.com/epoberezkin/fast-deep-equal.git) |
| Zowe API Mediation Layer | fast-glob |  v2.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [fast-glob](https://www.github.com/mrmlnc/fast-glob.git) |
| Zowe API Mediation Layer | fast-json-patch |  v2.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [fast-json-patch](https://www.github.com/Starcounter-Jack/JSON-Patch.git) |
| Zowe API Mediation Layer | fast-json-stable-stringify |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fast-json-stable-stringify](https://www.github.com/epoberezkin/fast-json-stable-stringify.git) |
| Zowe API Mediation Layer | fast-levenshtein |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [fast-levenshtein](https://www.github.com/hiddentao/fast-levenshtein.git) |
| Zowe API Mediation Layer | fast-memoize |  v2.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [fast-memoize](https://www.github.com/caiogondim/fast-memoize.git) |
| Zowe API Mediation Layer | fastparse |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [fastparse](https://www.github.com/webpack/fastparse.git) |
| Zowe API Mediation Layer | faye-websocket |  v0.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [faye-websocket](https://www.github.com/faye/faye-websocket-node.git) |
| Zowe API Mediation Layer | faye-websocket |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [faye-websocket](https://www.github.com/faye/faye-websocket-node.git) |
| Zowe API Mediation Layer | fb-watchman |  v2.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [fb-watchman](https://www.github.com/facebook/watchman.git) |
| Zowe API Mediation Layer | fbjs |  v0.8.17 | [MIT](http://opensource.org/licenses/mit-license) | [fbjs](https://www.github.com/facebook/fbjs.git) |
| Zowe API Mediation Layer | figgy-pudding |  v3.5.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [figgy-pudding](https://www.github.com/zkat/figgy-pudding) |
| Zowe API Mediation Layer | figures |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [figures](https://www.github.com/sindresorhus/figures.git) |
| Zowe API Mediation Layer | file-entry-cache |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [file-entry-cache](https://www.github.com/royriojas/file-entry-cache.git) |
| Zowe API Mediation Layer | file-loader |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [file-loader](https://www.github.com/webpack-contrib/file-loader.git) |
| Zowe API Mediation Layer | filename-regex |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [filename-regex](https://www.github.com/regexhq/filename-regex.git) |
| Zowe API Mediation Layer | fileset |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [fileset](https://www.github.com/mklabs/node-fileset.git) |
| Zowe API Mediation Layer | filesize |  v3.6.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [filesize](https://www.github.com/avoidwork/filesize.js.git) |
| Zowe API Mediation Layer | fill-range |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [fill-range](https://www.github.com/jonschlinkert/fill-range.git) |
| Zowe API Mediation Layer | fill-range |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fill-range](https://www.github.com/jonschlinkert/fill-range.git) |
| Zowe API Mediation Layer | finalhandler |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [finalhandler](https://www.github.com/pillarjs/finalhandler.git) |
| Zowe API Mediation Layer | find-cache-dir |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [find-cache-dir](https://www.github.com/jamestalmage/find-cache-dir.git) |
| Zowe API Mediation Layer | find-cache-dir |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-cache-dir](https://www.github.com/avajs/find-cache-dir.git) |
| Zowe API Mediation Layer | find-cache-dir |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-cache-dir](https://www.github.com/avajs/find-cache-dir.git) |
| Zowe API Mediation Layer | find-npm-prefix |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [find-npm-prefix](https://www.github.com/npm/find-npm-prefix.git) |
| Zowe API Mediation Layer | find-root |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-root](https://www.github.com/js-n/find-root.git) |
| Zowe API Mediation Layer | find-up |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe API Mediation Layer | find-up |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe API Mediation Layer | find-up |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe API Mediation Layer | flat-cache |  v1.3.4 | [MIT](http://opensource.org/licenses/mit-license) | [flat-cache](https://www.github.com/royriojas/flat-cache.git) |
| Zowe API Mediation Layer | flatten |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [flatten](https://www.github.com/jesusabdullah/node-flatten.git) |
| Zowe API Mediation Layer | flush-write-stream |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [flush-write-stream](https://www.github.com/mafintosh/flush-write-stream.git) |
| Zowe API Mediation Layer | focus-trap |  v2.4.6 | [MIT](http://opensource.org/licenses/mit-license) | [focus-trap](https://www.github.com/davidtheclark/focus-trap.git) |
| Zowe API Mediation Layer | focus-trap-react |  v3.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [focus-trap-react](https://www.github.com/davidtheclark/focus-trap-react.git) |
| Zowe API Mediation Layer | follow-redirects |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [follow-redirects](https://www.github.com/follow-redirects/follow-redirects.git) |
| Zowe API Mediation Layer | fontfaceobserver |  v2.0.13 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [fontfaceobserver](https://www.github.com/bramstein/fontfaceobserver.git) |
| Zowe API Mediation Layer | for-in |  v0.1.8 | [MIT](http://opensource.org/licenses/mit-license) | [for-in](https://www.github.com/jonschlinkert/for-in.git) |
| Zowe API Mediation Layer | for-in |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [for-in](https://www.github.com/jonschlinkert/for-in.git) |
| Zowe API Mediation Layer | for-own |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [for-own](https://www.github.com/jonschlinkert/for-own.git) |
| Zowe API Mediation Layer | for-own |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [for-own](https://www.github.com/jonschlinkert/for-own.git) |
| Zowe API Mediation Layer | forever-agent |  v0.6.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [forever-agent](https://www.github.com/mikeal/forever-agent) |
| Zowe API Mediation Layer | fork-ts-checker-webpack-plugin-alt |  v0.4.14 | [MIT](http://opensource.org/licenses/mit-license) | [fork-ts-checker-webpack-plugin-alt](https://www.github.com/Timer/fork-ts-checker-webpack-plugin.git) |
| Zowe API Mediation Layer | form-data |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [form-data](https://www.github.com/form-data/form-data.git) |
| Zowe API Mediation Layer | form-data |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [form-data](https://www.github.com/form-data/form-data.git) |
| Zowe API Mediation Layer | forwarded |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [forwarded](https://www.github.com/jshttp/forwarded.git) |
| Zowe API Mediation Layer | fragment-cache |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [fragment-cache](https://www.github.com/jonschlinkert/fragment-cache.git) |
| Zowe API Mediation Layer | fresh |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [fresh](https://www.github.com/jshttp/fresh.git) |
| Zowe API Mediation Layer | from2 |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Zowe API Mediation Layer | from2 |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Zowe API Mediation Layer | fs-extra |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [fs-extra](https://www.github.com/jprichardson/node-fs-extra) |
| Zowe API Mediation Layer | fs-extra |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fs-extra](https://www.github.com/jprichardson/node-fs-extra) |
| Zowe API Mediation Layer | fs-extra |  v7.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fs-extra](https://www.github.com/jprichardson/node-fs-extra) |
| Zowe API Mediation Layer | fs-minipass |  v1.2.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-minipass](https://www.github.com/npm/fs-minipass.git) |
| Zowe API Mediation Layer | fs-vacuum |  v1.2.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-vacuum](https://www.github.com/npm/fs-vacuum.git) |
| Zowe API Mediation Layer | fs-write-stream-atomic |  v1.0.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-write-stream-atomic](https://www.github.com/npm/fs-write-stream-atomic) |
| Zowe API Mediation Layer | fs.realpath |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs.realpath](https://www.github.com/isaacs/fs.realpath.git) |
| Zowe API Mediation Layer | fsevents |  v1.2.4 | unknown | fsevents |
| Zowe API Mediation Layer | fsevents |  v1.2.7 | unknown | fsevents |
| Zowe API Mediation Layer | fstream |  v1.0.11 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fstream](https://www.github.com/npm/fstream.git) |
| Zowe API Mediation Layer | function-bind |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [function-bind](https://www.github.com/Raynos/function-bind.git) |
| Zowe API Mediation Layer | functional-red-black-tree |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [functional-red-black-tree](https://www.github.com/mikolalysenko/functional-red-black-tree.git) |
| Zowe API Mediation Layer | gauge |  v2.7.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [gauge](https://www.github.com/iarna/gauge) |
| Zowe API Mediation Layer | genfun |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [genfun](https://www.github.com/zkat/genfun) |
| Zowe API Mediation Layer | gentle-fs |  v2.0.1 | Artistic-2.0 | [gentle-fs](https://www.github.com/npm/gentle-fs.git) |
| Zowe API Mediation Layer | get-caller-file |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [get-caller-file](https://www.github.com/stefanpenner/get-caller-file.git) |
| Zowe API Mediation Layer | get-own-enumerable-property-symbols |  v3.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [get-own-enumerable-property-symbols](https://www.github.com/mightyiam/get-own-enumerable-property-symbols.git) |
| Zowe API Mediation Layer | get-stream |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Zowe API Mediation Layer | get-stream |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Zowe API Mediation Layer | get-value |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [get-value](https://www.github.com/jonschlinkert/get-value.git) |
| Zowe API Mediation Layer | getpass |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [getpass](https://www.github.com/arekinath/node-getpass.git) |
| Zowe API Mediation Layer | glob |  v7.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Zowe API Mediation Layer | glob-base |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [glob-base](https://www.github.com/jonschlinkert/glob-base.git) |
| Zowe API Mediation Layer | glob-parent |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob-parent](https://www.github.com/es128/glob-parent) |
| Zowe API Mediation Layer | glob-parent |  v3.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob-parent](https://www.github.com/es128/glob-parent) |
| Zowe API Mediation Layer | glob-to-regexp |  v0.3.0 | [BSD](http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29) | [glob-to-regexp](https://www.github.com/fitzgen/glob-to-regexp.git) |
| Zowe API Mediation Layer | global-dirs |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [global-dirs](https://www.github.com/sindresorhus/global-dirs.git) |
| Zowe API Mediation Layer | global-modules |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [global-modules](https://www.github.com/jonschlinkert/global-modules.git) |
| Zowe API Mediation Layer | global-prefix |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [global-prefix](https://www.github.com/jonschlinkert/global-prefix.git) |
| Zowe API Mediation Layer | globals |  v11.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [globals](https://www.github.com/sindresorhus/globals.git) |
| Zowe API Mediation Layer | globals |  v9.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [globals](https://www.github.com/sindresorhus/globals.git) |
| Zowe API Mediation Layer | globby |  v6.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [globby](https://www.github.com/sindresorhus/globby.git) |
| Zowe API Mediation Layer | globby |  v8.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [globby](https://www.github.com/sindresorhus/globby.git) |
| Zowe API Mediation Layer | got |  v6.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [got](https://www.github.com/sindresorhus/got.git) |
| Zowe API Mediation Layer | graceful-fs |  v4.1.15 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [graceful-fs](https://www.github.com/isaacs/node-graceful-fs) |
| Zowe API Mediation Layer | growly |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [growly](https://www.github.com/theabraham/growly) |
| Zowe API Mediation Layer | gud |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [gud](https://www.github.com/jamiebuilds/global-unique-id) |
| Zowe API Mediation Layer | gzip-size |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [gzip-size](https://www.github.com/sindresorhus/gzip-size.git) |
| Zowe API Mediation Layer | h2x-core |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [h2x-core](https://www.github.com/smooth-code/h2x/tree/master/packages/h2x-core) |
| Zowe API Mediation Layer | h2x-generate |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [h2x-generate](https://www.github.com/smooth-code/h2x/tree/master/packages/h2x-generate) |
| Zowe API Mediation Layer | h2x-parse |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [h2x-parse](https://www.github.com/smooth-code/h2x/tree/master/packages/h2x-parse) |
| Zowe API Mediation Layer | h2x-plugin-jsx |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [h2x-plugin-jsx](https://www.github.com/smooth-code/h2x/tree/master/packages/h2x-plugin-jsx) |
| Zowe API Mediation Layer | h2x-traverse |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [h2x-traverse](https://www.github.com/smooth-code/h2x/tree/master/packages/h2x-traverse) |
| Zowe API Mediation Layer | h2x-types |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [h2x-types](https://www.github.com/smooth-code/h2x/tree/master/packages/h2x-types) |
| Zowe API Mediation Layer | handle-thing |  v1.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [handle-thing](https://www.github.com/indutny/handle-thing.git) |
| Zowe API Mediation Layer | handlebars |  v4.0.12 | [MIT](http://opensource.org/licenses/mit-license) | [handlebars](https://www.github.com/wycats/handlebars.js.git) |
| Zowe API Mediation Layer | har-schema |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [har-schema](https://www.github.com/ahmadnassri/har-schema.git) |
| Zowe API Mediation Layer | har-validator |  v5.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [har-validator](https://www.github.com/ahmadnassri/node-har-validator.git) |
| Zowe API Mediation Layer | harmony-reflect |  v1.6.1 | (Apache-2.0 OR MPL-1.1) | [harmony-reflect](https://www.github.com/tvcutsem/harmony-reflect.git) |
| Zowe API Mediation Layer | has |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [has](https://www.github.com/tarruda/has.git) |
| Zowe API Mediation Layer | has-ansi |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-ansi](https://www.github.com/sindresorhus/has-ansi.git) |
| Zowe API Mediation Layer | has-flag |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Zowe API Mediation Layer | has-flag |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Zowe API Mediation Layer | has-symbols |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-symbols](https://www.github.com/ljharb/has-symbols.git) |
| Zowe API Mediation Layer | has-unicode |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [has-unicode](https://www.github.com/iarna/has-unicode) |
| Zowe API Mediation Layer | has-value |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [has-value](https://www.github.com/jonschlinkert/has-value.git) |
| Zowe API Mediation Layer | has-value |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-value](https://www.github.com/jonschlinkert/has-value.git) |
| Zowe API Mediation Layer | has-values |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [has-values](https://www.github.com/jonschlinkert/has-values.git) |
| Zowe API Mediation Layer | has-values |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-values](https://www.github.com/jonschlinkert/has-values.git) |
| Zowe API Mediation Layer | hash-base |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [hash-base](https://www.github.com/crypto-browserify/hash-base.git) |
| Zowe API Mediation Layer | hash.js |  v1.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [hash.js](https://www.github.com/indutny/hash.js) |
| Zowe API Mediation Layer | he |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [he](https://www.github.com/mathiasbynens/he.git) |
| Zowe API Mediation Layer | hex-color-regex |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [hex-color-regex](https://www.github.com/regexps/hex-color-regex.git) |
| Zowe API Mediation Layer | history |  v4.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [history](https://www.github.com/ReactTraining/history.git) |
| Zowe API Mediation Layer | hmac-drbg |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [hmac-drbg](https://www.github.com/indutny/hmac-drbg.git) |
| Zowe API Mediation Layer | hoek |  v4.2.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoek](https://www.github.com/hapijs/hoek) |
| Zowe API Mediation Layer | hoist-non-react-statics |  v2.5.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe API Mediation Layer | hoist-non-react-statics |  v3.3.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe API Mediation Layer | home-or-tmp |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [home-or-tmp](https://www.github.com/sindresorhus/home-or-tmp.git) |
| Zowe API Mediation Layer | homedir-polyfill |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [homedir-polyfill](https://www.github.com/doowb/homedir-polyfill.git) |
| Zowe API Mediation Layer | hoopy |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [hoopy](git+https://gitlab.com/philbooth/hoopy.git) |
| Zowe API Mediation Layer | hosted-git-info |  v2.7.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [hosted-git-info](https://www.github.com/npm/hosted-git-info.git) |
| Zowe API Mediation Layer | hpack.js |  v2.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [hpack.js](https://www.github.com/indutny/hpack.js.git) |
| Zowe API Mediation Layer | hsl-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [hsl-regex](https://www.github.com/regexps/hsl-regex.git) |
| Zowe API Mediation Layer | hsla-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [hsla-regex](https://www.github.com/regexps/hsla-regex.git) |
| Zowe API Mediation Layer | html-comment-regex |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [html-comment-regex](https://www.github.com/stevemao/html-comment-regex.git) |
| Zowe API Mediation Layer | html-element-attributes |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [html-element-attributes](https://www.github.com/wooorm/html-element-attributes.git) |
| Zowe API Mediation Layer | html-encoding-sniffer |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [html-encoding-sniffer](https://www.github.com/jsdom/html-encoding-sniffer.git) |
| Zowe API Mediation Layer | html-entities |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [html-entities](https://www.github.com/mdevils/node-html-entities.git) |
| Zowe API Mediation Layer | html-minifier |  v3.5.21 | [MIT](http://opensource.org/licenses/mit-license) | [html-minifier](https://www.github.com/kangax/html-minifier.git) |
| Zowe API Mediation Layer | html-webpack-plugin |  v4.0.0-alpha.2 | [MIT](http://opensource.org/licenses/mit-license) | [html-webpack-plugin](https://www.github.com/jantimon/html-webpack-plugin.git) |
| Zowe API Mediation Layer | htmlparser2 |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [htmlparser2](https://www.github.com/fb55/htmlparser2.git) |
| Zowe API Mediation Layer | http-cache-semantics |  v3.8.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [http-cache-semantics](https://www.github.com/pornel/http-cache-semantics.git) |
| Zowe API Mediation Layer | http-deceiver |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [http-deceiver](https://www.github.com/indutny/http-deceiver.git) |
| Zowe API Mediation Layer | http-errors |  v1.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [http-errors](https://www.github.com/jshttp/http-errors.git) |
| Zowe API Mediation Layer | http-parser-js |  v0.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-parser-js](https://www.github.com/creationix/http-parser-js.git) |
| Zowe API Mediation Layer | http-proxy |  v1.17.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-proxy](https://www.github.com/nodejitsu/node-http-proxy.git) |
| Zowe API Mediation Layer | http-proxy-agent |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-proxy-agent](https://www.github.com/TooTallNate/node-http-proxy-agent.git) |
| Zowe API Mediation Layer | http-proxy-middleware |  v0.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-proxy-middleware](https://www.github.com/chimurai/http-proxy-middleware.git) |
| Zowe API Mediation Layer | http-signature |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-signature](https://www.github.com/joyent/node-http-signature.git) |
| Zowe API Mediation Layer | https-browserify |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [https-browserify](https://www.github.com/substack/https-browserify.git) |
| Zowe API Mediation Layer | https-proxy-agent |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [https-proxy-agent](https://www.github.com/TooTallNate/node-https-proxy-agent.git) |
| Zowe API Mediation Layer | humanize-ms |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [humanize-ms](https://www.github.com/node-modules/humanize-ms) |
| Zowe API Mediation Layer | iconv-lite |  v0.4.23 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe API Mediation Layer | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe API Mediation Layer | icss-replace-symbols |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [icss-replace-symbols](https://www.github.com/css-modules/icss-replace-symbols.git) |
| Zowe API Mediation Layer | icss-utils |  v2.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [icss-utils](https://www.github.com/css-modules/icss-utils.git) |
| Zowe API Mediation Layer | identity-obj-proxy |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [identity-obj-proxy](https://www.github.com/keyanzhang/identity-obj-proxy.git) |
| Zowe API Mediation Layer | ieee754 |  v1.1.12 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [ieee754](https://www.github.com/feross/ieee754.git) |
| Zowe API Mediation Layer | iferr |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Zowe API Mediation Layer | iferr |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Zowe API Mediation Layer | ignore |  v3.3.10 | [MIT](http://opensource.org/licenses/mit-license) | [ignore](https://www.github.com/kaelzhang/node-ignore.git) |
| Zowe API Mediation Layer | ignore |  v4.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [ignore](https://www.github.com/kaelzhang/node-ignore.git) |
| Zowe API Mediation Layer | ignore-walk |  v3.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ignore-walk](https://www.github.com/isaacs/ignore-walk.git) |
| Zowe API Mediation Layer | immer |  v1.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [immer](https://www.github.com/mweststrate/immer.git) |
| Zowe API Mediation Layer | immutable |  v3.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [immutable](https://www.github.com/facebook/immutable-js.git) |
| Zowe API Mediation Layer | import-cwd |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-cwd](https://www.github.com/sindresorhus/import-cwd.git) |
| Zowe API Mediation Layer | import-fresh |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-fresh](https://www.github.com/sindresorhus/import-fresh.git) |
| Zowe API Mediation Layer | import-from |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-from](https://www.github.com/sindresorhus/import-from.git) |
| Zowe API Mediation Layer | import-lazy |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-lazy](https://www.github.com/sindresorhus/import-lazy.git) |
| Zowe API Mediation Layer | import-local |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-local](https://www.github.com/sindresorhus/import-local.git) |
| Zowe API Mediation Layer | import-local |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-local](https://www.github.com/sindresorhus/import-local.git) |
| Zowe API Mediation Layer | imurmurhash |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [imurmurhash](https://www.github.com/jensyt/imurmurhash-js) |
| Zowe API Mediation Layer | indexes-of |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [indexes-of](https://www.github.com/dominictarr/indexes-of.git) |
| Zowe API Mediation Layer | indexof |  v0.0.1 | MIT* | [indexof](https://www.npmjs.com/package/indexof) |
| Zowe API Mediation Layer | inflight |  v1.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inflight](https://www.github.com/npm/inflight.git) |
| Zowe API Mediation Layer | inherits |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe API Mediation Layer | inherits |  v2.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe API Mediation Layer | ini |  v1.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ini](https://www.github.com/isaacs/ini.git) |
| Zowe API Mediation Layer | init-package-json |  v1.10.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [init-package-json](https://www.github.com/npm/init-package-json.git) |
| Zowe API Mediation Layer | inquirer |  v6.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [inquirer](https://www.github.com/SBoudrias/Inquirer.js.git) |
| Zowe API Mediation Layer | inquirer |  v6.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [inquirer](https://www.github.com/SBoudrias/Inquirer.js.git) |
| Zowe API Mediation Layer | install |  v0.12.2 | [MIT](http://opensource.org/licenses/mit-license) | [install](https://www.github.com/benjamn/install.git) |
| Zowe API Mediation Layer | internal-ip |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [internal-ip](https://www.github.com/sindresorhus/internal-ip.git) |
| Zowe API Mediation Layer | invariant |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [invariant](https://www.github.com/zertosh/invariant) |
| Zowe API Mediation Layer | invert-kv |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [invert-kv](https://www.github.com/sindresorhus/invert-kv.git) |
| Zowe API Mediation Layer | invert-kv |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [invert-kv](https://www.github.com/sindresorhus/invert-kv.git) |
| Zowe API Mediation Layer | ip |  v1.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [ip](https://www.github.com/indutny/node-ip.git) |
| Zowe API Mediation Layer | ip-regex |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [ip-regex](https://www.github.com/sindresorhus/ip-regex.git) |
| Zowe API Mediation Layer | ip-regex |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ip-regex](https://www.github.com/sindresorhus/ip-regex.git) |
| Zowe API Mediation Layer | ipaddr.js |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [ipaddr.js](https://www.github.com/whitequark/ipaddr.js) |
| Zowe API Mediation Layer | ipaddr.js |  v1.8.1 | [MIT](http://opensource.org/licenses/mit-license) | [ipaddr.js](https://www.github.com/whitequark/ipaddr.js) |
| Zowe API Mediation Layer | is-absolute-url |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-absolute-url](https://www.github.com/sindresorhus/is-absolute-url.git) |
| Zowe API Mediation Layer | is-accessor-descriptor |  v0.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [is-accessor-descriptor](https://www.github.com/jonschlinkert/is-accessor-descriptor.git) |
| Zowe API Mediation Layer | is-accessor-descriptor |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-accessor-descriptor](https://www.github.com/jonschlinkert/is-accessor-descriptor.git) |
| Zowe API Mediation Layer | is-arrayish |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-arrayish](https://www.github.com/qix-/node-is-arrayish.git) |
| Zowe API Mediation Layer | is-arrayish |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-arrayish](https://www.github.com/qix-/node-is-arrayish.git) |
| Zowe API Mediation Layer | is-binary-path |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-binary-path](https://www.github.com/sindresorhus/is-binary-path.git) |
| Zowe API Mediation Layer | is-buffer |  v1.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [is-buffer](https://www.github.com/feross/is-buffer.git) |
| Zowe API Mediation Layer | is-builtin-module |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-builtin-module](https://www.github.com/sindresorhus/is-builtin-module.git) |
| Zowe API Mediation Layer | is-callable |  v1.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-callable](https://www.github.com/ljharb/is-callable.git) |
| Zowe API Mediation Layer | is-ci |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-ci](https://www.github.com/watson/is-ci.git) |
| Zowe API Mediation Layer | is-cidr |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [is-cidr](https://www.github.com/silverwind/is-cidr.git) |
| Zowe API Mediation Layer | is-color-stop |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-color-stop](https://www.github.com/pigcan/is-color-stop.git) |
| Zowe API Mediation Layer | is-data-descriptor |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-data-descriptor](https://www.github.com/jonschlinkert/is-data-descriptor.git) |
| Zowe API Mediation Layer | is-data-descriptor |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-data-descriptor](https://www.github.com/jonschlinkert/is-data-descriptor.git) |
| Zowe API Mediation Layer | is-date-object |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-date-object](https://www.github.com/ljharb/is-date-object.git) |
| Zowe API Mediation Layer | is-descriptor |  v0.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [is-descriptor](https://www.github.com/jonschlinkert/is-descriptor.git) |
| Zowe API Mediation Layer | is-descriptor |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-descriptor](https://www.github.com/jonschlinkert/is-descriptor.git) |
| Zowe API Mediation Layer | is-directory |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-directory](https://www.github.com/jonschlinkert/is-directory.git) |
| Zowe API Mediation Layer | is-dom |  v1.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [is-dom](https://www.github.com/npm-dom/is-dom.git) |
| Zowe API Mediation Layer | is-dotfile |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [is-dotfile](https://www.github.com/jonschlinkert/is-dotfile.git) |
| Zowe API Mediation Layer | is-equal-shallow |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [is-equal-shallow](https://www.github.com/jonschlinkert/is-equal-shallow.git) |
| Zowe API Mediation Layer | is-extendable |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-extendable](https://www.github.com/jonschlinkert/is-extendable.git) |
| Zowe API Mediation Layer | is-extendable |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-extendable](https://www.github.com/jonschlinkert/is-extendable.git) |
| Zowe API Mediation Layer | is-extglob |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-extglob](https://www.github.com/jonschlinkert/is-extglob.git) |
| Zowe API Mediation Layer | is-extglob |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-extglob](https://www.github.com/jonschlinkert/is-extglob.git) |
| Zowe API Mediation Layer | is-finite |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-finite](https://www.github.com/sindresorhus/is-finite.git) |
| Zowe API Mediation Layer | is-fullwidth-code-point |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe API Mediation Layer | is-fullwidth-code-point |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe API Mediation Layer | is-generator-fn |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-generator-fn](https://www.github.com/sindresorhus/is-generator-fn.git) |
| Zowe API Mediation Layer | is-glob |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-glob](https://www.github.com/jonschlinkert/is-glob.git) |
| Zowe API Mediation Layer | is-glob |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-glob](https://www.github.com/jonschlinkert/is-glob.git) |
| Zowe API Mediation Layer | is-glob |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-glob](https://www.github.com/jonschlinkert/is-glob.git) |
| Zowe API Mediation Layer | is-installed-globally |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-installed-globally](https://www.github.com/sindresorhus/is-installed-globally.git) |
| Zowe API Mediation Layer | is-npm |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-npm](https://www.github.com/sindresorhus/is-npm.git) |
| Zowe API Mediation Layer | is-number |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-number](https://www.github.com/jonschlinkert/is-number.git) |
| Zowe API Mediation Layer | is-number |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-number](https://www.github.com/jonschlinkert/is-number.git) |
| Zowe API Mediation Layer | is-number |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-number](https://www.github.com/jonschlinkert/is-number.git) |
| Zowe API Mediation Layer | is-obj |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-obj](https://www.github.com/sindresorhus/is-obj.git) |
| Zowe API Mediation Layer | is-path-cwd |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-cwd](https://www.github.com/sindresorhus/is-path-cwd.git) |
| Zowe API Mediation Layer | is-path-in-cwd |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-in-cwd](https://www.github.com/sindresorhus/is-path-in-cwd.git) |
| Zowe API Mediation Layer | is-path-inside |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-inside](https://www.github.com/sindresorhus/is-path-inside.git) |
| Zowe API Mediation Layer | is-plain-object |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-plain-object](https://www.github.com/jonschlinkert/is-plain-object.git) |
| Zowe API Mediation Layer | is-posix-bracket |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-posix-bracket](https://www.github.com/jonschlinkert/is-posix-bracket.git) |
| Zowe API Mediation Layer | is-primitive |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-primitive](https://www.github.com/jonschlinkert/is-primitive.git) |
| Zowe API Mediation Layer | is-promise |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-promise](https://www.github.com/then/is-promise.git) |
| Zowe API Mediation Layer | is-redirect |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-redirect](https://www.github.com/sindresorhus/is-redirect.git) |
| Zowe API Mediation Layer | is-regex |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-regex](https://www.github.com/ljharb/is-regex.git) |
| Zowe API Mediation Layer | is-regexp |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-regexp](https://www.github.com/sindresorhus/is-regexp.git) |
| Zowe API Mediation Layer | is-resolvable |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [is-resolvable](https://www.github.com/shinnn/is-resolvable.git) |
| Zowe API Mediation Layer | is-retry-allowed |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-retry-allowed](https://www.github.com/floatdrop/is-retry-allowed.git) |
| Zowe API Mediation Layer | is-root |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-root](https://www.github.com/sindresorhus/is-root.git) |
| Zowe API Mediation Layer | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe API Mediation Layer | is-svg |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-svg](https://www.github.com/sindresorhus/is-svg.git) |
| Zowe API Mediation Layer | is-symbol |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-symbol](https://www.github.com/ljharb/is-symbol.git) |
| Zowe API Mediation Layer | is-typedarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-typedarray](https://www.github.com/hughsk/is-typedarray.git) |
| Zowe API Mediation Layer | is-utf8 |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-utf8](https://www.github.com/wayfind/is-utf8.git) |
| Zowe API Mediation Layer | is-windows |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-windows](https://www.github.com/jonschlinkert/is-windows.git) |
| Zowe API Mediation Layer | is-wsl |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-wsl](https://www.github.com/sindresorhus/is-wsl.git) |
| Zowe API Mediation Layer | isarray |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe API Mediation Layer | isarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe API Mediation Layer | isemail |  v3.2.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [isemail](https://www.github.com/hapijs/isemail) |
| Zowe API Mediation Layer | isexe |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [isexe](https://www.github.com/isaacs/isexe.git) |
| Zowe API Mediation Layer | isobject |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [isobject](https://www.github.com/jonschlinkert/isobject.git) |
| Zowe API Mediation Layer | isobject |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [isobject](https://www.github.com/jonschlinkert/isobject.git) |
| Zowe API Mediation Layer | isomorphic-fetch |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [isomorphic-fetch](https://www.github.com/matthew-andrews/isomorphic-fetch.git) |
| Zowe API Mediation Layer | isomorphic-form-data |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [isomorphic-form-data](https://www.github.com/form-data/isomorphic-form-data.git) |
| Zowe API Mediation Layer | isstream |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [isstream](https://www.github.com/rvagg/isstream.git) |
| Zowe API Mediation Layer | istanbul-api |  v1.3.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-api](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe API Mediation Layer | istanbul-lib-coverage |  v1.2.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-coverage](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe API Mediation Layer | istanbul-lib-hook |  v1.2.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-hook](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe API Mediation Layer | istanbul-lib-instrument |  v1.10.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-instrument](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe API Mediation Layer | istanbul-lib-report |  v1.1.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-report](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe API Mediation Layer | istanbul-lib-source-maps |  v1.2.6 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-source-maps](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe API Mediation Layer | istanbul-reports |  v1.5.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-reports](https://www.github.com/istanbuljs/istanbuljs) |
| Zowe API Mediation Layer | jest |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest](https://www.github.com/facebook/jest) |
| Zowe API Mediation Layer | jest-changed-files |  v23.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [jest-changed-files](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-cli |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-cli](https://www.github.com/facebook/jest) |
| Zowe API Mediation Layer | jest-config |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-config](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-diff |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-diff](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-docblock |  v23.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-docblock](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-each |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-each](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-environment-jsdom |  v23.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-environment-jsdom](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-environment-node |  v23.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-environment-node](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-get-type |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-get-type](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-haste-map |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-haste-map](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-jasmine2 |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-jasmine2](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-leak-detector |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-leak-detector](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-matcher-utils |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-matcher-utils](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-message-util |  v23.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-message-util](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-mock |  v23.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-mock](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-pnp-resolver |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [jest-pnp-resolver](https://www.github.com/arcanis/jest-pnp-resolver.git) |
| Zowe API Mediation Layer | jest-regex-util |  v23.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-regex-util](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-resolve |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-resolve](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-resolve-dependencies |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-resolve-dependencies](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-runner |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-runner](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-runtime |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-runtime](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-serializer |  v23.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [jest-serializer](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-snapshot |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-snapshot](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-util |  v23.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-util](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-validate |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-validate](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | jest-watcher |  v23.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-watcher](https://www.github.com/facebook/jest) |
| Zowe API Mediation Layer | jest-worker |  v23.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [jest-worker](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | joi |  v11.4.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [joi](https://www.github.com/hapijs/joi) |
| Zowe API Mediation Layer | js-file-download |  v0.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [js-file-download](https://www.github.com/kennethjiang/js-file-download.git) |
| Zowe API Mediation Layer | js-levenshtein |  v1.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [js-levenshtein](https://www.github.com/gustf/js-levenshtein.git) |
| Zowe API Mediation Layer | js-tokens |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe API Mediation Layer | js-tokens |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe API Mediation Layer | js-yaml |  v3.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [js-yaml](https://www.github.com/nodeca/js-yaml.git) |
| Zowe API Mediation Layer | jsbn |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsbn](https://www.github.com/andyperlitch/jsbn.git) |
| Zowe API Mediation Layer | jsdom |  v11.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsdom](https://www.github.com/jsdom/jsdom.git) |
| Zowe API Mediation Layer | jsdom |  v13.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsdom](https://www.github.com/jsdom/jsdom.git) |
| Zowe API Mediation Layer | jsesc |  v0.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsesc](https://www.github.com/mathiasbynens/jsesc.git) |
| Zowe API Mediation Layer | jsesc |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsesc](https://www.github.com/mathiasbynens/jsesc.git) |
| Zowe API Mediation Layer | jsesc |  v2.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [jsesc](https://www.github.com/mathiasbynens/jsesc.git) |
| Zowe API Mediation Layer | json-parse-better-errors |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [json-parse-better-errors](https://www.github.com/zkat/json-parse-better-errors) |
| Zowe API Mediation Layer | json-schema |  v0.2.3 | BSD* | [json-schema](https://www.github.com/kriszyp/json-schema) |
| Zowe API Mediation Layer | json-schema-traverse |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-schema-traverse](https://www.github.com/epoberezkin/json-schema-traverse.git) |
| Zowe API Mediation Layer | json-stable-stringify |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-stable-stringify](https://www.github.com/substack/json-stable-stringify.git) |
| Zowe API Mediation Layer | json-stable-stringify-without-jsonify |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-stable-stringify-without-jsonify](https://www.github.com/samn/json-stable-stringify.git) |
| Zowe API Mediation Layer | json-stringify-safe |  v5.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [json-stringify-safe](https://www.github.com/isaacs/json-stringify-safe) |
| Zowe API Mediation Layer | json3 |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [json3](https://www.github.com/bestiejs/json3.git) |
| Zowe API Mediation Layer | json5 |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/aseemk/json5.git) |
| Zowe API Mediation Layer | json5 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/json5/json5.git) |
| Zowe API Mediation Layer | json5 |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/json5/json5.git) |
| Zowe API Mediation Layer | jsonfile |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsonfile](https://www.github.com/jprichardson/node-jsonfile.git) |
| Zowe API Mediation Layer | jsonify |  v0.0.0 | Public Domain | [jsonify](https://www.github.com/substack/jsonify.git) |
| Zowe API Mediation Layer | jsonparse |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsonparse](https://www.github.com/creationix/jsonparse.git) |
| Zowe API Mediation Layer | jsprim |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsprim](https://www.github.com/joyent/node-jsprim.git) |
| Zowe API Mediation Layer | jsx-ast-utils |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsx-ast-utils](https://www.github.com/evcohen/jsx-ast-utils) |
| Zowe API Mediation Layer | killable |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [killable](https://www.github.com/marten-de-vries/killable.git) |
| Zowe API Mediation Layer | kind-of |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe API Mediation Layer | kind-of |  v3.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe API Mediation Layer | kind-of |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe API Mediation Layer | kind-of |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe API Mediation Layer | kind-of |  v6.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe API Mediation Layer | kleur |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [kleur](https://www.github.com/lukeed/kleur.git) |
| Zowe API Mediation Layer | last-call-webpack-plugin |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [last-call-webpack-plugin](https://www.github.com/NMFR/last-call-webpack-plugin.git) |
| Zowe API Mediation Layer | latest-version |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [latest-version](https://www.github.com/sindresorhus/latest-version.git) |
| Zowe API Mediation Layer | lazy-cache |  v0.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [lazy-cache](https://www.github.com/jonschlinkert/lazy-cache.git) |
| Zowe API Mediation Layer | lazy-cache |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [lazy-cache](https://www.github.com/jonschlinkert/lazy-cache.git) |
| Zowe API Mediation Layer | lazy-property |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lazy-property](https://www.github.com/mikolalysenko/lazy-property.git) |
| Zowe API Mediation Layer | lcid |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lcid](https://www.github.com/sindresorhus/lcid.git) |
| Zowe API Mediation Layer | lcid |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lcid](https://www.github.com/sindresorhus/lcid.git) |
| Zowe API Mediation Layer | left-pad |  v1.3.0 | WTFPL | [left-pad](https://www.github.com/stevemao/left-pad.git) |
| Zowe API Mediation Layer | leven |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [leven](https://www.github.com/sindresorhus/leven.git) |
| Zowe API Mediation Layer | levn |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [levn](https://www.github.com/gkz/levn.git) |
| Zowe API Mediation Layer | libcipm |  v3.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [libcipm](https://www.github.com/zkat/cipm) |
| Zowe API Mediation Layer | libnpm |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpm](https://www.github.com/npm/libnpm) |
| Zowe API Mediation Layer | libnpmaccess |  v3.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmaccess](https://www.github.com/npm/libnpmaccess.git) |
| Zowe API Mediation Layer | libnpmconfig |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmconfig](https://www.github.com/npm/libnpmconfig.git) |
| Zowe API Mediation Layer | libnpmhook |  v5.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmhook](https://www.github.com/npm/libnpmhook) |
| Zowe API Mediation Layer | libnpmorg |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmorg](https://www.github.com/npm/libnpmorg.git) |
| Zowe API Mediation Layer | libnpmpublish |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmpublish](https://www.github.com/npm/libnpmpublish.git) |
| Zowe API Mediation Layer | libnpmsearch |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmsearch](https://www.github.com/npm/libnpmsearch.git) |
| Zowe API Mediation Layer | libnpmteam |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmteam](https://www.github.com/npm/libnpmteam.git) |
| Zowe API Mediation Layer | libnpx |  v10.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpx](https://www.github.com/zkat/npx) |
| Zowe API Mediation Layer | load-json-file |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [load-json-file](https://www.github.com/sindresorhus/load-json-file.git) |
| Zowe API Mediation Layer | load-json-file |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [load-json-file](https://www.github.com/sindresorhus/load-json-file.git) |
| Zowe API Mediation Layer | loader-fs-cache |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [loader-fs-cache](https://www.npmjs.com/package/loader-fs-cache) |
| Zowe API Mediation Layer | loader-runner |  v2.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loader-runner](https://www.github.com/webpack/loader-runner.git) |
| Zowe API Mediation Layer | loader-utils |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe API Mediation Layer | loader-utils |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe API Mediation Layer | locate-path |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Zowe API Mediation Layer | locate-path |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Zowe API Mediation Layer | lock-verify |  v2.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lock-verify](https://www.github.com/iarna/lock-verify.git) |
| Zowe API Mediation Layer | lockfile |  v1.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lockfile](https://www.github.com/npm/lockfile.git) |
| Zowe API Mediation Layer | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash-es |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash-es](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash._baseuniq |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._baseuniq](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash._createset |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._createset](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash._reinterpolate |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._reinterpolate](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash._root |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._root](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.camelcase |  v4.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.camelcase](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.clonedeep |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.clonedeep](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.debounce |  v4.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.debounce](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.forin |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.forin](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.get |  v4.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.get](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.isempty |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.isempty](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.memoize |  v4.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.memoize](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.pickby |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.pickby](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.set |  v4.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.set](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.sortby |  v4.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.sortby](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.tail |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.tail](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.template |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.template](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.templatesettings |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.templatesettings](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.union |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.union](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.uniq |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.uniq](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.unset |  v4.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.unset](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | lodash.without |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.without](https://www.github.com/lodash/lodash.git) |
| Zowe API Mediation Layer | loglevel |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [loglevel](https://www.github.com/pimterry/loglevel.git) |
| Zowe API Mediation Layer | loose-envify |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loose-envify](https://www.github.com/zertosh/loose-envify.git) |
| Zowe API Mediation Layer | lower-case |  v1.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [lower-case](https://www.github.com/blakeembrey/lower-case.git) |
| Zowe API Mediation Layer | lowercase-keys |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lowercase-keys](https://www.github.com/sindresorhus/lowercase-keys.git) |
| Zowe API Mediation Layer | lru-cache |  v4.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Zowe API Mediation Layer | lru-cache |  v5.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Zowe API Mediation Layer | lru-queue |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [lru-queue](https://www.github.com/medikoo/lru-queue.git) |
| Zowe API Mediation Layer | make-dir |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [make-dir](https://www.github.com/sindresorhus/make-dir.git) |
| Zowe API Mediation Layer | make-fetch-happen |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [make-fetch-happen](https://www.github.com/zkat/make-fetch-happen) |
| Zowe API Mediation Layer | makeerror |  v1.0.11 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [makeerror](https://www.github.com/daaku/nodejs-makeerror) |
| Zowe API Mediation Layer | mamacro |  v0.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [mamacro](https://www.npmjs.com/package/mamacro) |
| Zowe API Mediation Layer | map-age-cleaner |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [map-age-cleaner](https://www.github.com/SamVerschueren/map-age-cleaner.git) |
| Zowe API Mediation Layer | map-cache |  v0.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [map-cache](https://www.github.com/jonschlinkert/map-cache.git) |
| Zowe API Mediation Layer | map-visit |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [map-visit](https://www.github.com/jonschlinkert/map-visit.git) |
| Zowe API Mediation Layer | math-random |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [math-random](https://www.github.com/michaelrhodes/math-random.git) |
| Zowe API Mediation Layer | md5.js |  v1.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [md5.js](https://www.github.com/crypto-browserify/md5.js.git) |
| Zowe API Mediation Layer | mdn-data |  v1.1.4 | [Mozilla Public License 2.0](https://www.mozilla.org/media/MPL/2.0/index.815ca599c9df.txt) | [mdn-data](https://www.github.com/mdn/data.git) |
| Zowe API Mediation Layer | meant |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [meant](https://www.github.com/watilde/meant.git) |
| Zowe API Mediation Layer | media-typer |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [media-typer](https://www.github.com/jshttp/media-typer.git) |
| Zowe API Mediation Layer | mem |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [mem](https://www.github.com/sindresorhus/mem.git) |
| Zowe API Mediation Layer | mem |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [mem](https://www.github.com/sindresorhus/mem.git) |
| Zowe API Mediation Layer | memoize-one |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [memoize-one](https://www.github.com/alexreardon/memoize-one.git) |
| Zowe API Mediation Layer | memoizee |  v0.4.14 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [memoizee](https://www.github.com/medikoo/memoizee.git) |
| Zowe API Mediation Layer | memory-fs |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [memory-fs](https://www.github.com/webpack/memory-fs.git) |
| Zowe API Mediation Layer | merge |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [merge](https://www.github.com/yeikos/js.merge.git) |
| Zowe API Mediation Layer | merge-deep |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [merge-deep](https://www.github.com/jonschlinkert/merge-deep.git) |
| Zowe API Mediation Layer | merge-descriptors |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [merge-descriptors](https://www.github.com/component/merge-descriptors.git) |
| Zowe API Mediation Layer | merge-stream |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [merge-stream](https://www.github.com/grncdr/merge-stream.git) |
| Zowe API Mediation Layer | merge2 |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [merge2](https://www.github.com/teambition/merge2.git) |
| Zowe API Mediation Layer | methods |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [methods](https://www.github.com/jshttp/methods.git) |
| Zowe API Mediation Layer | micromatch |  v2.3.11 | [MIT](http://opensource.org/licenses/mit-license) | [micromatch](https://www.github.com/jonschlinkert/micromatch.git) |
| Zowe API Mediation Layer | micromatch |  v3.1.10 | [MIT](http://opensource.org/licenses/mit-license) | [micromatch](https://www.github.com/micromatch/micromatch.git) |
| Zowe API Mediation Layer | miller-rabin |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [miller-rabin](https://www.github.com/indutny/miller-rabin) |
| Zowe API Mediation Layer | mime |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe API Mediation Layer | mime |  v2.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe API Mediation Layer | mime-db |  v1.37.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime-db](https://www.github.com/jshttp/mime-db.git) |
| Zowe API Mediation Layer | mime-types |  v2.1.21 | [MIT](http://opensource.org/licenses/mit-license) | [mime-types](https://www.github.com/jshttp/mime-types.git) |
| Zowe API Mediation Layer | mimic-fn |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [mimic-fn](https://www.github.com/sindresorhus/mimic-fn.git) |
| Zowe API Mediation Layer | mineral-ui |  v0.54.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [mineral-ui](https://www.github.com/mineral-ui/mineral-ui.git) |
| Zowe API Mediation Layer | mineral-ui-icons |  v0.5.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [mineral-ui-icons](https://www.github.com/mineral-ui/mineral-ui.git) |
| Zowe API Mediation Layer | mineral-ui-tokens |  v0.4.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [mineral-ui-tokens](https://www.github.com/mineral-ui/mineral-ui.git) |
| Zowe API Mediation Layer | mini-css-extract-plugin |  v0.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [mini-css-extract-plugin](https://www.github.com/webpack-contrib/mini-css-extract-plugin.git) |
| Zowe API Mediation Layer | minimalistic-assert |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimalistic-assert](https://www.github.com/calvinmetcalf/minimalistic-assert.git) |
| Zowe API Mediation Layer | minimalistic-crypto-utils |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [minimalistic-crypto-utils](https://www.github.com/indutny/minimalistic-crypto-utils.git) |
| Zowe API Mediation Layer | minimatch |  v3.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Zowe API Mediation Layer | minimist |  v0.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe API Mediation Layer | minimist |  v0.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe API Mediation Layer | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe API Mediation Layer | minipass |  v2.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minipass](https://www.github.com/isaacs/minipass.git) |
| Zowe API Mediation Layer | minizlib |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [minizlib](https://www.github.com/isaacs/minizlib.git) |
| Zowe API Mediation Layer | mississippi |  v2.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [mississippi](https://www.github.com/maxogden/mississippi.git) |
| Zowe API Mediation Layer | mississippi |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [mississippi](https://www.github.com/maxogden/mississippi.git) |
| Zowe API Mediation Layer | mixin-deep |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [mixin-deep](https://www.github.com/jonschlinkert/mixin-deep.git) |
| Zowe API Mediation Layer | mixin-object |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [mixin-object](https://www.github.com/jonschlinkert/mixin-object.git) |
| Zowe API Mediation Layer | mkdirp |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [mkdirp](https://www.github.com/substack/node-mkdirp.git) |
| Zowe API Mediation Layer | move-concurrently |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [move-concurrently](https://www.github.com/npm/move-concurrently.git) |
| Zowe API Mediation Layer | ms |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Zowe API Mediation Layer | ms |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Zowe API Mediation Layer | multicast-dns |  v6.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [multicast-dns](https://www.github.com/mafintosh/multicast-dns.git) |
| Zowe API Mediation Layer | multicast-dns-service-types |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [multicast-dns-service-types](https://www.github.com/mafintosh/multicast-dns-service-types.git) |
| Zowe API Mediation Layer | mute-stream |  v0.0.7 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [mute-stream](https://www.github.com/isaacs/mute-stream) |
| Zowe API Mediation Layer | mute-stream |  v0.0.8 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [mute-stream](https://www.github.com/isaacs/mute-stream) |
| Zowe API Mediation Layer | nan |  v2.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [nan](https://www.github.com/nodejs/nan.git) |
| Zowe API Mediation Layer | nanomatch |  v1.2.13 | [MIT](http://opensource.org/licenses/mit-license) | [nanomatch](https://www.github.com/micromatch/nanomatch.git) |
| Zowe API Mediation Layer | natural-compare |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [natural-compare](https://www.github.com/litejs/natural-compare-lite.git) |
| Zowe API Mediation Layer | needle |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [needle](https://www.github.com/tomas/needle.git) |
| Zowe API Mediation Layer | negotiator |  v0.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [negotiator](https://www.github.com/jshttp/negotiator.git) |
| Zowe API Mediation Layer | neo-async |  v2.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [neo-async](https://www.github.com/suguru03/neo-async.git) |
| Zowe API Mediation Layer | next-tick |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [next-tick](https://www.github.com/medikoo/next-tick.git) |
| Zowe API Mediation Layer | nice-try |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [nice-try](https://www.github.com/electerious/nice-try.git) |
| Zowe API Mediation Layer | no-case |  v2.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [no-case](https://www.github.com/blakeembrey/no-case.git) |
| Zowe API Mediation Layer | no-scroll |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [no-scroll](https://www.github.com/davidtheclark/no-scroll.git) |
| Zowe API Mediation Layer | node-fetch |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch](https://www.github.com/bitinn/node-fetch.git) |
| Zowe API Mediation Layer | node-fetch-npm |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch-npm](https://www.github.com/npm/node-fetch-npm.git) |
| Zowe API Mediation Layer | node-forge |  v0.7.5 | (BSD-3-Clause OR GPL-2.0) | [node-forge](https://www.github.com/digitalbazaar/forge) |
| Zowe API Mediation Layer | node-gyp |  v3.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-gyp](https://www.github.com/nodejs/node-gyp.git) |
| Zowe API Mediation Layer | node-int64 |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-int64](https://www.github.com/broofa/node-int64) |
| Zowe API Mediation Layer | node-libs-browser |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-libs-browser](https://www.github.com/webpack/node-libs-browser.git) |
| Zowe API Mediation Layer | node-notifier |  v5.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-notifier](https://www.github.com/mikaelbr/node-notifier.git) |
| Zowe API Mediation Layer | node-pre-gyp |  v0.10.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [node-pre-gyp](https://www.github.com/mapbox/node-pre-gyp.git) |
| Zowe API Mediation Layer | node-releases |  v1.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [node-releases](https://www.github.com/chicoxyzzy/node-releases.git) |
| Zowe API Mediation Layer | nopt |  v1.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [nopt](https://www.github.com/isaacs/nopt) |
| Zowe API Mediation Layer | nopt |  v3.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [nopt](https://www.github.com/npm/nopt.git) |
| Zowe API Mediation Layer | nopt |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [nopt](https://www.github.com/npm/nopt.git) |
| Zowe API Mediation Layer | normalize-package-data |  v2.4.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [normalize-package-data](https://www.github.com/npm/normalize-package-data.git) |
| Zowe API Mediation Layer | normalize-path |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [normalize-path](https://www.github.com/jonschlinkert/normalize-path.git) |
| Zowe API Mediation Layer | normalize-range |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [normalize-range](https://www.github.com/jamestalmage/normalize-range.git) |
| Zowe API Mediation Layer | normalize-url |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [normalize-url](https://www.github.com/sindresorhus/normalize-url.git) |
| Zowe API Mediation Layer | npm |  v6.7.0 | Artistic-2.0 | [npm](https://www.github.com/npm/cli) |
| Zowe API Mediation Layer | npm-audit-report |  v1.3.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-audit-report](https://www.github.com/npm/npm-audit-report.git) |
| Zowe API Mediation Layer | npm-bundled |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-bundled](https://www.github.com/npm/npm-bundled.git) |
| Zowe API Mediation Layer | npm-cache-filename |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-cache-filename](https://www.github.com/npm/npm-cache-filename) |
| Zowe API Mediation Layer | npm-install-checks |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [npm-install-checks](https://www.github.com/npm/npm-install-checks.git) |
| Zowe API Mediation Layer | npm-lifecycle |  v2.1.0 | Artistic-2.0 | [npm-lifecycle](https://www.github.com/npm/lifecycle.git) |
| Zowe API Mediation Layer | npm-logical-tree |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-logical-tree](https://www.github.com/npm/logical-tree) |
| Zowe API Mediation Layer | npm-package-arg |  v6.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-package-arg](https://www.github.com/npm/npm-package-arg) |
| Zowe API Mediation Layer | npm-packlist |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-packlist](https://www.github.com/npm/npm-packlist.git) |
| Zowe API Mediation Layer | npm-pick-manifest |  v2.2.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-pick-manifest](https://www.github.com/zkat/npm-pick-manifest) |
| Zowe API Mediation Layer | npm-profile |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-profile](https://www.github.com/npm/npm-profile.git) |
| Zowe API Mediation Layer | npm-registry-fetch |  v3.9.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-registry-fetch](https://www.github.com/npm/registry-fetch) |
| Zowe API Mediation Layer | npm-run-path |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [npm-run-path](https://www.github.com/sindresorhus/npm-run-path.git) |
| Zowe API Mediation Layer | npm-user-validate |  v1.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [npm-user-validate](https://www.github.com/npm/npm-user-validate.git) |
| Zowe API Mediation Layer | npmlog |  v4.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npmlog](https://www.github.com/npm/npmlog.git) |
| Zowe API Mediation Layer | nth-check |  v1.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [nth-check](https://www.github.com/fb55/nth-check) |
| Zowe API Mediation Layer | num2fraction |  v1.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [num2fraction](https://www.github.com/yisibl/num2fraction.git) |
| Zowe API Mediation Layer | number-is-nan |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [number-is-nan](https://www.github.com/sindresorhus/number-is-nan.git) |
| Zowe API Mediation Layer | nwsapi |  v2.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [nwsapi](https://www.github.com/dperini/nwsapi.git) |
| Zowe API Mediation Layer | oauth-sign |  v0.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [oauth-sign](https://www.github.com/mikeal/oauth-sign) |
| Zowe API Mediation Layer | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe API Mediation Layer | object-copy |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [object-copy](https://www.github.com/jonschlinkert/object-copy.git) |
| Zowe API Mediation Layer | object-hash |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-hash](https://www.github.com/puleos/object-hash) |
| Zowe API Mediation Layer | object-keys |  v1.0.12 | [MIT](http://opensource.org/licenses/mit-license) | [object-keys](https://www.github.com/ljharb/object-keys.git) |
| Zowe API Mediation Layer | object-visit |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-visit](https://www.github.com/jonschlinkert/object-visit.git) |
| Zowe API Mediation Layer | object.assign |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [object.assign](https://www.github.com/ljharb/object.assign.git) |
| Zowe API Mediation Layer | object.getownpropertydescriptors |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [object.getownpropertydescriptors](https://www.github.com/ljharb/object.getownpropertydescriptors.git) |
| Zowe API Mediation Layer | object.omit |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [object.omit](https://www.github.com/jonschlinkert/object.omit.git) |
| Zowe API Mediation Layer | object.pick |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [object.pick](https://www.github.com/jonschlinkert/object.pick.git) |
| Zowe API Mediation Layer | object.values |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [object.values](https://www.github.com/es-shims/Object.values.git) |
| Zowe API Mediation Layer | obuf |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [obuf](https://www.github.com/indutny/offset-buffer) |
| Zowe API Mediation Layer | on-finished |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [on-finished](https://www.github.com/jshttp/on-finished.git) |
| Zowe API Mediation Layer | on-headers |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [on-headers](https://www.github.com/jshttp/on-headers.git) |
| Zowe API Mediation Layer | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Zowe API Mediation Layer | onetime |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [onetime](https://www.github.com/sindresorhus/onetime.git) |
| Zowe API Mediation Layer | opener |  v1.5.1 | (WTFPL OR MIT) | [opener](https://www.github.com/domenic/opener.git) |
| Zowe API Mediation Layer | opn |  v5.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [opn](https://www.github.com/sindresorhus/opn.git) |
| Zowe API Mediation Layer | optimist |  v0.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [optimist](https://www.github.com/substack/node-optimist.git) |
| Zowe API Mediation Layer | optimize-css-assets-webpack-plugin |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [optimize-css-assets-webpack-plugin](https://www.github.com/NMFR/optimize-css-assets-webpack-plugin.git) |
| Zowe API Mediation Layer | optionator |  v0.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [optionator](https://www.github.com/gkz/optionator.git) |
| Zowe API Mediation Layer | original |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [original](https://www.github.com/unshiftio/original) |
| Zowe API Mediation Layer | os-browserify |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-browserify](https://www.github.com/CoderPuppy/os-browserify.git) |
| Zowe API Mediation Layer | os-homedir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-homedir](https://www.github.com/sindresorhus/os-homedir.git) |
| Zowe API Mediation Layer | os-locale |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-locale](https://www.github.com/sindresorhus/os-locale.git) |
| Zowe API Mediation Layer | os-locale |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-locale](https://www.github.com/sindresorhus/os-locale.git) |
| Zowe API Mediation Layer | os-tmpdir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-tmpdir](https://www.github.com/sindresorhus/os-tmpdir.git) |
| Zowe API Mediation Layer | osenv |  v0.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [osenv](https://www.github.com/npm/osenv) |
| Zowe API Mediation Layer | p-defer |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-defer](https://www.github.com/sindresorhus/p-defer.git) |
| Zowe API Mediation Layer | p-finally |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-finally](https://www.github.com/sindresorhus/p-finally.git) |
| Zowe API Mediation Layer | p-is-promise |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-is-promise](https://www.github.com/sindresorhus/p-is-promise.git) |
| Zowe API Mediation Layer | p-limit |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Zowe API Mediation Layer | p-limit |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Zowe API Mediation Layer | p-locate |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Zowe API Mediation Layer | p-locate |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Zowe API Mediation Layer | p-map |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-map](https://www.github.com/sindresorhus/p-map.git) |
| Zowe API Mediation Layer | p-try |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Zowe API Mediation Layer | p-try |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Zowe API Mediation Layer | package-json |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [package-json](https://www.github.com/sindresorhus/package-json.git) |
| Zowe API Mediation Layer | pacote |  v9.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [pacote](https://www.github.com/zkat/pacote) |
| Zowe API Mediation Layer | pako |  v1.0.8 | (MIT AND Zlib) | [pako](https://www.github.com/nodeca/pako.git) |
| Zowe API Mediation Layer | parallel-transform |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [parallel-transform](https://www.github.com/mafintosh/parallel-transform) |
| Zowe API Mediation Layer | param-case |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [param-case](https://www.github.com/blakeembrey/param-case.git) |
| Zowe API Mediation Layer | parse-asn1 |  v5.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [parse-asn1](https://www.github.com/crypto-browserify/parse-asn1.git) |
| Zowe API Mediation Layer | parse-glob |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [parse-glob](https://www.github.com/jonschlinkert/parse-glob.git) |
| Zowe API Mediation Layer | parse-json |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse-json](https://www.github.com/sindresorhus/parse-json.git) |
| Zowe API Mediation Layer | parse-json |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse-json](https://www.github.com/sindresorhus/parse-json.git) |
| Zowe API Mediation Layer | parse-passwd |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse-passwd](https://www.github.com/doowb/parse-passwd.git) |
| Zowe API Mediation Layer | parse5 |  v3.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [parse5](https://www.github.com/inikulin/parse5.git) |
| Zowe API Mediation Layer | parse5 |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse5](https://www.github.com/inikulin/parse5.git) |
| Zowe API Mediation Layer | parse5 |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse5](https://www.github.com/inikulin/parse5.git) |
| Zowe API Mediation Layer | parseurl |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [parseurl](https://www.github.com/pillarjs/parseurl.git) |
| Zowe API Mediation Layer | pascalcase |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [pascalcase](https://www.github.com/jonschlinkert/pascalcase.git) |
| Zowe API Mediation Layer | path-browserify |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-browserify](https://www.github.com/substack/path-browserify.git) |
| Zowe API Mediation Layer | path-dirname |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [path-dirname](https://www.github.com/es128/path-dirname.git) |
| Zowe API Mediation Layer | path-exists |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Zowe API Mediation Layer | path-exists |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Zowe API Mediation Layer | path-is-absolute |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-is-absolute](https://www.github.com/sindresorhus/path-is-absolute.git) |
| Zowe API Mediation Layer | path-is-inside |  v1.0.2 | (WTFPL OR MIT) | [path-is-inside](https://www.github.com/domenic/path-is-inside.git) |
| Zowe API Mediation Layer | path-key |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-key](https://www.github.com/sindresorhus/path-key.git) |
| Zowe API Mediation Layer | path-parse |  v1.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [path-parse](https://www.github.com/jbgutierrez/path-parse.git) |
| Zowe API Mediation Layer | path-to-regexp |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [path-to-regexp](https://www.github.com/component/path-to-regexp.git) |
| Zowe API Mediation Layer | path-to-regexp |  v1.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-to-regexp](https://www.github.com/pillarjs/path-to-regexp.git) |
| Zowe API Mediation Layer | path-type |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Zowe API Mediation Layer | path-type |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Zowe API Mediation Layer | path-type |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Zowe API Mediation Layer | pbkdf2 |  v3.0.17 | [MIT](http://opensource.org/licenses/mit-license) | [pbkdf2](https://www.github.com/crypto-browserify/pbkdf2.git) |
| Zowe API Mediation Layer | performance-now |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [performance-now](https://www.github.com/meryn/performance-now.git) |
| Zowe API Mediation Layer | performance-now |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [performance-now](https://www.github.com/braveg1rl/performance-now.git) |
| Zowe API Mediation Layer | pify |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Zowe API Mediation Layer | pify |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Zowe API Mediation Layer | pinkie |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [pinkie](https://www.github.com/floatdrop/pinkie.git) |
| Zowe API Mediation Layer | pinkie-promise |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [pinkie-promise](https://www.github.com/floatdrop/pinkie-promise.git) |
| Zowe API Mediation Layer | pkg-dir |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pkg-dir](https://www.github.com/sindresorhus/pkg-dir.git) |
| Zowe API Mediation Layer | pkg-dir |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pkg-dir](https://www.github.com/sindresorhus/pkg-dir.git) |
| Zowe API Mediation Layer | pkg-dir |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pkg-dir](https://www.github.com/sindresorhus/pkg-dir.git) |
| Zowe API Mediation Layer | pkg-up |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pkg-up](https://www.github.com/sindresorhus/pkg-up.git) |
| Zowe API Mediation Layer | pluralize |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pluralize](https://www.github.com/blakeembrey/pluralize.git) |
| Zowe API Mediation Layer | pn |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [pn](https://www.github.com/cscott/node-pn) |
| Zowe API Mediation Layer | pnp-webpack-plugin |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [pnp-webpack-plugin](https://www.github.com/arcanis/pnp-webpack-plugin.git) |
| Zowe API Mediation Layer | popper.js |  v1.14.7 | [MIT](http://opensource.org/licenses/mit-license) | [popper.js](https://www.github.com/FezVrasta/popper.js.git) |
| Zowe API Mediation Layer | portfinder |  v1.0.20 | [MIT](http://opensource.org/licenses/mit-license) | [portfinder](https://www.github.com/indexzero/node-portfinder.git) |
| Zowe API Mediation Layer | posix-character-classes |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [posix-character-classes](https://www.github.com/jonschlinkert/posix-character-classes.git) |
| Zowe API Mediation Layer | postcss |  v6.0.23 | [MIT](http://opensource.org/licenses/mit-license) | [postcss](https://www.github.com/postcss/postcss.git) |
| Zowe API Mediation Layer | postcss |  v7.0.14 | [MIT](http://opensource.org/licenses/mit-license) | [postcss](https://www.github.com/postcss/postcss.git) |
| Zowe API Mediation Layer | postcss-attribute-case-insensitive |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-attribute-case-insensitive](https://www.github.com/Semigradsky/postcss-attribute-case-insensitive.git) |
| Zowe API Mediation Layer | postcss-calc |  v7.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-calc](https://www.github.com/postcss/postcss-calc.git) |
| Zowe API Mediation Layer | postcss-color-functional-notation |  v2.0.1 | CC0-1.0 | [postcss-color-functional-notation](https://www.github.com/jonathantneal/postcss-color-functional-notation.git) |
| Zowe API Mediation Layer | postcss-color-hex-alpha |  v5.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-color-hex-alpha](https://www.github.com/postcss/postcss-color-hex-alpha.git) |
| Zowe API Mediation Layer | postcss-color-mod-function |  v3.0.3 | CC0-1.0 | [postcss-color-mod-function](https://www.github.com/jonathantneal/postcss-color-mod-function.git) |
| Zowe API Mediation Layer | postcss-color-rebeccapurple |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-color-rebeccapurple](https://www.github.com/postcss/postcss-color-rebeccapurple.git) |
| Zowe API Mediation Layer | postcss-colormin |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-colormin](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-convert-values |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-convert-values](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-custom-media |  v7.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-custom-media](https://www.github.com/postcss/postcss-custom-media.git) |
| Zowe API Mediation Layer | postcss-custom-properties |  v8.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-custom-properties](https://www.github.com/postcss/postcss-custom-properties.git) |
| Zowe API Mediation Layer | postcss-custom-selectors |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-custom-selectors](https://www.github.com/postcss/postcss-custom-selectors.git) |
| Zowe API Mediation Layer | postcss-dir-pseudo-class |  v5.0.0 | CC0-1.0 | [postcss-dir-pseudo-class](https://www.github.com/jonathantneal/postcss-dir-pseudo-class.git) |
| Zowe API Mediation Layer | postcss-discard-comments |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-comments](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-discard-duplicates |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-duplicates](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-discard-empty |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-empty](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-discard-overridden |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-overridden](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-env-function |  v2.0.2 | CC0-1.0 | [postcss-env-function](https://www.github.com/jonathantneal/postcss-env-function.git) |
| Zowe API Mediation Layer | postcss-flexbugs-fixes |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-flexbugs-fixes](https://www.github.com/luisrudge/postcss-flexbugs-fixes.git) |
| Zowe API Mediation Layer | postcss-focus-visible |  v4.0.0 | CC0-1.0 | [postcss-focus-visible](https://www.github.com/jonathantneal/postcss-focus-visible.git) |
| Zowe API Mediation Layer | postcss-focus-within |  v3.0.0 | CC0-1.0 | [postcss-focus-within](https://www.github.com/jonathantneal/postcss-focus-within.git) |
| Zowe API Mediation Layer | postcss-font-variant |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-font-variant](https://www.github.com/postcss/postcss-font-variant.git) |
| Zowe API Mediation Layer | postcss-gap-properties |  v2.0.0 | CC0-1.0 | [postcss-gap-properties](https://www.github.com/jonathantneal/postcss-gap-properties.git) |
| Zowe API Mediation Layer | postcss-image-set-function |  v3.0.1 | CC0-1.0 | [postcss-image-set-function](https://www.github.com/jonathantneal/postcss-image-set-function.git) |
| Zowe API Mediation Layer | postcss-initial |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-initial](https://www.github.com/maximkoretskiy/postcss-initial.git) |
| Zowe API Mediation Layer | postcss-lab-function |  v2.0.1 | CC0-1.0 | [postcss-lab-function](https://www.github.com/jonathantneal/postcss-lab-function.git) |
| Zowe API Mediation Layer | postcss-load-config |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-load-config](https://www.github.com/michael-ciniawsky/postcss-load-config.git) |
| Zowe API Mediation Layer | postcss-loader |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-loader](https://www.github.com/postcss/postcss-loader.git) |
| Zowe API Mediation Layer | postcss-logical |  v3.0.0 | CC0-1.0 | [postcss-logical](https://www.github.com/jonathantneal/postcss-logical.git) |
| Zowe API Mediation Layer | postcss-media-minmax |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-media-minmax](https://www.github.com/postcss/postcss-media-minmax.git) |
| Zowe API Mediation Layer | postcss-merge-longhand |  v4.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-merge-longhand](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-merge-rules |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-merge-rules](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-minify-font-values |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-font-values](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-minify-gradients |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-gradients](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-minify-params |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-params](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-minify-selectors |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-selectors](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-modules-extract-imports |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [postcss-modules-extract-imports](https://www.github.com/css-modules/postcss-modules-extract-imports.git) |
| Zowe API Mediation Layer | postcss-modules-local-by-default |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-modules-local-by-default](https://www.github.com/css-modules/postcss-modules-local-by-default.git) |
| Zowe API Mediation Layer | postcss-modules-scope |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [postcss-modules-scope](https://www.github.com/css-modules/postcss-modules-scope.git) |
| Zowe API Mediation Layer | postcss-modules-values |  v1.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [postcss-modules-values](https://www.github.com/css-modules/postcss-modules-values.git) |
| Zowe API Mediation Layer | postcss-nesting |  v7.0.0 | CC0-1.0 | [postcss-nesting](https://www.github.com/jonathantneal/postcss-nesting.git) |
| Zowe API Mediation Layer | postcss-normalize-charset |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-charset](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-display-values |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-display-values](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-positions |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-positions](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-repeat-style |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-repeat-style](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-string |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-string](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-timing-functions |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-timing-functions](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-unicode |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-unicode](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-url |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-url](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-normalize-whitespace |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-whitespace](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-ordered-values |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-ordered-values](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-overflow-shorthand |  v2.0.0 | CC0-1.0 | [postcss-overflow-shorthand](https://www.github.com/jonathantneal/postcss-overflow-shorthand.git) |
| Zowe API Mediation Layer | postcss-page-break |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-page-break](https://www.github.com/shrpne/postcss-page-break.git) |
| Zowe API Mediation Layer | postcss-place |  v4.0.1 | CC0-1.0 | [postcss-place](https://www.github.com/jonathantneal/postcss-place.git) |
| Zowe API Mediation Layer | postcss-preset-env |  v6.0.6 | CC0-1.0 | [postcss-preset-env](https://www.github.com/csstools/postcss-preset-env.git) |
| Zowe API Mediation Layer | postcss-pseudo-class-any-link |  v6.0.0 | CC0-1.0 | [postcss-pseudo-class-any-link](https://www.github.com/jonathantneal/postcss-pseudo-class-any-link.git) |
| Zowe API Mediation Layer | postcss-reduce-initial |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-reduce-initial](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-reduce-transforms |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-reduce-transforms](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-replace-overflow-wrap |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-replace-overflow-wrap](https://www.github.com/MattDiMu/postcss-replace-overflow-wrap.git) |
| Zowe API Mediation Layer | postcss-safe-parser |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-safe-parser](https://www.github.com/postcss/postcss-safe-parser.git) |
| Zowe API Mediation Layer | postcss-selector-matches |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-selector-matches](https://www.github.com/postcss/postcss-selector-matches.git) |
| Zowe API Mediation Layer | postcss-selector-not |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-selector-not](https://www.github.com/postcss/postcss-selector-not.git) |
| Zowe API Mediation Layer | postcss-selector-parser |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-selector-parser](https://www.github.com/postcss/postcss-selector-parser.git) |
| Zowe API Mediation Layer | postcss-selector-parser |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-selector-parser](https://www.github.com/postcss/postcss-selector-parser.git) |
| Zowe API Mediation Layer | postcss-svgo |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-svgo](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-unique-selectors |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-unique-selectors](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | postcss-value-parser |  v3.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-value-parser](https://www.github.com/TrySound/postcss-value-parser.git) |
| Zowe API Mediation Layer | postcss-values-parser |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-values-parser](https://www.github.com/lesshint/postcss-values-parser.git) |
| Zowe API Mediation Layer | prelude-ls |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [prelude-ls](https://www.github.com/gkz/prelude-ls.git) |
| Zowe API Mediation Layer | prepend-http |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [prepend-http](https://www.github.com/sindresorhus/prepend-http.git) |
| Zowe API Mediation Layer | preserve |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [preserve](https://www.github.com/jonschlinkert/preserve.git) |
| Zowe API Mediation Layer | prettier |  v1.16.1 | [MIT](http://opensource.org/licenses/mit-license) | [prettier](https://www.github.com/prettier/prettier.git) |
| Zowe API Mediation Layer | pretty-bytes |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [pretty-bytes](https://www.github.com/sindresorhus/pretty-bytes.git) |
| Zowe API Mediation Layer | pretty-error |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [pretty-error](https://www.github.com/AriaMinaei/pretty-error.git) |
| Zowe API Mediation Layer | pretty-format |  v23.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [pretty-format](https://www.github.com/facebook/jest.git) |
| Zowe API Mediation Layer | private |  v0.1.8 | [MIT](http://opensource.org/licenses/mit-license) | [private](https://www.github.com/benjamn/private.git) |
| Zowe API Mediation Layer | process |  v0.11.10 | [MIT](http://opensource.org/licenses/mit-license) | [process](https://www.github.com/shtylman/node-process.git) |
| Zowe API Mediation Layer | process-nextick-args |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [process-nextick-args](https://www.github.com/calvinmetcalf/process-nextick-args.git) |
| Zowe API Mediation Layer | progress |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [progress](https://www.github.com/visionmedia/node-progress) |
| Zowe API Mediation Layer | promise |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe API Mediation Layer | promise |  v8.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe API Mediation Layer | promise-inflight |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promise-inflight](https://www.github.com/iarna/promise-inflight.git) |
| Zowe API Mediation Layer | promise-retry |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise-retry](https://www.github.com/IndigoUnited/node-promise-retry.git) |
| Zowe API Mediation Layer | prompts |  v0.1.14 | [MIT](http://opensource.org/licenses/mit-license) | [prompts](https://www.github.com/terkelg/prompts.git) |
| Zowe API Mediation Layer | promzard |  v0.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promzard](https://www.github.com/isaacs/promzard) |
| Zowe API Mediation Layer | prop-types |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [prop-types](https://www.github.com/facebook/prop-types.git) |
| Zowe API Mediation Layer | proto-list |  v1.2.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [proto-list](https://www.github.com/isaacs/proto-list) |
| Zowe API Mediation Layer | protoduck |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [protoduck](https://www.github.com/zkat/protoduck.git) |
| Zowe API Mediation Layer | proxy-addr |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [proxy-addr](https://www.github.com/jshttp/proxy-addr.git) |
| Zowe API Mediation Layer | prr |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [prr](https://www.github.com/rvagg/prr.git) |
| Zowe API Mediation Layer | pseudomap |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [pseudomap](https://www.github.com/isaacs/pseudomap.git) |
| Zowe API Mediation Layer | psl |  v1.1.31 | [MIT](http://opensource.org/licenses/mit-license) | [psl](https://www.github.com/wrangr/psl.git) |
| Zowe API Mediation Layer | public-encrypt |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [public-encrypt](https://www.github.com/crypto-browserify/publicEncrypt.git) |
| Zowe API Mediation Layer | pump |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe API Mediation Layer | pump |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe API Mediation Layer | pumpify |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [pumpify](https://www.github.com/mafintosh/pumpify) |
| Zowe API Mediation Layer | punycode |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe API Mediation Layer | punycode |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe API Mediation Layer | punycode |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe API Mediation Layer | q |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [q](https://www.github.com/kriskowal/q.git) |
| Zowe API Mediation Layer | qrcode-terminal |  v0.12.0 | Apache* | [qrcode-terminal](https://www.github.com/gtanner/qrcode-terminal) |
| Zowe API Mediation Layer | qs |  v6.5.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [qs](https://www.github.com/ljharb/qs.git) |
| Zowe API Mediation Layer | qs |  v6.6.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [qs](https://www.github.com/ljharb/qs.git) |
| Zowe API Mediation Layer | query-string |  v6.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Zowe API Mediation Layer | querystring |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [querystring](https://www.github.com/Gozala/querystring.git) |
| Zowe API Mediation Layer | querystring-browser |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [querystring-browser](https://www.github.com/mathiasvr/querystring.git) |
| Zowe API Mediation Layer | querystring-es3 |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [querystring-es3](https://www.github.com/mike-spainhower/querystring.git) |
| Zowe API Mediation Layer | querystringify |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [querystringify](https://www.github.com/unshiftio/querystringify) |
| Zowe API Mediation Layer | qw |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [qw](https://www.github.com/iarna/node-qw.git) |
| Zowe API Mediation Layer | raf |  v3.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [raf](https://www.github.com/chrisdickinson/raf.git) |
| Zowe API Mediation Layer | raf |  v3.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [raf](https://www.github.com/chrisdickinson/raf.git) |
| Zowe API Mediation Layer | randomatic |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [randomatic](https://www.github.com/jonschlinkert/randomatic.git) |
| Zowe API Mediation Layer | randombytes |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [randombytes](https://www.github.com/crypto-browserify/randombytes.git) |
| Zowe API Mediation Layer | randomfill |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [randomfill](https://www.github.com/crypto-browserify/randomfill.git) |
| Zowe API Mediation Layer | range-parser |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [range-parser](https://www.github.com/jshttp/range-parser.git) |
| Zowe API Mediation Layer | raw-body |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [raw-body](https://www.github.com/stream-utils/raw-body.git) |
| Zowe API Mediation Layer | rc |  v1.2.8 | (BSD-2-Clause OR MIT OR Apache-2.0) | [rc](https://www.github.com/dominictarr/rc.git) |
| Zowe API Mediation Layer | react |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | react |  v16.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [react](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | react-addons-perf |  v15.4.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [react-addons-perf](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | react-app-polyfill |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [react-app-polyfill](https://www.github.com/facebook/create-react-app.git) |
| Zowe API Mediation Layer | react-attr-converter |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-attr-converter](https://www.github.com/noraesae/react-attr-converter.git) |
| Zowe API Mediation Layer | react-debounce-input |  v3.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-debounce-input](https://www.github.com/nkbt/react-debounce-input.git) |
| Zowe API Mediation Layer | react-dev-utils |  v6.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-dev-utils](https://www.github.com/facebook/create-react-app.git) |
| Zowe API Mediation Layer | react-dom |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-dom](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | react-dom |  v16.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [react-dom](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | react-emotion |  v9.2.12 | [MIT](http://opensource.org/licenses/mit-license) | [react-emotion](https://www.github.com/emotion-js/emotion/tree/master/packages/react-emotion) |
| Zowe API Mediation Layer | react-error-overlay |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-error-overlay](https://www.github.com/facebook/create-react-app.git) |
| Zowe API Mediation Layer | react-fast-compare |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-fast-compare](https://www.github.com/FormidableLabs/react-fast-compare.git) |
| Zowe API Mediation Layer | react-html-attributes |  v1.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-html-attributes](https://www.github.com/jackyho112/react-html-attributes) |
| Zowe API Mediation Layer | react-immutable-proptypes |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-immutable-proptypes](https://www.github.com/HurricaneJames/react-immutable-proptypes) |
| Zowe API Mediation Layer | react-immutable-pure-component |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [react-immutable-pure-component](https://www.github.com/Monar/react-immutable-pure-component) |
| Zowe API Mediation Layer | react-inspector |  v2.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-inspector](https://www.github.com/xyc/react-inspector.git) |
| Zowe API Mediation Layer | react-is |  v16.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-is](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | react-lifecycles-compat |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [react-lifecycles-compat](https://www.github.com/reactjs/react-lifecycles-compat.git) |
| Zowe API Mediation Layer | react-loadable |  v5.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-loadable](https://www.github.com/thejameskyle/react-loadable.git) |
| Zowe API Mediation Layer | react-motion |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-motion](https://www.github.com/chenglou/react-motion.git) |
| Zowe API Mediation Layer | react-popper |  v0.10.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-popper](https://www.github.com/souporserious/react-popper) |
| Zowe API Mediation Layer | react-redux |  v4.4.9 | [MIT](http://opensource.org/licenses/mit-license) | [react-redux](https://www.github.com/reactjs/react-redux.git) |
| Zowe API Mediation Layer | react-redux |  v5.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-redux](https://www.github.com/reduxjs/react-redux.git) |
| Zowe API Mediation Layer | react-render-html |  v0.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-render-html](https://www.github.com/utatti/react-render-html.git) |
| Zowe API Mediation Layer | react-router |  v4.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-router](https://www.github.com/ReactTraining/react-router.git) |
| Zowe API Mediation Layer | react-router-dom |  v4.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-router-dom](https://www.github.com/ReactTraining/react-router.git) |
| Zowe API Mediation Layer | react-router-tabs |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-router-tabs](https://www.github.com/chacestew/react-router-tabs.git) |
| Zowe API Mediation Layer | react-scripts |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-scripts](https://www.github.com/facebook/create-react-app.git) |
| Zowe API Mediation Layer | react-toastify |  v4.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [react-toastify](https://www.github.com/fkhadra/react-toastify.git) |
| Zowe API Mediation Layer | react-transition-group |  v2.3.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [react-transition-group](https://www.github.com/reactjs/react-transition-group.git) |
| Zowe API Mediation Layer | react-transition-group |  v2.5.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [react-transition-group](https://www.github.com/reactjs/react-transition-group.git) |
| Zowe API Mediation Layer | read |  v1.0.7 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read](https://www.github.com/isaacs/read.git) |
| Zowe API Mediation Layer | read-cmd-shim |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-cmd-shim](https://www.github.com/npm/read-cmd-shim.git) |
| Zowe API Mediation Layer | read-installed |  v4.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-installed](https://www.github.com/isaacs/read-installed) |
| Zowe API Mediation Layer | read-package-json |  v2.0.13 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-package-json](https://www.github.com/npm/read-package-json.git) |
| Zowe API Mediation Layer | read-package-tree |  v5.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-package-tree](https://www.github.com/npm/read-package-tree) |
| Zowe API Mediation Layer | read-pkg |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg](https://www.github.com/sindresorhus/read-pkg.git) |
| Zowe API Mediation Layer | read-pkg |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg](https://www.github.com/sindresorhus/read-pkg.git) |
| Zowe API Mediation Layer | read-pkg-up |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg-up](https://www.github.com/sindresorhus/read-pkg-up.git) |
| Zowe API Mediation Layer | read-pkg-up |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg-up](https://www.github.com/sindresorhus/read-pkg-up.git) |
| Zowe API Mediation Layer | readable-stream |  v1.0.34 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/isaacs/readable-stream) |
| Zowe API Mediation Layer | readable-stream |  v1.1.14 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/isaacs/readable-stream) |
| Zowe API Mediation Layer | readable-stream |  v2.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe API Mediation Layer | readable-stream |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe API Mediation Layer | readdir-scoped-modules |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [readdir-scoped-modules](https://www.github.com/npm/readdir-scoped-modules) |
| Zowe API Mediation Layer | readdirp |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [readdirp](https://www.github.com/paulmillr/readdirp.git) |
| Zowe API Mediation Layer | realpath-native |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [realpath-native](https://www.github.com/SimenB/realpath-native.git) |
| Zowe API Mediation Layer | recompose |  v0.27.0 | [MIT](http://opensource.org/licenses/mit-license) | [recompose](https://www.github.com/acdlite/recompose.git) |
| Zowe API Mediation Layer | recursive-readdir |  v2.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [recursive-readdir](https://www.github.com/jergason/recursive-readdir.git) |
| Zowe API Mediation Layer | redux |  v3.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [redux](https://www.github.com/reactjs/redux.git) |
| Zowe API Mediation Layer | redux |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [redux](https://www.github.com/reduxjs/redux.git) |
| Zowe API Mediation Layer | redux-catch |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [redux-catch](https://www.github.com/PlatziDev/redux-catch.git) |
| Zowe API Mediation Layer | redux-immutable |  v3.0.8 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [redux-immutable](https://www.github.com/gajus/redux-immutable) |
| Zowe API Mediation Layer | redux-logger |  v3.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [redux-logger](https://www.github.com/theaqua/redux-logger.git) |
| Zowe API Mediation Layer | redux-observable |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [redux-observable](https://www.github.com/redux-observable/redux-observable.git) |
| Zowe API Mediation Layer | redux-persist |  v5.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [redux-persist](https://www.github.com/rt2zz/redux-persist.git) |
| Zowe API Mediation Layer | redux-persist-transform-filter |  v0.0.18 | [MIT](http://opensource.org/licenses/mit-license) | [redux-persist-transform-filter](https://www.github.com/edy/redux-persist-transform-filter.git) |
| Zowe API Mediation Layer | redux-thunk |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [redux-thunk](https://www.github.com/reduxjs/redux-thunk.git) |
| Zowe API Mediation Layer | regenerate |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [regenerate](https://www.github.com/mathiasbynens/regenerate.git) |
| Zowe API Mediation Layer | regenerate-unicode-properties |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [regenerate-unicode-properties](https://www.github.com/mathiasbynens/regenerate-unicode-properties.git) |
| Zowe API Mediation Layer | regenerator-runtime |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe API Mediation Layer | regenerator-runtime |  v0.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe API Mediation Layer | regenerator-transform |  v0.13.3 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-transform](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-transform) |
| Zowe API Mediation Layer | regex-cache |  v0.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [regex-cache](https://www.github.com/jonschlinkert/regex-cache.git) |
| Zowe API Mediation Layer | regex-not |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [regex-not](https://www.github.com/jonschlinkert/regex-not.git) |
| Zowe API Mediation Layer | regexp-tree |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [regexp-tree](https://www.github.com/DmitrySoshnikov/regexp-tree.git) |
| Zowe API Mediation Layer | regexpp |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [regexpp](https://www.github.com/mysticatea/regexpp.git) |
| Zowe API Mediation Layer | regexpu-core |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [regexpu-core](https://www.github.com/mathiasbynens/regexpu-core.git) |
| Zowe API Mediation Layer | regexpu-core |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [regexpu-core](https://www.github.com/mathiasbynens/regexpu-core.git) |
| Zowe API Mediation Layer | registry-auth-token |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [registry-auth-token](https://www.github.com/rexxars/registry-auth-token.git) |
| Zowe API Mediation Layer | registry-url |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [registry-url](https://www.github.com/sindresorhus/registry-url.git) |
| Zowe API Mediation Layer | regjsgen |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [regjsgen](https://www.github.com/d10/regjsgen.git) |
| Zowe API Mediation Layer | regjsgen |  v0.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [regjsgen](https://www.github.com/bnjmnt4n/regjsgen.git) |
| Zowe API Mediation Layer | regjsparser |  v0.1.5 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [regjsparser](https://www.github.com/jviereck/regjsparser.git) |
| Zowe API Mediation Layer | regjsparser |  v0.6.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [regjsparser](https://www.github.com/jviereck/regjsparser.git) |
| Zowe API Mediation Layer | relateurl |  v0.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [relateurl](https://www.github.com/stevenvachon/relateurl.git) |
| Zowe API Mediation Layer | remarkable |  v1.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [remarkable](https://www.github.com/jonschlinkert/remarkable.git) |
| Zowe API Mediation Layer | remove-trailing-separator |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [remove-trailing-separator](https://www.github.com/darsain/remove-trailing-separator.git) |
| Zowe API Mediation Layer | renderkid |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [renderkid](https://www.github.com/AriaMinaei/RenderKid.git) |
| Zowe API Mediation Layer | repeat-element |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [repeat-element](https://www.github.com/jonschlinkert/repeat-element.git) |
| Zowe API Mediation Layer | repeat-string |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [repeat-string](https://www.github.com/jonschlinkert/repeat-string.git) |
| Zowe API Mediation Layer | repeating |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [repeating](https://www.github.com/sindresorhus/repeating.git) |
| Zowe API Mediation Layer | request |  v2.88.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [request](https://www.github.com/request/request.git) |
| Zowe API Mediation Layer | request-promise-core |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [request-promise-core](https://www.github.com/request/promise-core.git) |
| Zowe API Mediation Layer | request-promise-native |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [request-promise-native](https://www.github.com/request/request-promise-native.git) |
| Zowe API Mediation Layer | require-directory |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [require-directory](https://www.github.com/troygoode/node-require-directory.git) |
| Zowe API Mediation Layer | require-from-string |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [require-from-string](https://www.github.com/floatdrop/require-from-string.git) |
| Zowe API Mediation Layer | require-main-filename |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [require-main-filename](https://www.github.com/yargs/require-main-filename.git) |
| Zowe API Mediation Layer | require-uncached |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [require-uncached](https://www.github.com/sindresorhus/require-uncached.git) |
| Zowe API Mediation Layer | requires-port |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [requires-port](https://www.github.com/unshiftio/requires-port) |
| Zowe API Mediation Layer | reselect |  v2.5.4 | [MIT](http://opensource.org/licenses/mit-license) | [reselect](https://www.github.com/reactjs/reselect.git) |
| Zowe API Mediation Layer | resolve |  v1.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [resolve](https://www.github.com/substack/node-resolve.git) |
| Zowe API Mediation Layer | resolve |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve](https://www.github.com/browserify/resolve.git) |
| Zowe API Mediation Layer | resolve |  v1.8.1 | [MIT](http://opensource.org/licenses/mit-license) | [resolve](https://www.github.com/browserify/resolve.git) |
| Zowe API Mediation Layer | resolve-cwd |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-cwd](https://www.github.com/sindresorhus/resolve-cwd.git) |
| Zowe API Mediation Layer | resolve-dir |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-dir](https://www.github.com/jonschlinkert/resolve-dir.git) |
| Zowe API Mediation Layer | resolve-from |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-from](https://www.github.com/sindresorhus/resolve-from.git) |
| Zowe API Mediation Layer | resolve-from |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-from](https://www.github.com/sindresorhus/resolve-from.git) |
| Zowe API Mediation Layer | resolve-from |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-from](https://www.github.com/sindresorhus/resolve-from.git) |
| Zowe API Mediation Layer | resolve-pathname |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-pathname](https://www.github.com/mjackson/resolve-pathname.git) |
| Zowe API Mediation Layer | resolve-url |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-url](https://www.github.com/lydell/resolve-url.git) |
| Zowe API Mediation Layer | restore-cursor |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [restore-cursor](https://www.github.com/sindresorhus/restore-cursor.git) |
| Zowe API Mediation Layer | ret |  v0.1.15 | [MIT](http://opensource.org/licenses/mit-license) | [ret](https://www.github.com/fent/ret.js.git) |
| Zowe API Mediation Layer | retry |  v0.10.1 | [MIT](http://opensource.org/licenses/mit-license) | [retry](https://www.github.com/tim-kos/node-retry.git) |
| Zowe API Mediation Layer | retry |  v0.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [retry](https://www.github.com/tim-kos/node-retry.git) |
| Zowe API Mediation Layer | rgb-regex |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [rgb-regex](https://www.github.com/regexps/rgb-regex.git) |
| Zowe API Mediation Layer | rgba-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [rgba-regex](https://www.github.com/johnotander/rgba-regex.git) |
| Zowe API Mediation Layer | rimraf |  v2.6.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Zowe API Mediation Layer | ripemd160 |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [ripemd160](https://www.github.com/crypto-browserify/ripemd160) |
| Zowe API Mediation Layer | rsvp |  v3.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [rsvp](https://www.github.com/tildeio/rsvp.js.git) |
| Zowe API Mediation Layer | run-async |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [run-async](https://www.github.com/SBoudrias/run-async.git) |
| Zowe API Mediation Layer | run-queue |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [run-queue](https://www.github.com/iarna/run-queue.git) |
| Zowe API Mediation Layer | rxjs |  v6.3.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs](https://www.github.com/reactivex/rxjs.git) |
| Zowe API Mediation Layer | safe-buffer |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safe-buffer](https://www.github.com/feross/safe-buffer.git) |
| Zowe API Mediation Layer | safe-regex |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [safe-regex](https://www.github.com/substack/safe-regex.git) |
| Zowe API Mediation Layer | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe API Mediation Layer | sane |  v2.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [sane](https://www.github.com/amasad/sane) |
| Zowe API Mediation Layer | sass-loader |  v7.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [sass-loader](https://www.github.com/webpack-contrib/sass-loader.git) |
| Zowe API Mediation Layer | sax |  v1.2.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [sax](https://www.github.com/isaacs/sax-js.git) |
| Zowe API Mediation Layer | saxes |  v3.1.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [saxes](https://www.github.com/lddubeau/saxes.git) |
| Zowe API Mediation Layer | scheduler |  v0.11.3 | [MIT](http://opensource.org/licenses/mit-license) | [scheduler](https://www.github.com/facebook/react.git) |
| Zowe API Mediation Layer | schema-utils |  v0.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [schema-utils](https://www.github.com/webpack-contrib/schema-utils) |
| Zowe API Mediation Layer | schema-utils |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [schema-utils](https://www.github.com/webpack-contrib/schema-utils) |
| Zowe API Mediation Layer | scroll-into-view-if-needed |  v1.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [scroll-into-view-if-needed](https://www.github.com/stipsan/scroll-into-view-if-needed.git) |
| Zowe API Mediation Layer | select-hose |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [select-hose](https://www.github.com/indutny/select-hose.git) |
| Zowe API Mediation Layer | selfsigned |  v1.10.4 | [MIT](http://opensource.org/licenses/mit-license) | [selfsigned](https://www.github.com/jfromaniello/selfsigned.git) |
| Zowe API Mediation Layer | semver |  v5.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe API Mediation Layer | semver |  v5.6.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe API Mediation Layer | semver-diff |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [semver-diff](https://www.github.com/sindresorhus/semver-diff.git) |
| Zowe API Mediation Layer | send |  v0.16.2 | [MIT](http://opensource.org/licenses/mit-license) | [send](https://www.github.com/pillarjs/send.git) |
| Zowe API Mediation Layer | serialize-error |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [serialize-error](https://www.github.com/sindresorhus/serialize-error.git) |
| Zowe API Mediation Layer | serialize-javascript |  v1.6.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [serialize-javascript](https://www.github.com/yahoo/serialize-javascript.git) |
| Zowe API Mediation Layer | serve-index |  v1.9.1 | [MIT](http://opensource.org/licenses/mit-license) | [serve-index](https://www.github.com/expressjs/serve-index.git) |
| Zowe API Mediation Layer | serve-static |  v1.13.2 | [MIT](http://opensource.org/licenses/mit-license) | [serve-static](https://www.github.com/expressjs/serve-static.git) |
| Zowe API Mediation Layer | set-blocking |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [set-blocking](https://www.github.com/yargs/set-blocking.git) |
| Zowe API Mediation Layer | set-value |  v0.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [set-value](https://www.github.com/jonschlinkert/set-value.git) |
| Zowe API Mediation Layer | set-value |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [set-value](https://www.github.com/jonschlinkert/set-value.git) |
| Zowe API Mediation Layer | setimmediate |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [setimmediate](https://www.github.com/YuzuJS/setImmediate.git) |
| Zowe API Mediation Layer | setprototypeof |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [setprototypeof](https://www.github.com/wesleytodd/setprototypeof.git) |
| Zowe API Mediation Layer | sha |  v2.0.1 | (BSD-2-Clause OR MIT) | [sha](https://www.github.com/ForbesLindesay/sha.git) |
| Zowe API Mediation Layer | sha.js |  v2.4.11 | (MIT AND BSD-3-Clause) | [sha.js](https://www.github.com/crypto-browserify/sha.js.git) |
| Zowe API Mediation Layer | shallow-clone |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [shallow-clone](https://www.github.com/jonschlinkert/shallow-clone.git) |
| Zowe API Mediation Layer | shallow-clone |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [shallow-clone](https://www.github.com/jonschlinkert/shallow-clone.git) |
| Zowe API Mediation Layer | shebang-command |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-command](https://www.github.com/kevva/shebang-command.git) |
| Zowe API Mediation Layer | shebang-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-regex](https://www.github.com/sindresorhus/shebang-regex.git) |
| Zowe API Mediation Layer | shell-quote |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [shell-quote](https://www.github.com/substack/node-shell-quote.git) |
| Zowe API Mediation Layer | shellwords |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [shellwords](https://www.github.com/jimmycuadra/shellwords.git) |
| Zowe API Mediation Layer | signal-exit |  v3.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [signal-exit](https://www.github.com/tapjs/signal-exit.git) |
| Zowe API Mediation Layer | simple-swizzle |  v0.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [simple-swizzle](https://www.github.com/qix-/node-simple-swizzle.git) |
| Zowe API Mediation Layer | sisteransi |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [sisteransi](https://www.github.com/terkelg/sisteransi) |
| Zowe API Mediation Layer | slash |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [slash](https://www.github.com/sindresorhus/slash.git) |
| Zowe API Mediation Layer | slice-ansi |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [slice-ansi](https://www.github.com/chalk/slice-ansi.git) |
| Zowe API Mediation Layer | slide |  v1.1.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [slide](https://www.github.com/isaacs/slide-flow-control.git) |
| Zowe API Mediation Layer | smart-buffer |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [smart-buffer](https://www.github.com/JoshGlazebrook/smart-buffer.git) |
| Zowe API Mediation Layer | snapdragon |  v0.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [snapdragon](https://www.github.com/jonschlinkert/snapdragon.git) |
| Zowe API Mediation Layer | snapdragon-node |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [snapdragon-node](https://www.github.com/jonschlinkert/snapdragon-node.git) |
| Zowe API Mediation Layer | snapdragon-util |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [snapdragon-util](https://www.github.com/jonschlinkert/snapdragon-util.git) |
| Zowe API Mediation Layer | sockjs |  v0.3.19 | [MIT](http://opensource.org/licenses/mit-license) | [sockjs](https://www.github.com/sockjs/sockjs-node.git) |
| Zowe API Mediation Layer | sockjs-client |  v1.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [sockjs-client](https://www.github.com/sockjs/sockjs-client.git) |
| Zowe API Mediation Layer | socks |  v2.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [socks](https://www.github.com/JoshGlazebrook/socks.git) |
| Zowe API Mediation Layer | socks-proxy-agent |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [socks-proxy-agent](https://www.github.com/TooTallNate/node-socks-proxy-agent.git) |
| Zowe API Mediation Layer | sorted-object |  v2.0.1 | (WTFPL OR MIT) | [sorted-object](https://www.github.com/domenic/sorted-object.git) |
| Zowe API Mediation Layer | sorted-union-stream |  v2.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [sorted-union-stream](https://www.github.com/mafintosh/sorted-union-stream.git) |
| Zowe API Mediation Layer | source-list-map |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [source-list-map](https://www.github.com/webpack/source-list-map.git) |
| Zowe API Mediation Layer | source-map |  v0.5.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [source-map](https://www.github.com/mozilla/source-map.git) |
| Zowe API Mediation Layer | source-map |  v0.6.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [source-map](https://www.github.com/mozilla/source-map.git) |
| Zowe API Mediation Layer | source-map |  v0.7.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [source-map](https://www.github.com/mozilla/source-map.git) |
| Zowe API Mediation Layer | source-map-resolve |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-resolve](https://www.github.com/lydell/source-map-resolve.git) |
| Zowe API Mediation Layer | source-map-support |  v0.4.18 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-support](https://www.github.com/evanw/node-source-map-support) |
| Zowe API Mediation Layer | source-map-support |  v0.5.10 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-support](https://www.github.com/evanw/node-source-map-support) |
| Zowe API Mediation Layer | source-map-url |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-url](https://www.github.com/lydell/source-map-url.git) |
| Zowe API Mediation Layer | spdx-correct |  v3.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [spdx-correct](https://www.github.com/jslicense/spdx-correct.js.git) |
| Zowe API Mediation Layer | spdx-exceptions |  v2.2.0 | CC-BY-3.0 | [spdx-exceptions](https://www.github.com/kemitchell/spdx-exceptions.json.git) |
| Zowe API Mediation Layer | spdx-expression-parse |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [spdx-expression-parse](https://www.github.com/jslicense/spdx-expression-parse.js.git) |
| Zowe API Mediation Layer | spdx-license-ids |  v3.0.3 | CC0-1.0 | [spdx-license-ids](https://www.github.com/shinnn/spdx-license-ids.git) |
| Zowe API Mediation Layer | spdy |  v3.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [spdy](https://www.github.com/indutny/node-spdy.git) |
| Zowe API Mediation Layer | spdy-transport |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [spdy-transport](https://www.github.com/spdy-http2/spdy-transport.git) |
| Zowe API Mediation Layer | split-string |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [split-string](https://www.github.com/jonschlinkert/split-string.git) |
| Zowe API Mediation Layer | sprintf-js |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [sprintf-js](https://www.github.com/alexei/sprintf.js.git) |
| Zowe API Mediation Layer | sshpk |  v1.16.1 | [MIT](http://opensource.org/licenses/mit-license) | [sshpk](https://www.github.com/joyent/node-sshpk.git) |
| Zowe API Mediation Layer | ssri |  v5.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ssri](https://www.github.com/zkat/ssri) |
| Zowe API Mediation Layer | ssri |  v6.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ssri](https://www.github.com/zkat/ssri) |
| Zowe API Mediation Layer | stable |  v0.1.8 | [MIT](http://opensource.org/licenses/mit-license) | [stable](https://www.github.com/Two-Screen/stable.git) |
| Zowe API Mediation Layer | stack-utils |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [stack-utils](https://www.github.com/tapjs/stack-utils.git) |
| Zowe API Mediation Layer | static-extend |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [static-extend](https://www.github.com/jonschlinkert/static-extend.git) |
| Zowe API Mediation Layer | statuses |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [statuses](https://www.github.com/jshttp/statuses.git) |
| Zowe API Mediation Layer | statuses |  v1.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [statuses](https://www.github.com/jshttp/statuses.git) |
| Zowe API Mediation Layer | stealthy-require |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [stealthy-require](https://www.github.com/analog-nico/stealthy-require.git) |
| Zowe API Mediation Layer | stream |  v0.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [stream](https://www.github.com/juliangruber/stream.git) |
| Zowe API Mediation Layer | stream-browserify |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [stream-browserify](https://www.github.com/browserify/stream-browserify.git) |
| Zowe API Mediation Layer | stream-each |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [stream-each](https://www.github.com/mafintosh/stream-each.git) |
| Zowe API Mediation Layer | stream-http |  v2.8.3 | [MIT](http://opensource.org/licenses/mit-license) | [stream-http](https://www.github.com/jhiesey/stream-http.git) |
| Zowe API Mediation Layer | stream-iterate |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-iterate](https://www.github.com/mafintosh/stream-iterate.git) |
| Zowe API Mediation Layer | stream-shift |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-shift](https://www.github.com/mafintosh/stream-shift.git) |
| Zowe API Mediation Layer | strict-uri-encode |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Zowe API Mediation Layer | string-length |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [string-length](https://www.github.com/sindresorhus/string-length.git) |
| Zowe API Mediation Layer | string-width |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe API Mediation Layer | string-width |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe API Mediation Layer | string_decoder |  v0.10.31 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/rvagg/string_decoder.git) |
| Zowe API Mediation Layer | string_decoder |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe API Mediation Layer | string_decoder |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe API Mediation Layer | stringify-object |  v3.3.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [stringify-object](https://www.github.com/yeoman/stringify-object.git) |
| Zowe API Mediation Layer | stringify-package |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [stringify-package](https://www.github.com/npm/stringify-package.git) |
| Zowe API Mediation Layer | strip-ansi |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe API Mediation Layer | strip-ansi |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe API Mediation Layer | strip-ansi |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe API Mediation Layer | strip-bom |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-bom](https://www.github.com/sindresorhus/strip-bom.git) |
| Zowe API Mediation Layer | strip-bom |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-bom](https://www.github.com/sindresorhus/strip-bom.git) |
| Zowe API Mediation Layer | strip-comments |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [strip-comments](https://www.github.com/jonschlinkert/strip-comments.git) |
| Zowe API Mediation Layer | strip-eof |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-eof](https://www.github.com/sindresorhus/strip-eof.git) |
| Zowe API Mediation Layer | strip-json-comments |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-json-comments](https://www.github.com/sindresorhus/strip-json-comments.git) |
| Zowe API Mediation Layer | style-loader |  v0.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [style-loader](https://www.github.com/webpack-contrib/style-loader.git) |
| Zowe API Mediation Layer | stylehacks |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [stylehacks](https://www.github.com/cssnano/cssnano.git) |
| Zowe API Mediation Layer | stylis |  v3.5.4 | [MIT](http://opensource.org/licenses/mit-license) | [stylis](https://www.github.com/thysultan/stylis.js) |
| Zowe API Mediation Layer | stylis-rule-sheet |  v0.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [stylis-rule-sheet](https://www.github.com/thysultan/stylis.js) |
| Zowe API Mediation Layer | supports-color |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe API Mediation Layer | supports-color |  v3.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe API Mediation Layer | supports-color |  v5.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe API Mediation Layer | supports-color |  v6.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe API Mediation Layer | svgo |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [svgo](https://www.github.com/svg/svgo.git) |
| Zowe API Mediation Layer | swagger-client |  v3.8.22 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [swagger-client](https://www.github.com/swagger-api/swagger-js.git) |
| Zowe API Mediation Layer | swagger-ui |  v3.20.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [swagger-ui](https://www.github.com/swagger-api/swagger-ui.git) |
| Zowe API Mediation Layer | symbol-observable |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [symbol-observable](https://www.github.com/blesh/symbol-observable.git) |
| Zowe API Mediation Layer | symbol-tree |  v3.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [symbol-tree](https://www.github.com/jsdom/js-symbol-tree.git) |
| Zowe API Mediation Layer | tabbable |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [tabbable](https://www.github.com/davidtheclark/tabbable.git) |
| Zowe API Mediation Layer | table |  v4.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [table](https://www.github.com/gajus/table) |
| Zowe API Mediation Layer | tapable |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [tapable](https://www.github.com/webpack/tapable.git) |
| Zowe API Mediation Layer | tar |  v2.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [tar](https://www.github.com/isaacs/node-tar.git) |
| Zowe API Mediation Layer | tar |  v4.4.8 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [tar](https://www.github.com/npm/node-tar.git) |
| Zowe API Mediation Layer | term-size |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [term-size](https://www.github.com/sindresorhus/term-size.git) |
| Zowe API Mediation Layer | terser |  v3.14.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [terser](https://www.github.com/fabiosantoscode/terser.git) |
| Zowe API Mediation Layer | terser-webpack-plugin |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [terser-webpack-plugin](https://www.github.com/webpack-contrib/terser-webpack-plugin.git) |
| Zowe API Mediation Layer | test-exclude |  v4.2.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [test-exclude](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe API Mediation Layer | text-table |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [text-table](https://www.github.com/substack/text-table.git) |
| Zowe API Mediation Layer | throat |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [throat](https://www.github.com/ForbesLindesay/throat.git) |
| Zowe API Mediation Layer | through |  v2.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [through](https://www.github.com/dominictarr/through.git) |
| Zowe API Mediation Layer | through2 |  v2.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [through2](https://www.github.com/rvagg/through2.git) |
| Zowe API Mediation Layer | thunky |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [thunky](https://www.github.com/mafintosh/thunky.git) |
| Zowe API Mediation Layer | timed-out |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [timed-out](https://www.github.com/floatdrop/timed-out.git) |
| Zowe API Mediation Layer | timers-browserify |  v2.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [timers-browserify](https://www.github.com/jryans/timers-browserify.git) |
| Zowe API Mediation Layer | timers-ext |  v0.1.7 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [timers-ext](https://www.github.com/medikoo/timers-ext.git) |
| Zowe API Mediation Layer | timsort |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [timsort](https://www.github.com/mziccard/node-timsort.git) |
| Zowe API Mediation Layer | tiny-relative-date |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [tiny-relative-date](https://www.github.com/wildlyinaccurate/relative-date.git) |
| Zowe API Mediation Layer | tmp |  v0.0.33 | [MIT](http://opensource.org/licenses/mit-license) | [tmp](https://www.github.com/raszi/node-tmp.git) |
| Zowe API Mediation Layer | tmpl |  v1.0.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tmpl](https://www.github.com/daaku/nodejs-tmpl) |
| Zowe API Mediation Layer | to-arraybuffer |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [to-arraybuffer](https://www.github.com/jhiesey/to-arraybuffer.git) |
| Zowe API Mediation Layer | to-fast-properties |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [to-fast-properties](https://www.github.com/sindresorhus/to-fast-properties.git) |
| Zowe API Mediation Layer | to-fast-properties |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [to-fast-properties](https://www.github.com/sindresorhus/to-fast-properties.git) |
| Zowe API Mediation Layer | to-object-path |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [to-object-path](https://www.github.com/jonschlinkert/to-object-path.git) |
| Zowe API Mediation Layer | to-regex |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [to-regex](https://www.github.com/jonschlinkert/to-regex.git) |
| Zowe API Mediation Layer | to-regex-range |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [to-regex-range](https://www.github.com/micromatch/to-regex-range.git) |
| Zowe API Mediation Layer | topo |  v2.0.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [topo](https://www.github.com/hapijs/topo) |
| Zowe API Mediation Layer | touch |  v2.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [touch](https://www.github.com/isaacs/node-touch.git) |
| Zowe API Mediation Layer | tough-cookie |  v2.4.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe API Mediation Layer | tough-cookie |  v2.5.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe API Mediation Layer | tough-cookie |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe API Mediation Layer | tr46 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [tr46](https://www.github.com/Sebmaster/tr46.js.git) |
| Zowe API Mediation Layer | trim-right |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [trim-right](https://www.github.com/sindresorhus/trim-right.git) |
| Zowe API Mediation Layer | tryer |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [tryer](git+https://gitlab.com/philbooth/tryer.git) |
| Zowe API Mediation Layer | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe API Mediation Layer | tty-browserify |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [tty-browserify](https://www.github.com/substack/tty-browserify.git) |
| Zowe API Mediation Layer | tunnel-agent |  v0.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tunnel-agent](https://www.github.com/mikeal/tunnel-agent) |
| Zowe API Mediation Layer | tweetnacl |  v0.14.5 | Unlicense | [tweetnacl](https://www.github.com/dchest/tweetnacl-js.git) |
| Zowe API Mediation Layer | type-check |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [type-check](https://www.github.com/gkz/type-check.git) |
| Zowe API Mediation Layer | type-is |  v1.6.16 | [MIT](http://opensource.org/licenses/mit-license) | [type-is](https://www.github.com/jshttp/type-is.git) |
| Zowe API Mediation Layer | typedarray |  v0.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [typedarray](https://www.github.com/substack/typedarray.git) |
| Zowe API Mediation Layer | ua-parser-js |  v0.7.19 | (GPL-2.0 OR MIT) | [ua-parser-js](https://www.github.com/faisalman/ua-parser-js.git) |
| Zowe API Mediation Layer | uglify-es |  v3.3.9 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uglify-es](https://www.github.com/mishoo/UglifyJS2.git#harmony) |
| Zowe API Mediation Layer | uglify-js |  v3.4.9 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uglify-js](https://www.github.com/mishoo/UglifyJS2.git) |
| Zowe API Mediation Layer | uglifyjs-webpack-plugin |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [uglifyjs-webpack-plugin](https://www.github.com/webpack-contrib/uglifyjs-webpack-plugin.git) |
| Zowe API Mediation Layer | uid-number |  v0.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [uid-number](https://www.github.com/isaacs/uid-number.git) |
| Zowe API Mediation Layer | umask |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [umask](https://www.github.com/smikes/umask.git) |
| Zowe API Mediation Layer | underscore |  v1.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [underscore](https://www.github.com/jashkenas/underscore.git) |
| Zowe API Mediation Layer | underscore.string |  v2.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [underscore.string](https://www.github.com/epeli/underscore.string.git) |
| Zowe API Mediation Layer | unicode-canonical-property-names-ecmascript |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [unicode-canonical-property-names-ecmascript](https://www.github.com/mathiasbynens/unicode-canonical-property-names-ecmascript.git) |
| Zowe API Mediation Layer | unicode-match-property-ecmascript |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [unicode-match-property-ecmascript](https://www.github.com/mathiasbynens/unicode-match-property-ecmascript.git) |
| Zowe API Mediation Layer | unicode-match-property-value-ecmascript |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [unicode-match-property-value-ecmascript](https://www.github.com/mathiasbynens/unicode-match-property-value-ecmascript.git) |
| Zowe API Mediation Layer | unicode-property-aliases-ecmascript |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [unicode-property-aliases-ecmascript](https://www.github.com/mathiasbynens/unicode-property-aliases-ecmascript.git) |
| Zowe API Mediation Layer | union-value |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [union-value](https://www.github.com/jonschlinkert/union-value.git) |
| Zowe API Mediation Layer | uniq |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [uniq](https://www.github.com/mikolalysenko/uniq.git) |
| Zowe API Mediation Layer | uniqs |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [uniqs](https://www.github.com/fgnass/uniqs.git) |
| Zowe API Mediation Layer | unique-filename |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-filename](https://www.github.com/iarna/unique-filename.git) |
| Zowe API Mediation Layer | unique-slug |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-slug](https://www.github.com/iarna/unique-slug.git) |
| Zowe API Mediation Layer | unique-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unique-string](https://www.github.com/sindresorhus/unique-string.git) |
| Zowe API Mediation Layer | universalify |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [universalify](https://www.github.com/RyanZim/universalify.git) |
| Zowe API Mediation Layer | unpipe |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unpipe](https://www.github.com/stream-utils/unpipe.git) |
| Zowe API Mediation Layer | unquote |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [unquote](https://www.github.com/lakenen/node-unquote.git) |
| Zowe API Mediation Layer | unset-value |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unset-value](https://www.github.com/jonschlinkert/unset-value.git) |
| Zowe API Mediation Layer | unzip-response |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [unzip-response](https://www.github.com/sindresorhus/unzip-response.git) |
| Zowe API Mediation Layer | upath |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [upath](https://www.github.com/anodynos/upath) |
| Zowe API Mediation Layer | update-notifier |  v2.5.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [update-notifier](https://www.github.com/yeoman/update-notifier.git) |
| Zowe API Mediation Layer | upper-case |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [upper-case](https://www.github.com/blakeembrey/upper-case.git) |
| Zowe API Mediation Layer | uri-js |  v4.2.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uri-js](https://www.github.com/garycourt/uri-js) |
| Zowe API Mediation Layer | urix |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [urix](https://www.github.com/lydell/urix.git) |
| Zowe API Mediation Layer | url |  v0.11.0 | [MIT](http://opensource.org/licenses/mit-license) | [url](https://www.github.com/defunctzombie/node-url.git) |
| Zowe API Mediation Layer | url-loader |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [url-loader](https://www.github.com/webpack-contrib/url-loader.git) |
| Zowe API Mediation Layer | url-parse |  v1.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [url-parse](https://www.github.com/unshiftio/url-parse.git) |
| Zowe API Mediation Layer | url-parse-lax |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [url-parse-lax](https://www.github.com/sindresorhus/url-parse-lax.git) |
| Zowe API Mediation Layer | use |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [use](https://www.github.com/jonschlinkert/use.git) |
| Zowe API Mediation Layer | utf8-bytes |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [utf8-bytes](https://www.github.com/substack/utf8-bytes.git) |
| Zowe API Mediation Layer | utfstring |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [utfstring](https://www.github.com/camertron/utfstring.git) |
| Zowe API Mediation Layer | util |  v0.10.3 | [MIT](http://opensource.org/licenses/mit-license) | [util](https://www.github.com/defunctzombie/node-util) |
| Zowe API Mediation Layer | util |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [util](https://www.github.com/defunctzombie/node-util) |
| Zowe API Mediation Layer | util-deprecate |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [util-deprecate](https://www.github.com/TooTallNate/util-deprecate.git) |
| Zowe API Mediation Layer | util-extend |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [util-extend](https://www.github.com/isaacs/util-extend) |
| Zowe API Mediation Layer | util.promisify |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [util.promisify](https://www.github.com/ljharb/util.promisify.git) |
| Zowe API Mediation Layer | utila |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [utila](https://www.github.com/AriaMinaei/utila.git) |
| Zowe API Mediation Layer | utils-merge |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [utils-merge](https://www.github.com/jaredhanson/utils-merge.git) |
| Zowe API Mediation Layer | uuid |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [uuid](https://www.github.com/kelektiv/node-uuid.git) |
| Zowe API Mediation Layer | validate-npm-package-license |  v3.0.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [validate-npm-package-license](https://www.github.com/kemitchell/validate-npm-package-license.js.git) |
| Zowe API Mediation Layer | validate-npm-package-name |  v3.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [validate-npm-package-name](https://www.github.com/npm/validate-npm-package-name) |
| Zowe API Mediation Layer | value-equal |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [value-equal](https://www.github.com/mjackson/value-equal.git) |
| Zowe API Mediation Layer | vary |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [vary](https://www.github.com/jshttp/vary.git) |
| Zowe API Mediation Layer | vendors |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [vendors](https://www.github.com/wooorm/vendors.git) |
| Zowe API Mediation Layer | verror |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [verror](https://www.github.com/davepacheco/node-verror.git) |
| Zowe API Mediation Layer | vm-browserify |  v0.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [vm-browserify](https://www.github.com/substack/vm-browserify.git) |
| Zowe API Mediation Layer | w3c-hr-time |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [w3c-hr-time](https://www.github.com/jsdom/w3c-hr-time) |
| Zowe API Mediation Layer | w3c-xmlserializer |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [w3c-xmlserializer](https://www.github.com/jsdom/w3c-xmlserializer.git) |
| Zowe API Mediation Layer | walker |  v1.0.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [walker](https://www.github.com/daaku/nodejs-walker) |
| Zowe API Mediation Layer | warning |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe API Mediation Layer | warning |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe API Mediation Layer | watch |  v0.18.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [watch](https://www.github.com/mikeal/watch.git) |
| Zowe API Mediation Layer | watchpack |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [watchpack](https://www.github.com/webpack/watchpack.git) |
| Zowe API Mediation Layer | wbuf |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [wbuf](https://www.github.com/indutny/wbuf) |
| Zowe API Mediation Layer | wcwidth |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [wcwidth](https://www.github.com/timoxley/wcwidth.git) |
| Zowe API Mediation Layer | webidl-conversions |  v4.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [webidl-conversions](https://www.github.com/jsdom/webidl-conversions.git) |
| Zowe API Mediation Layer | webpack |  v4.19.1 | [MIT](http://opensource.org/licenses/mit-license) | [webpack](https://www.github.com/webpack/webpack.git) |
| Zowe API Mediation Layer | webpack-dev-middleware |  v3.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-dev-middleware](https://www.github.com/webpack/webpack-dev-middleware.git) |
| Zowe API Mediation Layer | webpack-dev-server |  v3.1.9 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-dev-server](https://www.github.com/webpack/webpack-dev-server.git) |
| Zowe API Mediation Layer | webpack-log |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-log](https://www.github.com/webpack-contrib/webpack-log.git) |
| Zowe API Mediation Layer | webpack-manifest-plugin |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-manifest-plugin](https://www.github.com/danethurber/webpack-manifest-plugin.git) |
| Zowe API Mediation Layer | webpack-sources |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-sources](https://www.github.com/webpack/webpack-sources.git) |
| Zowe API Mediation Layer | websocket-driver |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [websocket-driver](https://www.github.com/faye/websocket-driver-node.git) |
| Zowe API Mediation Layer | websocket-extensions |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [websocket-extensions](https://www.github.com/faye/websocket-extensions-node.git) |
| Zowe API Mediation Layer | whatwg-encoding |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-encoding](https://www.github.com/jsdom/whatwg-encoding.git) |
| Zowe API Mediation Layer | whatwg-fetch |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |
| Zowe API Mediation Layer | whatwg-fetch |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |
| Zowe API Mediation Layer | whatwg-mimetype |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-mimetype](https://www.github.com/jsdom/whatwg-mimetype.git) |
| Zowe API Mediation Layer | whatwg-url |  v6.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-url](https://www.github.com/jsdom/whatwg-url.git) |
| Zowe API Mediation Layer | whatwg-url |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-url](https://www.github.com/jsdom/whatwg-url.git) |
| Zowe API Mediation Layer | which |  v1.3.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which](https://www.github.com/isaacs/node-which.git) |
| Zowe API Mediation Layer | which-module |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which-module](https://www.github.com/nexdrew/which-module.git) |
| Zowe API Mediation Layer | wide-align |  v1.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wide-align](https://www.github.com/iarna/wide-align) |
| Zowe API Mediation Layer | widest-line |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [widest-line](https://www.github.com/sindresorhus/widest-line.git) |
| Zowe API Mediation Layer | wordwrap |  v0.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [wordwrap](https://www.github.com/substack/node-wordwrap.git) |
| Zowe API Mediation Layer | wordwrap |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [wordwrap](https://www.github.com/substack/node-wordwrap.git) |
| Zowe API Mediation Layer | workbox-background-sync |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-background-sync](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-broadcast-cache-update |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-broadcast-cache-update](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-build |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-build](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-cache-expiration |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-cache-expiration](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-cacheable-response |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-cacheable-response](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-core |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-core](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-google-analytics |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-google-analytics](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-navigation-preload |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-navigation-preload](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-precaching |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-precaching](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-range-requests |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-range-requests](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-routing |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-routing](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-strategies |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-strategies](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-streams |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-streams](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-sw |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-sw](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | workbox-webpack-plugin |  v3.6.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [workbox-webpack-plugin](https://www.github.com/googlechrome/workbox.git) |
| Zowe API Mediation Layer | worker-farm |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [worker-farm](https://www.github.com/rvagg/node-worker-farm.git) |
| Zowe API Mediation Layer | wrap-ansi |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [wrap-ansi](https://www.github.com/chalk/wrap-ansi.git) |
| Zowe API Mediation Layer | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Zowe API Mediation Layer | write |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [write](https://www.github.com/jonschlinkert/write.git) |
| Zowe API Mediation Layer | write-file-atomic |  v2.4.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [write-file-atomic](https://www.github.com/iarna/write-file-atomic.git) |
| Zowe API Mediation Layer | ws |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [ws](https://www.github.com/websockets/ws.git) |
| Zowe API Mediation Layer | ws |  v6.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [ws](https://www.github.com/websockets/ws.git) |
| Zowe API Mediation Layer | xdg-basedir |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [xdg-basedir](https://www.github.com/sindresorhus/xdg-basedir.git) |
| Zowe API Mediation Layer | xml-but-prettier |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [xml-but-prettier](https://www.github.com/shockey/xml-but-prettier) |
| Zowe API Mediation Layer | xml-name-validator |  v3.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [xml-name-validator](https://www.github.com/jsdom/xml-name-validator.git) |
| Zowe API Mediation Layer | xmlchars |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [xmlchars](https://www.github.com/lddubeau/xmlchars.git) |
| Zowe API Mediation Layer | xregexp |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [xregexp](https://www.github.com/slevithan/xregexp.git) |
| Zowe API Mediation Layer | xtend |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [xtend](https://www.github.com/Raynos/xtend.git) |
| Zowe API Mediation Layer | y18n |  v3.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe API Mediation Layer | y18n |  v4.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe API Mediation Layer | yallist |  v2.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Zowe API Mediation Layer | yallist |  v3.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Zowe API Mediation Layer | yargs |  v11.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe API Mediation Layer | yargs |  v12.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe API Mediation Layer | yargs |  v12.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe API Mediation Layer | yargs-parser |  v10.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Zowe API Mediation Layer | yargs-parser |  v11.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Zowe API Mediation Layer | yargs-parser |  v9.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Zowe API Mediation Layer | zenscroll |  v4.0.2 | Unlicense | [zenscroll](https://www.github.com/zengabor/zenscroll.git) |

### Zowe Application Framework Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Application Framework | rxjs |  v6.2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs](https://www.github.com/reactivex/rxjs.git) |
| Zowe Application Framework | rxjs-compat |  v6.2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs-compat](https://www.npmjs.com/package/rxjs-compat) |
| Zowe Application Framework | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Application Framework | @angular/common |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/common](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/compiler |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/compiler](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/core |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/core](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | commander |  v2.19.0 | [MIT](http://opensource.org/licenses/mit-license) | [commander](https://www.github.com/tj/commander.js.git) |
| Zowe Application Framework | d3 |  v4.13.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3](https://www.github.com/d3/d3.git) |
| Zowe Application Framework | d3-array |  v1.2.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-array](https://www.github.com/d3/d3-array.git) |
| Zowe Application Framework | d3-array |  v1.2.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-array](https://www.github.com/d3/d3-array.git) |
| Zowe Application Framework | d3-axis |  v1.0.8 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-axis](https://www.github.com/d3/d3-axis.git) |
| Zowe Application Framework | d3-brush |  v1.0.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-brush](https://www.github.com/d3/d3-brush.git) |
| Zowe Application Framework | d3-chord |  v1.0.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-chord](https://www.github.com/d3/d3-chord.git) |
| Zowe Application Framework | d3-collection |  v1.0.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-collection](https://www.github.com/d3/d3-collection.git) |
| Zowe Application Framework | d3-collection |  v1.0.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-collection](https://www.github.com/d3/d3-collection.git) |
| Zowe Application Framework | d3-color |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-color](https://www.github.com/d3/d3-color.git) |
| Zowe Application Framework | d3-color |  v1.2.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-color](https://www.github.com/d3/d3-color.git) |
| Zowe Application Framework | d3-dispatch |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-dispatch](https://www.github.com/d3/d3-dispatch.git) |
| Zowe Application Framework | d3-dispatch |  v1.0.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-dispatch](https://www.github.com/d3/d3-dispatch.git) |
| Zowe Application Framework | d3-drag |  v1.2.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-drag](https://www.github.com/d3/d3-drag.git) |
| Zowe Application Framework | d3-drag |  v1.2.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-drag](https://www.github.com/d3/d3-drag.git) |
| Zowe Application Framework | d3-dsv |  v1.0.10 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-dsv](https://www.github.com/d3/d3-dsv.git) |
| Zowe Application Framework | d3-dsv |  v1.0.8 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-dsv](https://www.github.com/d3/d3-dsv.git) |
| Zowe Application Framework | d3-ease |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-ease](https://www.github.com/d3/d3-ease.git) |
| Zowe Application Framework | d3-ease |  v1.0.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-ease](https://www.github.com/d3/d3-ease.git) |
| Zowe Application Framework | d3-force |  v1.1.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-force](https://www.github.com/d3/d3-force.git) |
| Zowe Application Framework | d3-format |  v1.2.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-format](https://www.github.com/d3/d3-format.git) |
| Zowe Application Framework | d3-format |  v1.3.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-format](https://www.github.com/d3/d3-format.git) |
| Zowe Application Framework | d3-geo |  v1.9.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-geo](https://www.github.com/d3/d3-geo.git) |
| Zowe Application Framework | d3-hierarchy |  v1.1.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-hierarchy](https://www.github.com/d3/d3-hierarchy.git) |
| Zowe Application Framework | d3-interpolate |  v1.1.6 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-interpolate](https://www.github.com/d3/d3-interpolate.git) |
| Zowe Application Framework | d3-interpolate |  v1.3.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-interpolate](https://www.github.com/d3/d3-interpolate.git) |
| Zowe Application Framework | d3-path |  v1.0.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-path](https://www.github.com/d3/d3-path.git) |
| Zowe Application Framework | d3-path |  v1.0.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-path](https://www.github.com/d3/d3-path.git) |
| Zowe Application Framework | d3-polygon |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-polygon](https://www.github.com/d3/d3-polygon.git) |
| Zowe Application Framework | d3-quadtree |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-quadtree](https://www.github.com/d3/d3-quadtree.git) |
| Zowe Application Framework | d3-quadtree |  v1.0.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-quadtree](https://www.github.com/d3/d3-quadtree.git) |
| Zowe Application Framework | d3-queue |  v3.0.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-queue](https://www.github.com/d3/d3-queue.git) |
| Zowe Application Framework | d3-random |  v1.1.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-random](https://www.github.com/d3/d3-random.git) |
| Zowe Application Framework | d3-request |  v1.0.6 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-request](https://www.github.com/d3/d3-request.git) |
| Zowe Application Framework | d3-scale |  v1.0.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-scale](https://www.github.com/d3/d3-scale.git) |
| Zowe Application Framework | d3-selection |  v1.3.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-selection](https://www.github.com/d3/d3-selection.git) |
| Zowe Application Framework | d3-selection |  v1.4.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-selection](https://www.github.com/d3/d3-selection.git) |
| Zowe Application Framework | d3-shape |  v1.2.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-shape](https://www.github.com/d3/d3-shape.git) |
| Zowe Application Framework | d3-time |  v1.0.10 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-time](https://www.github.com/d3/d3-time.git) |
| Zowe Application Framework | d3-time |  v1.0.8 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-time](https://www.github.com/d3/d3-time.git) |
| Zowe Application Framework | d3-time-format |  v2.1.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-time-format](https://www.github.com/d3/d3-time-format.git) |
| Zowe Application Framework | d3-time-format |  v2.1.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-time-format](https://www.github.com/d3/d3-time-format.git) |
| Zowe Application Framework | d3-timer |  v1.0.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-timer](https://www.github.com/d3/d3-timer.git) |
| Zowe Application Framework | d3-timer |  v1.0.9 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-timer](https://www.github.com/d3/d3-timer.git) |
| Zowe Application Framework | d3-transition |  v1.1.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-transition](https://www.github.com/d3/d3-transition.git) |
| Zowe Application Framework | d3-transition |  v1.2.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-transition](https://www.github.com/d3/d3-transition.git) |
| Zowe Application Framework | d3-voronoi |  v1.1.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-voronoi](https://www.github.com/d3/d3-voronoi.git) |
| Zowe Application Framework | d3-zoom |  v1.7.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [d3-zoom](https://www.github.com/d3/d3-zoom.git) |
| Zowe Application Framework | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Application Framework | rw |  v1.3.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [rw](https://www.github.com/mbostock/rw.git) |
| Zowe Application Framework | rxjs |  v5.5.12 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs](https://www.github.com/ReactiveX/RxJS.git) |
| Zowe Application Framework | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe Application Framework | symbol-observable |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [symbol-observable](https://www.github.com/blesh/symbol-observable.git) |
| Zowe Application Framework | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Application Framework | xmlhttprequest |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [xmlhttprequest](https://www.github.com/driverdan/node-XMLHttpRequest.git) |
| Zowe Application Framework | zone.js |  v0.8.29 | [MIT](http://opensource.org/licenses/mit-license) | [zone.js](https://www.github.com/angular/zone.js.git) |
| Zowe Application Framework | @angular/animations |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/animations](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/cdk |  v6.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/cdk](https://www.github.com/angular/material2.git) |
| Zowe Application Framework | @angular/common |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/common](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/compiler |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/compiler](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/core |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/core](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/forms |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/forms](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/http |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/http](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/material |  v6.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/material](https://www.github.com/angular/material2.git) |
| Zowe Application Framework | @angular/platform-browser |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/platform-browser-dynamic |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser-dynamic](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/router |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/router](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @types/lodash |  v4.14.120 | [MIT](http://opensource.org/licenses/mit-license) | [@types/lodash](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Zowe Application Framework | angular-tree-component |  v7.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [angular-tree-component](https://www.github.com/500tech/angular-tree-component.git) |
| Zowe Application Framework | bootstrap |  v4.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [bootstrap](https://www.github.com/twbs/bootstrap.git) |
| Zowe Application Framework | core-js |  v2.5.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Application Framework | decode-uri-component |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decode-uri-component](https://www.github.com/SamVerschueren/decode-uri-component.git) |
| Zowe Application Framework | glob-to-regexp |  v0.3.0 | [BSD](http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29) | [glob-to-regexp](https://www.github.com/fitzgen/glob-to-regexp.git) |
| Zowe Application Framework | is-plain-obj |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-plain-obj](https://www.github.com/sindresorhus/is-plain-obj.git) |
| Zowe Application Framework | jsonc-parser |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [jsonc-parser](https://www.github.com/Microsoft/node-jsonc-parser) |
| Zowe Application Framework | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe Application Framework | mobx |  v3.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [mobx](https://www.github.com/mobxjs/mobx.git) |
| Zowe Application Framework | mobx-angular |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [mobx-angular](https://www.github.com/mobxjs/mobx-angular.git) |
| Zowe Application Framework | monaco-editor-core |  v0.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [monaco-editor-core](https://www.github.com/Microsoft/vscode) |
| Zowe Application Framework | monaco-languageclient |  v0.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [monaco-languageclient](https://www.github.com/TypeFox/monaco-languageclient.git) |
| Zowe Application Framework | ngx-bootstrap |  v2.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [ngx-bootstrap](https://www.github.com/valor-software/ngx-bootstrap.git) |
| Zowe Application Framework | ngx-monaco-editor |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ngx-monaco-editor](https://www.github.com/atularen/ngx-monaco-editor.git) |
| Zowe Application Framework | ngx-perfect-scrollbar |  v5.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [ngx-perfect-scrollbar](https://www.github.com/zefoy/ngx-perfect-scrollbar.git) |
| Zowe Application Framework | normalize-url |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [normalize-url](https://www.github.com/sindresorhus/normalize-url.git) |
| Zowe Application Framework | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe Application Framework | parse5 |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse5](https://www.github.com/inikulin/parse5.git) |
| Zowe Application Framework | perfect-scrollbar |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [perfect-scrollbar](https://www.github.com/utatti/perfect-scrollbar) |
| Zowe Application Framework | prepend-http |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [prepend-http](https://www.github.com/sindresorhus/prepend-http.git) |
| Zowe Application Framework | query-string |  v5.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Zowe Application Framework | reconnecting-websocket |  v3.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [reconnecting-websocket](https://www.github.com/pladaria/reconnecting-websocket.git) |
| Zowe Application Framework | resize-observer-polyfill |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [resize-observer-polyfill](https://www.github.com/que-etc/resize-observer-polyfill.git) |
| Zowe Application Framework | rxjs |  v6.2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs](https://www.github.com/reactivex/rxjs.git) |
| Zowe Application Framework | rxjs-compat |  v6.2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs-compat](https://www.npmjs.com/package/rxjs-compat) |
| Zowe Application Framework | sort-keys |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [sort-keys](https://www.github.com/sindresorhus/sort-keys.git) |
| Zowe Application Framework | strict-uri-encode |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Zowe Application Framework | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Application Framework | vscode-base-languageclient |  v0.0.1-alpha.5 | [MIT](http://opensource.org/licenses/mit-license) | [vscode-base-languageclient](https://www.github.com/TypeFox/vscode-languageserver-node.git) |
| Zowe Application Framework | vscode-json-languageservice |  v3.0.12 | [MIT](http://opensource.org/licenses/mit-license) | [vscode-json-languageservice](https://www.github.com/Microsoft/vscode-json-languageservice) |
| Zowe Application Framework | vscode-jsonrpc |  v3.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [vscode-jsonrpc](https://www.github.com/Microsoft/vscode-languageserver-node.git) |
| Zowe Application Framework | vscode-languageserver-types |  v3.14.0 | [MIT](http://opensource.org/licenses/mit-license) | [vscode-languageserver-types](https://www.github.com/Microsoft/vscode-languageserver-node.git) |
| Zowe Application Framework | vscode-nls |  v3.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [vscode-nls](https://www.github.com/Microsoft/vscode-nls.git) |
| Zowe Application Framework | vscode-uri |  v1.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [vscode-uri](https://www.github.com/Microsoft/vscode-uri.git) |
| Zowe Application Framework | vscode-ws-jsonrpc |  v0.0.2-2 | [MIT](http://opensource.org/licenses/mit-license) | [vscode-ws-jsonrpc](https://www.github.com/TypeFox/vscode-ws-jsonrpc.git) |
| Zowe Application Framework | zone.js |  v0.8.29 | [MIT](http://opensource.org/licenses/mit-license) | [zone.js](https://www.github.com/angular/zone.js.git) |
| Zowe Application Framework | @angular/animations |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/animations](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/common |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/common](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/compiler |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/compiler](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/core |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/core](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/forms |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/forms](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/http |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/http](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/platform-browser |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/router |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/router](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | carbon-components |  v8.23.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [carbon-components](https://www.github.com/carbon-design-system/carbon-components.git) |
| Zowe Application Framework | carbon-icons |  v6.3.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [carbon-icons](https://www.github.com/carbon-design-system/carbon-icons) |
| Zowe Application Framework | flatpickr |  v2.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [flatpickr](https://www.github.com/chmln/flatpickr.git) |
| Zowe Application Framework | js-tokens |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe Application Framework | lodash.debounce |  v4.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.debounce](https://www.github.com/lodash/lodash.git) |
| Zowe Application Framework | loose-envify |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loose-envify](https://www.github.com/zertosh/loose-envify.git) |
| Zowe Application Framework | primeng |  v5.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [primeng](https://www.github.com/primefaces/primeng.git) |
| Zowe Application Framework | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Application Framework | warning |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe Application Framework | @angular/animations |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/animations](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/common |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/common](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/compiler |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/compiler](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/core |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/core](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/forms |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/forms](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/http |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/http](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/platform-browser |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/router |  v4.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/router](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Application Framework | @angular/animations |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/animations](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/common |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/common](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/compiler |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/compiler](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/core |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/core](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/forms |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/forms](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/platform-browser |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/router |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/router](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | primeng |  v5.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [primeng](https://www.github.com/primefaces/primeng.git) |
| Zowe Application Framework | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Application Framework | accept-language-parser |  v1.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [accept-language-parser](https://www.github.com/opentable/accept-language-parser.git) |
| Zowe Application Framework | accepts |  v1.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [accepts](https://www.github.com/jshttp/accepts.git) |
| Zowe Application Framework | ajv |  v6.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv](https://www.github.com/epoberezkin/ajv.git) |
| Zowe Application Framework | argparse |  v1.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [argparse](https://www.github.com/nodeca/argparse.git) |
| Zowe Application Framework | array-flatten |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [array-flatten](https://www.github.com/blakeembrey/array-flatten.git) |
| Zowe Application Framework | asn1 |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [asn1](https://www.github.com/joyent/node-asn1.git) |
| Zowe Application Framework | assert-plus |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assert-plus](https://www.github.com/mcavage/node-assert-plus.git) |
| Zowe Application Framework | async |  v2.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [async](https://www.github.com/caolan/async.git) |
| Zowe Application Framework | async-limiter |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [async-limiter](https://www.github.com/strml/async-limiter.git) |
| Zowe Application Framework | asynckit |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [asynckit](https://www.github.com/alexindigo/asynckit.git) |
| Zowe Application Framework | aws-sign2 |  v0.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [aws-sign2](https://www.github.com/mikeal/aws-sign) |
| Zowe Application Framework | aws4 |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [aws4](https://www.github.com/mhart/aws4.git) |
| Zowe Application Framework | balanced-match |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Zowe Application Framework | bcrypt-pbkdf |  v1.0.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [bcrypt-pbkdf](https://www.github.com/joyent/node-bcrypt-pbkdf.git) |
| Zowe Application Framework | bluebird |  v3.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |
| Zowe Application Framework | body-parser |  v1.18.3 | [MIT](http://opensource.org/licenses/mit-license) | [body-parser](https://www.github.com/expressjs/body-parser.git) |
| Zowe Application Framework | brace-expansion |  v1.1.11 | [MIT](http://opensource.org/licenses/mit-license) | [brace-expansion](https://www.github.com/juliangruber/brace-expansion.git) |
| Zowe Application Framework | bytes |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [bytes](https://www.github.com/visionmedia/bytes.js.git) |
| Zowe Application Framework | caseless |  v0.12.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [caseless](https://www.github.com/mikeal/caseless) |
| Zowe Application Framework | combined-stream |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [combined-stream](https://www.github.com/felixge/node-combined-stream.git) |
| Zowe Application Framework | concat-map |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [concat-map](https://www.github.com/substack/node-concat-map.git) |
| Zowe Application Framework | content-disposition |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [content-disposition](https://www.github.com/jshttp/content-disposition.git) |
| Zowe Application Framework | content-type |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [content-type](https://www.github.com/jshttp/content-type.git) |
| Zowe Application Framework | cookie |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [cookie](https://www.github.com/jshttp/cookie.git) |
| Zowe Application Framework | cookie-parser |  v1.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [cookie-parser](https://www.github.com/expressjs/cookie-parser.git) |
| Zowe Application Framework | cookie-signature |  v1.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [cookie-signature](https://www.github.com/visionmedia/node-cookie-signature.git) |
| Zowe Application Framework | core-util-is |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [core-util-is](https://www.github.com/isaacs/core-util-is) |
| Zowe Application Framework | crc |  v3.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [crc](https://www.github.com/alexgorbatchev/node-crc.git) |
| Zowe Application Framework | dashdash |  v1.14.1 | [MIT](http://opensource.org/licenses/mit-license) | [dashdash](https://www.github.com/trentm/node-dashdash.git) |
| Zowe Application Framework | debug |  v2.6.9 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe Application Framework | delayed-stream |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delayed-stream](https://www.github.com/felixge/node-delayed-stream.git) |
| Zowe Application Framework | depd |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [depd](https://www.github.com/dougwilson/nodejs-depd.git) |
| Zowe Application Framework | destroy |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [destroy](https://www.github.com/stream-utils/destroy.git) |
| Zowe Application Framework | ecc-jsbn |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [ecc-jsbn](https://www.github.com/quartzjer/ecc-jsbn.git) |
| Zowe Application Framework | ee-first |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ee-first](https://www.github.com/jonathanong/ee-first.git) |
| Zowe Application Framework | encodeurl |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [encodeurl](https://www.github.com/pillarjs/encodeurl.git) |
| Zowe Application Framework | escape-html |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [escape-html](https://www.github.com/component/escape-html.git) |
| Zowe Application Framework | esprima |  v4.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Zowe Application Framework | etag |  v1.8.1 | [MIT](http://opensource.org/licenses/mit-license) | [etag](https://www.github.com/jshttp/etag.git) |
| Zowe Application Framework | eureka-js-client |  v4.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [eureka-js-client](https://www.github.com/jquatier/eureka-js-client.git) |
| Zowe Application Framework | express |  v4.16.4 | [MIT](http://opensource.org/licenses/mit-license) | [express](https://www.github.com/expressjs/express.git) |
| Zowe Application Framework | express-session |  v1.15.6 | [MIT](http://opensource.org/licenses/mit-license) | [express-session](https://www.github.com/expressjs/session.git) |
| Zowe Application Framework | express-ws |  v4.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [express-ws](https://www.github.com/HenningM/express-ws) |
| Zowe Application Framework | extend |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend](https://www.github.com/justmoon/node-extend.git) |
| Zowe Application Framework | extsprintf |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe Application Framework | extsprintf |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe Application Framework | fast-deep-equal |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fast-deep-equal](https://www.github.com/epoberezkin/fast-deep-equal.git) |
| Zowe Application Framework | fast-json-stable-stringify |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fast-json-stable-stringify](https://www.github.com/epoberezkin/fast-json-stable-stringify.git) |
| Zowe Application Framework | finalhandler |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [finalhandler](https://www.github.com/pillarjs/finalhandler.git) |
| Zowe Application Framework | forever-agent |  v0.6.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [forever-agent](https://www.github.com/mikeal/forever-agent) |
| Zowe Application Framework | form-data |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [form-data](https://www.github.com/form-data/form-data.git) |
| Zowe Application Framework | forwarded |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [forwarded](https://www.github.com/jshttp/forwarded.git) |
| Zowe Application Framework | fresh |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [fresh](https://www.github.com/jshttp/fresh.git) |
| Zowe Application Framework | fs.realpath |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs.realpath](https://www.github.com/isaacs/fs.realpath.git) |
| Zowe Application Framework | getpass |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [getpass](https://www.github.com/arekinath/node-getpass.git) |
| Zowe Application Framework | glob |  v7.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Zowe Application Framework | har-schema |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [har-schema](https://www.github.com/ahmadnassri/har-schema.git) |
| Zowe Application Framework | har-validator |  v5.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [har-validator](https://www.github.com/ahmadnassri/node-har-validator.git) |
| Zowe Application Framework | http-errors |  v1.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [http-errors](https://www.github.com/jshttp/http-errors.git) |
| Zowe Application Framework | http-signature |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-signature](https://www.github.com/joyent/node-http-signature.git) |
| Zowe Application Framework | iconv-lite |  v0.4.23 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Application Framework | inflight |  v1.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inflight](https://www.github.com/npm/inflight.git) |
| Zowe Application Framework | inherits |  v2.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe Application Framework | ipaddr.js |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [ipaddr.js](https://www.github.com/whitequark/ipaddr.js) |
| Zowe Application Framework | ipaddr.js |  v1.8.1 | [MIT](http://opensource.org/licenses/mit-license) | [ipaddr.js](https://www.github.com/whitequark/ipaddr.js) |
| Zowe Application Framework | is-typedarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-typedarray](https://www.github.com/hughsk/is-typedarray.git) |
| Zowe Application Framework | isstream |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [isstream](https://www.github.com/rvagg/isstream.git) |
| Zowe Application Framework | js-yaml |  v3.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [js-yaml](https://www.github.com/nodeca/js-yaml.git) |
| Zowe Application Framework | jsbn |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsbn](https://www.github.com/andyperlitch/jsbn.git) |
| Zowe Application Framework | json-schema |  v0.2.3 | BSD* | [json-schema](https://www.github.com/kriszyp/json-schema) |
| Zowe Application Framework | json-schema-traverse |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-schema-traverse](https://www.github.com/epoberezkin/json-schema-traverse.git) |
| Zowe Application Framework | json-stringify-safe |  v5.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [json-stringify-safe](https://www.github.com/isaacs/json-stringify-safe) |
| Zowe Application Framework | jsprim |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsprim](https://www.github.com/joyent/node-jsprim.git) |
| Zowe Application Framework | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe Application Framework | media-typer |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [media-typer](https://www.github.com/jshttp/media-typer.git) |
| Zowe Application Framework | merge-descriptors |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [merge-descriptors](https://www.github.com/component/merge-descriptors.git) |
| Zowe Application Framework | methods |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [methods](https://www.github.com/jshttp/methods.git) |
| Zowe Application Framework | mime |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe Application Framework | mime-db |  v1.37.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime-db](https://www.github.com/jshttp/mime-db.git) |
| Zowe Application Framework | mime-types |  v2.1.21 | [MIT](http://opensource.org/licenses/mit-license) | [mime-types](https://www.github.com/jshttp/mime-types.git) |
| Zowe Application Framework | minimatch |  v3.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Zowe Application Framework | ms |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Zowe Application Framework | negotiator |  v0.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [negotiator](https://www.github.com/jshttp/negotiator.git) |
| Zowe Application Framework | oauth-sign |  v0.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [oauth-sign](https://www.github.com/mikeal/oauth-sign) |
| Zowe Application Framework | on-finished |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [on-finished](https://www.github.com/jshttp/on-finished.git) |
| Zowe Application Framework | on-headers |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [on-headers](https://www.github.com/jshttp/on-headers.git) |
| Zowe Application Framework | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Zowe Application Framework | parseurl |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [parseurl](https://www.github.com/pillarjs/parseurl.git) |
| Zowe Application Framework | path-is-absolute |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-is-absolute](https://www.github.com/sindresorhus/path-is-absolute.git) |
| Zowe Application Framework | path-to-regexp |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [path-to-regexp](https://www.github.com/component/path-to-regexp.git) |
| Zowe Application Framework | performance-now |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [performance-now](https://www.github.com/braveg1rl/performance-now.git) |
| Zowe Application Framework | proxy-addr |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [proxy-addr](https://www.github.com/jshttp/proxy-addr.git) |
| Zowe Application Framework | psl |  v1.1.31 | [MIT](http://opensource.org/licenses/mit-license) | [psl](https://www.github.com/wrangr/psl.git) |
| Zowe Application Framework | punycode |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe Application Framework | punycode |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe Application Framework | qs |  v6.5.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [qs](https://www.github.com/ljharb/qs.git) |
| Zowe Application Framework | random-bytes |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [random-bytes](https://www.github.com/crypto-utils/random-bytes.git) |
| Zowe Application Framework | range-parser |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [range-parser](https://www.github.com/jshttp/range-parser.git) |
| Zowe Application Framework | raw-body |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [raw-body](https://www.github.com/stream-utils/raw-body.git) |
| Zowe Application Framework | request |  v2.88.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [request](https://www.github.com/request/request.git) |
| Zowe Application Framework | require-from-string |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [require-from-string](https://www.github.com/floatdrop/require-from-string.git) |
| Zowe Application Framework | safe-buffer |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safe-buffer](https://www.github.com/feross/safe-buffer.git) |
| Zowe Application Framework | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe Application Framework | semver |  v5.5.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe Application Framework | send |  v0.16.2 | [MIT](http://opensource.org/licenses/mit-license) | [send](https://www.github.com/pillarjs/send.git) |
| Zowe Application Framework | serve-static |  v1.13.2 | [MIT](http://opensource.org/licenses/mit-license) | [serve-static](https://www.github.com/expressjs/serve-static.git) |
| Zowe Application Framework | setprototypeof |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [setprototypeof](https://www.github.com/wesleytodd/setprototypeof.git) |
| Zowe Application Framework | sprintf-js |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [sprintf-js](https://www.github.com/alexei/sprintf.js.git) |
| Zowe Application Framework | sshpk |  v1.16.1 | [MIT](http://opensource.org/licenses/mit-license) | [sshpk](https://www.github.com/joyent/node-sshpk.git) |
| Zowe Application Framework | statuses |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [statuses](https://www.github.com/jshttp/statuses.git) |
| Zowe Application Framework | statuses |  v1.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [statuses](https://www.github.com/jshttp/statuses.git) |
| Zowe Application Framework | tough-cookie |  v2.4.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe Application Framework | tunnel-agent |  v0.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tunnel-agent](https://www.github.com/mikeal/tunnel-agent) |
| Zowe Application Framework | tweetnacl |  v0.14.5 | Unlicense | [tweetnacl](https://www.github.com/dchest/tweetnacl-js.git) |
| Zowe Application Framework | type-is |  v1.6.16 | [MIT](http://opensource.org/licenses/mit-license) | [type-is](https://www.github.com/jshttp/type-is.git) |
| Zowe Application Framework | uid-safe |  v2.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [uid-safe](https://www.github.com/crypto-utils/uid-safe.git) |
| Zowe Application Framework | unpipe |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unpipe](https://www.github.com/stream-utils/unpipe.git) |
| Zowe Application Framework | uri-js |  v4.2.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uri-js](https://www.github.com/garycourt/uri-js) |
| Zowe Application Framework | utils-merge |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [utils-merge](https://www.github.com/jaredhanson/utils-merge.git) |
| Zowe Application Framework | uuid |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [uuid](https://www.github.com/kelektiv/node-uuid.git) |
| Zowe Application Framework | vary |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [vary](https://www.github.com/jshttp/vary.git) |
| Zowe Application Framework | verror |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [verror](https://www.github.com/davepacheco/node-verror.git) |
| Zowe Application Framework | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Zowe Application Framework | ws |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [ws](https://www.github.com/websockets/ws.git) |
| Zowe Application Framework | @angular/animations |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/animations](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/common |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/common](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/core |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/core](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/forms |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/forms](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/platform-browser |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | @angular/router |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/router](https://www.github.com/angular/angular.git) |
| Zowe Application Framework | rxjs |  v6.2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs](https://www.github.com/reactivex/rxjs.git) |
| Zowe Application Framework | rxjs-compat |  v6.2.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rxjs-compat](https://www.npmjs.com/package/rxjs-compat) |
| Zowe Application Framework | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Application Framework | zone.js |  v0.8.29 | [MIT](http://opensource.org/licenses/mit-license) | [zone.js](https://www.github.com/angular/zone.js.git) |

### Zowe CLI Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe CLI | @brightside/imperative |  v2.0.0 | EPL 2.0 | [@brightside/imperative](https://www.github.com/zowe/imperative) |
| Zowe CLI | @types/yargs |  v8.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [@types/yargs](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Zowe CLI | JSONStream |  v1.3.5 | (MIT OR Apache-2.0) | [JSONStream](https://www.github.com/dominictarr/JSONStream.git) |
| Zowe CLI | abbrev |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [abbrev](https://www.github.com/isaacs/abbrev-js) |
| Zowe CLI | agent-base |  v4.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [agent-base](https://www.github.com/TooTallNate/node-agent-base.git) |
| Zowe CLI | agentkeepalive |  v3.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [agentkeepalive](https://www.github.com/node-modules/agentkeepalive.git) |
| Zowe CLI | ajv |  v6.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv](https://www.github.com/epoberezkin/ajv.git) |
| Zowe CLI | ansi-align |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ansi-align](https://www.github.com/nexdrew/ansi-align.git) |
| Zowe CLI | ansi-regex |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe CLI | ansi-regex |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe CLI | ansi-styles |  v3.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-styles](https://www.github.com/chalk/ansi-styles.git) |
| Zowe CLI | ansicolors |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [ansicolors](https://www.github.com/thlorenz/ansicolors.git) |
| Zowe CLI | ansistyles |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [ansistyles](https://www.github.com/thlorenz/ansistyles.git) |
| Zowe CLI | aproba |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Zowe CLI | aproba |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Zowe CLI | archy |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [archy](https://www.github.com/substack/node-archy.git) |
| Zowe CLI | are-we-there-yet |  v1.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [are-we-there-yet](https://www.github.com/iarna/are-we-there-yet.git) |
| Zowe CLI | argparse |  v1.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [argparse](https://www.github.com/nodeca/argparse.git) |
| Zowe CLI | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Zowe CLI | asn1 |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [asn1](https://www.github.com/joyent/node-asn1.git) |
| Zowe CLI | assert-plus |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assert-plus](https://www.github.com/mcavage/node-assert-plus.git) |
| Zowe CLI | asynckit |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [asynckit](https://www.github.com/alexindigo/asynckit.git) |
| Zowe CLI | aws-sign2 |  v0.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [aws-sign2](https://www.github.com/mikeal/aws-sign) |
| Zowe CLI | aws4 |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [aws4](https://www.github.com/mhart/aws4.git) |
| Zowe CLI | balanced-match |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Zowe CLI | bcrypt-pbkdf |  v1.0.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [bcrypt-pbkdf](https://www.github.com/joyent/node-bcrypt-pbkdf.git) |
| Zowe CLI | bin-links |  v1.1.2 | Artistic-2.0 | [bin-links](https://www.github.com/npm/bin-links.git) |
| Zowe CLI | block-stream |  v0.0.9 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [block-stream](https://www.github.com/isaacs/block-stream.git) |
| Zowe CLI | bluebird |  v3.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |
| Zowe CLI | boxen |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [boxen](https://www.github.com/sindresorhus/boxen.git) |
| Zowe CLI | brace-expansion |  v1.1.11 | [MIT](http://opensource.org/licenses/mit-license) | [brace-expansion](https://www.github.com/juliangruber/brace-expansion.git) |
| Zowe CLI | buffer-from |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-from](https://www.github.com/LinusU/buffer-from.git) |
| Zowe CLI | builtin-modules |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [builtin-modules](https://www.github.com/sindresorhus/builtin-modules.git) |
| Zowe CLI | builtins |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [builtins](https://www.github.com/juliangruber/builtins.git) |
| Zowe CLI | byline |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [byline](https://www.github.com/jahewson/node-byline) |
| Zowe CLI | byte-size |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [byte-size](https://www.github.com/75lb/byte-size.git) |
| Zowe CLI | cacache |  v11.3.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cacache](https://www.github.com/zkat/cacache) |
| Zowe CLI | call-limit |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [call-limit](https://www.github.com/iarna/call-limit) |
| Zowe CLI | camelcase |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe CLI | capture-stack-trace |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [capture-stack-trace](https://www.github.com/floatdrop/capture-stack-trace.git) |
| Zowe CLI | caseless |  v0.12.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [caseless](https://www.github.com/mikeal/caseless) |
| Zowe CLI | chalk |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Zowe CLI | chalk |  v2.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Zowe CLI | chownr |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [chownr](https://www.github.com/isaacs/chownr.git) |
| Zowe CLI | ci-info |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [ci-info](https://www.github.com/watson/ci-info.git) |
| Zowe CLI | ci-info |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ci-info](https://www.github.com/watson/ci-info.git) |
| Zowe CLI | cidr-regex |  v2.0.10 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [cidr-regex](https://www.github.com/silverwind/cidr-regex.git) |
| Zowe CLI | circular-json |  v0.5.9 | [MIT](http://opensource.org/licenses/mit-license) | [circular-json](https://www.github.com/WebReflection/circular-json.git) |
| Zowe CLI | cli-boxes |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cli-boxes](https://www.github.com/sindresorhus/cli-boxes.git) |
| Zowe CLI | cli-columns |  v3.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [cli-columns](https://www.github.com/shannonmoeller/cli-columns.git) |
| Zowe CLI | cli-table3 |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [cli-table3](https://www.github.com/cli-table/cli-table3.git) |
| Zowe CLI | cliui |  v3.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Zowe CLI | cliui |  v4.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Zowe CLI | clone |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [clone](https://www.github.com/pvorb/node-clone.git) |
| Zowe CLI | cmd-shim |  v2.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [cmd-shim](https://www.github.com/ForbesLindesay/cmd-shim.git) |
| Zowe CLI | code-point-at |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [code-point-at](https://www.github.com/sindresorhus/code-point-at.git) |
| Zowe CLI | color-convert |  v1.9.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-convert](https://www.github.com/Qix-/color-convert.git) |
| Zowe CLI | color-name |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-name](https://www.github.com/dfcreative/color-name.git) |
| Zowe CLI | colors |  v1.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [colors](https://www.github.com/Marak/colors.js.git) |
| Zowe CLI | columnify |  v1.5.4 | [MIT](http://opensource.org/licenses/mit-license) | [columnify](https://www.github.com/timoxley/columnify.git) |
| Zowe CLI | combined-stream |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [combined-stream](https://www.github.com/felixge/node-combined-stream.git) |
| Zowe CLI | concat-map |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [concat-map](https://www.github.com/substack/node-concat-map.git) |
| Zowe CLI | concat-stream |  v1.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [concat-stream](https://www.github.com/maxogden/concat-stream.git) |
| Zowe CLI | config-chain |  v1.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [config-chain](https://www.github.com/dominictarr/config-chain.git) |
| Zowe CLI | configstore |  v3.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [configstore](https://www.github.com/yeoman/configstore.git) |
| Zowe CLI | console-control-strings |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [console-control-strings](https://www.github.com/iarna/console-control-strings) |
| Zowe CLI | copy-concurrently |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [copy-concurrently](https://www.github.com/npm/copy-concurrently.git) |
| Zowe CLI | core-util-is |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [core-util-is](https://www.github.com/isaacs/core-util-is) |
| Zowe CLI | create-error-class |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [create-error-class](https://www.github.com/floatdrop/create-error-class.git) |
| Zowe CLI | cross-spawn |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cross-spawn](https://www.github.com/IndigoUnited/node-cross-spawn.git) |
| Zowe CLI | crypto-random-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [crypto-random-string](https://www.github.com/sindresorhus/crypto-random-string.git) |
| Zowe CLI | cyclist |  v0.2.2 | MIT* | [cyclist](https://www.github.com/mafintosh/cyclist) |
| Zowe CLI | dashdash |  v1.14.1 | [MIT](http://opensource.org/licenses/mit-license) | [dashdash](https://www.github.com/trentm/node-dashdash.git) |
| Zowe CLI | dataobject-parser |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [dataobject-parser](https://www.github.com/Gigzolo/dataobject-parser.git) |
| Zowe CLI | date-format |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [date-format](https://www.github.com/nomiddlename/date-format.git) |
| Zowe CLI | debug |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe CLI | debug |  v3.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe CLI | debuglog |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [debuglog](https://www.github.com/sam-github/node-debuglog.git) |
| Zowe CLI | decamelize |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decamelize](https://www.github.com/sindresorhus/decamelize.git) |
| Zowe CLI | decode-uri-component |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decode-uri-component](https://www.github.com/SamVerschueren/decode-uri-component.git) |
| Zowe CLI | deep-extend |  v0.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [deep-extend](https://www.github.com/unclechu/node-deep-extend.git) |
| Zowe CLI | deepmerge |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [deepmerge](https://www.github.com/KyleAMathews/deepmerge.git) |
| Zowe CLI | defaults |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [defaults](https://www.github.com/tmpvar/defaults.git) |
| Zowe CLI | delayed-stream |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delayed-stream](https://www.github.com/felixge/node-delayed-stream.git) |
| Zowe CLI | delegates |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delegates](https://www.github.com/visionmedia/node-delegates.git) |
| Zowe CLI | detect-indent |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-indent](https://www.github.com/sindresorhus/detect-indent.git) |
| Zowe CLI | detect-newline |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-newline](https://www.github.com/sindresorhus/detect-newline.git) |
| Zowe CLI | dezalgo |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [dezalgo](https://www.github.com/npm/dezalgo) |
| Zowe CLI | dot-prop |  v4.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [dot-prop](https://www.github.com/sindresorhus/dot-prop.git) |
| Zowe CLI | dotenv |  v5.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [dotenv](https://www.github.com/motdotla/dotenv.git) |
| Zowe CLI | duplexer3 |  v0.1.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [duplexer3](https://www.github.com/floatdrop/duplexer3.git) |
| Zowe CLI | duplexify |  v3.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [duplexify](https://www.github.com/mafintosh/duplexify) |
| Zowe CLI | ecc-jsbn |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [ecc-jsbn](https://www.github.com/quartzjer/ecc-jsbn.git) |
| Zowe CLI | editor |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [editor](https://www.github.com/substack/node-editor.git) |
| Zowe CLI | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Zowe CLI | end-of-stream |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [end-of-stream](https://www.github.com/mafintosh/end-of-stream.git) |
| Zowe CLI | err-code |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [err-code](https://www.github.com/IndigoUnited/js-err-code.git) |
| Zowe CLI | errno |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [errno](https://www.github.com/rvagg/node-errno.git) |
| Zowe CLI | error-ex |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [error-ex](https://www.github.com/qix-/node-error-ex.git) |
| Zowe CLI | es6-promise |  v4.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [es6-promise](https://www.github.com/stefanpenner/es6-promise.git) |
| Zowe CLI | es6-promisify |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [es6-promisify](https://www.github.com/digitaldesignlabs/es6-promisify.git) |
| Zowe CLI | escape-string-regexp |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [escape-string-regexp](https://www.github.com/sindresorhus/escape-string-regexp.git) |
| Zowe CLI | esprima |  v4.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Zowe CLI | execa |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [execa](https://www.github.com/sindresorhus/execa.git) |
| Zowe CLI | extend |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend](https://www.github.com/justmoon/node-extend.git) |
| Zowe CLI | extsprintf |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe CLI | extsprintf |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe CLI | fast-deep-equal |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fast-deep-equal](https://www.github.com/epoberezkin/fast-deep-equal.git) |
| Zowe CLI | fast-json-stable-stringify |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fast-json-stable-stringify](https://www.github.com/epoberezkin/fast-json-stable-stringify.git) |
| Zowe CLI | figgy-pudding |  v3.5.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [figgy-pudding](https://www.github.com/zkat/figgy-pudding) |
| Zowe CLI | find-npm-prefix |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [find-npm-prefix](https://www.github.com/npm/find-npm-prefix.git) |
| Zowe CLI | find-up |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe CLI | find-up |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe CLI | flush-write-stream |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [flush-write-stream](https://www.github.com/mafintosh/flush-write-stream.git) |
| Zowe CLI | forever-agent |  v0.6.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [forever-agent](https://www.github.com/mikeal/forever-agent) |
| Zowe CLI | form-data |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [form-data](https://www.github.com/form-data/form-data.git) |
| Zowe CLI | from2 |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Zowe CLI | from2 |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Zowe CLI | fs-minipass |  v1.2.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-minipass](https://www.github.com/npm/fs-minipass.git) |
| Zowe CLI | fs-vacuum |  v1.2.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-vacuum](https://www.github.com/npm/fs-vacuum.git) |
| Zowe CLI | fs-write-stream-atomic |  v1.0.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-write-stream-atomic](https://www.github.com/npm/fs-write-stream-atomic) |
| Zowe CLI | fs.realpath |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs.realpath](https://www.github.com/isaacs/fs.realpath.git) |
| Zowe CLI | fstream |  v1.0.11 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fstream](https://www.github.com/npm/fstream.git) |
| Zowe CLI | gauge |  v2.7.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [gauge](https://www.github.com/iarna/gauge) |
| Zowe CLI | genfun |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [genfun](https://www.github.com/zkat/genfun) |
| Zowe CLI | gentle-fs |  v2.0.1 | Artistic-2.0 | [gentle-fs](https://www.github.com/npm/gentle-fs.git) |
| Zowe CLI | get-caller-file |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [get-caller-file](https://www.github.com/stefanpenner/get-caller-file.git) |
| Zowe CLI | get-stream |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Zowe CLI | get-stream |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Zowe CLI | getpass |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [getpass](https://www.github.com/arekinath/node-getpass.git) |
| Zowe CLI | glob |  v7.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Zowe CLI | glob |  v7.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Zowe CLI | global-dirs |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [global-dirs](https://www.github.com/sindresorhus/global-dirs.git) |
| Zowe CLI | got |  v6.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [got](https://www.github.com/sindresorhus/got.git) |
| Zowe CLI | graceful-fs |  v4.1.15 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [graceful-fs](https://www.github.com/isaacs/node-graceful-fs) |
| Zowe CLI | har-schema |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [har-schema](https://www.github.com/ahmadnassri/har-schema.git) |
| Zowe CLI | har-validator |  v5.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [har-validator](https://www.github.com/ahmadnassri/node-har-validator.git) |
| Zowe CLI | has-flag |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Zowe CLI | has-flag |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Zowe CLI | has-unicode |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [has-unicode](https://www.github.com/iarna/has-unicode) |
| Zowe CLI | hosted-git-info |  v2.7.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [hosted-git-info](https://www.github.com/npm/hosted-git-info.git) |
| Zowe CLI | http-cache-semantics |  v3.8.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [http-cache-semantics](https://www.github.com/pornel/http-cache-semantics.git) |
| Zowe CLI | http-proxy-agent |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-proxy-agent](https://www.github.com/TooTallNate/node-http-proxy-agent.git) |
| Zowe CLI | http-signature |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-signature](https://www.github.com/joyent/node-http-signature.git) |
| Zowe CLI | https-proxy-agent |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [https-proxy-agent](https://www.github.com/TooTallNate/node-https-proxy-agent.git) |
| Zowe CLI | humanize-ms |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [humanize-ms](https://www.github.com/node-modules/humanize-ms) |
| Zowe CLI | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe CLI | iferr |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Zowe CLI | iferr |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Zowe CLI | ignore-walk |  v3.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ignore-walk](https://www.github.com/isaacs/ignore-walk.git) |
| Zowe CLI | import-lazy |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-lazy](https://www.github.com/sindresorhus/import-lazy.git) |
| Zowe CLI | imurmurhash |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [imurmurhash](https://www.github.com/jensyt/imurmurhash-js) |
| Zowe CLI | inflight |  v1.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inflight](https://www.github.com/npm/inflight.git) |
| Zowe CLI | inherits |  v2.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe CLI | ini |  v1.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ini](https://www.github.com/isaacs/ini.git) |
| Zowe CLI | init-package-json |  v1.10.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [init-package-json](https://www.github.com/npm/init-package-json.git) |
| Zowe CLI | invert-kv |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [invert-kv](https://www.github.com/sindresorhus/invert-kv.git) |
| Zowe CLI | ip |  v1.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [ip](https://www.github.com/indutny/node-ip.git) |
| Zowe CLI | ip-regex |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [ip-regex](https://www.github.com/sindresorhus/ip-regex.git) |
| Zowe CLI | is-arrayish |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-arrayish](https://www.github.com/qix-/node-is-arrayish.git) |
| Zowe CLI | is-builtin-module |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-builtin-module](https://www.github.com/sindresorhus/is-builtin-module.git) |
| Zowe CLI | is-ci |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-ci](https://www.github.com/watson/is-ci.git) |
| Zowe CLI | is-cidr |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [is-cidr](https://www.github.com/silverwind/is-cidr.git) |
| Zowe CLI | is-fullwidth-code-point |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe CLI | is-fullwidth-code-point |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe CLI | is-installed-globally |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-installed-globally](https://www.github.com/sindresorhus/is-installed-globally.git) |
| Zowe CLI | is-npm |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-npm](https://www.github.com/sindresorhus/is-npm.git) |
| Zowe CLI | is-obj |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-obj](https://www.github.com/sindresorhus/is-obj.git) |
| Zowe CLI | is-path-inside |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-inside](https://www.github.com/sindresorhus/is-path-inside.git) |
| Zowe CLI | is-redirect |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-redirect](https://www.github.com/sindresorhus/is-redirect.git) |
| Zowe CLI | is-retry-allowed |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-retry-allowed](https://www.github.com/floatdrop/is-retry-allowed.git) |
| Zowe CLI | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe CLI | is-typedarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-typedarray](https://www.github.com/hughsk/is-typedarray.git) |
| Zowe CLI | isarray |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe CLI | isarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe CLI | isexe |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [isexe](https://www.github.com/isaacs/isexe.git) |
| Zowe CLI | isstream |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [isstream](https://www.github.com/rvagg/isstream.git) |
| Zowe CLI | js-yaml |  v3.9.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-yaml](https://www.github.com/nodeca/js-yaml.git) |
| Zowe CLI | jsbn |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsbn](https://www.github.com/andyperlitch/jsbn.git) |
| Zowe CLI | json-parse-better-errors |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [json-parse-better-errors](https://www.github.com/zkat/json-parse-better-errors) |
| Zowe CLI | json-schema |  v0.2.3 | BSD* | [json-schema](https://www.github.com/kriszyp/json-schema) |
| Zowe CLI | json-schema-traverse |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-schema-traverse](https://www.github.com/epoberezkin/json-schema-traverse.git) |
| Zowe CLI | json-stringify-safe |  v5.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [json-stringify-safe](https://www.github.com/isaacs/json-stringify-safe) |
| Zowe CLI | jsonfile |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsonfile](https://www.github.com/jprichardson/node-jsonfile.git) |
| Zowe CLI | jsonparse |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsonparse](https://www.github.com/creationix/jsonparse.git) |
| Zowe CLI | jsonschema |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsonschema](https://www.github.com/tdegrunt/jsonschema.git) |
| Zowe CLI | jsprim |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsprim](https://www.github.com/joyent/node-jsprim.git) |
| Zowe CLI | latest-version |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [latest-version](https://www.github.com/sindresorhus/latest-version.git) |
| Zowe CLI | lazy-property |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lazy-property](https://www.github.com/mikolalysenko/lazy-property.git) |
| Zowe CLI | lcid |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lcid](https://www.github.com/sindresorhus/lcid.git) |
| Zowe CLI | levenshtein |  v1.0.5 | Public Domain | [levenshtein](https://www.github.com/gf3/Levenshtein.git) |
| Zowe CLI | libcipm |  v3.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [libcipm](https://www.github.com/zkat/cipm) |
| Zowe CLI | libnpm |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpm](https://www.github.com/npm/libnpm) |
| Zowe CLI | libnpmaccess |  v3.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmaccess](https://www.github.com/npm/libnpmaccess.git) |
| Zowe CLI | libnpmconfig |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmconfig](https://www.github.com/npm/libnpmconfig.git) |
| Zowe CLI | libnpmhook |  v5.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmhook](https://www.github.com/npm/libnpmhook) |
| Zowe CLI | libnpmorg |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmorg](https://www.github.com/npm/libnpmorg.git) |
| Zowe CLI | libnpmpublish |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmpublish](https://www.github.com/npm/libnpmpublish.git) |
| Zowe CLI | libnpmsearch |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmsearch](https://www.github.com/npm/libnpmsearch.git) |
| Zowe CLI | libnpmteam |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpmteam](https://www.github.com/npm/libnpmteam.git) |
| Zowe CLI | libnpx |  v10.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [libnpx](https://www.github.com/zkat/npx) |
| Zowe CLI | load-json-file |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [load-json-file](https://www.github.com/sindresorhus/load-json-file.git) |
| Zowe CLI | locate-path |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Zowe CLI | locate-path |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Zowe CLI | lock-verify |  v2.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lock-verify](https://www.github.com/iarna/lock-verify.git) |
| Zowe CLI | lockfile |  v1.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lockfile](https://www.github.com/npm/lockfile.git) |
| Zowe CLI | lodash._baseuniq |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._baseuniq](https://www.github.com/lodash/lodash.git) |
| Zowe CLI | lodash._createset |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._createset](https://www.github.com/lodash/lodash.git) |
| Zowe CLI | lodash._root |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._root](https://www.github.com/lodash/lodash.git) |
| Zowe CLI | lodash.clonedeep |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.clonedeep](https://www.github.com/lodash/lodash.git) |
| Zowe CLI | lodash.union |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.union](https://www.github.com/lodash/lodash.git) |
| Zowe CLI | lodash.uniq |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.uniq](https://www.github.com/lodash/lodash.git) |
| Zowe CLI | lodash.without |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.without](https://www.github.com/lodash/lodash.git) |
| Zowe CLI | log4js |  v3.0.5 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [log4js](https://www.github.com/log4js-node/log4js-node.git) |
| Zowe CLI | lowercase-keys |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lowercase-keys](https://www.github.com/sindresorhus/lowercase-keys.git) |
| Zowe CLI | lru-cache |  v4.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Zowe CLI | lru-cache |  v5.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Zowe CLI | make-dir |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [make-dir](https://www.github.com/sindresorhus/make-dir.git) |
| Zowe CLI | make-fetch-happen |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [make-fetch-happen](https://www.github.com/zkat/make-fetch-happen) |
| Zowe CLI | meant |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [meant](https://www.github.com/watilde/meant.git) |
| Zowe CLI | mem |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [mem](https://www.github.com/sindresorhus/mem.git) |
| Zowe CLI | mime-db |  v1.37.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime-db](https://www.github.com/jshttp/mime-db.git) |
| Zowe CLI | mime-types |  v2.1.21 | [MIT](http://opensource.org/licenses/mit-license) | [mime-types](https://www.github.com/jshttp/mime-types.git) |
| Zowe CLI | mimic-fn |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [mimic-fn](https://www.github.com/sindresorhus/mimic-fn.git) |
| Zowe CLI | minimatch |  v3.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Zowe CLI | minimist |  v0.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe CLI | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe CLI | minipass |  v2.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minipass](https://www.github.com/isaacs/minipass.git) |
| Zowe CLI | minizlib |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [minizlib](https://www.github.com/isaacs/minizlib.git) |
| Zowe CLI | mississippi |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [mississippi](https://www.github.com/maxogden/mississippi.git) |
| Zowe CLI | mkdirp |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [mkdirp](https://www.github.com/substack/node-mkdirp.git) |
| Zowe CLI | moment |  v2.20.1 | [MIT](http://opensource.org/licenses/mit-license) | [moment](https://www.github.com/moment/moment.git) |
| Zowe CLI | move-concurrently |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [move-concurrently](https://www.github.com/npm/move-concurrently.git) |
| Zowe CLI | ms |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Zowe CLI | ms |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Zowe CLI | mustache |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [mustache](https://www.github.com/janl/mustache.js.git) |
| Zowe CLI | mute-stream |  v0.0.8 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [mute-stream](https://www.github.com/isaacs/mute-stream) |
| Zowe CLI | node-fetch-npm |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch-npm](https://www.github.com/npm/node-fetch-npm.git) |
| Zowe CLI | node-gyp |  v3.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-gyp](https://www.github.com/nodejs/node-gyp.git) |
| Zowe CLI | nopt |  v3.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [nopt](https://www.github.com/npm/nopt.git) |
| Zowe CLI | nopt |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [nopt](https://www.github.com/npm/nopt.git) |
| Zowe CLI | normalize-package-data |  v2.4.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [normalize-package-data](https://www.github.com/npm/normalize-package-data.git) |
| Zowe CLI | npm |  v6.7.0 | Artistic-2.0 | [npm](https://www.github.com/npm/cli) |
| Zowe CLI | npm-audit-report |  v1.3.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-audit-report](https://www.github.com/npm/npm-audit-report.git) |
| Zowe CLI | npm-bundled |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-bundled](https://www.github.com/npm/npm-bundled.git) |
| Zowe CLI | npm-cache-filename |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-cache-filename](https://www.github.com/npm/npm-cache-filename) |
| Zowe CLI | npm-install-checks |  v3.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [npm-install-checks](https://www.github.com/npm/npm-install-checks.git) |
| Zowe CLI | npm-lifecycle |  v2.1.0 | Artistic-2.0 | [npm-lifecycle](https://www.github.com/npm/lifecycle.git) |
| Zowe CLI | npm-logical-tree |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-logical-tree](https://www.github.com/npm/logical-tree) |
| Zowe CLI | npm-package-arg |  v6.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-package-arg](https://www.github.com/npm/npm-package-arg) |
| Zowe CLI | npm-packlist |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-packlist](https://www.github.com/npm/npm-packlist.git) |
| Zowe CLI | npm-pick-manifest |  v2.2.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-pick-manifest](https://www.github.com/zkat/npm-pick-manifest) |
| Zowe CLI | npm-profile |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-profile](https://www.github.com/npm/npm-profile.git) |
| Zowe CLI | npm-registry-fetch |  v3.9.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-registry-fetch](https://www.github.com/npm/registry-fetch) |
| Zowe CLI | npm-run-path |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [npm-run-path](https://www.github.com/sindresorhus/npm-run-path.git) |
| Zowe CLI | npm-user-validate |  v1.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [npm-user-validate](https://www.github.com/npm/npm-user-validate.git) |
| Zowe CLI | npmlog |  v4.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npmlog](https://www.github.com/npm/npmlog.git) |
| Zowe CLI | number-is-nan |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [number-is-nan](https://www.github.com/sindresorhus/number-is-nan.git) |
| Zowe CLI | oauth-sign |  v0.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [oauth-sign](https://www.github.com/mikeal/oauth-sign) |
| Zowe CLI | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe CLI | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Zowe CLI | opener |  v1.5.1 | (WTFPL OR MIT) | [opener](https://www.github.com/domenic/opener.git) |
| Zowe CLI | os-homedir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-homedir](https://www.github.com/sindresorhus/os-homedir.git) |
| Zowe CLI | os-locale |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-locale](https://www.github.com/sindresorhus/os-locale.git) |
| Zowe CLI | os-tmpdir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-tmpdir](https://www.github.com/sindresorhus/os-tmpdir.git) |
| Zowe CLI | osenv |  v0.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [osenv](https://www.github.com/npm/osenv) |
| Zowe CLI | p-finally |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-finally](https://www.github.com/sindresorhus/p-finally.git) |
| Zowe CLI | p-limit |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Zowe CLI | p-limit |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Zowe CLI | p-locate |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Zowe CLI | p-locate |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Zowe CLI | p-try |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Zowe CLI | p-try |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Zowe CLI | package-json |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [package-json](https://www.github.com/sindresorhus/package-json.git) |
| Zowe CLI | pacote |  v9.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [pacote](https://www.github.com/zkat/pacote) |
| Zowe CLI | parallel-transform |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [parallel-transform](https://www.github.com/mafintosh/parallel-transform) |
| Zowe CLI | parse-json |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse-json](https://www.github.com/sindresorhus/parse-json.git) |
| Zowe CLI | path-exists |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Zowe CLI | path-is-absolute |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-is-absolute](https://www.github.com/sindresorhus/path-is-absolute.git) |
| Zowe CLI | path-is-inside |  v1.0.2 | (WTFPL OR MIT) | [path-is-inside](https://www.github.com/domenic/path-is-inside.git) |
| Zowe CLI | path-key |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-key](https://www.github.com/sindresorhus/path-key.git) |
| Zowe CLI | path-type |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Zowe CLI | performance-now |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [performance-now](https://www.github.com/braveg1rl/performance-now.git) |
| Zowe CLI | pify |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Zowe CLI | pify |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Zowe CLI | prepend-http |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [prepend-http](https://www.github.com/sindresorhus/prepend-http.git) |
| Zowe CLI | prettyjson |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [prettyjson](https://www.github.com/rafeca/prettyjson.git) |
| Zowe CLI | process-nextick-args |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [process-nextick-args](https://www.github.com/calvinmetcalf/process-nextick-args.git) |
| Zowe CLI | progress |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [progress](https://www.github.com/visionmedia/node-progress) |
| Zowe CLI | promise-inflight |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promise-inflight](https://www.github.com/iarna/promise-inflight.git) |
| Zowe CLI | promise-retry |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise-retry](https://www.github.com/IndigoUnited/node-promise-retry.git) |
| Zowe CLI | promzard |  v0.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promzard](https://www.github.com/isaacs/promzard) |
| Zowe CLI | proto-list |  v1.2.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [proto-list](https://www.github.com/isaacs/proto-list) |
| Zowe CLI | protoduck |  v5.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [protoduck](https://www.github.com/zkat/protoduck.git) |
| Zowe CLI | prr |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [prr](https://www.github.com/rvagg/prr.git) |
| Zowe CLI | pseudomap |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [pseudomap](https://www.github.com/isaacs/pseudomap.git) |
| Zowe CLI | psl |  v1.1.31 | [MIT](http://opensource.org/licenses/mit-license) | [psl](https://www.github.com/wrangr/psl.git) |
| Zowe CLI | pump |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe CLI | pump |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe CLI | pumpify |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [pumpify](https://www.github.com/mafintosh/pumpify) |
| Zowe CLI | punycode |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe CLI | punycode |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe CLI | qrcode-terminal |  v0.12.0 | Apache* | [qrcode-terminal](https://www.github.com/gtanner/qrcode-terminal) |
| Zowe CLI | qs |  v6.5.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [qs](https://www.github.com/ljharb/qs.git) |
| Zowe CLI | query-string |  v6.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Zowe CLI | qw |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [qw](https://www.github.com/iarna/node-qw.git) |
| Zowe CLI | rc |  v1.2.8 | (BSD-2-Clause OR MIT OR Apache-2.0) | [rc](https://www.github.com/dominictarr/rc.git) |
| Zowe CLI | read |  v1.0.7 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read](https://www.github.com/isaacs/read.git) |
| Zowe CLI | read-cmd-shim |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-cmd-shim](https://www.github.com/npm/read-cmd-shim.git) |
| Zowe CLI | read-installed |  v4.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-installed](https://www.github.com/isaacs/read-installed) |
| Zowe CLI | read-package-json |  v2.0.13 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-package-json](https://www.github.com/npm/read-package-json.git) |
| Zowe CLI | read-package-tree |  v5.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [read-package-tree](https://www.github.com/npm/read-package-tree) |
| Zowe CLI | read-pkg |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg](https://www.github.com/sindresorhus/read-pkg.git) |
| Zowe CLI | read-pkg-up |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg-up](https://www.github.com/sindresorhus/read-pkg-up.git) |
| Zowe CLI | readable-stream |  v1.1.14 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/isaacs/readable-stream) |
| Zowe CLI | readable-stream |  v2.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe CLI | readable-stream |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe CLI | readdir-scoped-modules |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [readdir-scoped-modules](https://www.github.com/npm/readdir-scoped-modules) |
| Zowe CLI | registry-auth-token |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [registry-auth-token](https://www.github.com/rexxars/registry-auth-token.git) |
| Zowe CLI | registry-url |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [registry-url](https://www.github.com/sindresorhus/registry-url.git) |
| Zowe CLI | request |  v2.88.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [request](https://www.github.com/request/request.git) |
| Zowe CLI | require-directory |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [require-directory](https://www.github.com/troygoode/node-require-directory.git) |
| Zowe CLI | require-main-filename |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [require-main-filename](https://www.github.com/yargs/require-main-filename.git) |
| Zowe CLI | resolve-from |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-from](https://www.github.com/sindresorhus/resolve-from.git) |
| Zowe CLI | retry |  v0.10.1 | [MIT](http://opensource.org/licenses/mit-license) | [retry](https://www.github.com/tim-kos/node-retry.git) |
| Zowe CLI | retry |  v0.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [retry](https://www.github.com/tim-kos/node-retry.git) |
| Zowe CLI | rfdc |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [rfdc](https://www.github.com/davidmarkclements/rfdc.git) |
| Zowe CLI | rimraf |  v2.6.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Zowe CLI | rimraf |  v2.6.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Zowe CLI | run-queue |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [run-queue](https://www.github.com/iarna/run-queue.git) |
| Zowe CLI | safe-buffer |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safe-buffer](https://www.github.com/feross/safe-buffer.git) |
| Zowe CLI | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe CLI | semver |  v5.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe CLI | semver |  v5.5.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe CLI | semver |  v5.6.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe CLI | semver-diff |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [semver-diff](https://www.github.com/sindresorhus/semver-diff.git) |
| Zowe CLI | set-blocking |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [set-blocking](https://www.github.com/yargs/set-blocking.git) |
| Zowe CLI | sha |  v2.0.1 | (BSD-2-Clause OR MIT) | [sha](https://www.github.com/ForbesLindesay/sha.git) |
| Zowe CLI | shebang-command |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-command](https://www.github.com/kevva/shebang-command.git) |
| Zowe CLI | shebang-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-regex](https://www.github.com/sindresorhus/shebang-regex.git) |
| Zowe CLI | signal-exit |  v3.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [signal-exit](https://www.github.com/tapjs/signal-exit.git) |
| Zowe CLI | slash |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [slash](https://www.github.com/sindresorhus/slash.git) |
| Zowe CLI | slide |  v1.1.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [slide](https://www.github.com/isaacs/slide-flow-control.git) |
| Zowe CLI | smart-buffer |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [smart-buffer](https://www.github.com/JoshGlazebrook/smart-buffer.git) |
| Zowe CLI | socks |  v2.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [socks](https://www.github.com/JoshGlazebrook/socks.git) |
| Zowe CLI | socks-proxy-agent |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [socks-proxy-agent](https://www.github.com/TooTallNate/node-socks-proxy-agent.git) |
| Zowe CLI | sorted-object |  v2.0.1 | (WTFPL OR MIT) | [sorted-object](https://www.github.com/domenic/sorted-object.git) |
| Zowe CLI | sorted-union-stream |  v2.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [sorted-union-stream](https://www.github.com/mafintosh/sorted-union-stream.git) |
| Zowe CLI | spdx-correct |  v3.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [spdx-correct](https://www.github.com/jslicense/spdx-correct.js.git) |
| Zowe CLI | spdx-exceptions |  v2.2.0 | CC-BY-3.0 | [spdx-exceptions](https://www.github.com/kemitchell/spdx-exceptions.json.git) |
| Zowe CLI | spdx-expression-parse |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [spdx-expression-parse](https://www.github.com/jslicense/spdx-expression-parse.js.git) |
| Zowe CLI | spdx-license-ids |  v3.0.3 | CC0-1.0 | [spdx-license-ids](https://www.github.com/shinnn/spdx-license-ids.git) |
| Zowe CLI | sprintf-js |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [sprintf-js](https://www.github.com/alexei/sprintf.js.git) |
| Zowe CLI | sshpk |  v1.16.1 | [MIT](http://opensource.org/licenses/mit-license) | [sshpk](https://www.github.com/joyent/node-sshpk.git) |
| Zowe CLI | ssri |  v6.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ssri](https://www.github.com/zkat/ssri) |
| Zowe CLI | stack-trace |  v0.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [stack-trace](https://www.github.com/felixge/node-stack-trace.git) |
| Zowe CLI | stream-each |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [stream-each](https://www.github.com/mafintosh/stream-each.git) |
| Zowe CLI | stream-iterate |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-iterate](https://www.github.com/mafintosh/stream-iterate.git) |
| Zowe CLI | stream-shift |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-shift](https://www.github.com/mafintosh/stream-shift.git) |
| Zowe CLI | streamroller |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [streamroller](https://www.github.com/nomiddlename/streamroller.git) |
| Zowe CLI | strict-uri-encode |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Zowe CLI | string-width |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe CLI | string-width |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe CLI | string_decoder |  v0.10.31 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/rvagg/string_decoder.git) |
| Zowe CLI | string_decoder |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe CLI | string_decoder |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe CLI | stringify-package |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [stringify-package](https://www.github.com/npm/stringify-package.git) |
| Zowe CLI | strip-ansi |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe CLI | strip-ansi |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe CLI | strip-bom |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-bom](https://www.github.com/sindresorhus/strip-bom.git) |
| Zowe CLI | strip-eof |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-eof](https://www.github.com/sindresorhus/strip-eof.git) |
| Zowe CLI | strip-json-comments |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-json-comments](https://www.github.com/sindresorhus/strip-json-comments.git) |
| Zowe CLI | supports-color |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe CLI | supports-color |  v5.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe CLI | tar |  v2.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [tar](https://www.github.com/isaacs/node-tar.git) |
| Zowe CLI | tar |  v4.4.8 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [tar](https://www.github.com/npm/node-tar.git) |
| Zowe CLI | term-size |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [term-size](https://www.github.com/sindresorhus/term-size.git) |
| Zowe CLI | text-table |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [text-table](https://www.github.com/substack/text-table.git) |
| Zowe CLI | through |  v2.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [through](https://www.github.com/dominictarr/through.git) |
| Zowe CLI | through2 |  v2.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [through2](https://www.github.com/rvagg/through2.git) |
| Zowe CLI | timed-out |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [timed-out](https://www.github.com/floatdrop/timed-out.git) |
| Zowe CLI | tiny-relative-date |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [tiny-relative-date](https://www.github.com/wildlyinaccurate/relative-date.git) |
| Zowe CLI | tough-cookie |  v2.4.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe CLI | tunnel-agent |  v0.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tunnel-agent](https://www.github.com/mikeal/tunnel-agent) |
| Zowe CLI | tweetnacl |  v0.14.5 | Unlicense | [tweetnacl](https://www.github.com/dchest/tweetnacl-js.git) |
| Zowe CLI | typedarray |  v0.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [typedarray](https://www.github.com/substack/typedarray.git) |
| Zowe CLI | uid-number |  v0.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [uid-number](https://www.github.com/isaacs/uid-number.git) |
| Zowe CLI | umask |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [umask](https://www.github.com/smikes/umask.git) |
| Zowe CLI | unique-filename |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-filename](https://www.github.com/iarna/unique-filename.git) |
| Zowe CLI | unique-slug |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-slug](https://www.github.com/iarna/unique-slug.git) |
| Zowe CLI | unique-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unique-string](https://www.github.com/sindresorhus/unique-string.git) |
| Zowe CLI | unpipe |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unpipe](https://www.github.com/stream-utils/unpipe.git) |
| Zowe CLI | unzip-response |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [unzip-response](https://www.github.com/sindresorhus/unzip-response.git) |
| Zowe CLI | update-notifier |  v2.5.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [update-notifier](https://www.github.com/yeoman/update-notifier.git) |
| Zowe CLI | uri-js |  v4.2.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uri-js](https://www.github.com/garycourt/uri-js) |
| Zowe CLI | url-parse-lax |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [url-parse-lax](https://www.github.com/sindresorhus/url-parse-lax.git) |
| Zowe CLI | util-deprecate |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [util-deprecate](https://www.github.com/TooTallNate/util-deprecate.git) |
| Zowe CLI | util-extend |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [util-extend](https://www.github.com/isaacs/util-extend) |
| Zowe CLI | uuid |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [uuid](https://www.github.com/kelektiv/node-uuid.git) |
| Zowe CLI | validate-npm-package-license |  v3.0.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [validate-npm-package-license](https://www.github.com/kemitchell/validate-npm-package-license.js.git) |
| Zowe CLI | validate-npm-package-name |  v3.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [validate-npm-package-name](https://www.github.com/npm/validate-npm-package-name) |
| Zowe CLI | verror |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [verror](https://www.github.com/davepacheco/node-verror.git) |
| Zowe CLI | wcwidth |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [wcwidth](https://www.github.com/timoxley/wcwidth.git) |
| Zowe CLI | which |  v1.3.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which](https://www.github.com/isaacs/node-which.git) |
| Zowe CLI | which-module |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which-module](https://www.github.com/nexdrew/which-module.git) |
| Zowe CLI | wide-align |  v1.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wide-align](https://www.github.com/iarna/wide-align) |
| Zowe CLI | widest-line |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [widest-line](https://www.github.com/sindresorhus/widest-line.git) |
| Zowe CLI | worker-farm |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [worker-farm](https://www.github.com/rvagg/node-worker-farm.git) |
| Zowe CLI | wrap-ansi |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [wrap-ansi](https://www.github.com/chalk/wrap-ansi.git) |
| Zowe CLI | wrap-ansi |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [wrap-ansi](https://www.github.com/chalk/wrap-ansi.git) |
| Zowe CLI | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Zowe CLI | write-file-atomic |  v2.4.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [write-file-atomic](https://www.github.com/iarna/write-file-atomic.git) |
| Zowe CLI | xdg-basedir |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [xdg-basedir](https://www.github.com/sindresorhus/xdg-basedir.git) |
| Zowe CLI | xtend |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [xtend](https://www.github.com/Raynos/xtend.git) |
| Zowe CLI | y18n |  v3.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe CLI | y18n |  v4.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe CLI | yallist |  v2.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Zowe CLI | yallist |  v3.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Zowe CLI | yamljs |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [yamljs](https://www.github.com/jeremyfa/yaml.js.git) |
| Zowe CLI | yargs |  v11.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe CLI | yargs |  v8.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe CLI | yargs-parser |  v7.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Zowe CLI | yargs-parser |  v9.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |

### Zowe CLI Plug-in for IBM CICS Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe CLI Plug-in for IBM CICS | sax |  v1.2.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [sax](https://www.github.com/isaacs/sax-js.git) |
| Zowe CLI Plug-in for IBM CICS | xml2js |  v0.4.19 | [MIT](http://opensource.org/licenses/mit-license) | [xml2js](https://www.github.com/Leonidas-from-XIV/node-xml2js.git) |
| Zowe CLI Plug-in for IBM CICS | xmlbuilder |  v9.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [xmlbuilder](https://www.github.com/oozcitak/xmlbuilder-js.git) |

### Zowe CLI Plug-in for IBM Db2 Database Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe CLI Plug-in for IBM Db2 Database | ajv |  v6.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv](https://www.github.com/epoberezkin/ajv.git) |
| Zowe CLI Plug-in for IBM Db2 Database | asn1 |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [asn1](https://www.github.com/joyent/node-asn1.git) |
| Zowe CLI Plug-in for IBM Db2 Database | assert-plus |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assert-plus](https://www.github.com/mcavage/node-assert-plus.git) |
| Zowe CLI Plug-in for IBM Db2 Database | asynckit |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [asynckit](https://www.github.com/alexindigo/asynckit.git) |
| Zowe CLI Plug-in for IBM Db2 Database | aws-sign2 |  v0.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [aws-sign2](https://www.github.com/mikeal/aws-sign) |
| Zowe CLI Plug-in for IBM Db2 Database | aws4 |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [aws4](https://www.github.com/mhart/aws4.git) |
| Zowe CLI Plug-in for IBM Db2 Database | balanced-match |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Zowe CLI Plug-in for IBM Db2 Database | bcrypt-pbkdf |  v1.0.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [bcrypt-pbkdf](https://www.github.com/joyent/node-bcrypt-pbkdf.git) |
| Zowe CLI Plug-in for IBM Db2 Database | big-integer |  v1.6.41 | Unlicense | [big-integer](https://www.github.com/peterolson/BigInteger.js.git) |
| Zowe CLI Plug-in for IBM Db2 Database | binary |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [binary](https://www.github.com/substack/node-binary.git) |
| Zowe CLI Plug-in for IBM Db2 Database | bindings |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [bindings](https://www.github.com/TooTallNate/node-bindings.git) |
| Zowe CLI Plug-in for IBM Db2 Database | bl |  v1.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [bl](https://www.github.com/rvagg/bl.git) |
| Zowe CLI Plug-in for IBM Db2 Database | bluebird |  v3.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |
| Zowe CLI Plug-in for IBM Db2 Database | brace-expansion |  v1.1.11 | [MIT](http://opensource.org/licenses/mit-license) | [brace-expansion](https://www.github.com/juliangruber/brace-expansion.git) |
| Zowe CLI Plug-in for IBM Db2 Database | buffer-alloc |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-alloc](https://www.github.com/LinusU/buffer-alloc.git) |
| Zowe CLI Plug-in for IBM Db2 Database | buffer-alloc-unsafe |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-alloc-unsafe](https://www.github.com/LinusU/buffer-alloc-unsafe.git) |
| Zowe CLI Plug-in for IBM Db2 Database | buffer-fill |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-fill](https://www.github.com/LinusU/buffer-fill.git) |
| Zowe CLI Plug-in for IBM Db2 Database | buffer-indexof-polyfill |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-indexof-polyfill](https://www.github.com/sarosia/buffer-indexof-polyfill.git) |
| Zowe CLI Plug-in for IBM Db2 Database | buffer-shims |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-shims](https://www.github.com/calvinmetcalf/buffer-shims.git) |
| Zowe CLI Plug-in for IBM Db2 Database | buffers |  v0.1.1 | UNKNOWN | [buffers](https://www.github.com/substack/node-buffers.git) |
| Zowe CLI Plug-in for IBM Db2 Database | caseless |  v0.12.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [caseless](https://www.github.com/mikeal/caseless) |
| Zowe CLI Plug-in for IBM Db2 Database | chainsaw |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [chainsaw](https://www.github.com/substack/node-chainsaw.git) |
| Zowe CLI Plug-in for IBM Db2 Database | chownr |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [chownr](https://www.github.com/isaacs/chownr.git) |
| Zowe CLI Plug-in for IBM Db2 Database | combined-stream |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [combined-stream](https://www.github.com/felixge/node-combined-stream.git) |
| Zowe CLI Plug-in for IBM Db2 Database | concat-map |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [concat-map](https://www.github.com/substack/node-concat-map.git) |
| Zowe CLI Plug-in for IBM Db2 Database | core-util-is |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [core-util-is](https://www.github.com/isaacs/core-util-is) |
| Zowe CLI Plug-in for IBM Db2 Database | dashdash |  v1.14.1 | [MIT](http://opensource.org/licenses/mit-license) | [dashdash](https://www.github.com/trentm/node-dashdash.git) |
| Zowe CLI Plug-in for IBM Db2 Database | delayed-stream |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delayed-stream](https://www.github.com/felixge/node-delayed-stream.git) |
| Zowe CLI Plug-in for IBM Db2 Database | duplexer2 |  v0.1.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [duplexer2](https://www.github.com/deoxxa/duplexer2.git) |
| Zowe CLI Plug-in for IBM Db2 Database | ecc-jsbn |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [ecc-jsbn](https://www.github.com/quartzjer/ecc-jsbn.git) |
| Zowe CLI Plug-in for IBM Db2 Database | end-of-stream |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [end-of-stream](https://www.github.com/mafintosh/end-of-stream.git) |
| Zowe CLI Plug-in for IBM Db2 Database | extend |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend](https://www.github.com/justmoon/node-extend.git) |
| Zowe CLI Plug-in for IBM Db2 Database | extsprintf |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe CLI Plug-in for IBM Db2 Database | extsprintf |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe CLI Plug-in for IBM Db2 Database | fast-deep-equal |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fast-deep-equal](https://www.github.com/epoberezkin/fast-deep-equal.git) |
| Zowe CLI Plug-in for IBM Db2 Database | fast-json-stable-stringify |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fast-json-stable-stringify](https://www.github.com/epoberezkin/fast-json-stable-stringify.git) |
| Zowe CLI Plug-in for IBM Db2 Database | file-uri-to-path |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [file-uri-to-path](https://www.github.com/TooTallNate/file-uri-to-path.git) |
| Zowe CLI Plug-in for IBM Db2 Database | forever-agent |  v0.6.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [forever-agent](https://www.github.com/mikeal/forever-agent) |
| Zowe CLI Plug-in for IBM Db2 Database | form-data |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [form-data](https://www.github.com/form-data/form-data.git) |
| Zowe CLI Plug-in for IBM Db2 Database | fs-constants |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fs-constants](https://www.github.com/mafintosh/fs-constants.git) |
| Zowe CLI Plug-in for IBM Db2 Database | fs.realpath |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs.realpath](https://www.github.com/isaacs/fs.realpath.git) |
| Zowe CLI Plug-in for IBM Db2 Database | fstream |  v1.0.11 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fstream](https://www.github.com/npm/fstream.git) |
| Zowe CLI Plug-in for IBM Db2 Database | getpass |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [getpass](https://www.github.com/arekinath/node-getpass.git) |
| Zowe CLI Plug-in for IBM Db2 Database | glob |  v7.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Zowe CLI Plug-in for IBM Db2 Database | graceful-fs |  v4.1.15 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [graceful-fs](https://www.github.com/isaacs/node-graceful-fs) |
| Zowe CLI Plug-in for IBM Db2 Database | har-schema |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [har-schema](https://www.github.com/ahmadnassri/har-schema.git) |
| Zowe CLI Plug-in for IBM Db2 Database | har-validator |  v5.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [har-validator](https://www.github.com/ahmadnassri/node-har-validator.git) |
| Zowe CLI Plug-in for IBM Db2 Database | http-signature |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-signature](https://www.github.com/joyent/node-http-signature.git) |
| Zowe CLI Plug-in for IBM Db2 Database | ibm_db |  v2.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [ibm_db](https://www.github.com/ibmdb/node-ibm_db.git) |
| Zowe CLI Plug-in for IBM Db2 Database | inflight |  v1.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inflight](https://www.github.com/npm/inflight.git) |
| Zowe CLI Plug-in for IBM Db2 Database | inherits |  v2.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe CLI Plug-in for IBM Db2 Database | is-typedarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-typedarray](https://www.github.com/hughsk/is-typedarray.git) |
| Zowe CLI Plug-in for IBM Db2 Database | isarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe CLI Plug-in for IBM Db2 Database | isstream |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [isstream](https://www.github.com/rvagg/isstream.git) |
| Zowe CLI Plug-in for IBM Db2 Database | jsbn |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsbn](https://www.github.com/andyperlitch/jsbn.git) |
| Zowe CLI Plug-in for IBM Db2 Database | json-schema |  v0.2.3 | BSD* | [json-schema](https://www.github.com/kriszyp/json-schema) |
| Zowe CLI Plug-in for IBM Db2 Database | json-schema-traverse |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-schema-traverse](https://www.github.com/epoberezkin/json-schema-traverse.git) |
| Zowe CLI Plug-in for IBM Db2 Database | json-stringify-safe |  v5.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [json-stringify-safe](https://www.github.com/isaacs/json-stringify-safe) |
| Zowe CLI Plug-in for IBM Db2 Database | jsprim |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsprim](https://www.github.com/joyent/node-jsprim.git) |
| Zowe CLI Plug-in for IBM Db2 Database | listenercount |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [listenercount](https://www.github.com/jden/node-listenercount.git) |
| Zowe CLI Plug-in for IBM Db2 Database | mime-db |  v1.37.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime-db](https://www.github.com/jshttp/mime-db.git) |
| Zowe CLI Plug-in for IBM Db2 Database | mime-types |  v2.1.21 | [MIT](http://opensource.org/licenses/mit-license) | [mime-types](https://www.github.com/jshttp/mime-types.git) |
| Zowe CLI Plug-in for IBM Db2 Database | minimatch |  v3.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Zowe CLI Plug-in for IBM Db2 Database | minimist |  v0.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe CLI Plug-in for IBM Db2 Database | mkdirp |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [mkdirp](https://www.github.com/substack/node-mkdirp.git) |
| Zowe CLI Plug-in for IBM Db2 Database | nan |  v2.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [nan](https://www.github.com/nodejs/nan.git) |
| Zowe CLI Plug-in for IBM Db2 Database | oauth-sign |  v0.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [oauth-sign](https://www.github.com/mikeal/oauth-sign) |
| Zowe CLI Plug-in for IBM Db2 Database | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Zowe CLI Plug-in for IBM Db2 Database | path-is-absolute |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-is-absolute](https://www.github.com/sindresorhus/path-is-absolute.git) |
| Zowe CLI Plug-in for IBM Db2 Database | performance-now |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [performance-now](https://www.github.com/braveg1rl/performance-now.git) |
| Zowe CLI Plug-in for IBM Db2 Database | process-nextick-args |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [process-nextick-args](https://www.github.com/calvinmetcalf/process-nextick-args.git) |
| Zowe CLI Plug-in for IBM Db2 Database | process-nextick-args |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [process-nextick-args](https://www.github.com/calvinmetcalf/process-nextick-args.git) |
| Zowe CLI Plug-in for IBM Db2 Database | psl |  v1.1.31 | [MIT](http://opensource.org/licenses/mit-license) | [psl](https://www.github.com/wrangr/psl.git) |
| Zowe CLI Plug-in for IBM Db2 Database | pump |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe CLI Plug-in for IBM Db2 Database | punycode |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe CLI Plug-in for IBM Db2 Database | punycode |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe CLI Plug-in for IBM Db2 Database | q |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [q](https://www.github.com/kriskowal/q.git) |
| Zowe CLI Plug-in for IBM Db2 Database | qs |  v6.5.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [qs](https://www.github.com/ljharb/qs.git) |
| Zowe CLI Plug-in for IBM Db2 Database | readable-stream |  v2.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe CLI Plug-in for IBM Db2 Database | readable-stream |  v2.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe CLI Plug-in for IBM Db2 Database | request |  v2.88.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [request](https://www.github.com/request/request.git) |
| Zowe CLI Plug-in for IBM Db2 Database | rimraf |  v2.6.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Zowe CLI Plug-in for IBM Db2 Database | safe-buffer |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safe-buffer](https://www.github.com/feross/safe-buffer.git) |
| Zowe CLI Plug-in for IBM Db2 Database | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe CLI Plug-in for IBM Db2 Database | setimmediate |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [setimmediate](https://www.github.com/YuzuJS/setImmediate.git) |
| Zowe CLI Plug-in for IBM Db2 Database | sshpk |  v1.16.1 | [MIT](http://opensource.org/licenses/mit-license) | [sshpk](https://www.github.com/joyent/node-sshpk.git) |
| Zowe CLI Plug-in for IBM Db2 Database | string_decoder |  v0.10.31 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/rvagg/string_decoder.git) |
| Zowe CLI Plug-in for IBM Db2 Database | string_decoder |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe CLI Plug-in for IBM Db2 Database | tar-fs |  v1.16.3 | [MIT](http://opensource.org/licenses/mit-license) | [tar-fs](https://www.github.com/mafintosh/tar-fs.git) |
| Zowe CLI Plug-in for IBM Db2 Database | tar-stream |  v1.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [tar-stream](https://www.github.com/mafintosh/tar-stream.git) |
| Zowe CLI Plug-in for IBM Db2 Database | targz |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [targz](https://www.github.com/miskun/targz.git) |
| Zowe CLI Plug-in for IBM Db2 Database | to-buffer |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [to-buffer](https://www.github.com/mafintosh/to-buffer.git) |
| Zowe CLI Plug-in for IBM Db2 Database | tough-cookie |  v2.4.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe CLI Plug-in for IBM Db2 Database | traverse |  v0.3.9 | [MIT](http://opensource.org/licenses/mit-license) | [traverse](https://www.github.com/substack/js-traverse.git) |
| Zowe CLI Plug-in for IBM Db2 Database | tunnel-agent |  v0.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tunnel-agent](https://www.github.com/mikeal/tunnel-agent) |
| Zowe CLI Plug-in for IBM Db2 Database | tweetnacl |  v0.14.5 | Unlicense | [tweetnacl](https://www.github.com/dchest/tweetnacl-js.git) |
| Zowe CLI Plug-in for IBM Db2 Database | unzipper |  v0.8.14 | [MIT](http://opensource.org/licenses/mit-license) | [unzipper](https://www.github.com/ZJONSSON/node-unzipper.git) |
| Zowe CLI Plug-in for IBM Db2 Database | uri-js |  v4.2.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uri-js](https://www.github.com/garycourt/uri-js) |
| Zowe CLI Plug-in for IBM Db2 Database | util-deprecate |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [util-deprecate](https://www.github.com/TooTallNate/util-deprecate.git) |
| Zowe CLI Plug-in for IBM Db2 Database | uuid |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [uuid](https://www.github.com/kelektiv/node-uuid.git) |
| Zowe CLI Plug-in for IBM Db2 Database | verror |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [verror](https://www.github.com/davepacheco/node-verror.git) |
| Zowe CLI Plug-in for IBM Db2 Database | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Zowe CLI Plug-in for IBM Db2 Database | xtend |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [xtend](https://www.github.com/Raynos/xtend.git) |

### Zowe Desktop Data Sets UI Plugin Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Desktop Data Sets UI Plugin | @babel/runtime |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop Data Sets UI Plugin | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Zowe Desktop Data Sets UI Plugin | babel-polyfill |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-polyfill](https://www.github.com/babel/babel/tree/master/packages/babel-polyfill) |
| Zowe Desktop Data Sets UI Plugin | babel-runtime |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop Data Sets UI Plugin | big.js |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe Desktop Data Sets UI Plugin | classnames |  v2.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [classnames](https://www.github.com/JedWatson/classnames.git) |
| Zowe Desktop Data Sets UI Plugin | core-js |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop Data Sets UI Plugin | core-js |  v2.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop Data Sets UI Plugin | create-react-class |  v15.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [create-react-class](https://www.github.com/facebook/react.git) |
| Zowe Desktop Data Sets UI Plugin | deep-diff |  v0.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [deep-diff](https://www.github.com/flitbit/diff.git) |
| Zowe Desktop Data Sets UI Plugin | emojis-list |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [emojis-list](https://www.github.com/kikobeats/emojis-list.git) |
| Zowe Desktop Data Sets UI Plugin | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Zowe Desktop Data Sets UI Plugin | fbjs |  v0.8.17 | [MIT](http://opensource.org/licenses/mit-license) | [fbjs](https://www.github.com/facebook/fbjs.git) |
| Zowe Desktop Data Sets UI Plugin | file-loader |  v0.11.2 | [MIT](http://opensource.org/licenses/mit-license) | [file-loader](https://www.github.com/webpack/file-loader.git) |
| Zowe Desktop Data Sets UI Plugin | history |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [history](https://www.github.com/ReactTraining/history.git) |
| Zowe Desktop Data Sets UI Plugin | hoist-non-react-statics |  v2.5.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe Desktop Data Sets UI Plugin | hoist-non-react-statics |  v3.3.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe Desktop Data Sets UI Plugin | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Desktop Data Sets UI Plugin | immutable |  v3.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [immutable](https://www.github.com/facebook/immutable-js.git) |
| Zowe Desktop Data Sets UI Plugin | invariant |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [invariant](https://www.github.com/zertosh/invariant) |
| Zowe Desktop Data Sets UI Plugin | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe Desktop Data Sets UI Plugin | isomorphic-fetch |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [isomorphic-fetch](https://www.github.com/matthew-andrews/isomorphic-fetch.git) |
| Zowe Desktop Data Sets UI Plugin | js-tokens |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe Desktop Data Sets UI Plugin | json5 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/json5/json5.git) |
| Zowe Desktop Data Sets UI Plugin | loader-utils |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe Desktop Data Sets UI Plugin | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Data Sets UI Plugin | lodash-es |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash-es](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Data Sets UI Plugin | loose-envify |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loose-envify](https://www.github.com/zertosh/loose-envify.git) |
| Zowe Desktop Data Sets UI Plugin | material-ui |  v0.18.7 | UNKNOWN | [material-ui](https://www.npmjs.com/package/material-ui) |
| Zowe Desktop Data Sets UI Plugin | mime |  v1.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe Desktop Data Sets UI Plugin | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop Data Sets UI Plugin | node-fetch |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch](https://www.github.com/bitinn/node-fetch.git) |
| Zowe Desktop Data Sets UI Plugin | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe Desktop Data Sets UI Plugin | orion-editor-component |  v0.0.9 | EPL-2.0 | [orion-editor-component](https://www.npmjs.com/package/orion-editor-component) |
| Zowe Desktop Data Sets UI Plugin | promise |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe Desktop Data Sets UI Plugin | prop-types |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [prop-types](https://www.github.com/facebook/prop-types.git) |
| Zowe Desktop Data Sets UI Plugin | query-string |  v4.3.4 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Zowe Desktop Data Sets UI Plugin | react |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react](https://www.github.com/facebook/react.git) |
| Zowe Desktop Data Sets UI Plugin | react-contextmenu |  v2.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-contextmenu](https://www.github.com/vkbansal/react-contextmenu.git) |
| Zowe Desktop Data Sets UI Plugin | react-dom |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-dom](https://www.github.com/facebook/react.git) |
| Zowe Desktop Data Sets UI Plugin | react-is |  v16.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-is](https://www.github.com/facebook/react.git) |
| Zowe Desktop Data Sets UI Plugin | react-lifecycles-compat |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [react-lifecycles-compat](https://www.github.com/reactjs/react-lifecycles-compat.git) |
| Zowe Desktop Data Sets UI Plugin | react-redux |  v5.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-redux](https://www.github.com/reduxjs/react-redux.git) |
| Zowe Desktop Data Sets UI Plugin | react-router |  v3.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-router](https://www.github.com/ReactTraining/react-router.git) |
| Zowe Desktop Data Sets UI Plugin | react-tap-event-plugin |  v2.0.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [react-tap-event-plugin](https://www.github.com/zilverline/react-tap-event-plugin.git) |
| Zowe Desktop Data Sets UI Plugin | redux |  v3.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [redux](https://www.github.com/reactjs/redux.git) |
| Zowe Desktop Data Sets UI Plugin | redux-immutable |  v4.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [redux-immutable](https://www.github.com/gajus/redux-immutable) |
| Zowe Desktop Data Sets UI Plugin | redux-logger |  v3.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [redux-logger](https://www.github.com/theaqua/redux-logger.git) |
| Zowe Desktop Data Sets UI Plugin | redux-thunk |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [redux-thunk](https://www.github.com/reduxjs/redux-thunk.git) |
| Zowe Desktop Data Sets UI Plugin | regenerator-runtime |  v0.10.5 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop Data Sets UI Plugin | regenerator-runtime |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop Data Sets UI Plugin | regenerator-runtime |  v0.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop Data Sets UI Plugin | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe Desktop Data Sets UI Plugin | setimmediate |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [setimmediate](https://www.github.com/YuzuJS/setImmediate.git) |
| Zowe Desktop Data Sets UI Plugin | strict-uri-encode |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Zowe Desktop Data Sets UI Plugin | symbol-observable |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [symbol-observable](https://www.github.com/blesh/symbol-observable.git) |
| Zowe Desktop Data Sets UI Plugin | ua-parser-js |  v0.7.19 | (GPL-2.0 OR MIT) | [ua-parser-js](https://www.github.com/faisalman/ua-parser-js.git) |
| Zowe Desktop Data Sets UI Plugin | url-loader |  v0.5.9 | [MIT](http://opensource.org/licenses/mit-license) | [url-loader](https://www.github.com/webpack/url-loader.git) |
| Zowe Desktop Data Sets UI Plugin | warning |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe Desktop Data Sets UI Plugin | whatwg-fetch |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |
| Zowe Desktop Data Sets UI Plugin | whatwg-fetch |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |

### Zowe Desktop Database Browser Plug-in Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Desktop Database Browser Plug-in | @angular/animations |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/animations](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/common |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/common](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/compiler |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/compiler](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/core |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/core](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/forms |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/forms](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/http |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/http](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/platform-browser |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/platform-browser-dynamic |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/platform-browser-dynamic](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | @angular/router |  v6.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [@angular/router](https://www.github.com/angular/angular.git) |
| Zowe Desktop Database Browser Plug-in | aproba |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Zowe Desktop Database Browser Plug-in | array-union |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-union](https://www.github.com/sindresorhus/array-union.git) |
| Zowe Desktop Database Browser Plug-in | array-uniq |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [array-uniq](https://www.github.com/sindresorhus/array-uniq.git) |
| Zowe Desktop Database Browser Plug-in | babel-runtime |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop Database Browser Plug-in | balanced-match |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Zowe Desktop Database Browser Plug-in | big.js |  v3.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe Desktop Database Browser Plug-in | big.js |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe Desktop Database Browser Plug-in | bluebird |  v3.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |
| Zowe Desktop Database Browser Plug-in | brace |  v0.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [brace](https://www.github.com/thlorenz/brace.git) |
| Zowe Desktop Database Browser Plug-in | brace-expansion |  v1.1.11 | [MIT](http://opensource.org/licenses/mit-license) | [brace-expansion](https://www.github.com/juliangruber/brace-expansion.git) |
| Zowe Desktop Database Browser Plug-in | buffer-from |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-from](https://www.github.com/LinusU/buffer-from.git) |
| Zowe Desktop Database Browser Plug-in | cacache |  v10.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cacache](https://www.github.com/zkat/cacache) |
| Zowe Desktop Database Browser Plug-in | camelcase |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe Desktop Database Browser Plug-in | chownr |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [chownr](https://www.github.com/isaacs/chownr.git) |
| Zowe Desktop Database Browser Plug-in | clone |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [clone](https://www.github.com/pvorb/node-clone.git) |
| Zowe Desktop Database Browser Plug-in | commondir |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [commondir](https://www.github.com/substack/node-commondir.git) |
| Zowe Desktop Database Browser Plug-in | concat-map |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [concat-map](https://www.github.com/substack/node-concat-map.git) |
| Zowe Desktop Database Browser Plug-in | concat-stream |  v1.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [concat-stream](https://www.github.com/maxogden/concat-stream.git) |
| Zowe Desktop Database Browser Plug-in | constitute |  v1.6.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [constitute](https://www.github.com/justmoon/constitute.git) |
| Zowe Desktop Database Browser Plug-in | copy-concurrently |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [copy-concurrently](https://www.github.com/npm/copy-concurrently.git) |
| Zowe Desktop Database Browser Plug-in | copy-webpack-plugin |  v4.5.4 | [MIT](http://opensource.org/licenses/mit-license) | [copy-webpack-plugin](https://www.github.com/webpack-contrib/copy-webpack-plugin.git) |
| Zowe Desktop Database Browser Plug-in | core-js |  v2.5.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop Database Browser Plug-in | core-js |  v2.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop Database Browser Plug-in | core-util-is |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [core-util-is](https://www.github.com/isaacs/core-util-is) |
| Zowe Desktop Database Browser Plug-in | csv |  v4.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [csv](https://www.github.com/adaltas/node-csv.git) |
| Zowe Desktop Database Browser Plug-in | csv-generate |  v2.2.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [csv-generate](https://www.github.com/adaltas/node-csv-generate) |
| Zowe Desktop Database Browser Plug-in | csv-parse |  v3.2.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [csv-parse](https://www.github.com/wdavidw/node-csv-parse) |
| Zowe Desktop Database Browser Plug-in | csv-stringify |  v4.3.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [csv-stringify](https://www.github.com/adaltas/node-csv-stringify) |
| Zowe Desktop Database Browser Plug-in | cyclist |  v0.2.2 | MIT* | [cyclist](https://www.github.com/mafintosh/cyclist) |
| Zowe Desktop Database Browser Plug-in | dir-glob |  v2.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [dir-glob](https://www.github.com/kevva/dir-glob.git) |
| Zowe Desktop Database Browser Plug-in | duplexify |  v3.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [duplexify](https://www.github.com/mafintosh/duplexify) |
| Zowe Desktop Database Browser Plug-in | emojis-list |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [emojis-list](https://www.github.com/kikobeats/emojis-list.git) |
| Zowe Desktop Database Browser Plug-in | end-of-stream |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [end-of-stream](https://www.github.com/mafintosh/end-of-stream.git) |
| Zowe Desktop Database Browser Plug-in | find-cache-dir |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-cache-dir](https://www.github.com/avajs/find-cache-dir.git) |
| Zowe Desktop Database Browser Plug-in | find-up |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe Desktop Database Browser Plug-in | flush-write-stream |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [flush-write-stream](https://www.github.com/mafintosh/flush-write-stream.git) |
| Zowe Desktop Database Browser Plug-in | from2 |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Zowe Desktop Database Browser Plug-in | fs-write-stream-atomic |  v1.0.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-write-stream-atomic](https://www.github.com/npm/fs-write-stream-atomic) |
| Zowe Desktop Database Browser Plug-in | fs.realpath |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs.realpath](https://www.github.com/isaacs/fs.realpath.git) |
| Zowe Desktop Database Browser Plug-in | glob |  v7.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Zowe Desktop Database Browser Plug-in | globby |  v7.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [globby](https://www.github.com/sindresorhus/globby.git) |
| Zowe Desktop Database Browser Plug-in | graceful-fs |  v4.1.15 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [graceful-fs](https://www.github.com/isaacs/node-graceful-fs) |
| Zowe Desktop Database Browser Plug-in | iferr |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Zowe Desktop Database Browser Plug-in | ignore |  v3.3.10 | [MIT](http://opensource.org/licenses/mit-license) | [ignore](https://www.github.com/kaelzhang/node-ignore.git) |
| Zowe Desktop Database Browser Plug-in | imurmurhash |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [imurmurhash](https://www.github.com/jensyt/imurmurhash-js) |
| Zowe Desktop Database Browser Plug-in | inflight |  v1.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inflight](https://www.github.com/npm/inflight.git) |
| Zowe Desktop Database Browser Plug-in | inherits |  v2.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe Desktop Database Browser Plug-in | is-extglob |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-extglob](https://www.github.com/jonschlinkert/is-extglob.git) |
| Zowe Desktop Database Browser Plug-in | is-glob |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-glob](https://www.github.com/jonschlinkert/is-glob.git) |
| Zowe Desktop Database Browser Plug-in | isarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe Desktop Database Browser Plug-in | json5 |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/aseemk/json5.git) |
| Zowe Desktop Database Browser Plug-in | json5 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/json5/json5.git) |
| Zowe Desktop Database Browser Plug-in | loader-utils |  v0.2.17 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe Desktop Database Browser Plug-in | loader-utils |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe Desktop Database Browser Plug-in | locate-path |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Zowe Desktop Database Browser Plug-in | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Database Browser Plug-in | lodash.get |  v4.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.get](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Database Browser Plug-in | lru-cache |  v4.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Zowe Desktop Database Browser Plug-in | make-dir |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [make-dir](https://www.github.com/sindresorhus/make-dir.git) |
| Zowe Desktop Database Browser Plug-in | minimatch |  v3.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Zowe Desktop Database Browser Plug-in | minimist |  v0.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop Database Browser Plug-in | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop Database Browser Plug-in | mississippi |  v2.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [mississippi](https://www.github.com/maxogden/mississippi.git) |
| Zowe Desktop Database Browser Plug-in | mkdirp |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [mkdirp](https://www.github.com/substack/node-mkdirp.git) |
| Zowe Desktop Database Browser Plug-in | move-concurrently |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [move-concurrently](https://www.github.com/npm/move-concurrently.git) |
| Zowe Desktop Database Browser Plug-in | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe Desktop Database Browser Plug-in | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Zowe Desktop Database Browser Plug-in | p-limit |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Zowe Desktop Database Browser Plug-in | p-locate |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Zowe Desktop Database Browser Plug-in | p-try |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Zowe Desktop Database Browser Plug-in | parallel-transform |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [parallel-transform](https://www.github.com/mafintosh/parallel-transform) |
| Zowe Desktop Database Browser Plug-in | path-exists |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Zowe Desktop Database Browser Plug-in | path-is-absolute |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-is-absolute](https://www.github.com/sindresorhus/path-is-absolute.git) |
| Zowe Desktop Database Browser Plug-in | path-type |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Zowe Desktop Database Browser Plug-in | pify |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Zowe Desktop Database Browser Plug-in | pkg-dir |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pkg-dir](https://www.github.com/sindresorhus/pkg-dir.git) |
| Zowe Desktop Database Browser Plug-in | process-nextick-args |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [process-nextick-args](https://www.github.com/calvinmetcalf/process-nextick-args.git) |
| Zowe Desktop Database Browser Plug-in | promise-inflight |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promise-inflight](https://www.github.com/iarna/promise-inflight.git) |
| Zowe Desktop Database Browser Plug-in | pseudomap |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [pseudomap](https://www.github.com/isaacs/pseudomap.git) |
| Zowe Desktop Database Browser Plug-in | pump |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe Desktop Database Browser Plug-in | pumpify |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [pumpify](https://www.github.com/mafintosh/pumpify) |
| Zowe Desktop Database Browser Plug-in | readable-stream |  v2.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe Desktop Database Browser Plug-in | recursive-iterator |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [recursive-iterator](https://www.github.com/nervgh/recursive-iterator.git) |
| Zowe Desktop Database Browser Plug-in | regenerator-runtime |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop Database Browser Plug-in | rimraf |  v2.6.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Zowe Desktop Database Browser Plug-in | run-queue |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [run-queue](https://www.github.com/iarna/run-queue.git) |
| Zowe Desktop Database Browser Plug-in | safe-buffer |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safe-buffer](https://www.github.com/feross/safe-buffer.git) |
| Zowe Desktop Database Browser Plug-in | serialize-javascript |  v1.6.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [serialize-javascript](https://www.github.com/yahoo/serialize-javascript.git) |
| Zowe Desktop Database Browser Plug-in | slash |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [slash](https://www.github.com/sindresorhus/slash.git) |
| Zowe Desktop Database Browser Plug-in | ssri |  v5.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ssri](https://www.github.com/zkat/ssri) |
| Zowe Desktop Database Browser Plug-in | stream-each |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [stream-each](https://www.github.com/mafintosh/stream-each.git) |
| Zowe Desktop Database Browser Plug-in | stream-shift |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-shift](https://www.github.com/mafintosh/stream-shift.git) |
| Zowe Desktop Database Browser Plug-in | stream-transform |  v1.0.8 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [stream-transform](https://www.github.com/adaltas/node-stream-transform) |
| Zowe Desktop Database Browser Plug-in | string_decoder |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe Desktop Database Browser Plug-in | through2 |  v2.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [through2](https://www.github.com/rvagg/through2.git) |
| Zowe Desktop Database Browser Plug-in | to-string-loader |  v1.1.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [to-string-loader](https://www.github.com/gajus/to-string-loader) |
| Zowe Desktop Database Browser Plug-in | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Desktop Database Browser Plug-in | typedarray |  v0.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [typedarray](https://www.github.com/substack/typedarray.git) |
| Zowe Desktop Database Browser Plug-in | unique-filename |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-filename](https://www.github.com/iarna/unique-filename.git) |
| Zowe Desktop Database Browser Plug-in | unique-slug |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-slug](https://www.github.com/iarna/unique-slug.git) |
| Zowe Desktop Database Browser Plug-in | util-deprecate |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [util-deprecate](https://www.github.com/TooTallNate/util-deprecate.git) |
| Zowe Desktop Database Browser Plug-in | w3c-blob |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [w3c-blob](https://www.github.com/chrisdickinson/w3c-blob.git) |
| Zowe Desktop Database Browser Plug-in | webpack-config |  v7.2.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [webpack-config](https://www.github.com/Fitbit/webpack-config.git) |
| Zowe Desktop Database Browser Plug-in | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Zowe Desktop Database Browser Plug-in | xtend |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [xtend](https://www.github.com/Raynos/xtend.git) |
| Zowe Desktop Database Browser Plug-in | y18n |  v4.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe Desktop Database Browser Plug-in | yallist |  v2.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Zowe Desktop Database Browser Plug-in | yargs-parser |  v7.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Zowe Desktop Database Browser Plug-in | zone.js |  v0.8.29 | [MIT](http://opensource.org/licenses/mit-license) | [zone.js](https://www.github.com/angular/zone.js.git) |

### Zowe Desktop Eclipse Orion-based React Editor Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Desktop Eclipse Orion-based React Editor | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Zowe Desktop Eclipse Orion-based React Editor | core-js |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop Eclipse Orion-based React Editor | create-react-class |  v15.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [create-react-class](https://www.github.com/facebook/react.git) |
| Zowe Desktop Eclipse Orion-based React Editor | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Zowe Desktop Eclipse Orion-based React Editor | fbjs |  v0.8.17 | [MIT](http://opensource.org/licenses/mit-license) | [fbjs](https://www.github.com/facebook/fbjs.git) |
| Zowe Desktop Eclipse Orion-based React Editor | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Desktop Eclipse Orion-based React Editor | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe Desktop Eclipse Orion-based React Editor | isomorphic-fetch |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [isomorphic-fetch](https://www.github.com/matthew-andrews/isomorphic-fetch.git) |
| Zowe Desktop Eclipse Orion-based React Editor | js-tokens |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe Desktop Eclipse Orion-based React Editor | loose-envify |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loose-envify](https://www.github.com/zertosh/loose-envify.git) |
| Zowe Desktop Eclipse Orion-based React Editor | node-fetch |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch](https://www.github.com/bitinn/node-fetch.git) |
| Zowe Desktop Eclipse Orion-based React Editor | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe Desktop Eclipse Orion-based React Editor | promise |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe Desktop Eclipse Orion-based React Editor | prop-types |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [prop-types](https://www.github.com/facebook/prop-types.git) |
| Zowe Desktop Eclipse Orion-based React Editor | react |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react](https://www.github.com/facebook/react.git) |
| Zowe Desktop Eclipse Orion-based React Editor | react-dom |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-dom](https://www.github.com/facebook/react.git) |
| Zowe Desktop Eclipse Orion-based React Editor | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe Desktop Eclipse Orion-based React Editor | setimmediate |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [setimmediate](https://www.github.com/YuzuJS/setImmediate.git) |
| Zowe Desktop Eclipse Orion-based React Editor | ua-parser-js |  v0.7.19 | (GPL-2.0 OR MIT) | [ua-parser-js](https://www.github.com/faisalman/ua-parser-js.git) |
| Zowe Desktop Eclipse Orion-based React Editor | whatwg-fetch |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |

### Zowe Desktop JES UI Plugin Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Desktop JES UI Plugin | @babel/runtime |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop JES UI Plugin | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Zowe Desktop JES UI Plugin | babel-polyfill |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-polyfill](https://www.github.com/babel/babel/tree/master/packages/babel-polyfill) |
| Zowe Desktop JES UI Plugin | babel-runtime |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop JES UI Plugin | big.js |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe Desktop JES UI Plugin | classnames |  v2.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [classnames](https://www.github.com/JedWatson/classnames.git) |
| Zowe Desktop JES UI Plugin | core-js |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop JES UI Plugin | core-js |  v2.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop JES UI Plugin | create-react-class |  v15.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [create-react-class](https://www.github.com/facebook/react.git) |
| Zowe Desktop JES UI Plugin | deep-diff |  v0.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [deep-diff](https://www.github.com/flitbit/diff.git) |
| Zowe Desktop JES UI Plugin | emojis-list |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [emojis-list](https://www.github.com/kikobeats/emojis-list.git) |
| Zowe Desktop JES UI Plugin | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Zowe Desktop JES UI Plugin | fbjs |  v0.8.17 | [MIT](http://opensource.org/licenses/mit-license) | [fbjs](https://www.github.com/facebook/fbjs.git) |
| Zowe Desktop JES UI Plugin | file-loader |  v0.11.2 | [MIT](http://opensource.org/licenses/mit-license) | [file-loader](https://www.github.com/webpack/file-loader.git) |
| Zowe Desktop JES UI Plugin | history |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [history](https://www.github.com/ReactTraining/history.git) |
| Zowe Desktop JES UI Plugin | hoist-non-react-statics |  v2.5.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe Desktop JES UI Plugin | hoist-non-react-statics |  v3.3.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe Desktop JES UI Plugin | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Desktop JES UI Plugin | immutable |  v3.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [immutable](https://www.github.com/facebook/immutable-js.git) |
| Zowe Desktop JES UI Plugin | invariant |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [invariant](https://www.github.com/zertosh/invariant) |
| Zowe Desktop JES UI Plugin | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe Desktop JES UI Plugin | isomorphic-fetch |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [isomorphic-fetch](https://www.github.com/matthew-andrews/isomorphic-fetch.git) |
| Zowe Desktop JES UI Plugin | js-tokens |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe Desktop JES UI Plugin | json5 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/json5/json5.git) |
| Zowe Desktop JES UI Plugin | loader-utils |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe Desktop JES UI Plugin | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop JES UI Plugin | lodash-es |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash-es](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop JES UI Plugin | loose-envify |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loose-envify](https://www.github.com/zertosh/loose-envify.git) |
| Zowe Desktop JES UI Plugin | material-ui |  v0.18.7 | UNKNOWN | [material-ui](https://www.npmjs.com/package/material-ui) |
| Zowe Desktop JES UI Plugin | mime |  v1.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe Desktop JES UI Plugin | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop JES UI Plugin | node-fetch |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch](https://www.github.com/bitinn/node-fetch.git) |
| Zowe Desktop JES UI Plugin | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe Desktop JES UI Plugin | orion-editor-component |  v0.0.9 | EPL-2.0 | [orion-editor-component](https://www.npmjs.com/package/orion-editor-component) |
| Zowe Desktop JES UI Plugin | promise |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe Desktop JES UI Plugin | prop-types |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [prop-types](https://www.github.com/facebook/prop-types.git) |
| Zowe Desktop JES UI Plugin | query-string |  v4.3.4 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Zowe Desktop JES UI Plugin | react |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react](https://www.github.com/facebook/react.git) |
| Zowe Desktop JES UI Plugin | react-contextmenu |  v2.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-contextmenu](https://www.github.com/vkbansal/react-contextmenu.git) |
| Zowe Desktop JES UI Plugin | react-dom |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-dom](https://www.github.com/facebook/react.git) |
| Zowe Desktop JES UI Plugin | react-is |  v16.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-is](https://www.github.com/facebook/react.git) |
| Zowe Desktop JES UI Plugin | react-lifecycles-compat |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [react-lifecycles-compat](https://www.github.com/reactjs/react-lifecycles-compat.git) |
| Zowe Desktop JES UI Plugin | react-redux |  v5.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-redux](https://www.github.com/reduxjs/react-redux.git) |
| Zowe Desktop JES UI Plugin | react-router |  v3.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-router](https://www.github.com/ReactTraining/react-router.git) |
| Zowe Desktop JES UI Plugin | react-tap-event-plugin |  v2.0.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [react-tap-event-plugin](https://www.github.com/zilverline/react-tap-event-plugin.git) |
| Zowe Desktop JES UI Plugin | react-tooltip |  v3.9.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-tooltip](https://www.github.com/wwayne/react-tooltip) |
| Zowe Desktop JES UI Plugin | redux |  v3.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [redux](https://www.github.com/reactjs/redux.git) |
| Zowe Desktop JES UI Plugin | redux-immutable |  v4.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [redux-immutable](https://www.github.com/gajus/redux-immutable) |
| Zowe Desktop JES UI Plugin | redux-logger |  v3.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [redux-logger](https://www.github.com/theaqua/redux-logger.git) |
| Zowe Desktop JES UI Plugin | redux-thunk |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [redux-thunk](https://www.github.com/reduxjs/redux-thunk.git) |
| Zowe Desktop JES UI Plugin | regenerator-runtime |  v0.10.5 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop JES UI Plugin | regenerator-runtime |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop JES UI Plugin | regenerator-runtime |  v0.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop JES UI Plugin | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe Desktop JES UI Plugin | setimmediate |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [setimmediate](https://www.github.com/YuzuJS/setImmediate.git) |
| Zowe Desktop JES UI Plugin | strict-uri-encode |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Zowe Desktop JES UI Plugin | symbol-observable |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [symbol-observable](https://www.github.com/blesh/symbol-observable.git) |
| Zowe Desktop JES UI Plugin | ua-parser-js |  v0.7.19 | (GPL-2.0 OR MIT) | [ua-parser-js](https://www.github.com/faisalman/ua-parser-js.git) |
| Zowe Desktop JES UI Plugin | url-loader |  v0.5.9 | [MIT](http://opensource.org/licenses/mit-license) | [url-loader](https://www.github.com/webpack/url-loader.git) |
| Zowe Desktop JES UI Plugin | warning |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe Desktop JES UI Plugin | whatwg-fetch |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |
| Zowe Desktop JES UI Plugin | whatwg-fetch |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |

### Zowe Desktop Sample React Application Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Desktop Sample React Application | @babel/code-frame |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/code-frame](https://www.github.com/babel/babel/tree/master/packages/babel-code-frame) |
| Zowe Desktop Sample React Application | @babel/highlight |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/highlight](https://www.github.com/babel/babel/tree/master/packages/babel-highlight) |
| Zowe Desktop Sample React Application | @types/json5 |  v0.0.29 | [MIT](http://opensource.org/licenses/mit-license) | [@types/json5](https://www.github.com/DefinitelyTyped/DefinitelyTyped.git) |
| Zowe Desktop Sample React Application | abab |  v2.0.0 | SEE LICENSE IN LICENSE.md | [abab](https://www.github.com/jsdom/abab.git) |
| Zowe Desktop Sample React Application | abbrev |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [abbrev](https://www.github.com/isaacs/abbrev-js) |
| Zowe Desktop Sample React Application | accepts |  v1.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [accepts](https://www.github.com/jshttp/accepts.git) |
| Zowe Desktop Sample React Application | acorn |  v4.0.13 | [MIT](http://opensource.org/licenses/mit-license) | [acorn](https://www.github.com/ternjs/acorn.git) |
| Zowe Desktop Sample React Application | acorn |  v5.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [acorn](https://www.github.com/acornjs/acorn.git) |
| Zowe Desktop Sample React Application | acorn |  v6.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [acorn](https://www.github.com/acornjs/acorn.git) |
| Zowe Desktop Sample React Application | acorn-dynamic-import |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [acorn-dynamic-import](https://www.github.com/kesne/acorn-dynamic-import) |
| Zowe Desktop Sample React Application | acorn-globals |  v4.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [acorn-globals](https://www.github.com/ForbesLindesay/acorn-globals.git) |
| Zowe Desktop Sample React Application | acorn-walk |  v6.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [acorn-walk](https://www.github.com/acornjs/acorn.git) |
| Zowe Desktop Sample React Application | address |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [address](https://www.github.com/node-modules/address.git) |
| Zowe Desktop Sample React Application | ajv |  v5.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [ajv](https://www.github.com/epoberezkin/ajv.git) |
| Zowe Desktop Sample React Application | ajv |  v6.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv](https://www.github.com/epoberezkin/ajv.git) |
| Zowe Desktop Sample React Application | ajv-keywords |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ajv-keywords](https://www.github.com/epoberezkin/ajv-keywords.git) |
| Zowe Desktop Sample React Application | ajv-keywords |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [ajv-keywords](https://www.github.com/epoberezkin/ajv-keywords.git) |
| Zowe Desktop Sample React Application | align-text |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [align-text](https://www.github.com/jonschlinkert/align-text.git) |
| Zowe Desktop Sample React Application | alphanum-sort |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [alphanum-sort](https://www.github.com/TrySound/alphanum-sort.git) |
| Zowe Desktop Sample React Application | ansi-align |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ansi-align](https://www.github.com/nexdrew/ansi-align.git) |
| Zowe Desktop Sample React Application | ansi-escapes |  v3.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-escapes](https://www.github.com/sindresorhus/ansi-escapes.git) |
| Zowe Desktop Sample React Application | ansi-html |  v0.0.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [ansi-html](https://www.github.com/Tjatse/ansi-html.git) |
| Zowe Desktop Sample React Application | ansi-regex |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe Desktop Sample React Application | ansi-regex |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe Desktop Sample React Application | ansi-styles |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-styles](https://www.github.com/chalk/ansi-styles.git) |
| Zowe Desktop Sample React Application | ansi-styles |  v3.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-styles](https://www.github.com/chalk/ansi-styles.git) |
| Zowe Desktop Sample React Application | anymatch |  v1.3.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [anymatch](https://www.github.com/es128/anymatch) |
| Zowe Desktop Sample React Application | anymatch |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [anymatch](https://www.github.com/micromatch/anymatch) |
| Zowe Desktop Sample React Application | append-transform |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [append-transform](https://www.github.com/jamestalmage/append-transform.git) |
| Zowe Desktop Sample React Application | aproba |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [aproba](https://www.github.com/iarna/aproba) |
| Zowe Desktop Sample React Application | are-we-there-yet |  v1.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [are-we-there-yet](https://www.github.com/iarna/are-we-there-yet.git) |
| Zowe Desktop Sample React Application | argparse |  v1.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [argparse](https://www.github.com/nodeca/argparse.git) |
| Zowe Desktop Sample React Application | arr-diff |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-diff](https://www.github.com/jonschlinkert/arr-diff.git) |
| Zowe Desktop Sample React Application | arr-diff |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-diff](https://www.github.com/jonschlinkert/arr-diff.git) |
| Zowe Desktop Sample React Application | arr-flatten |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-flatten](https://www.github.com/jonschlinkert/arr-flatten.git) |
| Zowe Desktop Sample React Application | arr-union |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [arr-union](https://www.github.com/jonschlinkert/arr-union.git) |
| Zowe Desktop Sample React Application | array-equal |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [array-equal](https://www.github.com/component/array-equal.git) |
| Zowe Desktop Sample React Application | array-filter |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [array-filter](https://www.github.com/juliangruber/array-filter.git) |
| Zowe Desktop Sample React Application | array-find-index |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-find-index](https://www.github.com/sindresorhus/array-find-index.git) |
| Zowe Desktop Sample React Application | array-flatten |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [array-flatten](https://www.github.com/blakeembrey/array-flatten.git) |
| Zowe Desktop Sample React Application | array-flatten |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-flatten](https://www.github.com/blakeembrey/array-flatten.git) |
| Zowe Desktop Sample React Application | array-includes |  v3.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [array-includes](https://www.github.com/ljharb/array-includes.git) |
| Zowe Desktop Sample React Application | array-map |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [array-map](https://www.github.com/substack/array-map.git) |
| Zowe Desktop Sample React Application | array-reduce |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [array-reduce](https://www.github.com/substack/array-reduce.git) |
| Zowe Desktop Sample React Application | array-union |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-union](https://www.github.com/sindresorhus/array-union.git) |
| Zowe Desktop Sample React Application | array-uniq |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [array-uniq](https://www.github.com/sindresorhus/array-uniq.git) |
| Zowe Desktop Sample React Application | array-unique |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [array-unique](https://www.github.com/jonschlinkert/array-unique.git) |
| Zowe Desktop Sample React Application | array-unique |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [array-unique](https://www.github.com/jonschlinkert/array-unique.git) |
| Zowe Desktop Sample React Application | arrify |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [arrify](https://www.github.com/sindresorhus/arrify.git) |
| Zowe Desktop Sample React Application | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Zowe Desktop Sample React Application | asn1 |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [asn1](https://www.github.com/joyent/node-asn1.git) |
| Zowe Desktop Sample React Application | asn1.js |  v4.10.1 | [MIT](http://opensource.org/licenses/mit-license) | [asn1.js](https://www.github.com/indutny/asn1.js) |
| Zowe Desktop Sample React Application | assert |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [assert](https://www.github.com/defunctzombie/commonjs-assert.git) |
| Zowe Desktop Sample React Application | assert-plus |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assert-plus](https://www.github.com/mcavage/node-assert-plus.git) |
| Zowe Desktop Sample React Application | assign-symbols |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [assign-symbols](https://www.github.com/jonschlinkert/assign-symbols.git) |
| Zowe Desktop Sample React Application | astral-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [astral-regex](https://www.github.com/kevva/astral-regex.git) |
| Zowe Desktop Sample React Application | async |  v1.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [async](https://www.github.com/caolan/async.git) |
| Zowe Desktop Sample React Application | async |  v2.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [async](https://www.github.com/caolan/async.git) |
| Zowe Desktop Sample React Application | async-each |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [async-each](https://www.github.com/paulmillr/async-each.git) |
| Zowe Desktop Sample React Application | async-limiter |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [async-limiter](https://www.github.com/strml/async-limiter.git) |
| Zowe Desktop Sample React Application | asynckit |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [asynckit](https://www.github.com/alexindigo/asynckit.git) |
| Zowe Desktop Sample React Application | atob |  v2.1.2 | (MIT OR Apache-2.0) | [atob](git://git.coolaj86.com/coolaj86/atob.js.git) |
| Zowe Desktop Sample React Application | autoprefixer |  v6.7.7 | [MIT](http://opensource.org/licenses/mit-license) | [autoprefixer](https://www.github.com/postcss/autoprefixer.git) |
| Zowe Desktop Sample React Application | autoprefixer |  v7.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [autoprefixer](https://www.github.com/postcss/autoprefixer.git) |
| Zowe Desktop Sample React Application | aws-sign2 |  v0.7.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [aws-sign2](https://www.github.com/mikeal/aws-sign) |
| Zowe Desktop Sample React Application | aws4 |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [aws4](https://www.github.com/mhart/aws4.git) |
| Zowe Desktop Sample React Application | babel-code-frame |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-code-frame](https://www.github.com/babel/babel/tree/master/packages/babel-code-frame) |
| Zowe Desktop Sample React Application | babel-core |  v6.26.3 | [MIT](http://opensource.org/licenses/mit-license) | [babel-core](https://www.github.com/babel/babel/tree/master/packages/babel-core) |
| Zowe Desktop Sample React Application | babel-generator |  v6.26.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-generator](https://www.github.com/babel/babel/tree/master/packages/babel-generator) |
| Zowe Desktop Sample React Application | babel-helper-builder-binary-assignment-operator-visitor |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-builder-binary-assignment-operator-visitor](https://www.github.com/babel/babel/tree/master/packages/babel-helper-builder-binary-assignment-operator-visitor) |
| Zowe Desktop Sample React Application | babel-helper-builder-react-jsx |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-builder-react-jsx](https://www.github.com/babel/babel/tree/master/packages/babel-helper-builder-react-jsx) |
| Zowe Desktop Sample React Application | babel-helper-call-delegate |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-call-delegate](https://www.github.com/babel/babel/tree/master/packages/babel-helper-call-delegate) |
| Zowe Desktop Sample React Application | babel-helper-define-map |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-define-map](https://www.github.com/babel/babel/tree/master/packages/babel-helper-define-map) |
| Zowe Desktop Sample React Application | babel-helper-explode-assignable-expression |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-explode-assignable-expression](https://www.github.com/babel/babel/tree/master/packages/babel-helper-explode-assignable-expression) |
| Zowe Desktop Sample React Application | babel-helper-function-name |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-function-name](https://www.github.com/babel/babel/tree/master/packages/babel-helper-function-name) |
| Zowe Desktop Sample React Application | babel-helper-get-function-arity |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-get-function-arity](https://www.github.com/babel/babel/tree/master/packages/babel-helper-get-function-arity) |
| Zowe Desktop Sample React Application | babel-helper-hoist-variables |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-hoist-variables](https://www.github.com/babel/babel/tree/master/packages/babel-helper-hoist-variables) |
| Zowe Desktop Sample React Application | babel-helper-optimise-call-expression |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-optimise-call-expression](https://www.github.com/babel/babel/tree/master/packages/babel-helper-optimise-call-expression) |
| Zowe Desktop Sample React Application | babel-helper-regex |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-regex](https://www.github.com/babel/babel/tree/master/packages/babel-helper-regex) |
| Zowe Desktop Sample React Application | babel-helper-remap-async-to-generator |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-remap-async-to-generator](https://www.github.com/babel/babel/tree/master/packages/babel-helper-remap-async-to-generator) |
| Zowe Desktop Sample React Application | babel-helper-replace-supers |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helper-replace-supers](https://www.github.com/babel/babel/tree/master/packages/babel-helper-replace-supers) |
| Zowe Desktop Sample React Application | babel-helpers |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-helpers](https://www.github.com/babel/babel/tree/master/packages/babel-helpers) |
| Zowe Desktop Sample React Application | babel-jest |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [babel-jest](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | babel-loader |  v7.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [babel-loader](https://www.github.com/babel/babel-loader.git) |
| Zowe Desktop Sample React Application | babel-messages |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-messages](https://www.github.com/babel/babel/tree/master/packages/babel-messages) |
| Zowe Desktop Sample React Application | babel-plugin-check-es2015-constants |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-check-es2015-constants](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-check-es2015-constants) |
| Zowe Desktop Sample React Application | babel-plugin-dynamic-import-node |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-dynamic-import-node](https://www.github.com/airbnb/babel-plugin-dynamic-import-node.git) |
| Zowe Desktop Sample React Application | babel-plugin-istanbul |  v4.1.6 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [babel-plugin-istanbul](https://www.github.com/istanbuljs/babel-plugin-istanbul.git) |
| Zowe Desktop Sample React Application | babel-plugin-jest-hoist |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-jest-hoist](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-async-functions |  v6.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-async-functions](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-async-functions) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-class-properties |  v6.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-class-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-class-properties) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-dynamic-import |  v6.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-dynamic-import](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-dynamic-import) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-exponentiation-operator |  v6.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-exponentiation-operator](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-exponentation-operator) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-flow |  v6.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-flow](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-flow) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-jsx |  v6.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-jsx](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-jsx) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-object-rest-spread |  v6.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-object-rest-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-object-rest-spread) |
| Zowe Desktop Sample React Application | babel-plugin-syntax-trailing-function-commas |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-syntax-trailing-function-commas](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-syntax-trailing-function-commas) |
| Zowe Desktop Sample React Application | babel-plugin-transform-async-to-generator |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-async-to-generator](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-async-to-generator) |
| Zowe Desktop Sample React Application | babel-plugin-transform-class-properties |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-class-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-class-properties) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-arrow-functions |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-arrow-functions](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-arrow-functions) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-block-scoped-functions |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-block-scoped-functions](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-block-scoped-functions) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-block-scoping |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-block-scoping](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-block-scoping) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-classes |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-classes](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-classes) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-computed-properties |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-computed-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-computed-properties) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-destructuring |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-destructuring](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-destructuring) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-duplicate-keys |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-duplicate-keys](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-duplicate-keys) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-for-of |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-for-of](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-for-of) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-function-name |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-function-name](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-function-name) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-literals |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-literals](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-literals) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-modules-amd |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-modules-amd](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-modules-amd) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-modules-commonjs |  v6.26.2 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-modules-commonjs](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-modules-commonjs) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-modules-systemjs |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-modules-systemjs](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-modules-systemjs) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-modules-umd |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-modules-umd](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-modules-umd) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-object-super |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-object-super](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-object-super) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-parameters |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-parameters](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-parameters) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-shorthand-properties |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-shorthand-properties](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-shorthand-properties) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-spread |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-spread) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-sticky-regex |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-sticky-regex](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-sticky-regex) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-template-literals |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-template-literals](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-template-literals) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-typeof-symbol |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-typeof-symbol](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-typeof-symbol) |
| Zowe Desktop Sample React Application | babel-plugin-transform-es2015-unicode-regex |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-es2015-unicode-regex](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-es2015-unicode-regex) |
| Zowe Desktop Sample React Application | babel-plugin-transform-exponentiation-operator |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-exponentiation-operator](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-exponentiation-operator) |
| Zowe Desktop Sample React Application | babel-plugin-transform-flow-strip-types |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-flow-strip-types](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-flow-strip-types) |
| Zowe Desktop Sample React Application | babel-plugin-transform-object-rest-spread |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-object-rest-spread](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-object-rest-spread) |
| Zowe Desktop Sample React Application | babel-plugin-transform-react-constant-elements |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-react-constant-elements](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-constant-elements) |
| Zowe Desktop Sample React Application | babel-plugin-transform-react-display-name |  v6.25.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-react-display-name](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-display-name) |
| Zowe Desktop Sample React Application | babel-plugin-transform-react-jsx |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-react-jsx](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-jsx) |
| Zowe Desktop Sample React Application | babel-plugin-transform-react-jsx-self |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-react-jsx-self](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-jsx-self) |
| Zowe Desktop Sample React Application | babel-plugin-transform-react-jsx-source |  v6.22.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-react-jsx-source](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-react-jsx-source) |
| Zowe Desktop Sample React Application | babel-plugin-transform-regenerator |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-regenerator](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-regenerator) |
| Zowe Desktop Sample React Application | babel-plugin-transform-runtime |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-runtime) |
| Zowe Desktop Sample React Application | babel-plugin-transform-strict-mode |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-plugin-transform-strict-mode](https://www.github.com/babel/babel/tree/master/packages/babel-plugin-transform-strict-mode) |
| Zowe Desktop Sample React Application | babel-preset-env |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-preset-env](https://www.github.com/babel/babel-preset-env) |
| Zowe Desktop Sample React Application | babel-preset-flow |  v6.23.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-preset-flow](https://www.github.com/babel/babel/tree/master/packages/babel-preset-flow) |
| Zowe Desktop Sample React Application | babel-preset-jest |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [babel-preset-jest](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | babel-preset-react |  v6.24.1 | [MIT](http://opensource.org/licenses/mit-license) | [babel-preset-react](https://www.github.com/babel/babel/tree/master/packages/babel-preset-react) |
| Zowe Desktop Sample React Application | babel-preset-react-app |  v3.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [babel-preset-react-app](https://www.github.com/facebookincubator/create-react-app.git) |
| Zowe Desktop Sample React Application | babel-register |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-register](https://www.github.com/babel/babel/tree/master/packages/babel-register) |
| Zowe Desktop Sample React Application | babel-runtime |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop Sample React Application | babel-template |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-template](https://www.github.com/babel/babel/tree/master/packages/babel-template) |
| Zowe Desktop Sample React Application | babel-traverse |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-traverse](https://www.github.com/babel/babel/tree/master/packages/babel-traverse) |
| Zowe Desktop Sample React Application | babel-types |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-types](https://www.github.com/babel/babel/tree/master/packages/babel-types) |
| Zowe Desktop Sample React Application | babylon |  v6.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [babylon](https://www.github.com/babel/babylon) |
| Zowe Desktop Sample React Application | balanced-match |  v0.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Zowe Desktop Sample React Application | balanced-match |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [balanced-match](https://www.github.com/juliangruber/balanced-match.git) |
| Zowe Desktop Sample React Application | base |  v0.11.2 | [MIT](http://opensource.org/licenses/mit-license) | [base](https://www.github.com/node-base/base.git) |
| Zowe Desktop Sample React Application | base64-js |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [base64-js](https://www.github.com/beatgammit/base64-js.git) |
| Zowe Desktop Sample React Application | batch |  v0.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [batch](https://www.github.com/visionmedia/batch.git) |
| Zowe Desktop Sample React Application | bcrypt-pbkdf |  v1.0.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [bcrypt-pbkdf](https://www.github.com/joyent/node-bcrypt-pbkdf.git) |
| Zowe Desktop Sample React Application | big.js |  v3.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe Desktop Sample React Application | big.js |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe Desktop Sample React Application | binary-extensions |  v1.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [binary-extensions](https://www.github.com/sindresorhus/binary-extensions.git) |
| Zowe Desktop Sample React Application | bluebird |  v3.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |
| Zowe Desktop Sample React Application | bn.js |  v4.11.8 | [MIT](http://opensource.org/licenses/mit-license) | [bn.js](https://www.github.com/indutny/bn.js) |
| Zowe Desktop Sample React Application | body-parser |  v1.18.3 | [MIT](http://opensource.org/licenses/mit-license) | [body-parser](https://www.github.com/expressjs/body-parser.git) |
| Zowe Desktop Sample React Application | bonjour |  v3.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [bonjour](https://www.github.com/watson/bonjour.git) |
| Zowe Desktop Sample React Application | boolbase |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [boolbase](https://www.github.com/fb55/boolbase) |
| Zowe Desktop Sample React Application | boxen |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [boxen](https://www.github.com/sindresorhus/boxen.git) |
| Zowe Desktop Sample React Application | brace-expansion |  v1.1.11 | [MIT](http://opensource.org/licenses/mit-license) | [brace-expansion](https://www.github.com/juliangruber/brace-expansion.git) |
| Zowe Desktop Sample React Application | braces |  v1.8.5 | [MIT](http://opensource.org/licenses/mit-license) | [braces](https://www.github.com/jonschlinkert/braces.git) |
| Zowe Desktop Sample React Application | braces |  v2.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [braces](https://www.github.com/micromatch/braces.git) |
| Zowe Desktop Sample React Application | brorand |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [brorand](https://www.github.com/indutny/brorand) |
| Zowe Desktop Sample React Application | browser-process-hrtime |  v0.1.3 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [browser-process-hrtime](https://www.github.com/kumavis/browser-process-hrtime.git) |
| Zowe Desktop Sample React Application | browser-resolve |  v1.11.3 | [MIT](http://opensource.org/licenses/mit-license) | [browser-resolve](https://www.github.com/shtylman/node-browser-resolve.git) |
| Zowe Desktop Sample React Application | browserify-aes |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-aes](https://www.github.com/crypto-browserify/browserify-aes.git) |
| Zowe Desktop Sample React Application | browserify-cipher |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-cipher](https://www.github.com/crypto-browserify/browserify-cipher.git) |
| Zowe Desktop Sample React Application | browserify-des |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-des](https://www.github.com/crypto-browserify/browserify-des.git) |
| Zowe Desktop Sample React Application | browserify-rsa |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-rsa](https://www.github.com/crypto-browserify/browserify-rsa.git) |
| Zowe Desktop Sample React Application | browserify-sign |  v4.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [browserify-sign](https://www.github.com/crypto-browserify/browserify-sign.git) |
| Zowe Desktop Sample React Application | browserify-zlib |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [browserify-zlib](https://www.github.com/devongovett/browserify-zlib.git) |
| Zowe Desktop Sample React Application | browserslist |  v1.7.7 | [MIT](http://opensource.org/licenses/mit-license) | [browserslist](https://www.github.com/ai/browserslist.git) |
| Zowe Desktop Sample React Application | browserslist |  v2.11.3 | [MIT](http://opensource.org/licenses/mit-license) | [browserslist](https://www.github.com/ai/browserslist.git) |
| Zowe Desktop Sample React Application | bser |  v2.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [bser](https://www.github.com/facebook/watchman) |
| Zowe Desktop Sample React Application | buffer |  v4.9.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer](https://www.github.com/feross/buffer.git) |
| Zowe Desktop Sample React Application | buffer-from |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-from](https://www.github.com/LinusU/buffer-from.git) |
| Zowe Desktop Sample React Application | buffer-indexof |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-indexof](https://www.github.com/soldair/node-buffer-indexof.git) |
| Zowe Desktop Sample React Application | buffer-xor |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [buffer-xor](https://www.github.com/crypto-browserify/buffer-xor.git) |
| Zowe Desktop Sample React Application | builtin-modules |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [builtin-modules](https://www.github.com/sindresorhus/builtin-modules.git) |
| Zowe Desktop Sample React Application | builtin-status-codes |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [builtin-status-codes](https://www.github.com/bendrucker/builtin-status-codes.git) |
| Zowe Desktop Sample React Application | bytes |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [bytes](https://www.github.com/visionmedia/bytes.js.git) |
| Zowe Desktop Sample React Application | cacache |  v10.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cacache](https://www.github.com/zkat/cacache) |
| Zowe Desktop Sample React Application | cache-base |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [cache-base](https://www.github.com/jonschlinkert/cache-base.git) |
| Zowe Desktop Sample React Application | callsites |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [callsites](https://www.github.com/sindresorhus/callsites.git) |
| Zowe Desktop Sample React Application | camel-case |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [camel-case](https://www.github.com/blakeembrey/camel-case.git) |
| Zowe Desktop Sample React Application | camelcase |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe Desktop Sample React Application | camelcase |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe Desktop Sample React Application | camelcase |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe Desktop Sample React Application | camelcase |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe Desktop Sample React Application | camelcase-keys |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase-keys](https://www.github.com/sindresorhus/camelcase-keys.git) |
| Zowe Desktop Sample React Application | caniuse-api |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [caniuse-api](https://www.github.com/nyalab/caniuse-api.git) |
| Zowe Desktop Sample React Application | caniuse-db |  v1.0.30000932 | CC-BY-4.0 | [caniuse-db](https://www.github.com/Fyrd/caniuse.git) |
| Zowe Desktop Sample React Application | caniuse-lite |  v1.0.30000932 | CC-BY-4.0 | [caniuse-lite](https://www.github.com/ben-eb/caniuse-lite.git) |
| Zowe Desktop Sample React Application | capture-exit |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [capture-exit](https://www.github.com/stefanpenner/capture-exit.git) |
| Zowe Desktop Sample React Application | capture-stack-trace |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [capture-stack-trace](https://www.github.com/floatdrop/capture-stack-trace.git) |
| Zowe Desktop Sample React Application | case-sensitive-paths-webpack-plugin |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [case-sensitive-paths-webpack-plugin](https://www.github.com/Urthen/case-sensitive-paths-webpack-plugin.git) |
| Zowe Desktop Sample React Application | caseless |  v0.12.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [caseless](https://www.github.com/mikeal/caseless) |
| Zowe Desktop Sample React Application | center-align |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [center-align](https://www.github.com/jonschlinkert/center-align.git) |
| Zowe Desktop Sample React Application | chalk |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Zowe Desktop Sample React Application | chalk |  v2.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [chalk](https://www.github.com/chalk/chalk.git) |
| Zowe Desktop Sample React Application | chardet |  v0.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [chardet](https://www.github.com/runk/node-chardet.git) |
| Zowe Desktop Sample React Application | chokidar |  v1.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [chokidar](https://www.github.com/paulmillr/chokidar.git) |
| Zowe Desktop Sample React Application | chokidar |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [chokidar](https://www.github.com/paulmillr/chokidar.git) |
| Zowe Desktop Sample React Application | chownr |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [chownr](https://www.github.com/isaacs/chownr.git) |
| Zowe Desktop Sample React Application | ci-info |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [ci-info](https://www.github.com/watson/ci-info.git) |
| Zowe Desktop Sample React Application | cipher-base |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [cipher-base](https://www.github.com/crypto-browserify/cipher-base.git) |
| Zowe Desktop Sample React Application | clap |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [clap](https://www.github.com/lahmatiy/clap.git) |
| Zowe Desktop Sample React Application | class-utils |  v0.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [class-utils](https://www.github.com/jonschlinkert/class-utils.git) |
| Zowe Desktop Sample React Application | clean-css |  v4.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [clean-css](https://www.github.com/jakubpawlowicz/clean-css.git) |
| Zowe Desktop Sample React Application | cli-boxes |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [cli-boxes](https://www.github.com/sindresorhus/cli-boxes.git) |
| Zowe Desktop Sample React Application | cli-cursor |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cli-cursor](https://www.github.com/sindresorhus/cli-cursor.git) |
| Zowe Desktop Sample React Application | cli-width |  v2.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cli-width](https://www.github.com/knownasilya/cli-width.git) |
| Zowe Desktop Sample React Application | cliui |  v2.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/bcoe/cliui.git) |
| Zowe Desktop Sample React Application | cliui |  v3.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Zowe Desktop Sample React Application | cliui |  v4.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Zowe Desktop Sample React Application | clone |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [clone](https://www.github.com/pvorb/node-clone.git) |
| Zowe Desktop Sample React Application | co |  v4.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [co](https://www.github.com/tj/co.git) |
| Zowe Desktop Sample React Application | coa |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [coa](https://www.github.com/veged/coa.git) |
| Zowe Desktop Sample React Application | code-point-at |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [code-point-at](https://www.github.com/sindresorhus/code-point-at.git) |
| Zowe Desktop Sample React Application | collection-visit |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [collection-visit](https://www.github.com/jonschlinkert/collection-visit.git) |
| Zowe Desktop Sample React Application | color |  v0.11.4 | [MIT](http://opensource.org/licenses/mit-license) | [color](https://www.github.com/Qix-/color.git) |
| Zowe Desktop Sample React Application | color-convert |  v1.9.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-convert](https://www.github.com/Qix-/color-convert.git) |
| Zowe Desktop Sample React Application | color-name |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [color-name](https://www.github.com/dfcreative/color-name.git) |
| Zowe Desktop Sample React Application | color-name |  v1.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [color-name](https://www.github.com/colorjs/color-name.git) |
| Zowe Desktop Sample React Application | color-string |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [color-string](https://www.github.com/harthur/color-string.git) |
| Zowe Desktop Sample React Application | colormin |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [colormin](https://www.github.com/ben-eb/colormin.git) |
| Zowe Desktop Sample React Application | colors |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [colors](https://www.github.com/Marak/colors.js.git) |
| Zowe Desktop Sample React Application | combined-stream |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [combined-stream](https://www.github.com/felixge/node-combined-stream.git) |
| Zowe Desktop Sample React Application | commander |  v2.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [commander](https://www.github.com/tj/commander.js.git) |
| Zowe Desktop Sample React Application | commander |  v2.17.1 | [MIT](http://opensource.org/licenses/mit-license) | [commander](https://www.github.com/tj/commander.js.git) |
| Zowe Desktop Sample React Application | commander |  v2.19.0 | [MIT](http://opensource.org/licenses/mit-license) | [commander](https://www.github.com/tj/commander.js.git) |
| Zowe Desktop Sample React Application | commondir |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [commondir](https://www.github.com/substack/node-commondir.git) |
| Zowe Desktop Sample React Application | component-emitter |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [component-emitter](https://www.github.com/component/emitter.git) |
| Zowe Desktop Sample React Application | compressible |  v2.0.15 | [MIT](http://opensource.org/licenses/mit-license) | [compressible](https://www.github.com/jshttp/compressible.git) |
| Zowe Desktop Sample React Application | compression |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [compression](https://www.github.com/expressjs/compression.git) |
| Zowe Desktop Sample React Application | concat-map |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [concat-map](https://www.github.com/substack/node-concat-map.git) |
| Zowe Desktop Sample React Application | concat-stream |  v1.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [concat-stream](https://www.github.com/maxogden/concat-stream.git) |
| Zowe Desktop Sample React Application | configstore |  v3.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [configstore](https://www.github.com/yeoman/configstore.git) |
| Zowe Desktop Sample React Application | connect-history-api-fallback |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [connect-history-api-fallback](https://www.github.com/bripkens/connect-history-api-fallback.git) |
| Zowe Desktop Sample React Application | console-browserify |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [console-browserify](https://www.github.com/Raynos/console-browserify.git) |
| Zowe Desktop Sample React Application | console-control-strings |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [console-control-strings](https://www.github.com/iarna/console-control-strings) |
| Zowe Desktop Sample React Application | constants-browserify |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [constants-browserify](https://www.github.com/juliangruber/constants-browserify.git) |
| Zowe Desktop Sample React Application | content-disposition |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [content-disposition](https://www.github.com/jshttp/content-disposition.git) |
| Zowe Desktop Sample React Application | content-type |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [content-type](https://www.github.com/jshttp/content-type.git) |
| Zowe Desktop Sample React Application | convert-source-map |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [convert-source-map](https://www.github.com/thlorenz/convert-source-map.git) |
| Zowe Desktop Sample React Application | cookie |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [cookie](https://www.github.com/jshttp/cookie.git) |
| Zowe Desktop Sample React Application | cookie-signature |  v1.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [cookie-signature](https://www.github.com/visionmedia/node-cookie-signature.git) |
| Zowe Desktop Sample React Application | copy-concurrently |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [copy-concurrently](https://www.github.com/npm/copy-concurrently.git) |
| Zowe Desktop Sample React Application | copy-descriptor |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [copy-descriptor](https://www.github.com/jonschlinkert/copy-descriptor.git) |
| Zowe Desktop Sample React Application | core-js |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop Sample React Application | core-js |  v2.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop Sample React Application | core-util-is |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [core-util-is](https://www.github.com/isaacs/core-util-is) |
| Zowe Desktop Sample React Application | cosmiconfig |  v2.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [cosmiconfig](https://www.github.com/davidtheclark/cosmiconfig.git) |
| Zowe Desktop Sample React Application | cpx |  v1.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [cpx](https://www.github.com/mysticatea/cpx.git) |
| Zowe Desktop Sample React Application | create-ecdh |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [create-ecdh](https://www.github.com/crypto-browserify/createECDH.git) |
| Zowe Desktop Sample React Application | create-error-class |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [create-error-class](https://www.github.com/floatdrop/create-error-class.git) |
| Zowe Desktop Sample React Application | create-hash |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [create-hash](https://www.github.com/crypto-browserify/createHash.git) |
| Zowe Desktop Sample React Application | create-hmac |  v1.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [create-hmac](https://www.github.com/crypto-browserify/createHmac.git) |
| Zowe Desktop Sample React Application | cross-spawn |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cross-spawn](https://www.github.com/IndigoUnited/node-cross-spawn.git) |
| Zowe Desktop Sample React Application | crypto-browserify |  v3.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [crypto-browserify](https://www.github.com/crypto-browserify/crypto-browserify.git) |
| Zowe Desktop Sample React Application | crypto-random-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [crypto-random-string](https://www.github.com/sindresorhus/crypto-random-string.git) |
| Zowe Desktop Sample React Application | css-color-names |  v0.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [css-color-names](https://www.github.com/bahamas10/css-color-names.git) |
| Zowe Desktop Sample React Application | css-loader |  v0.28.7 | [MIT](http://opensource.org/licenses/mit-license) | [css-loader](https://www.github.com/webpack/css-loader.git) |
| Zowe Desktop Sample React Application | css-select |  v1.2.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [css-select](https://www.github.com/fb55/css-select.git) |
| Zowe Desktop Sample React Application | css-selector-tokenizer |  v0.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [css-selector-tokenizer](https://www.github.com/css-modules/css-selector-tokenizer.git) |
| Zowe Desktop Sample React Application | css-what |  v2.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [css-what](https://www.github.com/fb55/css-what) |
| Zowe Desktop Sample React Application | cssesc |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [cssesc](https://www.github.com/mathiasbynens/cssesc.git) |
| Zowe Desktop Sample React Application | cssnano |  v3.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [cssnano](https://www.github.com/ben-eb/cssnano.git) |
| Zowe Desktop Sample React Application | csso |  v2.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [csso](https://www.github.com/css/csso.git) |
| Zowe Desktop Sample React Application | cssom |  v0.3.4 | [MIT](http://opensource.org/licenses/mit-license) | [cssom](https://www.github.com/NV/CSSOM.git) |
| Zowe Desktop Sample React Application | cssstyle |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [cssstyle](https://www.github.com/jsakas/CSSStyleDeclaration.git) |
| Zowe Desktop Sample React Application | currently-unhandled |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [currently-unhandled](https://www.github.com/jamestalmage/currently-unhandled.git) |
| Zowe Desktop Sample React Application | cyclist |  v0.2.2 | MIT* | [cyclist](https://www.github.com/mafintosh/cyclist) |
| Zowe Desktop Sample React Application | d |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [d](https://www.github.com/medikoo/d.git) |
| Zowe Desktop Sample React Application | dashdash |  v1.14.1 | [MIT](http://opensource.org/licenses/mit-license) | [dashdash](https://www.github.com/trentm/node-dashdash.git) |
| Zowe Desktop Sample React Application | data-urls |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [data-urls](https://www.github.com/jsdom/data-urls.git) |
| Zowe Desktop Sample React Application | date-now |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [date-now](https://www.github.com/Colingo/date-now.git) |
| Zowe Desktop Sample React Application | debug |  v2.6.9 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe Desktop Sample React Application | debug |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe Desktop Sample React Application | debug |  v3.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [debug](https://www.github.com/visionmedia/debug.git) |
| Zowe Desktop Sample React Application | decamelize |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decamelize](https://www.github.com/sindresorhus/decamelize.git) |
| Zowe Desktop Sample React Application | decode-uri-component |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decode-uri-component](https://www.github.com/SamVerschueren/decode-uri-component.git) |
| Zowe Desktop Sample React Application | deep-equal |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [deep-equal](https://www.github.com/substack/node-deep-equal.git) |
| Zowe Desktop Sample React Application | deep-extend |  v0.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [deep-extend](https://www.github.com/unclechu/node-deep-extend.git) |
| Zowe Desktop Sample React Application | deep-is |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [deep-is](https://www.github.com/thlorenz/deep-is.git) |
| Zowe Desktop Sample React Application | deepmerge |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [deepmerge](https://www.github.com/KyleAMathews/deepmerge.git) |
| Zowe Desktop Sample React Application | default-require-extensions |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [default-require-extensions](https://www.github.com/jamestalmage/default-require-extensions.git) |
| Zowe Desktop Sample React Application | define-properties |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [define-properties](https://www.github.com/ljharb/define-properties.git) |
| Zowe Desktop Sample React Application | define-property |  v0.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [define-property](https://www.github.com/jonschlinkert/define-property.git) |
| Zowe Desktop Sample React Application | define-property |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [define-property](https://www.github.com/jonschlinkert/define-property.git) |
| Zowe Desktop Sample React Application | define-property |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [define-property](https://www.github.com/jonschlinkert/define-property.git) |
| Zowe Desktop Sample React Application | defined |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [defined](https://www.github.com/substack/defined.git) |
| Zowe Desktop Sample React Application | del |  v2.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [del](https://www.github.com/sindresorhus/del.git) |
| Zowe Desktop Sample React Application | del |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [del](https://www.github.com/sindresorhus/del.git) |
| Zowe Desktop Sample React Application | delayed-stream |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delayed-stream](https://www.github.com/felixge/node-delayed-stream.git) |
| Zowe Desktop Sample React Application | delegates |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [delegates](https://www.github.com/visionmedia/node-delegates.git) |
| Zowe Desktop Sample React Application | depd |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [depd](https://www.github.com/dougwilson/nodejs-depd.git) |
| Zowe Desktop Sample React Application | des.js |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [des.js](https://www.github.com/indutny/des.js.git) |
| Zowe Desktop Sample React Application | destroy |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [destroy](https://www.github.com/stream-utils/destroy.git) |
| Zowe Desktop Sample React Application | detect-indent |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-indent](https://www.github.com/sindresorhus/detect-indent.git) |
| Zowe Desktop Sample React Application | detect-libc |  v1.0.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [detect-libc](https://www.github.com/lovell/detect-libc) |
| Zowe Desktop Sample React Application | detect-newline |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [detect-newline](https://www.github.com/sindresorhus/detect-newline.git) |
| Zowe Desktop Sample React Application | detect-node |  v2.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [detect-node](https://www.github.com/iliakan/detect-node) |
| Zowe Desktop Sample React Application | detect-port-alt |  v1.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [detect-port-alt](https://www.github.com/node-modules/detect-port.git) |
| Zowe Desktop Sample React Application | diff |  v3.5.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [diff](https://www.github.com/kpdecker/jsdiff.git) |
| Zowe Desktop Sample React Application | diffie-hellman |  v5.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [diffie-hellman](https://www.github.com/crypto-browserify/diffie-hellman.git) |
| Zowe Desktop Sample React Application | dns-equal |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [dns-equal](https://www.github.com/watson/dns-equal.git) |
| Zowe Desktop Sample React Application | dns-packet |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [dns-packet](https://www.github.com/mafintosh/dns-packet) |
| Zowe Desktop Sample React Application | dns-txt |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [dns-txt](https://www.github.com/watson/dns-txt.git) |
| Zowe Desktop Sample React Application | dom-converter |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [dom-converter](https://www.github.com/AriaMinaei/dom-converter) |
| Zowe Desktop Sample React Application | dom-serializer |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [dom-serializer](https://www.github.com/cheeriojs/dom-renderer.git) |
| Zowe Desktop Sample React Application | dom-urls |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [dom-urls](https://www.github.com/passy/node-dom-urls) |
| Zowe Desktop Sample React Application | domain-browser |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [domain-browser](https://www.github.com/bevry/domain-browser.git) |
| Zowe Desktop Sample React Application | domelementtype |  v1.1.3 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domelementtype](https://www.github.com/FB55/domelementtype.git) |
| Zowe Desktop Sample React Application | domelementtype |  v1.3.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domelementtype](https://www.github.com/fb55/domelementtype.git) |
| Zowe Desktop Sample React Application | domexception |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [domexception](https://www.github.com/jsdom/domexception.git) |
| Zowe Desktop Sample React Application | domhandler |  v2.1.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domhandler](https://www.github.com/fb55/domhandler.git) |
| Zowe Desktop Sample React Application | domutils |  v1.1.6 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domutils](https://www.github.com/FB55/domutils.git) |
| Zowe Desktop Sample React Application | domutils |  v1.5.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [domutils](https://www.github.com/FB55/domutils.git) |
| Zowe Desktop Sample React Application | dot-prop |  v4.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [dot-prop](https://www.github.com/sindresorhus/dot-prop.git) |
| Zowe Desktop Sample React Application | dotenv |  v4.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [dotenv](https://www.github.com/motdotla/dotenv.git) |
| Zowe Desktop Sample React Application | dotenv-expand |  v4.2.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [dotenv-expand](https://www.npmjs.com/package/dotenv-expand) |
| Zowe Desktop Sample React Application | duplexer |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [duplexer](https://www.github.com/Raynos/duplexer.git) |
| Zowe Desktop Sample React Application | duplexer3 |  v0.1.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [duplexer3](https://www.github.com/floatdrop/duplexer3.git) |
| Zowe Desktop Sample React Application | duplexify |  v3.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [duplexify](https://www.github.com/mafintosh/duplexify) |
| Zowe Desktop Sample React Application | ecc-jsbn |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [ecc-jsbn](https://www.github.com/quartzjer/ecc-jsbn.git) |
| Zowe Desktop Sample React Application | ee-first |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ee-first](https://www.github.com/jonathanong/ee-first.git) |
| Zowe Desktop Sample React Application | electron-to-chromium |  v1.3.108 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [electron-to-chromium](https://www.github.com/kilian/electron-to-chromium/) |
| Zowe Desktop Sample React Application | elliptic |  v6.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [elliptic](https://www.github.com/indutny/elliptic) |
| Zowe Desktop Sample React Application | emojis-list |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [emojis-list](https://www.github.com/kikobeats/emojis-list.git) |
| Zowe Desktop Sample React Application | encodeurl |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [encodeurl](https://www.github.com/pillarjs/encodeurl.git) |
| Zowe Desktop Sample React Application | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Zowe Desktop Sample React Application | end-of-stream |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [end-of-stream](https://www.github.com/mafintosh/end-of-stream.git) |
| Zowe Desktop Sample React Application | enhanced-resolve |  v3.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [enhanced-resolve](https://www.github.com/webpack/enhanced-resolve.git) |
| Zowe Desktop Sample React Application | entities |  v1.1.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [entities](https://www.github.com/fb55/entities.git) |
| Zowe Desktop Sample React Application | errno |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [errno](https://www.github.com/rvagg/node-errno.git) |
| Zowe Desktop Sample React Application | error-ex |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [error-ex](https://www.github.com/qix-/node-error-ex.git) |
| Zowe Desktop Sample React Application | es-abstract |  v1.13.0 | [MIT](http://opensource.org/licenses/mit-license) | [es-abstract](https://www.github.com/ljharb/es-abstract.git) |
| Zowe Desktop Sample React Application | es-to-primitive |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [es-to-primitive](https://www.github.com/ljharb/es-to-primitive.git) |
| Zowe Desktop Sample React Application | es5-ext |  v0.10.47 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [es5-ext](https://www.github.com/medikoo/es5-ext.git) |
| Zowe Desktop Sample React Application | es6-iterator |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [es6-iterator](https://www.github.com/medikoo/es6-iterator.git) |
| Zowe Desktop Sample React Application | es6-map |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [es6-map](https://www.github.com/medikoo/es6-map.git) |
| Zowe Desktop Sample React Application | es6-promise |  v4.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [es6-promise](https://www.github.com/stefanpenner/es6-promise.git) |
| Zowe Desktop Sample React Application | es6-set |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [es6-set](https://www.github.com/medikoo/es6-set.git) |
| Zowe Desktop Sample React Application | es6-symbol |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [es6-symbol](https://www.github.com/medikoo/es6-symbol.git) |
| Zowe Desktop Sample React Application | es6-weak-map |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [es6-weak-map](https://www.github.com/medikoo/es6-weak-map.git) |
| Zowe Desktop Sample React Application | escape-html |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [escape-html](https://www.github.com/component/escape-html.git) |
| Zowe Desktop Sample React Application | escape-string-regexp |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [escape-string-regexp](https://www.github.com/sindresorhus/escape-string-regexp.git) |
| Zowe Desktop Sample React Application | escodegen |  v1.11.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [escodegen](https://www.github.com/estools/escodegen.git) |
| Zowe Desktop Sample React Application | escope |  v3.6.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [escope](https://www.github.com/estools/escope.git) |
| Zowe Desktop Sample React Application | esprima |  v2.7.3 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Zowe Desktop Sample React Application | esprima |  v3.1.3 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Zowe Desktop Sample React Application | esprima |  v4.0.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esprima](https://www.github.com/jquery/esprima.git) |
| Zowe Desktop Sample React Application | esrecurse |  v4.2.1 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esrecurse](https://www.github.com/estools/esrecurse.git) |
| Zowe Desktop Sample React Application | estraverse |  v4.2.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [estraverse](https://www.github.com/estools/estraverse.git) |
| Zowe Desktop Sample React Application | esutils |  v2.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [esutils](https://www.github.com/estools/esutils.git) |
| Zowe Desktop Sample React Application | etag |  v1.8.1 | [MIT](http://opensource.org/licenses/mit-license) | [etag](https://www.github.com/jshttp/etag.git) |
| Zowe Desktop Sample React Application | event-emitter |  v0.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [event-emitter](https://www.github.com/medikoo/event-emitter.git) |
| Zowe Desktop Sample React Application | eventemitter3 |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [eventemitter3](https://www.github.com/primus/eventemitter3.git) |
| Zowe Desktop Sample React Application | events |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [events](https://www.github.com/Gozala/events.git) |
| Zowe Desktop Sample React Application | eventsource |  v0.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [eventsource](https://www.github.com/aslakhellesoy/eventsource-node.git) |
| Zowe Desktop Sample React Application | evp_bytestokey |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [evp_bytestokey](https://www.github.com/crypto-browserify/EVP_BytesToKey.git) |
| Zowe Desktop Sample React Application | exec-sh |  v0.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [exec-sh](https://www.github.com/tsertkov/exec-sh.git) |
| Zowe Desktop Sample React Application | execa |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [execa](https://www.github.com/sindresorhus/execa.git) |
| Zowe Desktop Sample React Application | exit |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [exit](https://www.github.com/cowboy/node-exit.git) |
| Zowe Desktop Sample React Application | expand-brackets |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [expand-brackets](https://www.github.com/jonschlinkert/expand-brackets.git) |
| Zowe Desktop Sample React Application | expand-brackets |  v2.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [expand-brackets](https://www.github.com/jonschlinkert/expand-brackets.git) |
| Zowe Desktop Sample React Application | expand-range |  v1.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [expand-range](https://www.github.com/jonschlinkert/expand-range.git) |
| Zowe Desktop Sample React Application | expand-tilde |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [expand-tilde](https://www.github.com/jonschlinkert/expand-tilde.git) |
| Zowe Desktop Sample React Application | expect |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [expect](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | express |  v4.16.4 | [MIT](http://opensource.org/licenses/mit-license) | [express](https://www.github.com/expressjs/express.git) |
| Zowe Desktop Sample React Application | extend |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend](https://www.github.com/justmoon/node-extend.git) |
| Zowe Desktop Sample React Application | extend-shallow |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [extend-shallow](https://www.github.com/jonschlinkert/extend-shallow.git) |
| Zowe Desktop Sample React Application | extend-shallow |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extend-shallow](https://www.github.com/jonschlinkert/extend-shallow.git) |
| Zowe Desktop Sample React Application | external-editor |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [external-editor](https://www.github.com/mrkmg/node-external-editor.git) |
| Zowe Desktop Sample React Application | extglob |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [extglob](https://www.github.com/jonschlinkert/extglob.git) |
| Zowe Desktop Sample React Application | extglob |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [extglob](https://www.github.com/micromatch/extglob.git) |
| Zowe Desktop Sample React Application | extract-text-webpack-plugin |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [extract-text-webpack-plugin](https://www.github.com/webpack-contrib/extract-text-webpack-plugin.git) |
| Zowe Desktop Sample React Application | extsprintf |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe Desktop Sample React Application | extsprintf |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [extsprintf](https://www.github.com/davepacheco/node-extsprintf.git) |
| Zowe Desktop Sample React Application | fast-deep-equal |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [fast-deep-equal](https://www.github.com/epoberezkin/fast-deep-equal.git) |
| Zowe Desktop Sample React Application | fast-deep-equal |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fast-deep-equal](https://www.github.com/epoberezkin/fast-deep-equal.git) |
| Zowe Desktop Sample React Application | fast-json-stable-stringify |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fast-json-stable-stringify](https://www.github.com/epoberezkin/fast-json-stable-stringify.git) |
| Zowe Desktop Sample React Application | fast-levenshtein |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [fast-levenshtein](https://www.github.com/hiddentao/fast-levenshtein.git) |
| Zowe Desktop Sample React Application | fastparse |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [fastparse](https://www.github.com/webpack/fastparse.git) |
| Zowe Desktop Sample React Application | faye-websocket |  v0.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [faye-websocket](https://www.github.com/faye/faye-websocket-node.git) |
| Zowe Desktop Sample React Application | faye-websocket |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [faye-websocket](https://www.github.com/faye/faye-websocket-node.git) |
| Zowe Desktop Sample React Application | fb-watchman |  v2.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [fb-watchman](https://www.github.com/facebook/watchman.git) |
| Zowe Desktop Sample React Application | fbjs |  v0.8.17 | [MIT](http://opensource.org/licenses/mit-license) | [fbjs](https://www.github.com/facebook/fbjs.git) |
| Zowe Desktop Sample React Application | figures |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [figures](https://www.github.com/sindresorhus/figures.git) |
| Zowe Desktop Sample React Application | file-loader |  v0.11.2 | [MIT](http://opensource.org/licenses/mit-license) | [file-loader](https://www.github.com/webpack/file-loader.git) |
| Zowe Desktop Sample React Application | filename-regex |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [filename-regex](https://www.github.com/regexhq/filename-regex.git) |
| Zowe Desktop Sample React Application | fileset |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [fileset](https://www.github.com/mklabs/node-fileset.git) |
| Zowe Desktop Sample React Application | filesize |  v3.5.11 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [filesize](https://www.github.com/avoidwork/filesize.js.git) |
| Zowe Desktop Sample React Application | fill-range |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [fill-range](https://www.github.com/jonschlinkert/fill-range.git) |
| Zowe Desktop Sample React Application | fill-range |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [fill-range](https://www.github.com/jonschlinkert/fill-range.git) |
| Zowe Desktop Sample React Application | finalhandler |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [finalhandler](https://www.github.com/pillarjs/finalhandler.git) |
| Zowe Desktop Sample React Application | find-cache-dir |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-cache-dir](https://www.github.com/avajs/find-cache-dir.git) |
| Zowe Desktop Sample React Application | find-index |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [find-index](https://www.github.com/jsdf/find-index.git) |
| Zowe Desktop Sample React Application | find-up |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe Desktop Sample React Application | find-up |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe Desktop Sample React Application | flatten |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [flatten](https://www.github.com/jesusabdullah/node-flatten.git) |
| Zowe Desktop Sample React Application | flush-write-stream |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [flush-write-stream](https://www.github.com/mafintosh/flush-write-stream.git) |
| Zowe Desktop Sample React Application | follow-redirects |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [follow-redirects](https://www.github.com/follow-redirects/follow-redirects.git) |
| Zowe Desktop Sample React Application | for-in |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [for-in](https://www.github.com/jonschlinkert/for-in.git) |
| Zowe Desktop Sample React Application | for-own |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [for-own](https://www.github.com/jonschlinkert/for-own.git) |
| Zowe Desktop Sample React Application | forever-agent |  v0.6.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [forever-agent](https://www.github.com/mikeal/forever-agent) |
| Zowe Desktop Sample React Application | fork-ts-checker-webpack-plugin |  v0.2.10 | [MIT](http://opensource.org/licenses/mit-license) | [fork-ts-checker-webpack-plugin](https://www.github.com/Realytics/fork-ts-checker-webpack-plugin.git) |
| Zowe Desktop Sample React Application | form-data |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [form-data](https://www.github.com/form-data/form-data.git) |
| Zowe Desktop Sample React Application | forwarded |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [forwarded](https://www.github.com/jshttp/forwarded.git) |
| Zowe Desktop Sample React Application | fragment-cache |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [fragment-cache](https://www.github.com/jonschlinkert/fragment-cache.git) |
| Zowe Desktop Sample React Application | fresh |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [fresh](https://www.github.com/jshttp/fresh.git) |
| Zowe Desktop Sample React Application | from2 |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [from2](https://www.github.com/hughsk/from2) |
| Zowe Desktop Sample React Application | fs-extra |  v0.30.0 | [MIT](http://opensource.org/licenses/mit-license) | [fs-extra](https://www.github.com/jprichardson/node-fs-extra) |
| Zowe Desktop Sample React Application | fs-extra |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [fs-extra](https://www.github.com/jprichardson/node-fs-extra) |
| Zowe Desktop Sample React Application | fs-extra |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [fs-extra](https://www.github.com/jprichardson/node-fs-extra) |
| Zowe Desktop Sample React Application | fs-minipass |  v1.2.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-minipass](https://www.github.com/npm/fs-minipass.git) |
| Zowe Desktop Sample React Application | fs-write-stream-atomic |  v1.0.10 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs-write-stream-atomic](https://www.github.com/npm/fs-write-stream-atomic) |
| Zowe Desktop Sample React Application | fs.realpath |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [fs.realpath](https://www.github.com/isaacs/fs.realpath.git) |
| Zowe Desktop Sample React Application | fsevents |  v1.2.7 | unknown | fsevents |
| Zowe Desktop Sample React Application | function-bind |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [function-bind](https://www.github.com/Raynos/function-bind.git) |
| Zowe Desktop Sample React Application | gauge |  v2.7.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [gauge](https://www.github.com/iarna/gauge) |
| Zowe Desktop Sample React Application | get-caller-file |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [get-caller-file](https://www.github.com/stefanpenner/get-caller-file.git) |
| Zowe Desktop Sample React Application | get-stdin |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [get-stdin](https://www.github.com/sindresorhus/get-stdin.git) |
| Zowe Desktop Sample React Application | get-stream |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Zowe Desktop Sample React Application | get-value |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [get-value](https://www.github.com/jonschlinkert/get-value.git) |
| Zowe Desktop Sample React Application | getpass |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [getpass](https://www.github.com/arekinath/node-getpass.git) |
| Zowe Desktop Sample React Application | glob |  v7.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob](https://www.github.com/isaacs/node-glob.git) |
| Zowe Desktop Sample React Application | glob-base |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [glob-base](https://www.github.com/jonschlinkert/glob-base.git) |
| Zowe Desktop Sample React Application | glob-parent |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob-parent](https://www.github.com/es128/glob-parent) |
| Zowe Desktop Sample React Application | glob-parent |  v3.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [glob-parent](https://www.github.com/es128/glob-parent) |
| Zowe Desktop Sample React Application | glob2base |  v0.0.12 | [MIT](http://opensource.org/licenses/mit-license) | [glob2base](https://www.github.com/wearefractal/glob2base.git) |
| Zowe Desktop Sample React Application | global-dirs |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [global-dirs](https://www.github.com/sindresorhus/global-dirs.git) |
| Zowe Desktop Sample React Application | global-modules |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [global-modules](https://www.github.com/jonschlinkert/global-modules.git) |
| Zowe Desktop Sample React Application | global-prefix |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [global-prefix](https://www.github.com/jonschlinkert/global-prefix.git) |
| Zowe Desktop Sample React Application | globals |  v9.18.0 | [MIT](http://opensource.org/licenses/mit-license) | [globals](https://www.github.com/sindresorhus/globals.git) |
| Zowe Desktop Sample React Application | globby |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [globby](https://www.github.com/sindresorhus/globby.git) |
| Zowe Desktop Sample React Application | globby |  v6.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [globby](https://www.github.com/sindresorhus/globby.git) |
| Zowe Desktop Sample React Application | got |  v6.7.1 | [MIT](http://opensource.org/licenses/mit-license) | [got](https://www.github.com/sindresorhus/got.git) |
| Zowe Desktop Sample React Application | graceful-fs |  v4.1.15 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [graceful-fs](https://www.github.com/isaacs/node-graceful-fs) |
| Zowe Desktop Sample React Application | growly |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [growly](https://www.github.com/theabraham/growly) |
| Zowe Desktop Sample React Application | gzip-size |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [gzip-size](https://www.github.com/sindresorhus/gzip-size.git) |
| Zowe Desktop Sample React Application | handle-thing |  v1.2.5 | [MIT](http://opensource.org/licenses/mit-license) | [handle-thing](https://www.github.com/indutny/handle-thing.git) |
| Zowe Desktop Sample React Application | handlebars |  v4.0.12 | [MIT](http://opensource.org/licenses/mit-license) | [handlebars](https://www.github.com/wycats/handlebars.js.git) |
| Zowe Desktop Sample React Application | har-schema |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [har-schema](https://www.github.com/ahmadnassri/har-schema.git) |
| Zowe Desktop Sample React Application | har-validator |  v5.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [har-validator](https://www.github.com/ahmadnassri/node-har-validator.git) |
| Zowe Desktop Sample React Application | has |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [has](https://www.github.com/tarruda/has.git) |
| Zowe Desktop Sample React Application | has-ansi |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-ansi](https://www.github.com/sindresorhus/has-ansi.git) |
| Zowe Desktop Sample React Application | has-flag |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Zowe Desktop Sample React Application | has-flag |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Zowe Desktop Sample React Application | has-flag |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-flag](https://www.github.com/sindresorhus/has-flag.git) |
| Zowe Desktop Sample React Application | has-symbols |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-symbols](https://www.github.com/ljharb/has-symbols.git) |
| Zowe Desktop Sample React Application | has-unicode |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [has-unicode](https://www.github.com/iarna/has-unicode) |
| Zowe Desktop Sample React Application | has-value |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [has-value](https://www.github.com/jonschlinkert/has-value.git) |
| Zowe Desktop Sample React Application | has-value |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-value](https://www.github.com/jonschlinkert/has-value.git) |
| Zowe Desktop Sample React Application | has-values |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [has-values](https://www.github.com/jonschlinkert/has-values.git) |
| Zowe Desktop Sample React Application | has-values |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [has-values](https://www.github.com/jonschlinkert/has-values.git) |
| Zowe Desktop Sample React Application | hash-base |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [hash-base](https://www.github.com/crypto-browserify/hash-base.git) |
| Zowe Desktop Sample React Application | hash.js |  v1.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [hash.js](https://www.github.com/indutny/hash.js) |
| Zowe Desktop Sample React Application | he |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [he](https://www.github.com/mathiasbynens/he.git) |
| Zowe Desktop Sample React Application | history |  v4.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [history](https://www.github.com/ReactTraining/history.git) |
| Zowe Desktop Sample React Application | hmac-drbg |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [hmac-drbg](https://www.github.com/indutny/hmac-drbg.git) |
| Zowe Desktop Sample React Application | hoist-non-react-statics |  v2.5.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe Desktop Sample React Application | home-or-tmp |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [home-or-tmp](https://www.github.com/sindresorhus/home-or-tmp.git) |
| Zowe Desktop Sample React Application | homedir-polyfill |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [homedir-polyfill](https://www.github.com/doowb/homedir-polyfill.git) |
| Zowe Desktop Sample React Application | hosted-git-info |  v2.7.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [hosted-git-info](https://www.github.com/npm/hosted-git-info.git) |
| Zowe Desktop Sample React Application | hpack.js |  v2.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [hpack.js](https://www.github.com/indutny/hpack.js.git) |
| Zowe Desktop Sample React Application | html-comment-regex |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [html-comment-regex](https://www.github.com/stevemao/html-comment-regex.git) |
| Zowe Desktop Sample React Application | html-encoding-sniffer |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [html-encoding-sniffer](https://www.github.com/jsdom/html-encoding-sniffer.git) |
| Zowe Desktop Sample React Application | html-entities |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [html-entities](https://www.github.com/mdevils/node-html-entities.git) |
| Zowe Desktop Sample React Application | html-minifier |  v3.5.21 | [MIT](http://opensource.org/licenses/mit-license) | [html-minifier](https://www.github.com/kangax/html-minifier.git) |
| Zowe Desktop Sample React Application | html-webpack-plugin |  v2.29.0 | [MIT](http://opensource.org/licenses/mit-license) | [html-webpack-plugin](https://www.github.com/jantimon/html-webpack-plugin.git) |
| Zowe Desktop Sample React Application | htmlparser2 |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [htmlparser2](https://www.github.com/fb55/htmlparser2.git) |
| Zowe Desktop Sample React Application | http-deceiver |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [http-deceiver](https://www.github.com/indutny/http-deceiver.git) |
| Zowe Desktop Sample React Application | http-errors |  v1.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [http-errors](https://www.github.com/jshttp/http-errors.git) |
| Zowe Desktop Sample React Application | http-parser-js |  v0.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-parser-js](https://www.github.com/creationix/http-parser-js.git) |
| Zowe Desktop Sample React Application | http-proxy |  v1.17.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-proxy](https://www.github.com/nodejitsu/node-http-proxy.git) |
| Zowe Desktop Sample React Application | http-proxy-middleware |  v0.17.4 | [MIT](http://opensource.org/licenses/mit-license) | [http-proxy-middleware](https://www.github.com/chimurai/http-proxy-middleware.git) |
| Zowe Desktop Sample React Application | http-signature |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [http-signature](https://www.github.com/joyent/node-http-signature.git) |
| Zowe Desktop Sample React Application | https-browserify |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [https-browserify](https://www.github.com/substack/https-browserify.git) |
| Zowe Desktop Sample React Application | iconv-lite |  v0.4.23 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Desktop Sample React Application | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Desktop Sample React Application | icss-replace-symbols |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [icss-replace-symbols](https://www.github.com/css-modules/icss-replace-symbols.git) |
| Zowe Desktop Sample React Application | icss-utils |  v2.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [icss-utils](https://www.github.com/css-modules/icss-utils.git) |
| Zowe Desktop Sample React Application | ieee754 |  v1.1.12 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [ieee754](https://www.github.com/feross/ieee754.git) |
| Zowe Desktop Sample React Application | iferr |  v0.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [iferr](https://www.github.com/shesek/iferr) |
| Zowe Desktop Sample React Application | ignore-walk |  v3.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ignore-walk](https://www.github.com/isaacs/ignore-walk.git) |
| Zowe Desktop Sample React Application | import-lazy |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-lazy](https://www.github.com/sindresorhus/import-lazy.git) |
| Zowe Desktop Sample React Application | import-local |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [import-local](https://www.github.com/sindresorhus/import-local.git) |
| Zowe Desktop Sample React Application | import-local |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [import-local](https://www.github.com/sindresorhus/import-local.git) |
| Zowe Desktop Sample React Application | imurmurhash |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [imurmurhash](https://www.github.com/jensyt/imurmurhash-js) |
| Zowe Desktop Sample React Application | indent-string |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [indent-string](https://www.github.com/sindresorhus/indent-string.git) |
| Zowe Desktop Sample React Application | indexes-of |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [indexes-of](https://www.github.com/dominictarr/indexes-of.git) |
| Zowe Desktop Sample React Application | indexof |  v0.0.1 | MIT* | [indexof](https://www.npmjs.com/package/indexof) |
| Zowe Desktop Sample React Application | inflight |  v1.0.6 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inflight](https://www.github.com/npm/inflight.git) |
| Zowe Desktop Sample React Application | inherits |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe Desktop Sample React Application | inherits |  v2.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [inherits](https://www.github.com/isaacs/inherits) |
| Zowe Desktop Sample React Application | ini |  v1.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ini](https://www.github.com/isaacs/ini.git) |
| Zowe Desktop Sample React Application | inquirer |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [inquirer](https://www.github.com/SBoudrias/Inquirer.js.git) |
| Zowe Desktop Sample React Application | internal-ip |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [internal-ip](https://www.github.com/sindresorhus/internal-ip.git) |
| Zowe Desktop Sample React Application | interpret |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [interpret](https://www.github.com/gulpjs/interpret.git) |
| Zowe Desktop Sample React Application | invariant |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [invariant](https://www.github.com/zertosh/invariant) |
| Zowe Desktop Sample React Application | invert-kv |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [invert-kv](https://www.github.com/sindresorhus/invert-kv.git) |
| Zowe Desktop Sample React Application | ip |  v1.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [ip](https://www.github.com/indutny/node-ip.git) |
| Zowe Desktop Sample React Application | ip-regex |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ip-regex](https://www.github.com/sindresorhus/ip-regex.git) |
| Zowe Desktop Sample React Application | ipaddr.js |  v1.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [ipaddr.js](https://www.github.com/whitequark/ipaddr.js) |
| Zowe Desktop Sample React Application | is-absolute-url |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-absolute-url](https://www.github.com/sindresorhus/is-absolute-url.git) |
| Zowe Desktop Sample React Application | is-accessor-descriptor |  v0.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [is-accessor-descriptor](https://www.github.com/jonschlinkert/is-accessor-descriptor.git) |
| Zowe Desktop Sample React Application | is-accessor-descriptor |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-accessor-descriptor](https://www.github.com/jonschlinkert/is-accessor-descriptor.git) |
| Zowe Desktop Sample React Application | is-arrayish |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-arrayish](https://www.github.com/qix-/node-is-arrayish.git) |
| Zowe Desktop Sample React Application | is-binary-path |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-binary-path](https://www.github.com/sindresorhus/is-binary-path.git) |
| Zowe Desktop Sample React Application | is-buffer |  v1.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [is-buffer](https://www.github.com/feross/is-buffer.git) |
| Zowe Desktop Sample React Application | is-builtin-module |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-builtin-module](https://www.github.com/sindresorhus/is-builtin-module.git) |
| Zowe Desktop Sample React Application | is-callable |  v1.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-callable](https://www.github.com/ljharb/is-callable.git) |
| Zowe Desktop Sample React Application | is-ci |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-ci](https://www.github.com/watson/is-ci.git) |
| Zowe Desktop Sample React Application | is-data-descriptor |  v0.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-data-descriptor](https://www.github.com/jonschlinkert/is-data-descriptor.git) |
| Zowe Desktop Sample React Application | is-data-descriptor |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-data-descriptor](https://www.github.com/jonschlinkert/is-data-descriptor.git) |
| Zowe Desktop Sample React Application | is-date-object |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-date-object](https://www.github.com/ljharb/is-date-object.git) |
| Zowe Desktop Sample React Application | is-descriptor |  v0.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [is-descriptor](https://www.github.com/jonschlinkert/is-descriptor.git) |
| Zowe Desktop Sample React Application | is-descriptor |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-descriptor](https://www.github.com/jonschlinkert/is-descriptor.git) |
| Zowe Desktop Sample React Application | is-directory |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-directory](https://www.github.com/jonschlinkert/is-directory.git) |
| Zowe Desktop Sample React Application | is-dotfile |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [is-dotfile](https://www.github.com/jonschlinkert/is-dotfile.git) |
| Zowe Desktop Sample React Application | is-equal-shallow |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [is-equal-shallow](https://www.github.com/jonschlinkert/is-equal-shallow.git) |
| Zowe Desktop Sample React Application | is-extendable |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-extendable](https://www.github.com/jonschlinkert/is-extendable.git) |
| Zowe Desktop Sample React Application | is-extendable |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-extendable](https://www.github.com/jonschlinkert/is-extendable.git) |
| Zowe Desktop Sample React Application | is-extglob |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-extglob](https://www.github.com/jonschlinkert/is-extglob.git) |
| Zowe Desktop Sample React Application | is-extglob |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-extglob](https://www.github.com/jonschlinkert/is-extglob.git) |
| Zowe Desktop Sample React Application | is-finite |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-finite](https://www.github.com/sindresorhus/is-finite.git) |
| Zowe Desktop Sample React Application | is-fullwidth-code-point |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe Desktop Sample React Application | is-fullwidth-code-point |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe Desktop Sample React Application | is-generator-fn |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-generator-fn](https://www.github.com/sindresorhus/is-generator-fn.git) |
| Zowe Desktop Sample React Application | is-glob |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-glob](https://www.github.com/jonschlinkert/is-glob.git) |
| Zowe Desktop Sample React Application | is-glob |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-glob](https://www.github.com/jonschlinkert/is-glob.git) |
| Zowe Desktop Sample React Application | is-glob |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-glob](https://www.github.com/jonschlinkert/is-glob.git) |
| Zowe Desktop Sample React Application | is-installed-globally |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-installed-globally](https://www.github.com/sindresorhus/is-installed-globally.git) |
| Zowe Desktop Sample React Application | is-npm |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-npm](https://www.github.com/sindresorhus/is-npm.git) |
| Zowe Desktop Sample React Application | is-number |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-number](https://www.github.com/jonschlinkert/is-number.git) |
| Zowe Desktop Sample React Application | is-number |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-number](https://www.github.com/jonschlinkert/is-number.git) |
| Zowe Desktop Sample React Application | is-number |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-number](https://www.github.com/jonschlinkert/is-number.git) |
| Zowe Desktop Sample React Application | is-obj |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-obj](https://www.github.com/sindresorhus/is-obj.git) |
| Zowe Desktop Sample React Application | is-path-cwd |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-cwd](https://www.github.com/sindresorhus/is-path-cwd.git) |
| Zowe Desktop Sample React Application | is-path-in-cwd |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-in-cwd](https://www.github.com/sindresorhus/is-path-in-cwd.git) |
| Zowe Desktop Sample React Application | is-path-inside |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-path-inside](https://www.github.com/sindresorhus/is-path-inside.git) |
| Zowe Desktop Sample React Application | is-plain-obj |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-plain-obj](https://www.github.com/sindresorhus/is-plain-obj.git) |
| Zowe Desktop Sample React Application | is-plain-object |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-plain-object](https://www.github.com/jonschlinkert/is-plain-object.git) |
| Zowe Desktop Sample React Application | is-posix-bracket |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-posix-bracket](https://www.github.com/jonschlinkert/is-posix-bracket.git) |
| Zowe Desktop Sample React Application | is-primitive |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-primitive](https://www.github.com/jonschlinkert/is-primitive.git) |
| Zowe Desktop Sample React Application | is-promise |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-promise](https://www.github.com/then/is-promise.git) |
| Zowe Desktop Sample React Application | is-redirect |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-redirect](https://www.github.com/sindresorhus/is-redirect.git) |
| Zowe Desktop Sample React Application | is-regex |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [is-regex](https://www.github.com/ljharb/is-regex.git) |
| Zowe Desktop Sample React Application | is-retry-allowed |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-retry-allowed](https://www.github.com/floatdrop/is-retry-allowed.git) |
| Zowe Desktop Sample React Application | is-root |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-root](https://www.github.com/sindresorhus/is-root.git) |
| Zowe Desktop Sample React Application | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe Desktop Sample React Application | is-svg |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-svg](https://www.github.com/sindresorhus/is-svg.git) |
| Zowe Desktop Sample React Application | is-symbol |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-symbol](https://www.github.com/ljharb/is-symbol.git) |
| Zowe Desktop Sample React Application | is-typedarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-typedarray](https://www.github.com/hughsk/is-typedarray.git) |
| Zowe Desktop Sample React Application | is-utf8 |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [is-utf8](https://www.github.com/wayfind/is-utf8.git) |
| Zowe Desktop Sample React Application | is-windows |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [is-windows](https://www.github.com/jonschlinkert/is-windows.git) |
| Zowe Desktop Sample React Application | is-wsl |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-wsl](https://www.github.com/sindresorhus/is-wsl.git) |
| Zowe Desktop Sample React Application | isarray |  v0.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe Desktop Sample React Application | isarray |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [isarray](https://www.github.com/juliangruber/isarray.git) |
| Zowe Desktop Sample React Application | isexe |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [isexe](https://www.github.com/isaacs/isexe.git) |
| Zowe Desktop Sample React Application | isobject |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [isobject](https://www.github.com/jonschlinkert/isobject.git) |
| Zowe Desktop Sample React Application | isobject |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [isobject](https://www.github.com/jonschlinkert/isobject.git) |
| Zowe Desktop Sample React Application | isomorphic-fetch |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [isomorphic-fetch](https://www.github.com/matthew-andrews/isomorphic-fetch.git) |
| Zowe Desktop Sample React Application | isstream |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [isstream](https://www.github.com/rvagg/isstream.git) |
| Zowe Desktop Sample React Application | istanbul-api |  v1.3.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-api](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe Desktop Sample React Application | istanbul-lib-coverage |  v1.2.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-coverage](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe Desktop Sample React Application | istanbul-lib-hook |  v1.2.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-hook](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe Desktop Sample React Application | istanbul-lib-instrument |  v1.10.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-instrument](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe Desktop Sample React Application | istanbul-lib-report |  v1.1.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-report](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe Desktop Sample React Application | istanbul-lib-source-maps |  v1.2.6 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-lib-source-maps](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe Desktop Sample React Application | istanbul-reports |  v1.5.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [istanbul-reports](https://www.github.com/istanbuljs/istanbuljs) |
| Zowe Desktop Sample React Application | jest |  v22.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [jest](https://www.github.com/facebook/jest) |
| Zowe Desktop Sample React Application | jest-changed-files |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-changed-files](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-cli |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [jest-cli](https://www.github.com/facebook/jest) |
| Zowe Desktop Sample React Application | jest-config |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [jest-config](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-diff |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-diff](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-docblock |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-docblock](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-environment-jsdom |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-environment-jsdom](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-environment-node |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-environment-node](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-get-type |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-get-type](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-haste-map |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-haste-map](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-jasmine2 |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [jest-jasmine2](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-leak-detector |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-leak-detector](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-matcher-utils |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-matcher-utils](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-message-util |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-message-util](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-mock |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-mock](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-regex-util |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-regex-util](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-resolve |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-resolve](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-resolve-dependencies |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-resolve-dependencies](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-runner |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [jest-runner](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-runtime |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [jest-runtime](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-serializer |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-serializer](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-snapshot |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-snapshot](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-util |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-util](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-validate |  v22.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [jest-validate](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | jest-worker |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [jest-worker](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | js-base64 |  v2.5.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [js-base64](https://www.github.com/dankogai/js-base64.git) |
| Zowe Desktop Sample React Application | js-tokens |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe Desktop Sample React Application | js-tokens |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe Desktop Sample React Application | js-yaml |  v3.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [js-yaml](https://www.github.com/nodeca/js-yaml.git) |
| Zowe Desktop Sample React Application | js-yaml |  v3.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-yaml](https://www.github.com/nodeca/js-yaml.git) |
| Zowe Desktop Sample React Application | jsbn |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsbn](https://www.github.com/andyperlitch/jsbn.git) |
| Zowe Desktop Sample React Application | jsdom |  v11.12.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsdom](https://www.github.com/jsdom/jsdom.git) |
| Zowe Desktop Sample React Application | jsesc |  v0.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsesc](https://www.github.com/mathiasbynens/jsesc.git) |
| Zowe Desktop Sample React Application | jsesc |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsesc](https://www.github.com/mathiasbynens/jsesc.git) |
| Zowe Desktop Sample React Application | json-loader |  v0.5.7 | [MIT](http://opensource.org/licenses/mit-license) | [json-loader](https://www.github.com/webpack/json-loader.git) |
| Zowe Desktop Sample React Application | json-schema |  v0.2.3 | BSD* | [json-schema](https://www.github.com/kriszyp/json-schema) |
| Zowe Desktop Sample React Application | json-schema-traverse |  v0.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-schema-traverse](https://www.github.com/epoberezkin/json-schema-traverse.git) |
| Zowe Desktop Sample React Application | json-schema-traverse |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-schema-traverse](https://www.github.com/epoberezkin/json-schema-traverse.git) |
| Zowe Desktop Sample React Application | json-stable-stringify |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json-stable-stringify](https://www.github.com/substack/json-stable-stringify.git) |
| Zowe Desktop Sample React Application | json-stringify-safe |  v5.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [json-stringify-safe](https://www.github.com/isaacs/json-stringify-safe) |
| Zowe Desktop Sample React Application | json3 |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [json3](https://www.github.com/bestiejs/json3.git) |
| Zowe Desktop Sample React Application | json5 |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/aseemk/json5.git) |
| Zowe Desktop Sample React Application | json5 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/json5/json5.git) |
| Zowe Desktop Sample React Application | jsonfile |  v2.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsonfile](https://www.github.com/jprichardson/node-jsonfile.git) |
| Zowe Desktop Sample React Application | jsonfile |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsonfile](https://www.github.com/jprichardson/node-jsonfile.git) |
| Zowe Desktop Sample React Application | jsonfile |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [jsonfile](https://www.github.com/jprichardson/node-jsonfile.git) |
| Zowe Desktop Sample React Application | jsonify |  v0.0.0 | Public Domain | [jsonify](https://www.github.com/substack/jsonify.git) |
| Zowe Desktop Sample React Application | jsprim |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [jsprim](https://www.github.com/joyent/node-jsprim.git) |
| Zowe Desktop Sample React Application | killable |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [killable](https://www.github.com/marten-de-vries/killable.git) |
| Zowe Desktop Sample React Application | kind-of |  v3.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe Desktop Sample React Application | kind-of |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe Desktop Sample React Application | kind-of |  v5.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe Desktop Sample React Application | kind-of |  v6.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [kind-of](https://www.github.com/jonschlinkert/kind-of.git) |
| Zowe Desktop Sample React Application | klaw |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [klaw](https://www.github.com/jprichardson/node-klaw.git) |
| Zowe Desktop Sample React Application | latest-version |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [latest-version](https://www.github.com/sindresorhus/latest-version.git) |
| Zowe Desktop Sample React Application | lazy-cache |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [lazy-cache](https://www.github.com/jonschlinkert/lazy-cache.git) |
| Zowe Desktop Sample React Application | lcid |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lcid](https://www.github.com/sindresorhus/lcid.git) |
| Zowe Desktop Sample React Application | left-pad |  v1.3.0 | WTFPL | [left-pad](https://www.github.com/stevemao/left-pad.git) |
| Zowe Desktop Sample React Application | leven |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [leven](https://www.github.com/sindresorhus/leven.git) |
| Zowe Desktop Sample React Application | levn |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [levn](https://www.github.com/gkz/levn.git) |
| Zowe Desktop Sample React Application | load-json-file |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [load-json-file](https://www.github.com/sindresorhus/load-json-file.git) |
| Zowe Desktop Sample React Application | load-json-file |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [load-json-file](https://www.github.com/sindresorhus/load-json-file.git) |
| Zowe Desktop Sample React Application | loader-runner |  v2.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loader-runner](https://www.github.com/webpack/loader-runner.git) |
| Zowe Desktop Sample React Application | loader-utils |  v0.2.17 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe Desktop Sample React Application | loader-utils |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe Desktop Sample React Application | locate-path |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Zowe Desktop Sample React Application | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash._reinterpolate |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash._reinterpolate](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.camelcase |  v4.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.camelcase](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.debounce |  v4.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.debounce](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.defaults |  v4.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.defaults](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.endswith |  v4.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.endswith](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.isfunction |  v3.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.isfunction](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.isstring |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.isstring](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.memoize |  v4.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.memoize](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.sortby |  v4.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.sortby](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.startswith |  v4.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.startswith](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.template |  v4.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.template](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.templatesettings |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.templatesettings](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | lodash.uniq |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [lodash.uniq](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop Sample React Application | loglevel |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [loglevel](https://www.github.com/pimterry/loglevel.git) |
| Zowe Desktop Sample React Application | longest |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [longest](https://www.github.com/jonschlinkert/longest.git) |
| Zowe Desktop Sample React Application | loose-envify |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loose-envify](https://www.github.com/zertosh/loose-envify.git) |
| Zowe Desktop Sample React Application | loud-rejection |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [loud-rejection](https://www.github.com/sindresorhus/loud-rejection.git) |
| Zowe Desktop Sample React Application | lower-case |  v1.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [lower-case](https://www.github.com/blakeembrey/lower-case.git) |
| Zowe Desktop Sample React Application | lowercase-keys |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [lowercase-keys](https://www.github.com/sindresorhus/lowercase-keys.git) |
| Zowe Desktop Sample React Application | lru-cache |  v4.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [lru-cache](https://www.github.com/isaacs/node-lru-cache.git) |
| Zowe Desktop Sample React Application | make-dir |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [make-dir](https://www.github.com/sindresorhus/make-dir.git) |
| Zowe Desktop Sample React Application | makeerror |  v1.0.11 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [makeerror](https://www.github.com/daaku/nodejs-makeerror) |
| Zowe Desktop Sample React Application | map-cache |  v0.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [map-cache](https://www.github.com/jonschlinkert/map-cache.git) |
| Zowe Desktop Sample React Application | map-obj |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [map-obj](https://www.github.com/sindresorhus/map-obj.git) |
| Zowe Desktop Sample React Application | map-visit |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [map-visit](https://www.github.com/jonschlinkert/map-visit.git) |
| Zowe Desktop Sample React Application | math-expression-evaluator |  v1.2.17 | [MIT](http://opensource.org/licenses/mit-license) | [math-expression-evaluator](https://www.github.com/redhivesoftware/math-expression-evaluator#readme) |
| Zowe Desktop Sample React Application | math-random |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [math-random](https://www.github.com/michaelrhodes/math-random.git) |
| Zowe Desktop Sample React Application | md5.js |  v1.3.5 | [MIT](http://opensource.org/licenses/mit-license) | [md5.js](https://www.github.com/crypto-browserify/md5.js.git) |
| Zowe Desktop Sample React Application | media-typer |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [media-typer](https://www.github.com/jshttp/media-typer.git) |
| Zowe Desktop Sample React Application | mem |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [mem](https://www.github.com/sindresorhus/mem.git) |
| Zowe Desktop Sample React Application | memory-fs |  v0.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [memory-fs](https://www.github.com/webpack/memory-fs.git) |
| Zowe Desktop Sample React Application | meow |  v3.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [meow](https://www.github.com/sindresorhus/meow.git) |
| Zowe Desktop Sample React Application | merge |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [merge](https://www.github.com/yeikos/js.merge.git) |
| Zowe Desktop Sample React Application | merge-descriptors |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [merge-descriptors](https://www.github.com/component/merge-descriptors.git) |
| Zowe Desktop Sample React Application | merge-stream |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [merge-stream](https://www.github.com/grncdr/merge-stream.git) |
| Zowe Desktop Sample React Application | methods |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [methods](https://www.github.com/jshttp/methods.git) |
| Zowe Desktop Sample React Application | micromatch |  v2.3.11 | [MIT](http://opensource.org/licenses/mit-license) | [micromatch](https://www.github.com/jonschlinkert/micromatch.git) |
| Zowe Desktop Sample React Application | micromatch |  v3.1.10 | [MIT](http://opensource.org/licenses/mit-license) | [micromatch](https://www.github.com/micromatch/micromatch.git) |
| Zowe Desktop Sample React Application | miller-rabin |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [miller-rabin](https://www.github.com/indutny/miller-rabin) |
| Zowe Desktop Sample React Application | mime |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe Desktop Sample React Application | mime |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe Desktop Sample React Application | mime-db |  v1.37.0 | [MIT](http://opensource.org/licenses/mit-license) | [mime-db](https://www.github.com/jshttp/mime-db.git) |
| Zowe Desktop Sample React Application | mime-types |  v2.1.21 | [MIT](http://opensource.org/licenses/mit-license) | [mime-types](https://www.github.com/jshttp/mime-types.git) |
| Zowe Desktop Sample React Application | mimic-fn |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [mimic-fn](https://www.github.com/sindresorhus/mimic-fn.git) |
| Zowe Desktop Sample React Application | minimalistic-assert |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimalistic-assert](https://www.github.com/calvinmetcalf/minimalistic-assert.git) |
| Zowe Desktop Sample React Application | minimalistic-crypto-utils |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [minimalistic-crypto-utils](https://www.github.com/indutny/minimalistic-crypto-utils.git) |
| Zowe Desktop Sample React Application | minimatch |  v3.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Zowe Desktop Sample React Application | minimatch |  v3.0.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minimatch](https://www.github.com/isaacs/minimatch.git) |
| Zowe Desktop Sample React Application | minimist |  v0.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop Sample React Application | minimist |  v0.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop Sample React Application | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop Sample React Application | minipass |  v2.3.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [minipass](https://www.github.com/isaacs/minipass.git) |
| Zowe Desktop Sample React Application | minizlib |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [minizlib](https://www.github.com/isaacs/minizlib.git) |
| Zowe Desktop Sample React Application | mississippi |  v2.0.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [mississippi](https://www.github.com/maxogden/mississippi.git) |
| Zowe Desktop Sample React Application | mixin-deep |  v1.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [mixin-deep](https://www.github.com/jonschlinkert/mixin-deep.git) |
| Zowe Desktop Sample React Application | mkdirp |  v0.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [mkdirp](https://www.github.com/substack/node-mkdirp.git) |
| Zowe Desktop Sample React Application | move-concurrently |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [move-concurrently](https://www.github.com/npm/move-concurrently.git) |
| Zowe Desktop Sample React Application | ms |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Zowe Desktop Sample React Application | ms |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ms](https://www.github.com/zeit/ms.git) |
| Zowe Desktop Sample React Application | multicast-dns |  v6.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [multicast-dns](https://www.github.com/mafintosh/multicast-dns.git) |
| Zowe Desktop Sample React Application | multicast-dns-service-types |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [multicast-dns-service-types](https://www.github.com/mafintosh/multicast-dns-service-types.git) |
| Zowe Desktop Sample React Application | mute-stream |  v0.0.7 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [mute-stream](https://www.github.com/isaacs/mute-stream) |
| Zowe Desktop Sample React Application | nan |  v2.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [nan](https://www.github.com/nodejs/nan.git) |
| Zowe Desktop Sample React Application | nanomatch |  v1.2.13 | [MIT](http://opensource.org/licenses/mit-license) | [nanomatch](https://www.github.com/micromatch/nanomatch.git) |
| Zowe Desktop Sample React Application | natural-compare |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [natural-compare](https://www.github.com/litejs/natural-compare-lite.git) |
| Zowe Desktop Sample React Application | needle |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [needle](https://www.github.com/tomas/needle.git) |
| Zowe Desktop Sample React Application | negotiator |  v0.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [negotiator](https://www.github.com/jshttp/negotiator.git) |
| Zowe Desktop Sample React Application | neo-async |  v2.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [neo-async](https://www.github.com/suguru03/neo-async.git) |
| Zowe Desktop Sample React Application | next-tick |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [next-tick](https://www.github.com/medikoo/next-tick.git) |
| Zowe Desktop Sample React Application | no-case |  v2.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [no-case](https://www.github.com/blakeembrey/no-case.git) |
| Zowe Desktop Sample React Application | node-fetch |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch](https://www.github.com/bitinn/node-fetch.git) |
| Zowe Desktop Sample React Application | node-forge |  v0.7.5 | (BSD-3-Clause OR GPL-2.0) | [node-forge](https://www.github.com/digitalbazaar/forge) |
| Zowe Desktop Sample React Application | node-int64 |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-int64](https://www.github.com/broofa/node-int64) |
| Zowe Desktop Sample React Application | node-libs-browser |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-libs-browser](https://www.github.com/webpack/node-libs-browser.git) |
| Zowe Desktop Sample React Application | node-notifier |  v5.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [node-notifier](https://www.github.com/mikaelbr/node-notifier.git) |
| Zowe Desktop Sample React Application | node-pre-gyp |  v0.10.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [node-pre-gyp](https://www.github.com/mapbox/node-pre-gyp.git) |
| Zowe Desktop Sample React Application | nopt |  v4.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [nopt](https://www.github.com/npm/nopt.git) |
| Zowe Desktop Sample React Application | normalize-package-data |  v2.4.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [normalize-package-data](https://www.github.com/npm/normalize-package-data.git) |
| Zowe Desktop Sample React Application | normalize-path |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [normalize-path](https://www.github.com/jonschlinkert/normalize-path.git) |
| Zowe Desktop Sample React Application | normalize-range |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [normalize-range](https://www.github.com/jamestalmage/normalize-range.git) |
| Zowe Desktop Sample React Application | normalize-url |  v1.9.1 | [MIT](http://opensource.org/licenses/mit-license) | [normalize-url](https://www.github.com/sindresorhus/normalize-url.git) |
| Zowe Desktop Sample React Application | npm-bundled |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-bundled](https://www.github.com/npm/npm-bundled.git) |
| Zowe Desktop Sample React Application | npm-packlist |  v1.2.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npm-packlist](https://www.github.com/npm/npm-packlist.git) |
| Zowe Desktop Sample React Application | npm-run-path |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [npm-run-path](https://www.github.com/sindresorhus/npm-run-path.git) |
| Zowe Desktop Sample React Application | npmlog |  v4.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [npmlog](https://www.github.com/npm/npmlog.git) |
| Zowe Desktop Sample React Application | nth-check |  v1.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [nth-check](https://www.github.com/fb55/nth-check) |
| Zowe Desktop Sample React Application | num2fraction |  v1.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [num2fraction](https://www.github.com/yisibl/num2fraction.git) |
| Zowe Desktop Sample React Application | number-is-nan |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [number-is-nan](https://www.github.com/sindresorhus/number-is-nan.git) |
| Zowe Desktop Sample React Application | nwsapi |  v2.0.9 | [MIT](http://opensource.org/licenses/mit-license) | [nwsapi](https://www.github.com/dperini/nwsapi.git) |
| Zowe Desktop Sample React Application | oauth-sign |  v0.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [oauth-sign](https://www.github.com/mikeal/oauth-sign) |
| Zowe Desktop Sample React Application | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe Desktop Sample React Application | object-copy |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [object-copy](https://www.github.com/jonschlinkert/object-copy.git) |
| Zowe Desktop Sample React Application | object-keys |  v1.0.12 | [MIT](http://opensource.org/licenses/mit-license) | [object-keys](https://www.github.com/ljharb/object-keys.git) |
| Zowe Desktop Sample React Application | object-visit |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-visit](https://www.github.com/jonschlinkert/object-visit.git) |
| Zowe Desktop Sample React Application | object.getownpropertydescriptors |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [object.getownpropertydescriptors](https://www.github.com/ljharb/object.getownpropertydescriptors.git) |
| Zowe Desktop Sample React Application | object.omit |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [object.omit](https://www.github.com/jonschlinkert/object.omit.git) |
| Zowe Desktop Sample React Application | object.pick |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [object.pick](https://www.github.com/jonschlinkert/object.pick.git) |
| Zowe Desktop Sample React Application | obuf |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [obuf](https://www.github.com/indutny/offset-buffer) |
| Zowe Desktop Sample React Application | on-finished |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [on-finished](https://www.github.com/jshttp/on-finished.git) |
| Zowe Desktop Sample React Application | on-headers |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [on-headers](https://www.github.com/jshttp/on-headers.git) |
| Zowe Desktop Sample React Application | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Zowe Desktop Sample React Application | onetime |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [onetime](https://www.github.com/sindresorhus/onetime.git) |
| Zowe Desktop Sample React Application | opn |  v5.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [opn](https://www.github.com/sindresorhus/opn.git) |
| Zowe Desktop Sample React Application | opn |  v5.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [opn](https://www.github.com/sindresorhus/opn.git) |
| Zowe Desktop Sample React Application | optimist |  v0.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [optimist](https://www.github.com/substack/node-optimist.git) |
| Zowe Desktop Sample React Application | optionator |  v0.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [optionator](https://www.github.com/gkz/optionator.git) |
| Zowe Desktop Sample React Application | original |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [original](https://www.github.com/unshiftio/original) |
| Zowe Desktop Sample React Application | os-browserify |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-browserify](https://www.github.com/CoderPuppy/os-browserify.git) |
| Zowe Desktop Sample React Application | os-homedir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-homedir](https://www.github.com/sindresorhus/os-homedir.git) |
| Zowe Desktop Sample React Application | os-locale |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-locale](https://www.github.com/sindresorhus/os-locale.git) |
| Zowe Desktop Sample React Application | os-locale |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-locale](https://www.github.com/sindresorhus/os-locale.git) |
| Zowe Desktop Sample React Application | os-tmpdir |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [os-tmpdir](https://www.github.com/sindresorhus/os-tmpdir.git) |
| Zowe Desktop Sample React Application | osenv |  v0.1.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [osenv](https://www.github.com/npm/osenv) |
| Zowe Desktop Sample React Application | p-finally |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-finally](https://www.github.com/sindresorhus/p-finally.git) |
| Zowe Desktop Sample React Application | p-limit |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Zowe Desktop Sample React Application | p-locate |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Zowe Desktop Sample React Application | p-map |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-map](https://www.github.com/sindresorhus/p-map.git) |
| Zowe Desktop Sample React Application | p-try |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Zowe Desktop Sample React Application | package-json |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [package-json](https://www.github.com/sindresorhus/package-json.git) |
| Zowe Desktop Sample React Application | pako |  v1.0.8 | (MIT AND Zlib) | [pako](https://www.github.com/nodeca/pako.git) |
| Zowe Desktop Sample React Application | parallel-transform |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [parallel-transform](https://www.github.com/mafintosh/parallel-transform) |
| Zowe Desktop Sample React Application | param-case |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [param-case](https://www.github.com/blakeembrey/param-case.git) |
| Zowe Desktop Sample React Application | parse-asn1 |  v5.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [parse-asn1](https://www.github.com/crypto-browserify/parse-asn1.git) |
| Zowe Desktop Sample React Application | parse-glob |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [parse-glob](https://www.github.com/jonschlinkert/parse-glob.git) |
| Zowe Desktop Sample React Application | parse-json |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse-json](https://www.github.com/sindresorhus/parse-json.git) |
| Zowe Desktop Sample React Application | parse-passwd |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse-passwd](https://www.github.com/doowb/parse-passwd.git) |
| Zowe Desktop Sample React Application | parse5 |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [parse5](https://www.github.com/inikulin/parse5.git) |
| Zowe Desktop Sample React Application | parseurl |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [parseurl](https://www.github.com/pillarjs/parseurl.git) |
| Zowe Desktop Sample React Application | pascalcase |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [pascalcase](https://www.github.com/jonschlinkert/pascalcase.git) |
| Zowe Desktop Sample React Application | path-browserify |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-browserify](https://www.github.com/substack/path-browserify.git) |
| Zowe Desktop Sample React Application | path-dirname |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [path-dirname](https://www.github.com/es128/path-dirname.git) |
| Zowe Desktop Sample React Application | path-exists |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Zowe Desktop Sample React Application | path-exists |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Zowe Desktop Sample React Application | path-is-absolute |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-is-absolute](https://www.github.com/sindresorhus/path-is-absolute.git) |
| Zowe Desktop Sample React Application | path-is-inside |  v1.0.2 | (WTFPL OR MIT) | [path-is-inside](https://www.github.com/domenic/path-is-inside.git) |
| Zowe Desktop Sample React Application | path-key |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-key](https://www.github.com/sindresorhus/path-key.git) |
| Zowe Desktop Sample React Application | path-parse |  v1.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [path-parse](https://www.github.com/jbgutierrez/path-parse.git) |
| Zowe Desktop Sample React Application | path-to-regexp |  v0.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [path-to-regexp](https://www.github.com/component/path-to-regexp.git) |
| Zowe Desktop Sample React Application | path-to-regexp |  v1.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-to-regexp](https://www.github.com/pillarjs/path-to-regexp.git) |
| Zowe Desktop Sample React Application | path-type |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Zowe Desktop Sample React Application | path-type |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-type](https://www.github.com/sindresorhus/path-type.git) |
| Zowe Desktop Sample React Application | pbkdf2 |  v3.0.17 | [MIT](http://opensource.org/licenses/mit-license) | [pbkdf2](https://www.github.com/crypto-browserify/pbkdf2.git) |
| Zowe Desktop Sample React Application | performance-now |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [performance-now](https://www.github.com/braveg1rl/performance-now.git) |
| Zowe Desktop Sample React Application | pify |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Zowe Desktop Sample React Application | pify |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pify](https://www.github.com/sindresorhus/pify.git) |
| Zowe Desktop Sample React Application | pinkie |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [pinkie](https://www.github.com/floatdrop/pinkie.git) |
| Zowe Desktop Sample React Application | pinkie-promise |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [pinkie-promise](https://www.github.com/floatdrop/pinkie-promise.git) |
| Zowe Desktop Sample React Application | pkg-dir |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pkg-dir](https://www.github.com/sindresorhus/pkg-dir.git) |
| Zowe Desktop Sample React Application | pn |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [pn](https://www.github.com/cscott/node-pn) |
| Zowe Desktop Sample React Application | portfinder |  v1.0.20 | [MIT](http://opensource.org/licenses/mit-license) | [portfinder](https://www.github.com/indexzero/node-portfinder.git) |
| Zowe Desktop Sample React Application | posix-character-classes |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [posix-character-classes](https://www.github.com/jonschlinkert/posix-character-classes.git) |
| Zowe Desktop Sample React Application | postcss |  v5.2.18 | [MIT](http://opensource.org/licenses/mit-license) | [postcss](https://www.github.com/postcss/postcss.git) |
| Zowe Desktop Sample React Application | postcss |  v6.0.23 | [MIT](http://opensource.org/licenses/mit-license) | [postcss](https://www.github.com/postcss/postcss.git) |
| Zowe Desktop Sample React Application | postcss-calc |  v5.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-calc](https://www.github.com/postcss/postcss-calc.git) |
| Zowe Desktop Sample React Application | postcss-colormin |  v2.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-colormin](https://www.github.com/ben-eb/postcss-colormin.git) |
| Zowe Desktop Sample React Application | postcss-convert-values |  v2.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-convert-values](https://www.github.com/ben-eb/postcss-convert-values.git) |
| Zowe Desktop Sample React Application | postcss-discard-comments |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-comments](https://www.github.com/ben-eb/postcss-discard-comments.git) |
| Zowe Desktop Sample React Application | postcss-discard-duplicates |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-duplicates](https://www.github.com/ben-eb/postcss-discard-duplicates.git) |
| Zowe Desktop Sample React Application | postcss-discard-empty |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-empty](https://www.github.com/ben-eb/postcss-discard-empty.git) |
| Zowe Desktop Sample React Application | postcss-discard-overridden |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-overridden](https://www.github.com/Justineo/postcss-discard-overridden.git) |
| Zowe Desktop Sample React Application | postcss-discard-unused |  v2.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-discard-unused](https://www.github.com/ben-eb/postcss-discard-unused.git) |
| Zowe Desktop Sample React Application | postcss-filter-plugins |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-filter-plugins](https://www.github.com/postcss/postcss-filter-plugins.git) |
| Zowe Desktop Sample React Application | postcss-flexbugs-fixes |  v3.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-flexbugs-fixes](https://www.github.com/luisrudge/postcss-flexbugs-fixes.git) |
| Zowe Desktop Sample React Application | postcss-load-config |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-load-config](https://www.github.com/michael-ciniawsky/postcss-load-config.git) |
| Zowe Desktop Sample React Application | postcss-load-options |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-load-options](https://www.github.com/michael-ciniawsky/postcss-load-options.git) |
| Zowe Desktop Sample React Application | postcss-load-plugins |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-load-plugins](https://www.github.com/michael-ciniawsky/postcss-load-plugins.git) |
| Zowe Desktop Sample React Application | postcss-loader |  v2.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-loader](https://www.github.com/postcss/postcss-loader.git) |
| Zowe Desktop Sample React Application | postcss-merge-idents |  v2.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-merge-idents](https://www.github.com/ben-eb/postcss-merge-idents.git) |
| Zowe Desktop Sample React Application | postcss-merge-longhand |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-merge-longhand](https://www.github.com/ben-eb/postcss-merge-longhand.git) |
| Zowe Desktop Sample React Application | postcss-merge-rules |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-merge-rules](https://www.github.com/ben-eb/postcss-merge-rules.git) |
| Zowe Desktop Sample React Application | postcss-message-helpers |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-message-helpers](https://www.github.com/MoOx/postcss-message-helpers.git) |
| Zowe Desktop Sample React Application | postcss-minify-font-values |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-font-values](https://www.github.com/TrySound/postcss-minify-font-values.git) |
| Zowe Desktop Sample React Application | postcss-minify-gradients |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-gradients](https://www.github.com/ben-eb/postcss-minify-gradients.git) |
| Zowe Desktop Sample React Application | postcss-minify-params |  v1.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-params](https://www.github.com/ben-eb/postcss-minify-params.git) |
| Zowe Desktop Sample React Application | postcss-minify-selectors |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-minify-selectors](https://www.github.com/ben-eb/postcss-minify-selectors.git) |
| Zowe Desktop Sample React Application | postcss-modules-extract-imports |  v1.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [postcss-modules-extract-imports](https://www.github.com/css-modules/postcss-modules-extract-imports.git) |
| Zowe Desktop Sample React Application | postcss-modules-local-by-default |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-modules-local-by-default](https://www.github.com/css-modules/postcss-modules-local-by-default.git) |
| Zowe Desktop Sample React Application | postcss-modules-scope |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [postcss-modules-scope](https://www.github.com/css-modules/postcss-modules-scope.git) |
| Zowe Desktop Sample React Application | postcss-modules-values |  v1.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [postcss-modules-values](https://www.github.com/css-modules/postcss-modules-values.git) |
| Zowe Desktop Sample React Application | postcss-normalize-charset |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-charset](https://www.github.com/ben-eb/postcss-charset.git) |
| Zowe Desktop Sample React Application | postcss-normalize-url |  v3.0.8 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-normalize-url](https://www.github.com/ben-eb/postcss-normalize-url.git) |
| Zowe Desktop Sample React Application | postcss-ordered-values |  v2.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-ordered-values](https://www.github.com/ben-eb/postcss-ordered-values.git) |
| Zowe Desktop Sample React Application | postcss-reduce-idents |  v2.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-reduce-idents](https://www.github.com/ben-eb/postcss-reduce-idents.git) |
| Zowe Desktop Sample React Application | postcss-reduce-initial |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-reduce-initial](https://www.github.com/ben-eb/postcss-reduce-initial.git) |
| Zowe Desktop Sample React Application | postcss-reduce-transforms |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-reduce-transforms](https://www.github.com/ben-eb/postcss-reduce-transforms.git) |
| Zowe Desktop Sample React Application | postcss-selector-parser |  v2.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-selector-parser](https://www.github.com/postcss/postcss-selector-parser.git) |
| Zowe Desktop Sample React Application | postcss-svgo |  v2.1.6 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-svgo](https://www.github.com/ben-eb/postcss-svgo.git) |
| Zowe Desktop Sample React Application | postcss-unique-selectors |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-unique-selectors](https://www.github.com/ben-eb/postcss-unique-selectors.git) |
| Zowe Desktop Sample React Application | postcss-value-parser |  v3.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-value-parser](https://www.github.com/TrySound/postcss-value-parser.git) |
| Zowe Desktop Sample React Application | postcss-zindex |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [postcss-zindex](https://www.github.com/ben-eb/postcss-zindex.git) |
| Zowe Desktop Sample React Application | prelude-ls |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [prelude-ls](https://www.github.com/gkz/prelude-ls.git) |
| Zowe Desktop Sample React Application | prepend-http |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [prepend-http](https://www.github.com/sindresorhus/prepend-http.git) |
| Zowe Desktop Sample React Application | preserve |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [preserve](https://www.github.com/jonschlinkert/preserve.git) |
| Zowe Desktop Sample React Application | pretty-bytes |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [pretty-bytes](https://www.github.com/sindresorhus/pretty-bytes.git) |
| Zowe Desktop Sample React Application | pretty-error |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [pretty-error](https://www.github.com/AriaMinaei/pretty-error.git) |
| Zowe Desktop Sample React Application | pretty-format |  v22.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [pretty-format](https://www.github.com/facebook/jest.git) |
| Zowe Desktop Sample React Application | private |  v0.1.8 | [MIT](http://opensource.org/licenses/mit-license) | [private](https://www.github.com/benjamn/private.git) |
| Zowe Desktop Sample React Application | process |  v0.11.10 | [MIT](http://opensource.org/licenses/mit-license) | [process](https://www.github.com/shtylman/node-process.git) |
| Zowe Desktop Sample React Application | process-nextick-args |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [process-nextick-args](https://www.github.com/calvinmetcalf/process-nextick-args.git) |
| Zowe Desktop Sample React Application | promise |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe Desktop Sample React Application | promise |  v8.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe Desktop Sample React Application | promise-inflight |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [promise-inflight](https://www.github.com/iarna/promise-inflight.git) |
| Zowe Desktop Sample React Application | prop-types |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [prop-types](https://www.github.com/facebook/prop-types.git) |
| Zowe Desktop Sample React Application | proxy-addr |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [proxy-addr](https://www.github.com/jshttp/proxy-addr.git) |
| Zowe Desktop Sample React Application | prr |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [prr](https://www.github.com/rvagg/prr.git) |
| Zowe Desktop Sample React Application | pseudomap |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [pseudomap](https://www.github.com/isaacs/pseudomap.git) |
| Zowe Desktop Sample React Application | psl |  v1.1.31 | [MIT](http://opensource.org/licenses/mit-license) | [psl](https://www.github.com/wrangr/psl.git) |
| Zowe Desktop Sample React Application | public-encrypt |  v4.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [public-encrypt](https://www.github.com/crypto-browserify/publicEncrypt.git) |
| Zowe Desktop Sample React Application | pump |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe Desktop Sample React Application | pumpify |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [pumpify](https://www.github.com/mafintosh/pumpify) |
| Zowe Desktop Sample React Application | punycode |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe Desktop Sample React Application | punycode |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe Desktop Sample React Application | punycode |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [punycode](https://www.github.com/bestiejs/punycode.js.git) |
| Zowe Desktop Sample React Application | q |  v1.5.1 | [MIT](http://opensource.org/licenses/mit-license) | [q](https://www.github.com/kriskowal/q.git) |
| Zowe Desktop Sample React Application | qs |  v6.5.2 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [qs](https://www.github.com/ljharb/qs.git) |
| Zowe Desktop Sample React Application | query-string |  v4.3.4 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Zowe Desktop Sample React Application | querystring |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [querystring](https://www.github.com/Gozala/querystring.git) |
| Zowe Desktop Sample React Application | querystring-es3 |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [querystring-es3](https://www.github.com/mike-spainhower/querystring.git) |
| Zowe Desktop Sample React Application | querystringify |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [querystringify](https://www.github.com/unshiftio/querystringify) |
| Zowe Desktop Sample React Application | raf |  v3.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [raf](https://www.github.com/chrisdickinson/raf.git) |
| Zowe Desktop Sample React Application | randomatic |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [randomatic](https://www.github.com/jonschlinkert/randomatic.git) |
| Zowe Desktop Sample React Application | randombytes |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [randombytes](https://www.github.com/crypto-browserify/randombytes.git) |
| Zowe Desktop Sample React Application | randomfill |  v1.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [randomfill](https://www.github.com/crypto-browserify/randomfill.git) |
| Zowe Desktop Sample React Application | range-parser |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [range-parser](https://www.github.com/jshttp/range-parser.git) |
| Zowe Desktop Sample React Application | raw-body |  v2.3.3 | [MIT](http://opensource.org/licenses/mit-license) | [raw-body](https://www.github.com/stream-utils/raw-body.git) |
| Zowe Desktop Sample React Application | rc |  v1.2.8 | (BSD-2-Clause OR MIT OR Apache-2.0) | [rc](https://www.github.com/dominictarr/rc.git) |
| Zowe Desktop Sample React Application | react |  v16.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [react](https://www.github.com/facebook/react.git) |
| Zowe Desktop Sample React Application | react-dev-utils |  v5.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [react-dev-utils](https://www.github.com/facebookincubator/create-react-app.git) |
| Zowe Desktop Sample React Application | react-dom |  v16.4.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-dom](https://www.github.com/facebook/react.git) |
| Zowe Desktop Sample React Application | react-error-overlay |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-error-overlay](https://www.github.com/facebookincubator/create-react-app.git) |
| Zowe Desktop Sample React Application | react-router |  v4.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-router](https://www.github.com/ReactTraining/react-router.git) |
| Zowe Desktop Sample React Application | react-scripts-ts |  v2.16.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [react-scripts-ts](https://www.github.com/wmonk/create-react-app.git) |
| Zowe Desktop Sample React Application | read-pkg |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg](https://www.github.com/sindresorhus/read-pkg.git) |
| Zowe Desktop Sample React Application | read-pkg |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg](https://www.github.com/sindresorhus/read-pkg.git) |
| Zowe Desktop Sample React Application | read-pkg-up |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg-up](https://www.github.com/sindresorhus/read-pkg-up.git) |
| Zowe Desktop Sample React Application | read-pkg-up |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [read-pkg-up](https://www.github.com/sindresorhus/read-pkg-up.git) |
| Zowe Desktop Sample React Application | readable-stream |  v1.0.34 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/isaacs/readable-stream) |
| Zowe Desktop Sample React Application | readable-stream |  v2.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [readable-stream](https://www.github.com/nodejs/readable-stream) |
| Zowe Desktop Sample React Application | readdirp |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [readdirp](https://www.github.com/paulmillr/readdirp.git) |
| Zowe Desktop Sample React Application | realpath-native |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [realpath-native](https://www.github.com/SimenB/realpath-native.git) |
| Zowe Desktop Sample React Application | recursive-readdir |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [recursive-readdir](https://www.github.com/jergason/recursive-readdir.git) |
| Zowe Desktop Sample React Application | redent |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [redent](https://www.github.com/sindresorhus/redent.git) |
| Zowe Desktop Sample React Application | reduce-css-calc |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [reduce-css-calc](https://www.github.com/MoOx/reduce-css-calc.git) |
| Zowe Desktop Sample React Application | reduce-function-call |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [reduce-function-call](https://www.github.com/MoOx/reduce-function-call.git) |
| Zowe Desktop Sample React Application | regenerate |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [regenerate](https://www.github.com/mathiasbynens/regenerate.git) |
| Zowe Desktop Sample React Application | regenerator-runtime |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop Sample React Application | regenerator-transform |  v0.10.1 | [BSD](http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29) | [regenerator-transform](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-transform) |
| Zowe Desktop Sample React Application | regex-cache |  v0.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [regex-cache](https://www.github.com/jonschlinkert/regex-cache.git) |
| Zowe Desktop Sample React Application | regex-not |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [regex-not](https://www.github.com/jonschlinkert/regex-not.git) |
| Zowe Desktop Sample React Application | regexpu-core |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [regexpu-core](https://www.github.com/mathiasbynens/regexpu-core.git) |
| Zowe Desktop Sample React Application | regexpu-core |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [regexpu-core](https://www.github.com/mathiasbynens/regexpu-core.git) |
| Zowe Desktop Sample React Application | registry-auth-token |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [registry-auth-token](https://www.github.com/rexxars/registry-auth-token.git) |
| Zowe Desktop Sample React Application | registry-url |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [registry-url](https://www.github.com/sindresorhus/registry-url.git) |
| Zowe Desktop Sample React Application | regjsgen |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [regjsgen](https://www.github.com/d10/regjsgen.git) |
| Zowe Desktop Sample React Application | regjsparser |  v0.1.5 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [regjsparser](https://www.github.com/jviereck/regjsparser.git) |
| Zowe Desktop Sample React Application | relateurl |  v0.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [relateurl](https://www.github.com/stevenvachon/relateurl.git) |
| Zowe Desktop Sample React Application | remove-trailing-separator |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [remove-trailing-separator](https://www.github.com/darsain/remove-trailing-separator.git) |
| Zowe Desktop Sample React Application | renderkid |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [renderkid](https://www.github.com/AriaMinaei/RenderKid.git) |
| Zowe Desktop Sample React Application | repeat-element |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [repeat-element](https://www.github.com/jonschlinkert/repeat-element.git) |
| Zowe Desktop Sample React Application | repeat-string |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [repeat-string](https://www.github.com/jonschlinkert/repeat-string.git) |
| Zowe Desktop Sample React Application | repeating |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [repeating](https://www.github.com/sindresorhus/repeating.git) |
| Zowe Desktop Sample React Application | request |  v2.88.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [request](https://www.github.com/request/request.git) |
| Zowe Desktop Sample React Application | request-promise-core |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [request-promise-core](https://www.github.com/request/promise-core.git) |
| Zowe Desktop Sample React Application | request-promise-native |  v1.0.5 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [request-promise-native](https://www.github.com/request/request-promise-native.git) |
| Zowe Desktop Sample React Application | require-directory |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [require-directory](https://www.github.com/troygoode/node-require-directory.git) |
| Zowe Desktop Sample React Application | require-from-string |  v1.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [require-from-string](https://www.github.com/floatdrop/require-from-string.git) |
| Zowe Desktop Sample React Application | require-main-filename |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [require-main-filename](https://www.github.com/yargs/require-main-filename.git) |
| Zowe Desktop Sample React Application | requires-port |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [requires-port](https://www.github.com/unshiftio/requires-port) |
| Zowe Desktop Sample React Application | resolve |  v1.1.7 | [MIT](http://opensource.org/licenses/mit-license) | [resolve](https://www.github.com/substack/node-resolve.git) |
| Zowe Desktop Sample React Application | resolve |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve](https://www.github.com/browserify/resolve.git) |
| Zowe Desktop Sample React Application | resolve |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve](https://www.github.com/browserify/node-resolve.git) |
| Zowe Desktop Sample React Application | resolve-cwd |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-cwd](https://www.github.com/sindresorhus/resolve-cwd.git) |
| Zowe Desktop Sample React Application | resolve-dir |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-dir](https://www.github.com/jonschlinkert/resolve-dir.git) |
| Zowe Desktop Sample React Application | resolve-from |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-from](https://www.github.com/sindresorhus/resolve-from.git) |
| Zowe Desktop Sample React Application | resolve-pathname |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-pathname](https://www.github.com/mjackson/resolve-pathname.git) |
| Zowe Desktop Sample React Application | resolve-url |  v0.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [resolve-url](https://www.github.com/lydell/resolve-url.git) |
| Zowe Desktop Sample React Application | restore-cursor |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [restore-cursor](https://www.github.com/sindresorhus/restore-cursor.git) |
| Zowe Desktop Sample React Application | ret |  v0.1.15 | [MIT](http://opensource.org/licenses/mit-license) | [ret](https://www.github.com/fent/ret.js.git) |
| Zowe Desktop Sample React Application | right-align |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [right-align](https://www.github.com/jonschlinkert/right-align.git) |
| Zowe Desktop Sample React Application | rimraf |  v2.6.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [rimraf](https://www.github.com/isaacs/rimraf.git) |
| Zowe Desktop Sample React Application | ripemd160 |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [ripemd160](https://www.github.com/crypto-browserify/ripemd160) |
| Zowe Desktop Sample React Application | rsvp |  v3.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [rsvp](https://www.github.com/tildeio/rsvp.js.git) |
| Zowe Desktop Sample React Application | run-async |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [run-async](https://www.github.com/SBoudrias/run-async.git) |
| Zowe Desktop Sample React Application | run-queue |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [run-queue](https://www.github.com/iarna/run-queue.git) |
| Zowe Desktop Sample React Application | rx-lite |  v4.0.8 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rx-lite](https://www.github.com/Reactive-Extensions/RxJS.git) |
| Zowe Desktop Sample React Application | rx-lite-aggregates |  v4.0.8 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [rx-lite-aggregates](https://www.github.com/Reactive-Extensions/RxJS.git) |
| Zowe Desktop Sample React Application | safe-buffer |  v5.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safe-buffer](https://www.github.com/feross/safe-buffer.git) |
| Zowe Desktop Sample React Application | safe-regex |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [safe-regex](https://www.github.com/substack/safe-regex.git) |
| Zowe Desktop Sample React Application | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe Desktop Sample React Application | sane |  v2.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [sane](https://www.github.com/amasad/sane) |
| Zowe Desktop Sample React Application | sax |  v1.2.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [sax](https://www.github.com/isaacs/sax-js.git) |
| Zowe Desktop Sample React Application | schema-utils |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [schema-utils](https://www.github.com/webpack-contrib/schema-utils.git) |
| Zowe Desktop Sample React Application | schema-utils |  v0.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [schema-utils](https://www.github.com/webpack-contrib/schema-utils) |
| Zowe Desktop Sample React Application | select-hose |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [select-hose](https://www.github.com/indutny/select-hose.git) |
| Zowe Desktop Sample React Application | selfsigned |  v1.10.4 | [MIT](http://opensource.org/licenses/mit-license) | [selfsigned](https://www.github.com/jfromaniello/selfsigned.git) |
| Zowe Desktop Sample React Application | semver |  v5.6.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe Desktop Sample React Application | semver-diff |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [semver-diff](https://www.github.com/sindresorhus/semver-diff.git) |
| Zowe Desktop Sample React Application | send |  v0.16.2 | [MIT](http://opensource.org/licenses/mit-license) | [send](https://www.github.com/pillarjs/send.git) |
| Zowe Desktop Sample React Application | serialize-javascript |  v1.6.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [serialize-javascript](https://www.github.com/yahoo/serialize-javascript.git) |
| Zowe Desktop Sample React Application | serve-index |  v1.9.1 | [MIT](http://opensource.org/licenses/mit-license) | [serve-index](https://www.github.com/expressjs/serve-index.git) |
| Zowe Desktop Sample React Application | serve-static |  v1.13.2 | [MIT](http://opensource.org/licenses/mit-license) | [serve-static](https://www.github.com/expressjs/serve-static.git) |
| Zowe Desktop Sample React Application | serviceworker-cache-polyfill |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [serviceworker-cache-polyfill](https://www.github.com/coonsta/cache-polyfill.git) |
| Zowe Desktop Sample React Application | set-blocking |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [set-blocking](https://www.github.com/yargs/set-blocking.git) |
| Zowe Desktop Sample React Application | set-value |  v0.4.3 | [MIT](http://opensource.org/licenses/mit-license) | [set-value](https://www.github.com/jonschlinkert/set-value.git) |
| Zowe Desktop Sample React Application | set-value |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [set-value](https://www.github.com/jonschlinkert/set-value.git) |
| Zowe Desktop Sample React Application | setimmediate |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [setimmediate](https://www.github.com/YuzuJS/setImmediate.git) |
| Zowe Desktop Sample React Application | setprototypeof |  v1.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [setprototypeof](https://www.github.com/wesleytodd/setprototypeof.git) |
| Zowe Desktop Sample React Application | sha.js |  v2.4.11 | (MIT AND BSD-3-Clause) | [sha.js](https://www.github.com/crypto-browserify/sha.js.git) |
| Zowe Desktop Sample React Application | shebang-command |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-command](https://www.github.com/kevva/shebang-command.git) |
| Zowe Desktop Sample React Application | shebang-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-regex](https://www.github.com/sindresorhus/shebang-regex.git) |
| Zowe Desktop Sample React Application | shell-quote |  v1.6.1 | [MIT](http://opensource.org/licenses/mit-license) | [shell-quote](https://www.github.com/substack/node-shell-quote.git) |
| Zowe Desktop Sample React Application | shellwords |  v0.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [shellwords](https://www.github.com/jimmycuadra/shellwords.git) |
| Zowe Desktop Sample React Application | signal-exit |  v3.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [signal-exit](https://www.github.com/tapjs/signal-exit.git) |
| Zowe Desktop Sample React Application | slash |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [slash](https://www.github.com/sindresorhus/slash.git) |
| Zowe Desktop Sample React Application | snapdragon |  v0.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [snapdragon](https://www.github.com/jonschlinkert/snapdragon.git) |
| Zowe Desktop Sample React Application | snapdragon-node |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [snapdragon-node](https://www.github.com/jonschlinkert/snapdragon-node.git) |
| Zowe Desktop Sample React Application | snapdragon-util |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [snapdragon-util](https://www.github.com/jonschlinkert/snapdragon-util.git) |
| Zowe Desktop Sample React Application | sockjs |  v0.3.18 | [MIT](http://opensource.org/licenses/mit-license) | [sockjs](https://www.github.com/sockjs/sockjs-node.git) |
| Zowe Desktop Sample React Application | sockjs-client |  v1.1.4 | [MIT](http://opensource.org/licenses/mit-license) | [sockjs-client](https://www.github.com/sockjs/sockjs-client.git) |
| Zowe Desktop Sample React Application | sockjs-client |  v1.1.5 | [MIT](http://opensource.org/licenses/mit-license) | [sockjs-client](https://www.github.com/sockjs/sockjs-client.git) |
| Zowe Desktop Sample React Application | sort-keys |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [sort-keys](https://www.github.com/sindresorhus/sort-keys.git) |
| Zowe Desktop Sample React Application | source-list-map |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [source-list-map](https://www.github.com/webpack/source-list-map.git) |
| Zowe Desktop Sample React Application | source-map |  v0.5.7 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [source-map](https://www.github.com/mozilla/source-map.git) |
| Zowe Desktop Sample React Application | source-map |  v0.6.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [source-map](https://www.github.com/mozilla/source-map.git) |
| Zowe Desktop Sample React Application | source-map-loader |  v0.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-loader](https://www.github.com/webpack-contrib/source-map-loader.git) |
| Zowe Desktop Sample React Application | source-map-resolve |  v0.5.2 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-resolve](https://www.github.com/lydell/source-map-resolve.git) |
| Zowe Desktop Sample React Application | source-map-support |  v0.4.18 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-support](https://www.github.com/evanw/node-source-map-support) |
| Zowe Desktop Sample React Application | source-map-support |  v0.5.10 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-support](https://www.github.com/evanw/node-source-map-support) |
| Zowe Desktop Sample React Application | source-map-url |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [source-map-url](https://www.github.com/lydell/source-map-url.git) |
| Zowe Desktop Sample React Application | spdx-correct |  v3.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [spdx-correct](https://www.github.com/jslicense/spdx-correct.js.git) |
| Zowe Desktop Sample React Application | spdx-exceptions |  v2.2.0 | CC-BY-3.0 | [spdx-exceptions](https://www.github.com/kemitchell/spdx-exceptions.json.git) |
| Zowe Desktop Sample React Application | spdx-expression-parse |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [spdx-expression-parse](https://www.github.com/jslicense/spdx-expression-parse.js.git) |
| Zowe Desktop Sample React Application | spdx-license-ids |  v3.0.3 | CC0-1.0 | [spdx-license-ids](https://www.github.com/shinnn/spdx-license-ids.git) |
| Zowe Desktop Sample React Application | spdy |  v3.4.7 | [MIT](http://opensource.org/licenses/mit-license) | [spdy](https://www.github.com/indutny/node-spdy.git) |
| Zowe Desktop Sample React Application | spdy-transport |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [spdy-transport](https://www.github.com/spdy-http2/spdy-transport.git) |
| Zowe Desktop Sample React Application | split-string |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [split-string](https://www.github.com/jonschlinkert/split-string.git) |
| Zowe Desktop Sample React Application | sprintf-js |  v1.0.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [sprintf-js](https://www.github.com/alexei/sprintf.js.git) |
| Zowe Desktop Sample React Application | sshpk |  v1.16.1 | [MIT](http://opensource.org/licenses/mit-license) | [sshpk](https://www.github.com/joyent/node-sshpk.git) |
| Zowe Desktop Sample React Application | ssri |  v5.3.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [ssri](https://www.github.com/zkat/ssri) |
| Zowe Desktop Sample React Application | stack-utils |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [stack-utils](https://www.github.com/tapjs/stack-utils.git) |
| Zowe Desktop Sample React Application | static-extend |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [static-extend](https://www.github.com/jonschlinkert/static-extend.git) |
| Zowe Desktop Sample React Application | statuses |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [statuses](https://www.github.com/jshttp/statuses.git) |
| Zowe Desktop Sample React Application | statuses |  v1.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [statuses](https://www.github.com/jshttp/statuses.git) |
| Zowe Desktop Sample React Application | stealthy-require |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [stealthy-require](https://www.github.com/analog-nico/stealthy-require.git) |
| Zowe Desktop Sample React Application | stream-browserify |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [stream-browserify](https://www.github.com/browserify/stream-browserify.git) |
| Zowe Desktop Sample React Application | stream-each |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [stream-each](https://www.github.com/mafintosh/stream-each.git) |
| Zowe Desktop Sample React Application | stream-http |  v2.8.3 | [MIT](http://opensource.org/licenses/mit-license) | [stream-http](https://www.github.com/jhiesey/stream-http.git) |
| Zowe Desktop Sample React Application | stream-shift |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [stream-shift](https://www.github.com/mafintosh/stream-shift.git) |
| Zowe Desktop Sample React Application | strict-uri-encode |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Zowe Desktop Sample React Application | string-length |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [string-length](https://www.github.com/sindresorhus/string-length.git) |
| Zowe Desktop Sample React Application | string-width |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe Desktop Sample React Application | string-width |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe Desktop Sample React Application | string_decoder |  v0.10.31 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/rvagg/string_decoder.git) |
| Zowe Desktop Sample React Application | string_decoder |  v1.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe Desktop Sample React Application | string_decoder |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [string_decoder](https://www.github.com/nodejs/string_decoder.git) |
| Zowe Desktop Sample React Application | strip-ansi |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe Desktop Sample React Application | strip-ansi |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe Desktop Sample React Application | strip-bom |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-bom](https://www.github.com/sindresorhus/strip-bom.git) |
| Zowe Desktop Sample React Application | strip-bom |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-bom](https://www.github.com/sindresorhus/strip-bom.git) |
| Zowe Desktop Sample React Application | strip-eof |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-eof](https://www.github.com/sindresorhus/strip-eof.git) |
| Zowe Desktop Sample React Application | strip-indent |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-indent](https://www.github.com/sindresorhus/strip-indent.git) |
| Zowe Desktop Sample React Application | strip-json-comments |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-json-comments](https://www.github.com/sindresorhus/strip-json-comments.git) |
| Zowe Desktop Sample React Application | style-loader |  v0.19.0 | [MIT](http://opensource.org/licenses/mit-license) | [style-loader](https://www.github.com/webpack/style-loader.git) |
| Zowe Desktop Sample React Application | subarg |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [subarg](https://www.github.com/substack/subarg.git) |
| Zowe Desktop Sample React Application | supports-color |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe Desktop Sample React Application | supports-color |  v3.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe Desktop Sample React Application | supports-color |  v4.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe Desktop Sample React Application | supports-color |  v5.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [supports-color](https://www.github.com/chalk/supports-color.git) |
| Zowe Desktop Sample React Application | svgo |  v0.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [svgo](https://www.github.com/svg/svgo.git) |
| Zowe Desktop Sample React Application | sw-precache |  v5.2.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [sw-precache](https://www.github.com/googlechrome/sw-precache.git) |
| Zowe Desktop Sample React Application | sw-precache-webpack-plugin |  v0.11.4 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [sw-precache-webpack-plugin](https://www.github.com/goldhand/sw-precache-webpack-plugin.git) |
| Zowe Desktop Sample React Application | sw-toolbox |  v3.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [sw-toolbox](https://www.github.com/GoogleChrome/sw-toolbox) |
| Zowe Desktop Sample React Application | symbol-tree |  v3.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [symbol-tree](https://www.github.com/jsdom/js-symbol-tree.git) |
| Zowe Desktop Sample React Application | tapable |  v0.2.9 | [MIT](http://opensource.org/licenses/mit-license) | [tapable](https://www.github.com/webpack/tapable.git) |
| Zowe Desktop Sample React Application | tar |  v4.4.8 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [tar](https://www.github.com/npm/node-tar.git) |
| Zowe Desktop Sample React Application | term-size |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [term-size](https://www.github.com/sindresorhus/term-size.git) |
| Zowe Desktop Sample React Application | test-exclude |  v4.2.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [test-exclude](https://www.github.com/istanbuljs/istanbuljs.git) |
| Zowe Desktop Sample React Application | text-table |  v0.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [text-table](https://www.github.com/substack/text-table.git) |
| Zowe Desktop Sample React Application | throat |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [throat](https://www.github.com/ForbesLindesay/throat.git) |
| Zowe Desktop Sample React Application | through |  v2.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [through](https://www.github.com/dominictarr/through.git) |
| Zowe Desktop Sample React Application | through2 |  v2.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [through2](https://www.github.com/rvagg/through2.git) |
| Zowe Desktop Sample React Application | thunky |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [thunky](https://www.github.com/mafintosh/thunky.git) |
| Zowe Desktop Sample React Application | time-stamp |  v2.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [time-stamp](https://www.github.com/jonschlinkert/time-stamp.git) |
| Zowe Desktop Sample React Application | timed-out |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [timed-out](https://www.github.com/floatdrop/timed-out.git) |
| Zowe Desktop Sample React Application | timers-browserify |  v2.0.10 | [MIT](http://opensource.org/licenses/mit-license) | [timers-browserify](https://www.github.com/jryans/timers-browserify.git) |
| Zowe Desktop Sample React Application | tmp |  v0.0.33 | [MIT](http://opensource.org/licenses/mit-license) | [tmp](https://www.github.com/raszi/node-tmp.git) |
| Zowe Desktop Sample React Application | tmpl |  v1.0.4 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tmpl](https://www.github.com/daaku/nodejs-tmpl) |
| Zowe Desktop Sample React Application | to-arraybuffer |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [to-arraybuffer](https://www.github.com/jhiesey/to-arraybuffer.git) |
| Zowe Desktop Sample React Application | to-fast-properties |  v1.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [to-fast-properties](https://www.github.com/sindresorhus/to-fast-properties.git) |
| Zowe Desktop Sample React Application | to-object-path |  v0.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [to-object-path](https://www.github.com/jonschlinkert/to-object-path.git) |
| Zowe Desktop Sample React Application | to-regex |  v3.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [to-regex](https://www.github.com/jonschlinkert/to-regex.git) |
| Zowe Desktop Sample React Application | to-regex-range |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [to-regex-range](https://www.github.com/micromatch/to-regex-range.git) |
| Zowe Desktop Sample React Application | toposort |  v1.0.7 | [MIT](http://opensource.org/licenses/mit-license) | [toposort](https://www.github.com/marcelklehr/toposort.git) |
| Zowe Desktop Sample React Application | tough-cookie |  v2.4.3 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe Desktop Sample React Application | tough-cookie |  v2.5.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe Desktop Sample React Application | tough-cookie |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [tough-cookie](https://www.github.com/salesforce/tough-cookie.git) |
| Zowe Desktop Sample React Application | tr46 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [tr46](https://www.github.com/Sebmaster/tr46.js.git) |
| Zowe Desktop Sample React Application | trim-newlines |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [trim-newlines](https://www.github.com/sindresorhus/trim-newlines.git) |
| Zowe Desktop Sample React Application | trim-right |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [trim-right](https://www.github.com/sindresorhus/trim-right.git) |
| Zowe Desktop Sample React Application | ts-jest |  v22.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [ts-jest](https://www.github.com/kulshekhar/ts-jest.git) |
| Zowe Desktop Sample React Application | ts-loader |  v2.3.7 | [MIT](http://opensource.org/licenses/mit-license) | [ts-loader](https://www.github.com/TypeStrong/ts-loader.git) |
| Zowe Desktop Sample React Application | tsconfig-paths |  v3.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [tsconfig-paths](https://www.github.com/dividab/tsconfig-paths) |
| Zowe Desktop Sample React Application | tsconfig-paths-webpack-plugin |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [tsconfig-paths-webpack-plugin](https://www.github.com/dividab/tsconfig-paths-webpack-plugin) |
| Zowe Desktop Sample React Application | tslib |  v1.9.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslib](https://www.github.com/Microsoft/tslib.git) |
| Zowe Desktop Sample React Application | tslint |  v5.12.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslint](https://www.github.com/palantir/tslint.git) |
| Zowe Desktop Sample React Application | tslint-config-prettier |  v1.17.0 | [MIT](http://opensource.org/licenses/mit-license) | [tslint-config-prettier](https://www.github.com/prettier/tslint-config-prettier.git) |
| Zowe Desktop Sample React Application | tslint-react |  v3.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tslint-react](https://www.github.com/palantir/tslint-react.git) |
| Zowe Desktop Sample React Application | tsutils |  v2.29.0 | [MIT](http://opensource.org/licenses/mit-license) | [tsutils](https://www.github.com/ajafff/tsutils) |
| Zowe Desktop Sample React Application | tty-browserify |  v0.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [tty-browserify](https://www.github.com/substack/tty-browserify.git) |
| Zowe Desktop Sample React Application | tunnel-agent |  v0.6.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [tunnel-agent](https://www.github.com/mikeal/tunnel-agent) |
| Zowe Desktop Sample React Application | tweetnacl |  v0.14.5 | Unlicense | [tweetnacl](https://www.github.com/dchest/tweetnacl-js.git) |
| Zowe Desktop Sample React Application | type-check |  v0.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [type-check](https://www.github.com/gkz/type-check.git) |
| Zowe Desktop Sample React Application | type-is |  v1.6.16 | [MIT](http://opensource.org/licenses/mit-license) | [type-is](https://www.github.com/jshttp/type-is.git) |
| Zowe Desktop Sample React Application | typedarray |  v0.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [typedarray](https://www.github.com/substack/typedarray.git) |
| Zowe Desktop Sample React Application | ua-parser-js |  v0.7.19 | (GPL-2.0 OR MIT) | [ua-parser-js](https://www.github.com/faisalman/ua-parser-js.git) |
| Zowe Desktop Sample React Application | uglify-es |  v3.3.9 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uglify-es](https://www.github.com/mishoo/UglifyJS2.git#harmony) |
| Zowe Desktop Sample React Application | uglify-js |  v2.8.29 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uglify-js](https://www.github.com/mishoo/UglifyJS2.git) |
| Zowe Desktop Sample React Application | uglify-js |  v3.4.9 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uglify-js](https://www.github.com/mishoo/UglifyJS2.git) |
| Zowe Desktop Sample React Application | uglify-to-browserify |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [uglify-to-browserify](https://www.github.com/ForbesLindesay/uglify-to-browserify.git) |
| Zowe Desktop Sample React Application | uglifyjs-webpack-plugin |  v0.4.6 | [MIT](http://opensource.org/licenses/mit-license) | [uglifyjs-webpack-plugin](https://www.github.com/webpack-contrib/uglifyjs-webpack-plugin.git) |
| Zowe Desktop Sample React Application | uglifyjs-webpack-plugin |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [uglifyjs-webpack-plugin](https://www.github.com/webpack-contrib/uglifyjs-webpack-plugin.git) |
| Zowe Desktop Sample React Application | union-value |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [union-value](https://www.github.com/jonschlinkert/union-value.git) |
| Zowe Desktop Sample React Application | uniq |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [uniq](https://www.github.com/mikolalysenko/uniq.git) |
| Zowe Desktop Sample React Application | uniqs |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [uniqs](https://www.github.com/fgnass/uniqs.git) |
| Zowe Desktop Sample React Application | unique-filename |  v1.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-filename](https://www.github.com/iarna/unique-filename.git) |
| Zowe Desktop Sample React Application | unique-slug |  v2.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [unique-slug](https://www.github.com/iarna/unique-slug.git) |
| Zowe Desktop Sample React Application | unique-string |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unique-string](https://www.github.com/sindresorhus/unique-string.git) |
| Zowe Desktop Sample React Application | universalify |  v0.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [universalify](https://www.github.com/RyanZim/universalify.git) |
| Zowe Desktop Sample React Application | unpipe |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unpipe](https://www.github.com/stream-utils/unpipe.git) |
| Zowe Desktop Sample React Application | unset-value |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [unset-value](https://www.github.com/jonschlinkert/unset-value.git) |
| Zowe Desktop Sample React Application | unzip-response |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [unzip-response](https://www.github.com/sindresorhus/unzip-response.git) |
| Zowe Desktop Sample React Application | upath |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [upath](https://www.github.com/anodynos/upath) |
| Zowe Desktop Sample React Application | update-notifier |  v2.5.0 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [update-notifier](https://www.github.com/yeoman/update-notifier.git) |
| Zowe Desktop Sample React Application | upper-case |  v1.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [upper-case](https://www.github.com/blakeembrey/upper-case.git) |
| Zowe Desktop Sample React Application | uri-js |  v4.2.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [uri-js](https://www.github.com/garycourt/uri-js) |
| Zowe Desktop Sample React Application | urijs |  v1.19.1 | [MIT](http://opensource.org/licenses/mit-license) | [urijs](https://www.github.com/medialize/URI.js.git) |
| Zowe Desktop Sample React Application | urix |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [urix](https://www.github.com/lydell/urix.git) |
| Zowe Desktop Sample React Application | url |  v0.11.0 | [MIT](http://opensource.org/licenses/mit-license) | [url](https://www.github.com/defunctzombie/node-url.git) |
| Zowe Desktop Sample React Application | url-loader |  v0.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [url-loader](https://www.github.com/webpack-contrib/url-loader.git) |
| Zowe Desktop Sample React Application | url-parse |  v1.4.4 | [MIT](http://opensource.org/licenses/mit-license) | [url-parse](https://www.github.com/unshiftio/url-parse.git) |
| Zowe Desktop Sample React Application | url-parse-lax |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [url-parse-lax](https://www.github.com/sindresorhus/url-parse-lax.git) |
| Zowe Desktop Sample React Application | use |  v3.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [use](https://www.github.com/jonschlinkert/use.git) |
| Zowe Desktop Sample React Application | util |  v0.10.3 | [MIT](http://opensource.org/licenses/mit-license) | [util](https://www.github.com/defunctzombie/node-util) |
| Zowe Desktop Sample React Application | util |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [util](https://www.github.com/defunctzombie/node-util) |
| Zowe Desktop Sample React Application | util-deprecate |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [util-deprecate](https://www.github.com/TooTallNate/util-deprecate.git) |
| Zowe Desktop Sample React Application | util.promisify |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [util.promisify](https://www.github.com/ljharb/util.promisify.git) |
| Zowe Desktop Sample React Application | utila |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [utila](https://www.github.com/AriaMinaei/utila.git) |
| Zowe Desktop Sample React Application | utils-merge |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [utils-merge](https://www.github.com/jaredhanson/utils-merge.git) |
| Zowe Desktop Sample React Application | uuid |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [uuid](https://www.github.com/defunctzombie/node-uuid.git) |
| Zowe Desktop Sample React Application | uuid |  v3.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [uuid](https://www.github.com/kelektiv/node-uuid.git) |
| Zowe Desktop Sample React Application | validate-npm-package-license |  v3.0.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [validate-npm-package-license](https://www.github.com/kemitchell/validate-npm-package-license.js.git) |
| Zowe Desktop Sample React Application | value-equal |  v0.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [value-equal](https://www.github.com/mjackson/value-equal.git) |
| Zowe Desktop Sample React Application | vary |  v1.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [vary](https://www.github.com/jshttp/vary.git) |
| Zowe Desktop Sample React Application | vendors |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [vendors](https://www.github.com/wooorm/vendors.git) |
| Zowe Desktop Sample React Application | verror |  v1.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [verror](https://www.github.com/davepacheco/node-verror.git) |
| Zowe Desktop Sample React Application | vm-browserify |  v0.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [vm-browserify](https://www.github.com/substack/vm-browserify.git) |
| Zowe Desktop Sample React Application | w3c-hr-time |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [w3c-hr-time](https://www.github.com/jsdom/w3c-hr-time) |
| Zowe Desktop Sample React Application | walker |  v1.0.7 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [walker](https://www.github.com/daaku/nodejs-walker) |
| Zowe Desktop Sample React Application | warning |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe Desktop Sample React Application | warning |  v4.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe Desktop Sample React Application | watch |  v0.18.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [watch](https://www.github.com/mikeal/watch.git) |
| Zowe Desktop Sample React Application | watchpack |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [watchpack](https://www.github.com/webpack/watchpack.git) |
| Zowe Desktop Sample React Application | wbuf |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [wbuf](https://www.github.com/indutny/wbuf) |
| Zowe Desktop Sample React Application | webidl-conversions |  v4.0.2 | [Simplified BSD](http://opensource.org/licenses/bsd-license) | [webidl-conversions](https://www.github.com/jsdom/webidl-conversions.git) |
| Zowe Desktop Sample React Application | webpack |  v3.8.1 | [MIT](http://opensource.org/licenses/mit-license) | [webpack](https://www.github.com/webpack/webpack.git) |
| Zowe Desktop Sample React Application | webpack-dev-middleware |  v1.12.2 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-dev-middleware](https://www.github.com/webpack/webpack-dev-middleware.git) |
| Zowe Desktop Sample React Application | webpack-dev-server |  v2.9.4 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-dev-server](https://www.github.com/webpack/webpack-dev-server.git) |
| Zowe Desktop Sample React Application | webpack-manifest-plugin |  v1.3.2 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-manifest-plugin](https://www.github.com/danethurber/webpack-manifest-plugin.git) |
| Zowe Desktop Sample React Application | webpack-sources |  v1.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [webpack-sources](https://www.github.com/webpack/webpack-sources.git) |
| Zowe Desktop Sample React Application | websocket-driver |  v0.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [websocket-driver](https://www.github.com/faye/websocket-driver-node.git) |
| Zowe Desktop Sample React Application | websocket-extensions |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [websocket-extensions](https://www.github.com/faye/websocket-extensions-node.git) |
| Zowe Desktop Sample React Application | whatwg-encoding |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-encoding](https://www.github.com/jsdom/whatwg-encoding.git) |
| Zowe Desktop Sample React Application | whatwg-fetch |  v2.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |
| Zowe Desktop Sample React Application | whatwg-fetch |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |
| Zowe Desktop Sample React Application | whatwg-mimetype |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-mimetype](https://www.github.com/jsdom/whatwg-mimetype.git) |
| Zowe Desktop Sample React Application | whatwg-url |  v6.5.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-url](https://www.github.com/jsdom/whatwg-url.git) |
| Zowe Desktop Sample React Application | whatwg-url |  v7.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-url](https://www.github.com/jsdom/whatwg-url.git) |
| Zowe Desktop Sample React Application | whet.extend |  v0.9.9 | [MIT](http://opensource.org/licenses/mit-license) | [whet.extend](https://www.github.com/Meettya/whet.extend.git) |
| Zowe Desktop Sample React Application | which |  v1.3.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which](https://www.github.com/isaacs/node-which.git) |
| Zowe Desktop Sample React Application | which-module |  v1.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which-module](https://www.github.com/nexdrew/which-module.git) |
| Zowe Desktop Sample React Application | which-module |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which-module](https://www.github.com/nexdrew/which-module.git) |
| Zowe Desktop Sample React Application | wide-align |  v1.1.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wide-align](https://www.github.com/iarna/wide-align) |
| Zowe Desktop Sample React Application | widest-line |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [widest-line](https://www.github.com/sindresorhus/widest-line.git) |
| Zowe Desktop Sample React Application | window-size |  v0.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [window-size](https://www.github.com/jonschlinkert/window-size.git) |
| Zowe Desktop Sample React Application | wordwrap |  v0.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [wordwrap](https://www.github.com/substack/node-wordwrap.git) |
| Zowe Desktop Sample React Application | wordwrap |  v0.0.3 | [MIT](http://opensource.org/licenses/mit-license) | [wordwrap](https://www.github.com/substack/node-wordwrap.git) |
| Zowe Desktop Sample React Application | wordwrap |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [wordwrap](https://www.github.com/substack/node-wordwrap.git) |
| Zowe Desktop Sample React Application | worker-farm |  v1.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [worker-farm](https://www.github.com/rvagg/node-worker-farm.git) |
| Zowe Desktop Sample React Application | wrap-ansi |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [wrap-ansi](https://www.github.com/chalk/wrap-ansi.git) |
| Zowe Desktop Sample React Application | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Zowe Desktop Sample React Application | write-file-atomic |  v2.4.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [write-file-atomic](https://www.github.com/iarna/write-file-atomic.git) |
| Zowe Desktop Sample React Application | ws |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [ws](https://www.github.com/websockets/ws.git) |
| Zowe Desktop Sample React Application | xdg-basedir |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [xdg-basedir](https://www.github.com/sindresorhus/xdg-basedir.git) |
| Zowe Desktop Sample React Application | xml-name-validator |  v3.0.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [xml-name-validator](https://www.github.com/jsdom/xml-name-validator.git) |
| Zowe Desktop Sample React Application | xtend |  v4.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [xtend](https://www.github.com/Raynos/xtend.git) |
| Zowe Desktop Sample React Application | y18n |  v3.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe Desktop Sample React Application | y18n |  v4.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe Desktop Sample React Application | yallist |  v2.1.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Zowe Desktop Sample React Application | yallist |  v3.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yallist](https://www.github.com/isaacs/yallist.git) |
| Zowe Desktop Sample React Application | yargs |  v10.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe Desktop Sample React Application | yargs |  v3.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/bcoe/yargs.git) |
| Zowe Desktop Sample React Application | yargs |  v6.6.0 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe Desktop Sample React Application | yargs |  v8.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe Desktop Sample React Application | yargs-parser |  v4.2.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Zowe Desktop Sample React Application | yargs-parser |  v7.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |
| Zowe Desktop Sample React Application | yargs-parser |  v8.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |

### Zowe Desktop Web Plug-in Server Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Desktop Web Plug-in Server | ansi-regex |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe Desktop Web Plug-in Server | ansi-regex |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [ansi-regex](https://www.github.com/chalk/ansi-regex.git) |
| Zowe Desktop Web Plug-in Server | camelcase |  v5.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [camelcase](https://www.github.com/sindresorhus/camelcase.git) |
| Zowe Desktop Web Plug-in Server | cliui |  v4.1.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [cliui](https://www.github.com/yargs/cliui.git) |
| Zowe Desktop Web Plug-in Server | code-point-at |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [code-point-at](https://www.github.com/sindresorhus/code-point-at.git) |
| Zowe Desktop Web Plug-in Server | cross-spawn |  v6.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [cross-spawn](https://www.github.com/moxystudio/node-cross-spawn.git) |
| Zowe Desktop Web Plug-in Server | decamelize |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [decamelize](https://www.github.com/sindresorhus/decamelize.git) |
| Zowe Desktop Web Plug-in Server | end-of-stream |  v1.4.1 | [MIT](http://opensource.org/licenses/mit-license) | [end-of-stream](https://www.github.com/mafintosh/end-of-stream.git) |
| Zowe Desktop Web Plug-in Server | execa |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [execa](https://www.github.com/sindresorhus/execa.git) |
| Zowe Desktop Web Plug-in Server | find-up |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [find-up](https://www.github.com/sindresorhus/find-up.git) |
| Zowe Desktop Web Plug-in Server | get-caller-file |  v1.0.3 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [get-caller-file](https://www.github.com/stefanpenner/get-caller-file.git) |
| Zowe Desktop Web Plug-in Server | get-stream |  v4.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [get-stream](https://www.github.com/sindresorhus/get-stream.git) |
| Zowe Desktop Web Plug-in Server | invert-kv |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [invert-kv](https://www.github.com/sindresorhus/invert-kv.git) |
| Zowe Desktop Web Plug-in Server | is-fullwidth-code-point |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe Desktop Web Plug-in Server | is-fullwidth-code-point |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-fullwidth-code-point](https://www.github.com/sindresorhus/is-fullwidth-code-point.git) |
| Zowe Desktop Web Plug-in Server | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe Desktop Web Plug-in Server | isexe |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [isexe](https://www.github.com/isaacs/isexe.git) |
| Zowe Desktop Web Plug-in Server | lcid |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [lcid](https://www.github.com/sindresorhus/lcid.git) |
| Zowe Desktop Web Plug-in Server | locate-path |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [locate-path](https://www.github.com/sindresorhus/locate-path.git) |
| Zowe Desktop Web Plug-in Server | map-age-cleaner |  v0.1.3 | [MIT](http://opensource.org/licenses/mit-license) | [map-age-cleaner](https://www.github.com/SamVerschueren/map-age-cleaner.git) |
| Zowe Desktop Web Plug-in Server | mem |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [mem](https://www.github.com/sindresorhus/mem.git) |
| Zowe Desktop Web Plug-in Server | mimic-fn |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [mimic-fn](https://www.github.com/sindresorhus/mimic-fn.git) |
| Zowe Desktop Web Plug-in Server | nice-try |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [nice-try](https://www.github.com/electerious/nice-try.git) |
| Zowe Desktop Web Plug-in Server | npm-run-path |  v2.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [npm-run-path](https://www.github.com/sindresorhus/npm-run-path.git) |
| Zowe Desktop Web Plug-in Server | number-is-nan |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [number-is-nan](https://www.github.com/sindresorhus/number-is-nan.git) |
| Zowe Desktop Web Plug-in Server | once |  v1.4.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [once](https://www.github.com/isaacs/once) |
| Zowe Desktop Web Plug-in Server | os-locale |  v3.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [os-locale](https://www.github.com/sindresorhus/os-locale.git) |
| Zowe Desktop Web Plug-in Server | p-defer |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-defer](https://www.github.com/sindresorhus/p-defer.git) |
| Zowe Desktop Web Plug-in Server | p-finally |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-finally](https://www.github.com/sindresorhus/p-finally.git) |
| Zowe Desktop Web Plug-in Server | p-is-promise |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-is-promise](https://www.github.com/sindresorhus/p-is-promise.git) |
| Zowe Desktop Web Plug-in Server | p-limit |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-limit](https://www.github.com/sindresorhus/p-limit.git) |
| Zowe Desktop Web Plug-in Server | p-locate |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-locate](https://www.github.com/sindresorhus/p-locate.git) |
| Zowe Desktop Web Plug-in Server | p-try |  v2.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [p-try](https://www.github.com/sindresorhus/p-try.git) |
| Zowe Desktop Web Plug-in Server | path-exists |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [path-exists](https://www.github.com/sindresorhus/path-exists.git) |
| Zowe Desktop Web Plug-in Server | path-key |  v2.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [path-key](https://www.github.com/sindresorhus/path-key.git) |
| Zowe Desktop Web Plug-in Server | pump |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [pump](https://www.github.com/mafintosh/pump.git) |
| Zowe Desktop Web Plug-in Server | require-directory |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [require-directory](https://www.github.com/troygoode/node-require-directory.git) |
| Zowe Desktop Web Plug-in Server | require-main-filename |  v1.0.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [require-main-filename](https://www.github.com/yargs/require-main-filename.git) |
| Zowe Desktop Web Plug-in Server | semver |  v5.6.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [semver](https://www.github.com/npm/node-semver) |
| Zowe Desktop Web Plug-in Server | set-blocking |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [set-blocking](https://www.github.com/yargs/set-blocking.git) |
| Zowe Desktop Web Plug-in Server | shebang-command |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-command](https://www.github.com/kevva/shebang-command.git) |
| Zowe Desktop Web Plug-in Server | shebang-regex |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [shebang-regex](https://www.github.com/sindresorhus/shebang-regex.git) |
| Zowe Desktop Web Plug-in Server | signal-exit |  v3.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [signal-exit](https://www.github.com/tapjs/signal-exit.git) |
| Zowe Desktop Web Plug-in Server | string-width |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe Desktop Web Plug-in Server | string-width |  v2.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [string-width](https://www.github.com/sindresorhus/string-width.git) |
| Zowe Desktop Web Plug-in Server | strip-ansi |  v3.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe Desktop Web Plug-in Server | strip-ansi |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-ansi](https://www.github.com/chalk/strip-ansi.git) |
| Zowe Desktop Web Plug-in Server | strip-eof |  v1.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [strip-eof](https://www.github.com/sindresorhus/strip-eof.git) |
| Zowe Desktop Web Plug-in Server | which |  v1.3.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which](https://www.github.com/isaacs/node-which.git) |
| Zowe Desktop Web Plug-in Server | which-module |  v2.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [which-module](https://www.github.com/nexdrew/which-module.git) |
| Zowe Desktop Web Plug-in Server | wrap-ansi |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [wrap-ansi](https://www.github.com/chalk/wrap-ansi.git) |
| Zowe Desktop Web Plug-in Server | wrappy |  v1.0.2 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [wrappy](https://www.github.com/npm/wrappy) |
| Zowe Desktop Web Plug-in Server | y18n |  v4.0.0 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [y18n](https://www.github.com/yargs/y18n.git) |
| Zowe Desktop Web Plug-in Server | yargs |  v12.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [yargs](https://www.github.com/yargs/yargs.git) |
| Zowe Desktop Web Plug-in Server | yargs-parser |  v11.1.1 | [ISC](http://en.wikipedia.org/wiki/ISC_license) | [yargs-parser](https://www.github.com/yargs/yargs-parser.git) |

### Zowe Desktop z/OS Unix Files UI Plugin Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Desktop z/OS Unix Files UI Plugin | @babel/runtime |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [@babel/runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop z/OS Unix Files UI Plugin | asap |  v2.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [asap](https://www.github.com/kriskowal/asap.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | babel-polyfill |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-polyfill](https://www.github.com/babel/babel/tree/master/packages/babel-polyfill) |
| Zowe Desktop z/OS Unix Files UI Plugin | babel-runtime |  v6.26.0 | [MIT](http://opensource.org/licenses/mit-license) | [babel-runtime](https://www.github.com/babel/babel/tree/master/packages/babel-runtime) |
| Zowe Desktop z/OS Unix Files UI Plugin | big.js |  v5.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [big.js](https://www.github.com/MikeMcl/big.js.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | classnames |  v2.2.6 | [MIT](http://opensource.org/licenses/mit-license) | [classnames](https://www.github.com/JedWatson/classnames.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | core-js |  v1.2.7 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | core-js |  v2.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [core-js](https://www.github.com/zloirock/core-js.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | create-react-class |  v15.6.3 | [MIT](http://opensource.org/licenses/mit-license) | [create-react-class](https://www.github.com/facebook/react.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | deep-diff |  v0.3.8 | [MIT](http://opensource.org/licenses/mit-license) | [deep-diff](https://www.github.com/flitbit/diff.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | deep-equal |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [deep-equal](https://www.github.com/substack/node-deep-equal.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | emojis-list |  v2.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [emojis-list](https://www.github.com/kikobeats/emojis-list.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | encoding |  v0.1.12 | [MIT](http://opensource.org/licenses/mit-license) | [encoding](https://www.github.com/andris9/encoding.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | fault |  v1.0.2 | [MIT](http://opensource.org/licenses/mit-license) | [fault](https://www.github.com/wooorm/fault.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | fbjs |  v0.8.17 | [MIT](http://opensource.org/licenses/mit-license) | [fbjs](https://www.github.com/facebook/fbjs.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | file-loader |  v0.11.2 | [MIT](http://opensource.org/licenses/mit-license) | [file-loader](https://www.github.com/webpack/file-loader.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | format |  v0.2.2 | [MIT](http://opensource.org/licenses/mit-license) | [format](https://www.github.com/samsonjs/format.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | highlight.js |  v9.12.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [highlight.js](https://www.github.com/isagalaev/highlight.js.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | highlight.js |  v9.13.1 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [highlight.js](https://www.github.com/highlightjs/highlight.js.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | history |  v3.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [history](https://www.github.com/ReactTraining/history.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | hoist-non-react-statics |  v2.5.5 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | hoist-non-react-statics |  v3.3.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [hoist-non-react-statics](https://www.github.com/mridgway/hoist-non-react-statics.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | iconv-lite |  v0.4.24 | [MIT](http://opensource.org/licenses/mit-license) | [iconv-lite](https://www.github.com/ashtuchkin/iconv-lite.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | immutable |  v3.8.2 | [MIT](http://opensource.org/licenses/mit-license) | [immutable](https://www.github.com/facebook/immutable-js.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | interweave |  v8.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [interweave](https://www.github.com/milesj/interweave/tree/master/packages/interweave) |
| Zowe Desktop z/OS Unix Files UI Plugin | invariant |  v2.2.4 | [MIT](http://opensource.org/licenses/mit-license) | [invariant](https://www.github.com/zertosh/invariant) |
| Zowe Desktop z/OS Unix Files UI Plugin | is-stream |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [is-stream](https://www.github.com/sindresorhus/is-stream.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | isomorphic-fetch |  v2.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [isomorphic-fetch](https://www.github.com/matthew-andrews/isomorphic-fetch.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | js-tokens |  v4.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [js-tokens](https://www.github.com/lydell/js-tokens.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | json5 |  v1.0.1 | [MIT](http://opensource.org/licenses/mit-license) | [json5](https://www.github.com/json5/json5.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | loader-utils |  v1.2.3 | [MIT](http://opensource.org/licenses/mit-license) | [loader-utils](https://www.github.com/webpack/loader-utils.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | lodash |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | lodash-es |  v4.17.11 | [MIT](http://opensource.org/licenses/mit-license) | [lodash-es](https://www.github.com/lodash/lodash.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | loose-envify |  v1.4.0 | [MIT](http://opensource.org/licenses/mit-license) | [loose-envify](https://www.github.com/zertosh/loose-envify.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | lowlight |  v1.11.0 | [MIT](http://opensource.org/licenses/mit-license) | [lowlight](https://www.github.com/wooorm/lowlight.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | lowlight |  v1.9.2 | [MIT](http://opensource.org/licenses/mit-license) | [lowlight](https://www.github.com/wooorm/lowlight.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | material-ui |  v0.18.7 | UNKNOWN | [material-ui](https://www.npmjs.com/package/material-ui) |
| Zowe Desktop z/OS Unix Files UI Plugin | mime |  v1.3.6 | [MIT](http://opensource.org/licenses/mit-license) | [mime](https://www.github.com/broofa/node-mime) |
| Zowe Desktop z/OS Unix Files UI Plugin | minimist |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [minimist](https://www.github.com/substack/minimist.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | node-fetch |  v1.7.3 | [MIT](http://opensource.org/licenses/mit-license) | [node-fetch](https://www.github.com/bitinn/node-fetch.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | object-assign |  v4.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [object-assign](https://www.github.com/sindresorhus/object-assign.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | orion-editor-component |  v0.0.9 | EPL-2.0 | [orion-editor-component](https://www.npmjs.com/package/orion-editor-component) |
| Zowe Desktop z/OS Unix Files UI Plugin | promise |  v7.3.1 | [MIT](http://opensource.org/licenses/mit-license) | [promise](https://www.github.com/then/promise.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | prop-types |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [prop-types](https://www.github.com/facebook/prop-types.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | query-string |  v4.3.4 | [MIT](http://opensource.org/licenses/mit-license) | [query-string](https://www.github.com/sindresorhus/query-string.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react](https://www.github.com/facebook/react.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-contextmenu |  v2.10.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-contextmenu](https://www.github.com/vkbansal/react-contextmenu.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-dom |  v15.6.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-dom](https://www.github.com/facebook/react.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-is |  v16.7.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-is](https://www.github.com/facebook/react.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-lifecycles-compat |  v3.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [react-lifecycles-compat](https://www.github.com/reactjs/react-lifecycles-compat.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-redux |  v5.1.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-redux](https://www.github.com/reduxjs/react-redux.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-router |  v3.2.1 | [MIT](http://opensource.org/licenses/mit-license) | [react-router](https://www.github.com/ReactTraining/react-router.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-syntax-highlighter |  v5.8.0 | [MIT](http://opensource.org/licenses/mit-license) | [react-syntax-highlighter](https://www.github.com/conorhastings/react-syntax-highlighter.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-tap-event-plugin |  v2.0.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | [react-tap-event-plugin](https://www.github.com/zilverline/react-tap-event-plugin.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | react-tooltip |  v3.9.2 | [MIT](http://opensource.org/licenses/mit-license) | [react-tooltip](https://www.github.com/wwayne/react-tooltip) |
| Zowe Desktop z/OS Unix Files UI Plugin | redux |  v3.7.2 | [MIT](http://opensource.org/licenses/mit-license) | [redux](https://www.github.com/reactjs/redux.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | redux-immutable |  v4.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [redux-immutable](https://www.github.com/gajus/redux-immutable) |
| Zowe Desktop z/OS Unix Files UI Plugin | redux-logger |  v3.0.6 | [MIT](http://opensource.org/licenses/mit-license) | [redux-logger](https://www.github.com/theaqua/redux-logger.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | redux-router |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [redux-router](https://www.github.com/acdlite/redux-router.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | redux-thunk |  v2.3.0 | [MIT](http://opensource.org/licenses/mit-license) | [redux-thunk](https://www.github.com/reduxjs/redux-thunk.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | regenerator-runtime |  v0.10.5 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop z/OS Unix Files UI Plugin | regenerator-runtime |  v0.11.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop z/OS Unix Files UI Plugin | regenerator-runtime |  v0.12.1 | [MIT](http://opensource.org/licenses/mit-license) | [regenerator-runtime](https://www.github.com/facebook/regenerator/tree/master/packages/regenerator-runtime) |
| Zowe Desktop z/OS Unix Files UI Plugin | safer-buffer |  v2.1.2 | [MIT](http://opensource.org/licenses/mit-license) | [safer-buffer](https://www.github.com/ChALkeR/safer-buffer.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | setimmediate |  v1.0.5 | [MIT](http://opensource.org/licenses/mit-license) | [setimmediate](https://www.github.com/YuzuJS/setImmediate.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | strict-uri-encode |  v1.1.0 | [MIT](http://opensource.org/licenses/mit-license) | [strict-uri-encode](https://www.github.com/kevva/strict-uri-encode.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | symbol-observable |  v1.2.0 | [MIT](http://opensource.org/licenses/mit-license) | [symbol-observable](https://www.github.com/blesh/symbol-observable.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | ua-parser-js |  v0.7.19 | (GPL-2.0 OR MIT) | [ua-parser-js](https://www.github.com/faisalman/ua-parser-js.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | url-loader |  v0.5.9 | [MIT](http://opensource.org/licenses/mit-license) | [url-loader](https://www.github.com/webpack/url-loader.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | warning |  v3.0.0 | [New BSD](http://opensource.org/licenses/BSD-3-Clause) | [warning](https://www.github.com/BerkeleyTrue/warning.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | whatwg-fetch |  v2.0.4 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |
| Zowe Desktop z/OS Unix Files UI Plugin | whatwg-fetch |  v3.0.0 | [MIT](http://opensource.org/licenses/mit-license) | [whatwg-fetch](https://www.github.com/github/fetch.git) |

### Zowe Explorer Common REST Server Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Explorer Common REST Server | HdrHistogram |  v2.1.10 | Public Domain, per Creative Commons CC0, [Simplified BSD](http://opensource.org/licenses/bsd-license) | HdrHistogram |
| Zowe Explorer Common REST Server | LatencyUtils |  v2.0.3 | Public Domain, per Creative Commons CC0 | LatencyUtils |
| Zowe Explorer Common REST Server | accessors-smart |  v1.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | accessors-smart |
| Zowe Explorer Common REST Server | activation |  v1.1.1 | COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL) Version 1.0 | activation |
| Zowe Explorer Common REST Server | android-json |  v0.0.20131108.vaadin1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | android-json |
| Zowe Explorer Common REST Server | asm |  v5.0.4 | [BSD](http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29) | asm |
| Zowe Explorer Common REST Server | assertj-core |  v3.9.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | assertj-core |
| Zowe Explorer Common REST Server | byte-buddy |  v1.7.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe Explorer Common REST Server | byte-buddy-agent |  v1.7.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy-agent |
| Zowe Explorer Common REST Server | classmate |  v1.3.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | classmate |
| Zowe Explorer Common REST Server | commons-codec |  v1.11 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-codec |
| Zowe Explorer Common REST Server | commons-codec |  v1.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-codec |
| Zowe Explorer Common REST Server | commons-lang3 |  v3.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-lang3 |
| Zowe Explorer Common REST Server | commons-logging |  v1.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-logging |
| Zowe Explorer Common REST Server | groovy |  v2.4.15 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | groovy |
| Zowe Explorer Common REST Server | groovy-json |  v2.4.15 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | groovy-json |
| Zowe Explorer Common REST Server | groovy-xml |  v2.4.15 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | groovy-xml |
| Zowe Explorer Common REST Server | gson |  v2.8.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | gson |
| Zowe Explorer Common REST Server | guava |  v20.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | guava |
| Zowe Explorer Common REST Server | hamcrest-core |  v1.3 | New BSD License | hamcrest-core |
| Zowe Explorer Common REST Server | hamcrest-library |  v1.3 | New BSD License | hamcrest-library |
| Zowe Explorer Common REST Server | hibernate-validator |  v6.0.11.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hibernate-validator |
| Zowe Explorer Common REST Server | httpclient |  v4.5.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpclient |
| Zowe Explorer Common REST Server | httpcore |  v4.4.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpcore |
| Zowe Explorer Common REST Server | httpcore |  v4.4.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpcore |
| Zowe Explorer Common REST Server | httpmime |  v4.5.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpmime |
| Zowe Explorer Common REST Server | jackson-annotations |  v2.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-annotations |
| Zowe Explorer Common REST Server | jackson-core |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-core |
| Zowe Explorer Common REST Server | jackson-databind |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-databind |
| Zowe Explorer Common REST Server | jackson-datatype-jdk8 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jdk8 |
| Zowe Explorer Common REST Server | jackson-datatype-jsr310 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jsr310 |
| Zowe Explorer Common REST Server | jackson-module-parameter-names |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-parameter-names |
| Zowe Explorer Common REST Server | javassist |  v3.21.0-GA | MPL 1.1, LGPL 2.1, [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | javassist |
| Zowe Explorer Common REST Server | javax.annotation-api |  v1.3.2 | CDDL + GPLv2 with classpath exception | javax.annotation-api |
| Zowe Explorer Common REST Server | jaxb-api |  v2.2.12 | CDDL 1.1, GPL2 w/ CPE | jaxb-api |
| Zowe Explorer Common REST Server | jaxb-osgi |  v2.2.10 | CDDL+GPL License | jaxb-osgi |
| Zowe Explorer Common REST Server | jboss-logging |  v3.3.2.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jboss-logging |
| Zowe Explorer Common REST Server | json-path |  v2.4.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | json-path |
| Zowe Explorer Common REST Server | json-path |  v3.2.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | json-path |
| Zowe Explorer Common REST Server | json-smart |  v2.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | json-smart |
| Zowe Explorer Common REST Server | jsonassert |  v1.5.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jsonassert |
| Zowe Explorer Common REST Server | jul-to-slf4j |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | jul-to-slf4j |
| Zowe Explorer Common REST Server | junit |  v4.12 | Eclipse Public License 1.0 | junit |
| Zowe Explorer Common REST Server | log4j-api |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-api |
| Zowe Explorer Common REST Server | log4j-to-slf4j |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-to-slf4j |
| Zowe Explorer Common REST Server | logback-classic |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-classic |
| Zowe Explorer Common REST Server | logback-core |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-core |
| Zowe Explorer Common REST Server | lombok |  v1.16.20 | [MIT](http://opensource.org/licenses/mit-license) | lombok |
| Zowe Explorer Common REST Server | mapstruct |  v1.2.0.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | mapstruct |
| Zowe Explorer Common REST Server | micrometer-core |  v1.0.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | micrometer-core |
| Zowe Explorer Common REST Server | mockito-core |  v2.15.0 | [MIT](http://opensource.org/licenses/mit-license) | mockito-core |
| Zowe Explorer Common REST Server | objenesis |  v2.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | objenesis |
| Zowe Explorer Common REST Server | org.apache.sling.javax.activation |  v0.1.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | org.apache.sling.javax.activation |
| Zowe Explorer Common REST Server | powermock-api-mockito-common |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-api-mockito-common |
| Zowe Explorer Common REST Server | powermock-api-mockito2 |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-api-mockito2 |
| Zowe Explorer Common REST Server | powermock-api-support |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-api-support |
| Zowe Explorer Common REST Server | powermock-core |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-core |
| Zowe Explorer Common REST Server | powermock-module-junit4 |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-module-junit4 |
| Zowe Explorer Common REST Server | powermock-module-junit4-common |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-module-junit4-common |
| Zowe Explorer Common REST Server | powermock-module-junit4-rule |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-module-junit4-rule |
| Zowe Explorer Common REST Server | powermock-reflect |  v1.7.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | powermock-reflect |
| Zowe Explorer Common REST Server | reflections |  v0.9.11 | WTFPL, The New BSD License | reflections |
| Zowe Explorer Common REST Server | rest-assured |  v3.2.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rest-assured |
| Zowe Explorer Common REST Server | rest-assured-common |  v3.2.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | rest-assured-common |
| Zowe Explorer Common REST Server | slf4j-api |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | slf4j-api |
| Zowe Explorer Common REST Server | snakeyaml |  v1.19 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | snakeyaml |
| Zowe Explorer Common REST Server | spring-aop |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe Explorer Common REST Server | spring-beans |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe Explorer Common REST Server | spring-boot |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot |
| Zowe Explorer Common REST Server | spring-boot-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator |
| Zowe Explorer Common REST Server | spring-boot-actuator-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator-autoconfigure |
| Zowe Explorer Common REST Server | spring-boot-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-autoconfigure |
| Zowe Explorer Common REST Server | spring-boot-starter |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter |
| Zowe Explorer Common REST Server | spring-boot-starter-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-actuator |
| Zowe Explorer Common REST Server | spring-boot-starter-json |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-json |
| Zowe Explorer Common REST Server | spring-boot-starter-logging |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-logging |
| Zowe Explorer Common REST Server | spring-boot-starter-security |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-security |
| Zowe Explorer Common REST Server | spring-boot-starter-test |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-test |
| Zowe Explorer Common REST Server | spring-boot-starter-tomcat |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-tomcat |
| Zowe Explorer Common REST Server | spring-boot-starter-web |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-web |
| Zowe Explorer Common REST Server | spring-boot-test |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-test |
| Zowe Explorer Common REST Server | spring-boot-test-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-test-autoconfigure |
| Zowe Explorer Common REST Server | spring-context |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe Explorer Common REST Server | spring-core |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe Explorer Common REST Server | spring-expression |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe Explorer Common REST Server | spring-jcl |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-jcl |
| Zowe Explorer Common REST Server | spring-plugin-core |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-core |
| Zowe Explorer Common REST Server | spring-plugin-metadata |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-metadata |
| Zowe Explorer Common REST Server | spring-security-config |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-config |
| Zowe Explorer Common REST Server | spring-security-core |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-core |
| Zowe Explorer Common REST Server | spring-security-web |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-web |
| Zowe Explorer Common REST Server | spring-test |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-test |
| Zowe Explorer Common REST Server | spring-web |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe Explorer Common REST Server | spring-webmvc |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe Explorer Common REST Server | springfox-core |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-core |
| Zowe Explorer Common REST Server | springfox-schema |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-schema |
| Zowe Explorer Common REST Server | springfox-spi |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spi |
| Zowe Explorer Common REST Server | springfox-spring-web |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spring-web |
| Zowe Explorer Common REST Server | springfox-swagger-common |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-common |
| Zowe Explorer Common REST Server | springfox-swagger-ui |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-ui |
| Zowe Explorer Common REST Server | springfox-swagger2 |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger2 |
| Zowe Explorer Common REST Server | swagger-annotations |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-annotations |
| Zowe Explorer Common REST Server | swagger-models |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-models |
| Zowe Explorer Common REST Server | tagsoup |  v1.2.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tagsoup |
| Zowe Explorer Common REST Server | tomcat-annotations-api |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-annotations-api |
| Zowe Explorer Common REST Server | tomcat-embed-core |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-core |
| Zowe Explorer Common REST Server | tomcat-embed-el |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-el |
| Zowe Explorer Common REST Server | tomcat-embed-websocket |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-websocket |
| Zowe Explorer Common REST Server | validation-api |  v2.0.1.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | validation-api |
| Zowe Explorer Common REST Server | xml-path |  v3.2.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | xml-path |
| Zowe Explorer Common REST Server | xmlunit-core |  v2.5.1 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | xmlunit-core |

### Zowe Explorer Data Sets REST Server Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Explorer Data Sets REST Server | HdrHistogram |  v2.1.10 | Public Domain, per Creative Commons CC0, [Simplified BSD](http://opensource.org/licenses/bsd-license) | HdrHistogram |
| Zowe Explorer Data Sets REST Server | LatencyUtils |  v2.0.3 | Public Domain, per Creative Commons CC0 | LatencyUtils |
| Zowe Explorer Data Sets REST Server | byte-buddy |  v1.7.11 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe Explorer Data Sets REST Server | byte-buddy |  v1.7.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe Explorer Data Sets REST Server | classmate |  v1.3.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | classmate |
| Zowe Explorer Data Sets REST Server | commons-codec |  v1.11 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-codec |
| Zowe Explorer Data Sets REST Server | commons-logging |  v1.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-logging |
| Zowe Explorer Data Sets REST Server | explorer-api-common |  v0.0.1-SNAPSHOT | unknown | explorer-api-common |
| Zowe Explorer Data Sets REST Server | gson |  v2.8.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | gson |
| Zowe Explorer Data Sets REST Server | guava |  v20.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | guava |
| Zowe Explorer Data Sets REST Server | hibernate-validator |  v6.0.11.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hibernate-validator |
| Zowe Explorer Data Sets REST Server | httpclient |  v4.5.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpclient |
| Zowe Explorer Data Sets REST Server | httpcore |  v4.4.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpcore |
| Zowe Explorer Data Sets REST Server | jackson-annotations |  v2.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-annotations |
| Zowe Explorer Data Sets REST Server | jackson-core |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-core |
| Zowe Explorer Data Sets REST Server | jackson-databind |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-databind |
| Zowe Explorer Data Sets REST Server | jackson-datatype-jdk8 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jdk8 |
| Zowe Explorer Data Sets REST Server | jackson-datatype-jsr310 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jsr310 |
| Zowe Explorer Data Sets REST Server | jackson-module-parameter-names |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-parameter-names |
| Zowe Explorer Data Sets REST Server | javassist |  v3.21.0-GA | MPL 1.1, LGPL 2.1, [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | javassist |
| Zowe Explorer Data Sets REST Server | javax.annotation-api |  v1.3.2 | CDDL + GPLv2 with classpath exception | javax.annotation-api |
| Zowe Explorer Data Sets REST Server | jboss-logging |  v3.3.2.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jboss-logging |
| Zowe Explorer Data Sets REST Server | jul-to-slf4j |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | jul-to-slf4j |
| Zowe Explorer Data Sets REST Server | log4j-api |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-api |
| Zowe Explorer Data Sets REST Server | log4j-to-slf4j |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-to-slf4j |
| Zowe Explorer Data Sets REST Server | logback-classic |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-classic |
| Zowe Explorer Data Sets REST Server | logback-core |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-core |
| Zowe Explorer Data Sets REST Server | lombok |  v1.16.20 | [MIT](http://opensource.org/licenses/mit-license) | lombok |
| Zowe Explorer Data Sets REST Server | mapstruct |  v1.2.0.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | mapstruct |
| Zowe Explorer Data Sets REST Server | micrometer-core |  v1.0.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | micrometer-core |
| Zowe Explorer Data Sets REST Server | reflections |  v0.9.11 | WTFPL, The New BSD License | reflections |
| Zowe Explorer Data Sets REST Server | slf4j-api |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | slf4j-api |
| Zowe Explorer Data Sets REST Server | snakeyaml |  v1.19 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | snakeyaml |
| Zowe Explorer Data Sets REST Server | spring-aop |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe Explorer Data Sets REST Server | spring-beans |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe Explorer Data Sets REST Server | spring-boot |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot |
| Zowe Explorer Data Sets REST Server | spring-boot-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator |
| Zowe Explorer Data Sets REST Server | spring-boot-actuator-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator-autoconfigure |
| Zowe Explorer Data Sets REST Server | spring-boot-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-autoconfigure |
| Zowe Explorer Data Sets REST Server | spring-boot-starter |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter |
| Zowe Explorer Data Sets REST Server | spring-boot-starter-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-actuator |
| Zowe Explorer Data Sets REST Server | spring-boot-starter-json |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-json |
| Zowe Explorer Data Sets REST Server | spring-boot-starter-logging |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-logging |
| Zowe Explorer Data Sets REST Server | spring-boot-starter-security |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-security |
| Zowe Explorer Data Sets REST Server | spring-boot-starter-tomcat |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-tomcat |
| Zowe Explorer Data Sets REST Server | spring-boot-starter-web |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-web |
| Zowe Explorer Data Sets REST Server | spring-context |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe Explorer Data Sets REST Server | spring-core |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe Explorer Data Sets REST Server | spring-expression |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe Explorer Data Sets REST Server | spring-jcl |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-jcl |
| Zowe Explorer Data Sets REST Server | spring-plugin-core |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-core |
| Zowe Explorer Data Sets REST Server | spring-plugin-metadata |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-metadata |
| Zowe Explorer Data Sets REST Server | spring-security-config |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-config |
| Zowe Explorer Data Sets REST Server | spring-security-core |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-core |
| Zowe Explorer Data Sets REST Server | spring-security-web |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-web |
| Zowe Explorer Data Sets REST Server | spring-web |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe Explorer Data Sets REST Server | spring-webmvc |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe Explorer Data Sets REST Server | springfox-core |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-core |
| Zowe Explorer Data Sets REST Server | springfox-schema |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-schema |
| Zowe Explorer Data Sets REST Server | springfox-spi |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spi |
| Zowe Explorer Data Sets REST Server | springfox-spring-web |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spring-web |
| Zowe Explorer Data Sets REST Server | springfox-swagger-common |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-common |
| Zowe Explorer Data Sets REST Server | springfox-swagger-ui |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-ui |
| Zowe Explorer Data Sets REST Server | springfox-swagger2 |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger2 |
| Zowe Explorer Data Sets REST Server | swagger-annotations |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-annotations |
| Zowe Explorer Data Sets REST Server | swagger-models |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-models |
| Zowe Explorer Data Sets REST Server | tomcat-annotations-api |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-annotations-api |
| Zowe Explorer Data Sets REST Server | tomcat-embed-core |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-core |
| Zowe Explorer Data Sets REST Server | tomcat-embed-el |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-el |
| Zowe Explorer Data Sets REST Server | tomcat-embed-websocket |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-websocket |
| Zowe Explorer Data Sets REST Server | validation-api |  v2.0.1.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | validation-api |

### Zowe Explorer Jobs REST Server Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe Explorer Jobs REST Server | HdrHistogram |  v2.1.10 | Public Domain, per Creative Commons CC0, [Simplified BSD](http://opensource.org/licenses/bsd-license) | HdrHistogram |
| Zowe Explorer Jobs REST Server | LatencyUtils |  v2.0.3 | Public Domain, per Creative Commons CC0 | LatencyUtils |
| Zowe Explorer Jobs REST Server | byte-buddy |  v1.7.11 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe Explorer Jobs REST Server | byte-buddy |  v1.7.9 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | byte-buddy |
| Zowe Explorer Jobs REST Server | classmate |  v1.3.4 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | classmate |
| Zowe Explorer Jobs REST Server | commons-codec |  v1.11 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-codec |
| Zowe Explorer Jobs REST Server | commons-logging |  v1.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | commons-logging |
| Zowe Explorer Jobs REST Server | explorer-api-common |  v0.0.1-SNAPSHOT | unknown | explorer-api-common |
| Zowe Explorer Jobs REST Server | gson |  v2.8.2 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | gson |
| Zowe Explorer Jobs REST Server | guava |  v20.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | guava |
| Zowe Explorer Jobs REST Server | hibernate-validator |  v6.0.11.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | hibernate-validator |
| Zowe Explorer Jobs REST Server | httpclient |  v4.5.3 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpclient |
| Zowe Explorer Jobs REST Server | httpcore |  v4.4.10 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | httpcore |
| Zowe Explorer Jobs REST Server | jackson-annotations |  v2.9.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-annotations |
| Zowe Explorer Jobs REST Server | jackson-core |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-core |
| Zowe Explorer Jobs REST Server | jackson-databind |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-databind |
| Zowe Explorer Jobs REST Server | jackson-datatype-jdk8 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jdk8 |
| Zowe Explorer Jobs REST Server | jackson-datatype-jsr310 |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-datatype-jsr310 |
| Zowe Explorer Jobs REST Server | jackson-module-parameter-names |  v2.9.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jackson-module-parameter-names |
| Zowe Explorer Jobs REST Server | javassist |  v3.21.0-GA | MPL 1.1, LGPL 2.1, [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | javassist |
| Zowe Explorer Jobs REST Server | javax.annotation-api |  v1.3.2 | CDDL + GPLv2 with classpath exception | javax.annotation-api |
| Zowe Explorer Jobs REST Server | jboss-logging |  v3.3.2.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | jboss-logging |
| Zowe Explorer Jobs REST Server | jul-to-slf4j |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | jul-to-slf4j |
| Zowe Explorer Jobs REST Server | log4j-api |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-api |
| Zowe Explorer Jobs REST Server | log4j-to-slf4j |  v2.10.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | log4j-to-slf4j |
| Zowe Explorer Jobs REST Server | logback-classic |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-classic |
| Zowe Explorer Jobs REST Server | logback-core |  v1.2.3 | Eclipse Public License - v 1.0, GNU Lesser General Public License | logback-core |
| Zowe Explorer Jobs REST Server | lombok |  v1.16.20 | [MIT](http://opensource.org/licenses/mit-license) | lombok |
| Zowe Explorer Jobs REST Server | mapstruct |  v1.2.0.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | mapstruct |
| Zowe Explorer Jobs REST Server | micrometer-core |  v1.0.6 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | micrometer-core |
| Zowe Explorer Jobs REST Server | reflections |  v0.9.11 | WTFPL, The New BSD License | reflections |
| Zowe Explorer Jobs REST Server | slf4j-api |  v1.7.25 | [MIT](http://opensource.org/licenses/mit-license) | slf4j-api |
| Zowe Explorer Jobs REST Server | snakeyaml |  v1.19 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | snakeyaml |
| Zowe Explorer Jobs REST Server | spring-aop |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-aop |
| Zowe Explorer Jobs REST Server | spring-beans |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-beans |
| Zowe Explorer Jobs REST Server | spring-boot |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot |
| Zowe Explorer Jobs REST Server | spring-boot-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator |
| Zowe Explorer Jobs REST Server | spring-boot-actuator-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-actuator-autoconfigure |
| Zowe Explorer Jobs REST Server | spring-boot-autoconfigure |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-autoconfigure |
| Zowe Explorer Jobs REST Server | spring-boot-starter |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter |
| Zowe Explorer Jobs REST Server | spring-boot-starter-actuator |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-actuator |
| Zowe Explorer Jobs REST Server | spring-boot-starter-json |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-json |
| Zowe Explorer Jobs REST Server | spring-boot-starter-logging |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-logging |
| Zowe Explorer Jobs REST Server | spring-boot-starter-security |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-security |
| Zowe Explorer Jobs REST Server | spring-boot-starter-tomcat |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-tomcat |
| Zowe Explorer Jobs REST Server | spring-boot-starter-web |  v2.0.4.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-boot-starter-web |
| Zowe Explorer Jobs REST Server | spring-context |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-context |
| Zowe Explorer Jobs REST Server | spring-core |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-core |
| Zowe Explorer Jobs REST Server | spring-expression |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-expression |
| Zowe Explorer Jobs REST Server | spring-jcl |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-jcl |
| Zowe Explorer Jobs REST Server | spring-plugin-core |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-core |
| Zowe Explorer Jobs REST Server | spring-plugin-metadata |  v1.2.0.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-plugin-metadata |
| Zowe Explorer Jobs REST Server | spring-security-config |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-config |
| Zowe Explorer Jobs REST Server | spring-security-core |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-core |
| Zowe Explorer Jobs REST Server | spring-security-web |  v5.0.7.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-security-web |
| Zowe Explorer Jobs REST Server | spring-web |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-web |
| Zowe Explorer Jobs REST Server | spring-webmvc |  v5.0.8.RELEASE | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | spring-webmvc |
| Zowe Explorer Jobs REST Server | springfox-core |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-core |
| Zowe Explorer Jobs REST Server | springfox-schema |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-schema |
| Zowe Explorer Jobs REST Server | springfox-spi |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spi |
| Zowe Explorer Jobs REST Server | springfox-spring-web |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-spring-web |
| Zowe Explorer Jobs REST Server | springfox-swagger-common |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-common |
| Zowe Explorer Jobs REST Server | springfox-swagger-ui |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger-ui |
| Zowe Explorer Jobs REST Server | springfox-swagger2 |  v2.8.0 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | springfox-swagger2 |
| Zowe Explorer Jobs REST Server | swagger-annotations |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-annotations |
| Zowe Explorer Jobs REST Server | swagger-models |  v1.5.14 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | swagger-models |
| Zowe Explorer Jobs REST Server | tomcat-annotations-api |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-annotations-api |
| Zowe Explorer Jobs REST Server | tomcat-embed-core |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-core |
| Zowe Explorer Jobs REST Server | tomcat-embed-el |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-el |
| Zowe Explorer Jobs REST Server | tomcat-embed-websocket |  v8.5.32 | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | tomcat-embed-websocket |
| Zowe Explorer Jobs REST Server | validation-api |  v2.0.1.Final | [Apache 2.0](http://www.apache.org/licenses/LICENSE-2.0.txt) | validation-api |

### Zowe ZSS Authentication Handler Dependency Attributions 
| Component | Third-party Software | Version | License | GitHub | 
| ----------| -------------------- | --------| ------- | ------ |
| Zowe ZSS Authentication Handler | bluebird |  v3.5.3 | [MIT](http://opensource.org/licenses/mit-license) | [bluebird](https://www.github.com/petkaantonov/bluebird.git) |

